
      ******************************************************************
      *   File:    WS4110.CBL                                          *
      *   Author:  MIKE RAY                                            *
      *   Date:    01/29/97                                            *
      *   Purpose: Working Storage for 4110-CALC-RA-BASE-PREMIUM       *
      ******************************************************************


       01 WS-4110-INPUT.
          05 WS-4110-PRICE-ELECTION         PIC 9(04)V9(04).
          05 WS-4110-YIELD                  PIC 9(07)V9(01).
          05 WS-4110-REVENUE-CVG-LVL-PCT    PIC 9(01)V9(04).
          05 WS-4110-MAP-FACTOR             PIC 9(01)V9(03).
          05 WS-4110-PARTIAL-PP-FLAG        PIC X(01).
          05 WS-4110-ADM-KEY-DATA.
             10 WS-4110-CROP-YEAR              PIC 9(02).
             10 WS-4110-STATE                  PIC 9(02).
             10 WS-4110-COUNTY-CD              PIC 9(03).
             10 WS-4110-CROP-CD                PIC 9(04).
             10 WS-4110-INS-PLAN-CD            PIC 9(02).

       01 WS-4110-LOCAL.
          05 WS-4110-LOCAL-DISPLAY-FIELDS.
             10 WS-4110-PRICE-ELECTION-X       PIC ZZZ9.9999.
             10 WS-4110-YIELD-X                PIC ZZZZZZ9.9.
             10 WS-4110-REVENUE-CVG-LVL-PCT-X  PIC 9.9999.
             10 WS-4110-BASE-PREMIUM-RATE-X    PIC ZZZ9.9999.
             10 WS-4110-CHICAGO-FUTURE-PRICE-X PIC 9.99.
             10 WS-4110-PP-LOAD-X              PIC 9.999.
             10 WS-4110-MAP-FACTOR-X           PIC 9.999.
          05 WS-4110-COUNTY-DATA.
             10 WS-4110-COUNTY-AVG-YIELD       PIC 9(05)V9(02).
             10 WS-4110-COUNTY-YLD-SDEV        PIC 9(05)V9(02).
             10 WS-4110-LOCAL-PRICE-VOL        PIC 9(01)V9(05).
             10 WS-4110-COUNTY-PP-FACTOR       PIC 9(01)V9(05).
             10 WS-4110-COUNTY-AVG-YIELD-X     PIC ZZZZ9.99.
             10 WS-4110-COUNTY-YLD-SDEV-X      PIC ZZZZ9.99.
             10 WS-4110-LOCAL-PRICE-VOL-X      PIC 9.99999.
             10 WS-4110-COUNTY-PP-FACTOR-X     PIC 9.99999.
             10 WS-4110-PER-ACRE-PREMIUM-X     PIC ZZZ9.99.
          05 WS-4110-LOCAL-STATE-DATA.
             10 WS-4110-PRICE-VOLATILITY       PIC 9(01)V9(03).
             10 WS-4110-BETA1                  PIC S9(01)V9(05).
             10 WS-4110-BETA2                  PIC S9(01)V9(05).
             10 WS-4110-BETA3                  PIC S9(01)V9(05).
             10 WS-4110-BETA4                  PIC S9(01)V9(05).
             10 WS-4110-BETA5                  PIC S9(01)V9(05).
             10 WS-4110-BETA6                  PIC S9(01)V9(05).
             10 WS-4110-BETA7                  PIC S9(01)V9(05).
             10 WS-4110-BETA8                  PIC S9(01)V9(05).
             10 WS-4110-BETA9                  PIC S9(01)V9(05).
             10 WS-4110-BETA10                 PIC S9(01)V9(05).
             10 WS-4110-BETA11                 PIC S9(01)V9(05).
             10 WS-4110-BETA12                 PIC S9(01)V9(05).
             10 WS-4110-BETA13                 PIC S9(01)V9(05).
             10 WS-4110-BETA14                 PIC S9(01)V9(05).
             10 WS-4110-BETA15                 PIC S9(01)V9(05).
             10 WS-4110-BETA16                 PIC S9(01)V9(05).
             10 WS-4110-BETA17                 PIC S9(01)V9(05).
             10 WS-4110-BETA18                 PIC S9(01)V9(05).
             10 WS-4110-BETA19                 PIC S9(01)V9(05).
             10 WS-4110-BETA20                 PIC S9(01)V9(05).
             10 WS-4110-BETA21                 PIC S9(01)V9(05).
             10 WS-4110-PP1                    PIC S9(01)V9(05).
             10 WS-4110-PP2                    PIC S9(01)V9(05).
             10 WS-4110-PP3                    PIC S9(01)V9(05).
             10 WS-4110-PRICE-VOLATILITY-X     PIC 9.999.
          05 WS-4110-WORK.
             10 WS-4110-PP-LOAD                PIC 9(01)V9(03).
             10 WS-4110-PARTIAL-PP-FCTR        PIC 9(01)V9(04).
             10 WS-4110-CROP-DIVISOR           PIC 9(01).
             10 WS-4110-CHICAGO-FUTURE-PRICE   PIC 9(01)V9(02).
             10 WS-4110-PER-ACRE-PREMIUM       PIC 9(04)V9(02).
          05 WS-4110-MULTI-STEP-WORK.
             10 WS-4110-MS-PER-ACRE-PREM       PIC 9(04)V9(02).
             10 WS-4110-MS-BASE-PREM           PIC 9(04)V9(02).
             10 WS-4110-LN-YIELD               PIC S9(04)V9(14).
             10 WS-4110-LN-COUNTY-AVG-YLD      PIC S9(04)V9(14).
             10 WS-4110-LN-COUNTY-YLD-SDEV     PIC S9(04)V9(14).
             10 WS-4110-LN-LOCAL-PRICE-VOL     PIC S9(04)V9(14).
             10 WS-4110-LN-REVENUE-CVG-LVL     PIC S9(04)V9(14).
             10 WS-4110-UNIT-EXPONENT          PIC S9(04)V9(14).
             10 WS-4110-MS-PER-ACRE-PREM-X     PIC ZZZ9.99.
             10 WS-4110-MS-BASE-PREM-X         PIC ZZZ9.99.
             10 WS-4110-LN-YIELD-X           PIC +ZZZ9.99999999999999.
             10 WS-4110-LN-COUNTY-AVG-YLD-X  PIC +ZZZ9.99999999999999.
             10 WS-4110-LN-COUNTY-YLD-SDEV-X PIC +ZZZ9.99999999999999.
             10 WS-4110-LN-LOCAL-PRICE-VOL-X PIC +ZZZ9.99999999999999.
             10 WS-4110-LN-REVENUE-CVG-LVL-X PIC +ZZZ9.99999999999999.
             10 WS-4110-UNIT-EXPONENT-X      PIC +ZZZ9.99999999999999.
          05 WS-4110-FLAGS.
             10 WS-4110-COUNTY-DATA-FOUND      PIC X(01).
             10 WS-4110-STATE-DATA-FOUND       PIC X(01).


       01 WS-4110-OUTPUT.
          05 WS-4110-BASE-PREMIUM-RATE      PIC 9(04)V9(04).
          05 WS-4110-CALC-ERROR             PIC X(01).
             88 CALC-ERROR-4110               VALUE 'Y'.

