      ***************************************************************
      * File:      M8030.CBL
      * Author:    Mike Ray
      * Date:      8/10/95
      * Purpose:
      *    This copy file contains the error handler module which
      *    writes out simple messages to the Error Log File.  These
      *    messages can be used for debugging or to present
      *    information to the operator that is not associated with
      *    an error.
      *
      ***************************************************************

       8030-LOG-MESSAGE.

      $IF DEBUG-SW DEFINED
           DISPLAY '8030-LOGGING MESSAGE'
           UPON CONSOLE
      $END

           INITIALIZE WS-8030-LINE1-PARA-NO
           INITIALIZE WS-8030-LINE1-MSG

      *****************************************************
      *             SPECIFIC ERROR FIELDS                 *
      *                                                   *
      *            - SET FOR EVERY ERROR -                *
      *****************************************************

           IF WS-8030-PARAGRAPH-NO IS NOT NUMERIC
              DISPLAY 'THE PARAGRAPH NUMBER PASSED TO
      -       '8030-RECORD-INT-ERROR WAS NOT NUMERIC!' UPON CONSOLE
           END-IF


           IF WS-8030-MESSAGE = SPACES
              DISPLAY 'THE MESSAGE WAS NOT PASSED TO
      -       '8030-RECORD-INT-ERROR!' UPON CONSOLE
           END-IF



      *****************************************************
      *             ASSEMBLE MESSAGE                      *
      *****************************************************
      $IF DEBUG-SW DEFINED
           DISPLAY 'INPUT PARA #:', WS-8030-PARAGRAPH-NO
           UPON CONSOLE
      $END

           MOVE WS-8030-PARAGRAPH-NO TO WS-8030-LINE1-PARA-NO.
           MOVE WS-8030-MESSAGE TO WS-8030-LINE1-MSG.


      *****************************************************
      *             WRITE LINES TO LOG FILE               *
      *****************************************************

           MOVE WS-8030-MESSAGE-LINE1 TO ERROR-LOG-REC.
           WRITE ERROR-LOG-REC BEFORE ADVANCING 1.


       8030-LOG-MESSAGE-EXIT.
           EXIT.
