      *************************************************************
      * File:      M0930.CBL
      * Author:    Mike Ray
      * Date:      8/15/95
      * Purpose:   Closes the files used by the program.
      *************************************************************

       0930-CLOSE-FILES.

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-CLOSING FILES'
           UPON CONSOLE
      $END

      ***************************************************************
      *    CLOSE INPUT FILE                                         *
      ***************************************************************

           IF INPUT-FILE-OPEN
      *       IF WS-0004-TRAN-400-FLAG = WS-LITERAL-YES
      *          CLOSE INPUT-TRANSACTION-FILE-400
      *          MOVE WS-LITERAL-NO TO WS-0900-INPUT-FILE-OPEN
      *          SUBTRACT 1 FROM WS-0004-FILES-OPEN
      *IF DEBUG-SW DEFINED
      *    DISPLAY '0930-INPUT FILE (400) CLOSED'
      *    UPON CONSOLE
      *END
      *       ELSE
                 CLOSE INPUT-TRANSACTION-FILE
                 MOVE WS-LITERAL-NO TO WS-0900-INPUT-FILE-OPEN
                 SUBTRACT 1 FROM WS-0004-FILES-OPEN
      $IF DEBUG-SW DEFINED
           DISPLAY '0930-INPUT FILE CLOSED'
           UPON CONSOLE
      $END
      *       END-IF
           END-IF

      ***************************************************************
      *    CLOSE OUTPUT FILES                                       *
      ***************************************************************

           IF ACCEPT-FILE-OPEN
              CLOSE ACCEPTED-TRANSACTION-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ACCEPT-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-ACCEPTED FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF REJECT-FILE-OPEN
              CLOSE REJECTED-TRANSACTION-FILE
              MOVE WS-LITERAL-NO TO WS-0900-REJECT-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-REJECTED FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF SUSPEND-FILE-OPEN
              CLOSE SUSPENDED-TRANSACTION-FILE
              MOVE WS-LITERAL-NO TO WS-0900-SUSPEND-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-SUSPENDED FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF ESCROW-FILE-OPEN
              CLOSE ESCROW-TRANSACTION-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ESCROW-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-ESCROW FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF PMEMO-FILE-OPEN
              CLOSE PMEMO-TRANSACTION-FILE
              MOVE WS-LITERAL-NO TO WS-0900-PMEMO-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-PMEMO FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF LOG-FILE-OPEN
              CLOSE ERROR-LOG-FILE
              MOVE WS-LITERAL-NO TO WS-0900-LOG-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-LOG FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF SUM-FILE-OPEN
              CLOSE ERROR-SUM-FILE
              MOVE WS-LITERAL-NO TO WS-0900-SUM-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-LOG FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF ERR-RPT-FILE-OPEN
              CLOSE ERROR-REPT-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ERR-RPT-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-ERROR RPT FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF T14EXPR-FILE-OPEN
              CLOSE T14EXPR-FILE
              MOVE WS-LITERAL-NO TO WS-0900-T14EXPR-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-T14EXPR FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

      ***************************************************************
      *    CLOSE TEMP FILES                                         *
      ***************************************************************

           IF TEMP-POL-FILE-OPEN
              CLOSE TEMP-POLICY-FILE
              MOVE WS-LITERAL-NO TO WS-0900-TEMP-POLICY-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-TEMP POLICY FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF TEMP-ERR-FILE-OPEN
              CLOSE TEMP-ERROR-FILE
              MOVE WS-LITERAL-NO TO WS-0900-TEMP-ERR-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-TEMP ERROR FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF IN-ERR-FILE-OPEN
              CLOSE INPUT-ERROR-FILE
              MOVE WS-LITERAL-NO TO WS-0900-IN-ERR-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-INPUT ERROR FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF TEMP-REJECT-FILE-OPEN
              CLOSE TEMP-REJECT-FILE
              MOVE WS-LITERAL-NO TO WS-0900-TEMP-REJECT-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-TEMP REJECT FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

      ***************************************************************
      *    CLOSE TABLE LOAD DATA FILES  (ONLY WHEN AN ERROR OCCURS) *
      ***************************************************************


           IF IP-FILE-OPEN
              CLOSE IP-FILE
              MOVE WS-LITERAL-NO TO WS-0900-IP-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-IP LOAD FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF COMPANY-FILE-OPEN
              CLOSE COMPANY-FILE
              MOVE WS-LITERAL-NO TO WS-0900-COMPANY-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-COMPANY LOAD FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF FIPS-STATE-FILE-OPEN
              CLOSE FIPS-STATE-FILE
              MOVE WS-LITERAL-NO TO WS-0900-FIPS-STATE-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-FIPS STATE LOAD FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF COUNTY-FILE-OPEN
              CLOSE COUNTY-FILE
              MOVE WS-LITERAL-NO TO WS-0900-COUNTY-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-COUNTY LOAD FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF CROP-FILE-OPEN
              CLOSE CROP-FILE
              MOVE WS-LITERAL-NO TO WS-0900-CROP-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-CROP LOAD FILE CLOSED'
           UPON CONSOLE
      $END

           END-IF

           IF CROP-TYPE-FILE-OPEN
              CLOSE CROP-TYPE-FILE
              MOVE WS-LITERAL-NO TO WS-0900-CROP-TYPE-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-CROP TYPE LOAD FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF CROP-POL-TY-FILE-OPEN
              CLOSE CROP-POLICY-TYPE-FILE
              MOVE WS-LITERAL-NO TO WS-0900-CROP-POL-TY-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-CROP POLICY TYPE LOAD FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF

           IF ERROR-MSG-FILE-OPEN
              CLOSE ERROR-MSG-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ERROR-MSG-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0930-ERROR MSG LOAD FILE CLOSED'
           UPON CONSOLE
      $END
           END-IF


      $IF ISAM-SW DEFINED

           IF ADM1-FILE-OPEN
              CLOSE ADM1-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADM1-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADM1G-FILE-OPEN
              CLOSE ADM1G-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADM1G-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADM2-FILE-OPEN
              CLOSE ADM2-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADM2-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADM3-FILE-OPEN
              CLOSE ADM3-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADM3-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADM4-FILE-OPEN
              CLOSE ADM4-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADM4-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMAC-FILE-OPEN
              CLOSE ADMAC-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMAC-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMAR-FILE-OPEN
              CLOSE ADMAR-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMAR-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMC-FILE-OPEN
              CLOSE ADMC-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMC-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMH-FILE-OPEN
              CLOSE ADMH-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMH-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMIR-FILE-OPEN
              CLOSE ADMIR-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMIR-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMIY-FILE-OPEN
              CLOSE ADMIY-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMIY-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMM-FILE-OPEN
              CLOSE ADMM-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMM-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMO-FILE-OPEN
              CLOSE ADMO-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMO-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMR-FILE-OPEN
              CLOSE ADMR-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMR-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMVC-FILE-OPEN
              CLOSE ADMVC-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMVC-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMVS-FILE-OPEN
              CLOSE ADMVS-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMVS-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMWE-FILE-OPEN
              CLOSE ADMWE-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMWE-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMWF-FILE-OPEN
              CLOSE ADMWF-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMWF-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMY-FILE-OPEN
              CLOSE ADMY-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMY-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF ADMSSN-FILE-OPEN
              CLOSE ADMSSN-FILE
              MOVE WS-LITERAL-NO TO WS-0900-ADMSSN-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF TYPE-11-DATES-FILE-OPEN
              CLOSE TYPE-11-DATES-FILE
              MOVE WS-LITERAL-NO TO WS-0900-TYPE-11-DATE-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF TYPE-14-DATES-FILE-OPEN
              CLOSE TYPE-14-DATES-FILE
              MOVE WS-LITERAL-NO TO WS-0900-TYPE-14-DATE-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF T55-AGENT-FILE-OPEN
              CLOSE T55-AGENT-FILE
              MOVE WS-LITERAL-NO TO WS-0900-T55-AGENT-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF T56-ADJUSTER-FILE-OPEN
              CLOSE T56-ADJUSTER-FILE
              MOVE WS-LITERAL-NO TO WS-0900-T56-ADJUSTER-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF PSTATS-FILE-OPEN
              CLOSE POLICY-STATS-FILE
              MOVE WS-LITERAL-NO TO WS-0900-PSTATS-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF STATS-FILE-OPEN
              CLOSE MDAS-STATS-FILE
              MOVE WS-LITERAL-NO TO WS-0900-STATS-FILE-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF

           IF INPUT-BATCH-FILE-OPEN
              CLOSE BATCH-ISAM-FILE
              MOVE WS-LITERAL-NO TO WS-0900-INPUT-BATCH-OPEN
              SUBTRACT 1 FROM WS-0004-FILES-OPEN
           END-IF.

      $END


       0930-CLOSE-FILES-EXIT.
           EXIT.


