      *************************************************************
      * File:      M0932.CBL
      * Author:    Mike Ray
      * Date:      07/11/96
      * Purpose:   Deletes the temporary files used by the program.
      *************************************************************

       0932-DELETE-TEMP-FILES.

      $IF DEBUG-SW DEFINED
           DISPLAY '0932-DELETING TEMPORARY FILES'
           UPON CONSOLE
      $END

           IF WS-0004-USE-TMP-DIR-FLAG = WS-LITERAL-YES
      *       *** DELETE TEMP INPUT FILE ***
      *       INITIALIZE WS-0595-INPUT
      *       MOVE WS-0004-TEMP-IN-FILE-NAME
      *         TO WS-0595-FILE-NAME
      *       PERFORM 0595-DELETE-FILE
      *          THRU 0595-DELETE-FILE-EXIT
      *       IF NOT DELETE-SUCCESS-0595
      *          DISPLAY '0932-UNABLE TO DELETE TEMP INPUT FILE'
      *          UPON CONSOLE
      *       END-IF

      *       *** DELETE TEMP ACCEPTED FILE ***
      *       INITIALIZE WS-0595-INPUT
      *       MOVE WS-0004-TEMP-ACP-FILE-NAME
      *         TO WS-0595-FILE-NAME
      *       PERFORM 0595-DELETE-FILE
      *          THRU 0595-DELETE-FILE-EXIT
      *       IF NOT DELETE-SUCCESS-0595
      *          DISPLAY '0932-UNABLE TO DELETE TEMP ACCEPTED FILE'
      *          UPON CONSOLE
      *       END-IF

      *       *** DELETE TEMP SUSPENDED FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-SUS-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP SUSPENDED FILE'
                 UPON CONSOLE
              END-IF

      *       *** DELETE TEMP ESCROW FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-ESC-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP ESCROW FILE'
                 UPON CONSOLE
              END-IF

      *       *** DELETE TEMP T11 FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-T11-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP T11 ISAM'
                 UPON CONSOLE
              END-IF
              INITIALIZE WS-0595-INPUT
              STRING WS-0004-TEMP-T11-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0595-FILE-NAME
              END-STRING
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP T11 ISAM INDEX'
                 UPON CONSOLE
              END-IF

      *       *** DELETE TEMP T14 FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-T14-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP T14 ISAM'
                 UPON CONSOLE
              END-IF
              INITIALIZE WS-0595-INPUT
              STRING WS-0004-TEMP-T14-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0595-FILE-NAME
              END-STRING
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP T14 ISAM INDEX'
                 UPON CONSOLE
              END-IF

      *       *** DELETE TEMP T55 FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-T55-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP T55 ISAM'
                 UPON CONSOLE
              END-IF
              INITIALIZE WS-0595-INPUT
              STRING WS-0004-TEMP-T55-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0595-FILE-NAME
              END-STRING
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP T55 ISAM INDEX'
                 UPON CONSOLE
              END-IF

      *       *** DELETE TEMP T56 FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-T56-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP T56 ISAM'
                 UPON CONSOLE
              END-IF
              INITIALIZE WS-0595-INPUT
              STRING WS-0004-TEMP-T56-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0595-FILE-NAME
              END-STRING
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP T56 ISAM INDEX'
                 UPON CONSOLE
              END-IF

      *       *** DELETE TEMP PSTATS FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-PSTATS-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP PSTATS ISAM'
                 UPON CONSOLE
              END-IF
              INITIALIZE WS-0595-INPUT
              STRING WS-0004-TEMP-PSTATS-FILE-NAME
               DELIMITED BY SPACE
               '.idx'
               DELIMITED BY SIZE
               INTO WS-0595-FILE-NAME
              END-STRING
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP PSTATS INDEX'
                 UPON CONSOLE
              END-IF

      *       *** DELETE TEMP ERROR FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-ERR-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP ERROR FILE'
                 UPON CONSOLE
              END-IF

      *       *** DELETE TEMP REJECT FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-REJ-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP REJECT FILE'
                 UPON CONSOLE
              END-IF

      *       *** DELETE TEMP REJECT FILE ***
              INITIALIZE WS-0595-INPUT
              MOVE WS-0004-TEMP-PCR-FILE-NAME
                TO WS-0595-FILE-NAME
              PERFORM 0595-DELETE-FILE
                 THRU 0595-DELETE-FILE-EXIT
              IF NOT DELETE-SUCCESS-0595
                 DISPLAY '0932-UNABLE TO DELETE TEMP PCR FILE'
                 UPON CONSOLE
              END-IF

      *    *** DELETE TEMP POLICY FILE ***
           INITIALIZE WS-0595-INPUT
           MOVE WS-0004-TEMP-POL-FILE-NAME
             TO WS-0595-FILE-NAME
           PERFORM 0595-DELETE-FILE
              THRU 0595-DELETE-FILE-EXIT
           IF NOT DELETE-SUCCESS-0595
      *       *** FILE WAS NOT CREATED (NO BUFFER OVERFLOW) ***
              CONTINUE
           END-IF
           END-IF.


       0932-DELETE-TEMP-FILES-EXIT.
           EXIT.


