      *************************************************************
      * File:      M0937.CBL
      * Author:    Mike Ray
      * Date:      07/03/97
      * Purpose:   Writes out the statistics for the current batch
      *            if this is one part of an MDAS file run.
      *************************************************************

       0937-WRITE-MDAS-STATS.

      $IF DEBUG-SW DEFINED
           DISPLAY '0937-WRITING MDAS STATS RECORD'
           UPON CONSOLE
      $END

      ************************************************
      *       WRITE STATISTICS RECORD
      ************************************************

           IF STATS-FILE-OPEN
              WRITE MDAS-STATS-RECORD FROM WS-0937-MDAS-STATS-REC
           ELSE
              MOVE 0937 TO WS-8020-PARAGRAPH-NO
              MOVE 90013 TO WS-8020-INT-ERROR-NO
              MOVE 'MDAS STATS FILE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


      ************************************************
      *          INITIALIZE INPUT FIELDS             *
      ************************************************
           INITIALIZE WS-0937-INPUT.


       0937-WRITE-MDAS-STATS-EXIT.
           EXIT.


