      *****************************************************************
      * File:      0997.CBL
      * Author:    Laura Dittamo
      * Date:      04/18/96
      * Purpose:
      *    This routine marks the associated late filed acreage record
      *    on the Type 11 ISAM file as accepted.
      *****************************************************************

       0997-RECORD-ACCEPTED-11.

      $IF DEBUG-SW DEFINED
           DISPLAY '0997-RECORDING ACCEPTED TYPE 11'
           UPON CONSOLE
      $END

           INITIALIZE WS-7565-INPUT-KEY
           MOVE WS-0997-REPORTING-ORG TO WS-7565-INPUT-REPORTING-ORG
           MOVE WS-0997-rate-STATE TO WS-7565-INPUT-rate-STATE
           MOVE WS-0997-COMPANY-COUNTY TO WS-7565-INPUT-COMPANY-COUNTY
           MOVE WS-0997-POLICY-NUM TO WS-7565-INPUT-POLICY-NUM
           MOVE WS-0997-CROP-YEAR TO WS-7565-INPUT-CROP-YEAR
           MOVE WS-0997-CROP-CD TO WS-7565-INPUT-CROP-CD
           MOVE WS-0997-INSURANCE-PLAN-ID
             TO WS-7565-INPUT-INSURANCE-PLAN
           MOVE WS-0997-RATE-COUNTY
             TO WS-7565-INPUT-RATE-COUNTY
           MOVE WS-0997-SEED-CYCLE-CODE TO WS-7565-INPUT-SEED-CYCLE
           PERFORM 7565-LOOKUP-TYPE-11-DATES
              THRU 7565-LOOKUP-TYPE-11-DATES-EXIT

           IF MATCH-FOUND-7565

      $IF DEBUG-SW DEFINED
           DISPLAY 'MATCH FOUND IN TYPE 11 LATE FILED ACREAGE'
           UPON CONSOLE
      $END
              IF WS-7565-ACCEPTED-DATE = ZEROS
      **      PREPARE TO UPDATE TYPE 11 LATE FILED ACREAGE
      **      THIS IS THE FIRST TYPE 11 ACCEPTED FOR THIS CROP
                 MOVE WS-7565-TYPE-11-DATES-REC
                   TO WS-0980-INPUT-REC
                 MOVE WS-0997-FCIC-CONTROL-DATE
                   TO WS-0980-ACCEPTED-DATE
                 MOVE WS-0997-FCIC-CONTROL-TIME TO WS-0980-ACCEPTED-TIME
                 MOVE WS-0997-BATCH-NO TO WS-0980-ACCEPTED-BATCH-NUM
                 MOVE WS-0997-TRAN-SEQ-NO
                   TO WS-0980-ACCEPTED-TRANS-SEQ-NUM

                 PERFORM 0980-WRITE-TYPE-11-DT-REC
                    THRU 0980-WRITE-TYPE-11-DT-REC-EXIT
              END-IF

           ELSE
              MOVE 0997 TO WS-8020-PARAGRAPH-NO
              MOVE 90012 TO WS-8020-INT-ERROR-NO
              MOVE 'NO 11 ISAM FOUND' TO WS-8020-FIELD-NAME
              MOVE WS-7565-INPUT-KEY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              MOVE WS-0997-TRAN-SEQ-NO
                TO WS-8000-TRAN-SEQ-NO
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.



       0997-RECORD-ACCEPTED-11-EXIT.
           EXIT.




