      *************************************************************
      * File:      WS0900.CBL
      * Author:    Mike Ray
      * Date:      12/19/95
      * Purpose:   Working Storage for File Modules.
      * Contains:
      *    WS0905.CBL FOR 0905-READ-TRANSACTION
      *    WS0928.CBL FOR 0928-RECORD-PCR-MEMO
      *    WS0935.CBL FOR 0935-WRITE-BATCH-HEADER
      *    WS0937.CBL FOR 0937-WRITE-MDAS-STATS
      *    WS0952.CBL FOR 0952-GET-NEXT-BATCH-NO
      *    WS0970.CBL FOR 0970-PRODUCE-ERROR-REPORT
      *    WS0975.CBL FOR 0975-WRITE-TYPE-14-DT-REC
      *    WS0980.CBL FOR 0980-WRITE-TYPE-11-DT-REC
      *    WS0985.CBL FOR 0985-WRITE-T55-AGENT-REC
      *    WS0986.CBL FOR 0986-WRITE-T56-ADJ-REC
      *    WS0987.CBL FOR 0987-WRITE-POL-STATS-REC
      *    WS0988.CBL FOR 0988-DELETE-POL-STATS-REC
      *    WS0989.CBL FOR 0989-SUM-POLICY-STATS
      *    WS0995.CBL FOR 0995-RECORD-ACCEPTED-14
      *    WS0997.CBL FOR 0997-RECORD-ACCEPTED-11
      *    WS0998.CBL FOR 0998-UPDATE-T11-LFA
      *************************************************************

       COPY 'FILES/WS0905.CBL'.
       COPY 'FILES/WS0928.CBL'.
       COPY 'FILES/WS0935.CBL'.
       COPY 'FILES/WS0937.CBL'.
       COPY 'FILES/WS0952.CBL'.
       COPY 'FILES/WS0975.CBL'.
       COPY 'FILES/WS0980.CBL'.
       COPY 'FILES/WS0985.CBL'.
       COPY 'FILES/WS0986.CBL'.
       COPY 'FILES/WS0987.CBL'.
       COPY 'FILES/WS0988.CBL'.
       COPY 'FILES/WS0989.CBL'.
       COPY 'FILES/WS0995.CBL'.
       COPY 'FILES/WS0997.CBL'.
       COPY 'FILES/WS0998.CBL'.


       01  WS-0900-FILE-STATUS.
           05 WS-0900-INPUT-FILE-OPEN       PIC X(01).
              88 INPUT-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-ACCEPT-FILE-OPEN      PIC X(01).
              88 ACCEPT-FILE-OPEN           VALUE 'Y'.
           05 WS-0900-REJECT-FILE-OPEN      PIC X(01).
              88 REJECT-FILE-OPEN           VALUE 'Y'.
           05 WS-0900-SUSPEND-FILE-OPEN     PIC X(01).
              88 SUSPEND-FILE-OPEN          VALUE 'Y'.
           05 WS-0900-ESCROW-FILE-OPEN      PIC X(01).
              88 ESCROW-FILE-OPEN           VALUE 'Y'.
           05 WS-0900-PMEMO-FILE-OPEN       PIC X(01).
              88 PMEMO-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-STATS-FILE-OPEN       PIC X(01).
              88 STATS-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-LOG-FILE-OPEN         PIC X(01).
              88 LOG-FILE-OPEN              VALUE 'Y'.
           05 WS-0900-SUM-FILE-OPEN         PIC X(01).
              88 SUM-FILE-OPEN              VALUE 'Y'.
           05 WS-0900-ERR-RPT-FILE-OPEN     PIC X(01).
              88 ERR-RPT-FILE-OPEN          VALUE 'Y'.
           05 WS-0900-TEMP-POLICY-FILE-OPEN PIC X(01).
              88 TEMP-POL-FILE-OPEN         VALUE 'Y'.
           05 WS-0900-TEMP-ERR-FILE-OPEN    PIC X(01).
              88 TEMP-ERR-FILE-OPEN         VALUE 'Y'.
           05 WS-0900-IN-ERR-FILE-OPEN      PIC X(01).
              88 IN-ERR-FILE-OPEN           VALUE 'Y'.
           05 WS-0900-TEMP-REJECT-FILE-OPEN PIC X(01).
              88 TEMP-REJECT-FILE-OPEN      VALUE 'Y'.
           05 WS-0900-IP-FILE-OPEN          PIC X(01).
              88 IP-FILE-OPEN               VALUE 'Y'.
           05 WS-0900-COMPANY-FILE-OPEN     PIC X(01).
              88 COMPANY-FILE-OPEN          VALUE 'Y'.
           05 WS-0900-FIPS-STATE-FILE-OPEN  PIC X(01).
              88 FIPS-STATE-FILE-OPEN       VALUE 'Y'.
           05 WS-0900-COUNTY-FILE-OPEN      PIC X(01).
              88 COUNTY-FILE-OPEN           VALUE 'Y'.
           05 WS-0900-CROP-FILE-OPEN        PIC X(01).
              88 CROP-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-CROP-TYPE-FILE-OPEN   PIC X(01).
              88 CROP-TYPE-FILE-OPEN        VALUE 'Y'.
           05 WS-0900-CROP-POL-TY-FILE-OPEN PIC X(01).
              88 CROP-POL-TY-FILE-OPEN      VALUE 'Y'.
           05 WS-0900-ERROR-MSG-FILE-OPEN   PIC X(01).
              88 ERROR-MSG-FILE-OPEN        VALUE 'Y'.
           05 WS-0900-SCD-FILE-OPEN         PIC X(01).
              88 SCD-FILE-OPEN              VALUE 'Y'.
           05 WS-0900-ARD-FILE-OPEN         PIC X(01).
              88 ARD-FILE-OPEN              VALUE 'Y'.
           05 WS-0900-t14expr-FILE-OPEN    PIC X(01).
              88 t14expr-FILE-OPEN         VALUE 'Y'.

      $IF ISAM-SW DEFINED

       01 WS-0900-ADM-FILE-STATUS.
           05 WS-0900-ADM1-FILE-OPEN        PIC X(01).
              88 ADM1-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADM1G-FILE-OPEN       PIC X(01).
              88 ADM1G-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-ADM2-FILE-OPEN        PIC X(01).
              88 ADM2-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADM3-FILE-OPEN        PIC X(01).
              88 ADM3-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADM4-FILE-OPEN        PIC X(01).
              88 ADM4-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADMAC-FILE-OPEN       PIC X(01).
              88 ADMAC-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-ADMAR-FILE-OPEN       PIC X(01).
              88 ADMAR-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-ADMC-FILE-OPEN        PIC X(01).
              88 ADMC-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADMH-FILE-OPEN        PIC X(01).
              88 ADMH-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADMIR-FILE-OPEN       PIC X(01).
              88 ADMIR-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-ADMIY-FILE-OPEN       PIC X(01).
              88 ADMIY-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-ADMM-FILE-OPEN        PIC X(01).
              88 ADMM-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADMO-FILE-OPEN        PIC X(01).
              88 ADMO-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADMR-FILE-OPEN        PIC X(01).
              88 ADMR-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADMY-FILE-OPEN        PIC X(01).
              88 ADMY-FILE-OPEN             VALUE 'Y'.
           05 WS-0900-ADMSSN-FILE-OPEN      PIC X(01).
              88 ADMSSN-FILE-OPEN           VALUE 'Y'.
           05 WS-0900-INPUT-BATCH-OPEN      PIC X(01).
              88 INPUT-BATCH-FILE-OPEN      VALUE 'Y'.
           05 WS-0900-ADMVC-FILE-OPEN       PIC X(01).
              88 ADMVC-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-ADMVS-FILE-OPEN       PIC X(01).
              88 ADMVS-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-ADMWE-FILE-OPEN       PIC X(01).
              88 ADMWE-FILE-OPEN            VALUE 'Y'.
           05 WS-0900-ADMWF-FILE-OPEN       PIC X(01).
              88 ADMWF-FILE-OPEN            VALUE 'Y'.

       01 WS-0900-DATE-FILE-STATUS.
           05 WS-0900-TYPE-11-DATE-FILE-OPEN  PIC X(01).
              88 TYPE-11-DATES-FILE-OPEN      VALUE 'Y'.
           05 WS-0900-TYPE-14-DATE-FILE-OPEN  PIC X(01).
              88 TYPE-14-DATES-FILE-OPEN      VALUE 'Y'.

       01 WS-0900-AGENT-FILE-STATUS.
           05 WS-0900-T55-AGENT-FILE-OPEN    PIC X(01).
              88 T55-AGENT-FILE-OPEN         VALUE 'Y'.

       01 WS-0900-ADJUSTER-FILE-STATUS.
           05 WS-0900-T56-ADJUSTER-FILE-OPEN PIC X(01).
              88 T56-ADJUSTER-FILE-OPEN      VALUE 'Y'.

       01 WS-0900-STATS-FILE-STATUS.
           05 WS-0900-PSTATS-FILE-OPEN       PIC X(01).
              88 PSTATS-FILE-OPEN            VALUE 'Y'.

       01 T14EXPR-REC-FOUND-SW            PIC X(01) VALUE SPACE.
          88 T14EXPR-REC-FOUND            VALUE 'Y'.
      $END

       01 WS-0900-TRAN-REC.
          05 WS-0915-ACCEPT-REC.
             10 WS-0915-TRANS-REC.
                15 WS-0915-TRAN-TYPE              PIC X(02).            1
                15 FILLER                         PIC X(18).            3
                15 WS-0915-CROP-CD                PIC 9(04).            21
                15 WS-0915-OLD-REINS-YR
                   redefines ws-0915-crop-cd      PIC 9(04).            21
                15 WS-0915-OLD-CLAIM-NUMBER       PIC 9(08).            25
                15 FILLER                         PIC X(09).            33
                15 WS-0915-CLAIM-NUM              PIC 9(08).            42
                15 WS-0915-REINSURE-YR            PIC 9(04).            50
                15 FILLER                         PIC X(22).            54
                15 WS-0915-REC-NO                 PIC X(03).            76
                15 WS-0915-TRAN                   PIC X(272).           79
                15 WS-0915-T11 REDEFINES WS-0915-TRAN.
                   20 FILLER                         PIC X(73).
                   20 WS-0915-T11-ACRES              PIC 9(06)V9(02).
                   20 FILLER                         PIC X(18).
                   20 WS-0915-T11-INSURED-SHARE      PIC 9(01)V9(03).   182
                   20 WS-0915-T11-LIABILITY          PIC 9(09).
                   20 FILLER                         PIC X(31).
                   20 WS-0915-T11-PREMIUM            PIC 9(08).
                   20 WS-0915-T11-PROD-PREMIUM       PIC 9(08).
                   20 FILLER                         PIC X(113).
                15 WS-0915-T12 REDEFINES WS-0915-TRAN.
                   20 FILLER                         PIC X(02).
                   20 WS-0915-T12-PAID-AMT           PIC S9(08)V9(02).
                   20 FILLER                         PIC X(218).
                   20 WS-0915-T12-PARENT-TSEQ-NO     PIC X(08).
                   20 WS-0915-T12-PCR-MEMO-POLICY    PIC X(18).
                   20 FILLER                         PIC X(16).
                15 WS-0915-T21 REDEFINES WS-0915-TRAN.
                   20 FILLER                         PIC X(76).
                   20 WS-0915-T21-INDEMNITY          PIC S9(08).
                   20 FILLER                         PIC X(188).
             10 WS-0915-FCIC-CONTROL-TIME      PIC 9(08).
             10 WS-0915-FCIC-CONTROL-DATE      PIC 9(08).
             10 WS-0915-REINS-YR               PIC 9(04).
             10 WS-0915-BATCH-NO               PIC 9(04).
             10 WS-0915-TRAN-SEQ-NO            PIC 9(08).
             10 WS-0915-TRAN-REJECTED-FLAG     PIC X(01).
             10 WS-0915-TRAN-SOURCE-FLAG       PIC X(01).
             10 WS-0915-MDAS-PROCESS-NO        PIC 9(02).
             10 FILLER                         PIC X(13).
             10 WS-0915-POSITION-400           PIC X(01).


          05 WS-0920-REJECT-REC REDEFINES WS-0915-ACCEPT-REC.
             10 WS-0920-TRANS-REC.
                15 WS-0920-TRAN-TYPE              PIC X(02).
                15 FILLER                         PIC X(18).
                15 WS-0920-CROP-CD                PIC 9(04).
                15 FILLER                         PIC X(51).
                15 WS-0920-REC-NO                 PIC X(03).
                15 WS-0920-TRAN                   PIC X(272).
                15 WS-0920-T10 REDEFINES WS-0920-TRAN.
                   20 FILLER                         PIC X(03).
                   20 WS-0920-T10-ID-NUMBER          PIC 9(09).
                   20 FILLER                         PIC X(260).
                15 WS-0920-T11 REDEFINES WS-0920-TRAN.
                   20 FILLER                         PIC X(73).
                   20 WS-0920-T11-ACRES              PIC 9(06)V9(02).
                   20 FILLER                         PIC X(18).
                   20 WS-0920-T11-INSURED-SHARE      PIC 9(01)V9(03).
                   20 WS-0920-T11-LIABILITY          PIC 9(09).
                   20 FILLER                         PIC X(31).
                   20 WS-0920-T11-PREMIUM            PIC 9(08).
                   20 WS-0920-T11-PROD-PREMIUM       PIC 9(08).
                   20 FILLER                         PIC X(113).
                15 WS-0920-T12 REDEFINES WS-0920-TRAN.
                   20 FILLER                         PIC X(02).
                   20 WS-0920-T12-PAID-AMT           PIC S9(08)V9(02).
                   20 FILLER                         PIC X(218).
                   20 WS-0920-T12-PARENT-TSEQ-NO     PIC X(08).
                   20 WS-0920-T12-PCR-MEMO-POLICY    PIC X(18).
                   20 FILLER                         PIC X(16).
                15 WS-0920-T21 REDEFINES WS-0920-TRAN.
                   20 FILLER                         PIC X(76).
                   20 WS-0920-T21-INDEMNITY          PIC S9(08).
                   20 FILLER                         PIC X(188).
             10 WS-0920-FCIC-CONTROL-TIME      PIC 9(08).
             10 WS-0920-FCIC-CONTROL-DATE      PIC 9(08).
             10 WS-0920-REINS-YR               PIC 9(04).
             10 WS-0920-BATCH-NO               PIC 9(04).
             10 WS-0920-TRAN-SEQ-NO            PIC 9(08).
             10 WS-0920-TRAN-REJECTED-FLAG     PIC X(01).
             10 WS-0920-TRAN-SOURCE-FLAG       PIC X(01).
             10 WS-0920-MDAS-PROCESS-NO        PIC 9(02).
             10 FILLER                         PIC X(13).
             10 WS-0920-POSITION-400           PIC X(01).


          05 WS-0925-SUSPEND-REC REDEFINES WS-0915-ACCEPT-REC.
             10 WS-0925-TRANS-REC.
                15 WS-0925-TRAN-TYPE              PIC X(02).
                15 FILLER                         PIC X(18).
                15 WS-0925-CROP-CD                PIC 9(04).
                15 FILLER                         PIC X(51).
                15 WS-0925-REC-NO                 PIC X(03).
                15 WS-0925-TRAN                   PIC X(272).
                15 WS-0925-T11 REDEFINES WS-0925-TRAN.
                   20 FILLER                         PIC X(73).
                   20 WS-0925-T11-ACRES              PIC 9(06)V9(02).
                   20 FILLER                         PIC X(18).
                   20 WS-0925-T11-INSURED-SHARE      PIC 9(01)V9(03).
                   20 WS-0925-T11-LIABILITY          PIC 9(09).
                   20 FILLER                         PIC X(31).
                   20 WS-0925-T11-PREMIUM            PIC 9(08).
                   20 WS-0925-T11-PROD-PREMIUM       PIC 9(08).
                   20 FILLER                         PIC X(113).
                15 WS-0925-T12 REDEFINES WS-0925-TRAN.
                   20 FILLER                         PIC X(02).
                   20 WS-0925-T12-PAID-AMT           PIC S9(08)V9(02).
                   20 FILLER                         PIC X(260).
                15 WS-0925-T21 REDEFINES WS-0925-TRAN.
                   20 FILLER                         PIC X(76).
                   20 WS-0925-T21-INDEMNITY          PIC S9(08).
                   20 FILLER                         PIC X(188).
             10 WS-0925-FCIC-CONTROL-TIME      PIC 9(08).
             10 WS-0925-FCIC-CONTROL-DATE      PIC 9(08).
             10 WS-0925-REINS-YR               PIC 9(04).
             10 WS-0925-BATCH-NO               PIC 9(04).
             10 WS-0925-TRAN-SEQ-NO            PIC 9(08).
             10 WS-0925-TRAN-REJECTED-FLAG     PIC X(01).
             10 WS-0925-TRAN-SOURCE-FLAG       PIC X(01).
             10 WS-0925-MDAS-PROCESS-NO        PIC 9(02).
             10 FILLER                         PIC X(13).
             10 WS-0925-POSITION-400           PIC X(01).


          05 WS-0927-ESCROW-REC REDEFINES WS-0915-ACCEPT-REC.
             10 WS-0927-TRANS-REC.
                15 WS-0927-TRAN-TYPE              PIC X(02).
                15 FILLER                         PIC X(18).
                15 WS-0927-CROP-CD                PIC 9(04).
                15 FILLER                         PIC X(51).
                15 WS-0927-REC-NO                 PIC X(03).
                15 WS-0927-TRAN                   PIC X(272).
                15 WS-0927-T11 REDEFINES WS-0927-TRAN.
                   20 FILLER                         PIC X(73).
                   20 WS-0927-T11-ACRES              PIC 9(06)V9(02).
                   20 FILLER                         PIC X(22).
                   20 WS-0927-T11-LIABILITY          PIC 9(09).
                   20 FILLER                         PIC X(31).
                   20 WS-0927-T11-PREMIUM            PIC 9(08).
                   20 WS-0927-T11-PROD-PREMIUM       PIC 9(08).
                   20 FILLER                         PIC X(113).
                15 WS-0927-T12 REDEFINES WS-0927-TRAN.
                   20 FILLER                         PIC X(02).
                   20 WS-0927-T12-PAID-AMT           PIC S9(08)V9(02).
                   20 FILLER                         PIC X(260).
                15 WS-0927-T21 REDEFINES WS-0927-TRAN.
                   20 FILLER                         PIC X(76).
                   20 WS-0927-T21-INDEMNITY          PIC S9(08).
                   20 FILLER                         PIC X(188).
             10 WS-0927-FCIC-CONTROL-TIME      PIC 9(08).
             10 WS-0927-FCIC-CONTROL-DATE      PIC 9(08).
             10 WS-0927-REINS-YR               PIC 9(04).
             10 WS-0927-BATCH-NO               PIC 9(04).
             10 WS-0927-TRAN-SEQ-NO            PIC 9(08).
             10 WS-0927-TRAN-REJECTED-FLAG     PIC X(01).
             10 WS-0927-TRAN-SOURCE-FLAG       PIC X(01).
             10 WS-0927-MDAS-PROCESS-NO        PIC 9(02).
             10 FILLER                         PIC X(13).
             10 WS-0927-POSITION-400           PIC X(01).


           05  WS-0940-HOLD-REC REDEFINES WS-0915-ACCEPT-REC.
               10 WS-0940-TRANS-REC.
                  15 WS-0940-TRAN-TYPE              PIC 9(02).
                  15 WS-0940-POLICY-NO              PIC X(18).
                  15 FILLER                         PIC X(21).
                  15 WS-0940-CLAIM-NO               PIC 9(08).
                  15 WS-0940-FILLER-1               PIC X(26).
                  15 WS-0940-RECORD-NO              PIC 9(03).
                  15 WS-0940-FILLER-1               PIC X(193).
                  15 WS-0940-T21-VALID-FOR-ESCROW   PIC X(01).
                  15 WS-0940-FILLER-2               PIC X(50).
                  15 WS-0940-FILLER-3               PIC X(28).
                  15 WS-0940-T14-FIELDS REDEFINES
                     WS-0940-FILLER-3.
                     20 FILLER                         PIC X(04).
                     20 WS-0940-T14-ORIG-SUB-TIME      PIC X(08).
                     20 WS-0940-T14-ORIG-SUB-DATE      PIC 9(08).
                     20 FILLER                         PIC X(08).
                  15 WS-0940-OTHER-FIELDS REDEFINES
                     WS-0940-FILLER-3.
                     20 FILLER                         PIC X(11).
                     20 WS-0940-T20-VALID-FOR-ESCROW   PIC X(01).
                     20 WS-0940-FILLER-4               PIC X(03).
                     20 WS-0940-WEEKS-LATE             PIC 9(02).
                     20 WS-0940-FIRST-SUBMISSION-FLG   PIC X(01).
                     20 WS-0940-FILLER-5               PIC X(10).
                  15 WS-0940-FCIC-CONTROL-TIME      PIC 9(08).
                  15 WS-0940-FCIC-CONTROL-DATE      PIC 9(08).
                  15 WS-0940-REINS-YR               PIC 9(04).
                  15 WS-0940-BATCH-NO               PIC 9(04).
                  15 WS-0940-TRAN-SEQ-NO            PIC 9(08).
                  15 WS-0940-TRAN-REJECTED-FLAG     PIC X(01).
                  15 WS-0940-TRAN-SOURCE-FLAG       PIC X(01).
                  15 WS-0940-MDAS-PROCESS-NO        PIC 9(02).
                  15 FILLER                         PIC X(13).
                  15 WS-0940-POSITION-400           PIC X(01).


       01 WS-0900-BATCH-REC.
          05 WS-0900-BATCH-KEY.
             10 WS-0900-BATCH-YR               PIC 9(04).
             10 WS-0900-BATCH-RO               PIC X(02).
             10 WS-0900-BATCH-NO               PIC 9(08).
          05 WS-0900-BATCH-DATA.
             10 WS-0900-FILE-NAME              PIC X(20).
             10 WS-0900-FCIC-CTRL-DT           PIC 9(08).
             10 WS-0900-FCIC-CTRL-TIME         PIC 9(06).
             10 WS-0900-SYS-DATE               PIC 9(08).
             10 WS-0900-SYS-TIME               PIC 9(06).
             10 WS-0900-TRANS-RECS-COUNT       PIC 9(12).
             10 WS-0900-ACCEPT-TRANS           PIC 9(12).
             10 WS-0900-REJECT-TRANS           PIC 9(12).
             10 WS-0900-SUSPEND-TRANS          PIC 9(12).
      *****  ACREAGE  *****
             10 WS-0900-TOT-ACRES              PIC 9(12).
             10 WS-0900-ACCEPT-TOT-ACRES       PIC 9(12).
             10 WS-0900-REJECT-TOT-ACRES       PIC 9(12).
             10 WS-0900-SUSPEND-TOT-ACRES      PIC 9(12).
      *****  LIABILITY  *****
             10 WS-0900-TOT-LIAB               PIC 9(12).
             10 WS-0900-ACCEPT-TOT-LIAB        PIC 9(12).
             10 WS-0900-REJECT-TOT-LIAB        PIC 9(12).
             10 WS-0900-SUSPEND-TOT-LIAB       PIC 9(12).
      *****  PREMIUM  *****
             10 WS-0900-TOT-PREM               PIC 9(12).
             10 WS-0900-ACCEPT-TOT-PREM        PIC 9(12).
             10 WS-0900-REJECT-TOT-PREM        PIC 9(12).
             10 WS-0900-SUSPEND-TOT-PREM       PIC 9(12).
      *****  PRODUCER PREMIUM  *****
             10 WS-0900-TOT-PRD-PR             PIC 9(12).
             10 WS-0900-ACCEPT-TOT-PRD-PR      PIC 9(12).
             10 WS-0900-REJECT-TOT-PRD-PR      PIC 9(12).
             10 WS-0900-SUSPND-TOT-PRD-PR      PIC 9(12).
      *****  LOSSES  *****
             10 WS-0900-TOT-LOSSES             PIC 9(12).
             10 WS-0900-ACCEPT-TOT-LOSS        PIC 9(12).
             10 WS-0900-REJECT-TOT-LOSS        PIC 9(12).
             10 WS-0900-SUSPEND-TOT-LOSS       PIC 9(12).
      *****  PAID  *****
             10 WS-0900-TOTAL-PAID             PIC 9(12).
             10 WS-0900-ACCEPT-TOT-PAID        PIC 9(12).
             10 WS-0900-REJECT-TOT-PAID        PIC 9(12).
             10 WS-0900-SUSPEND-TOT-PD         PIC 9(12).
      *****  TOTAL ERRORS  *****
             10 WS-0900-TOTAL-ERRORS           PIC 9(14).
