      *******************************************************************
      * File:      WS0937.CBL                                           *
      * Author:    Mike Ray                                             *
      * Date:      07/03/97                                             *
      *            Working storage for 0937-WRITE-MDAS-STATS            *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************
       01 WS-0937-INPUT.
          05 WS-0937-MDAS-STATS-REC.
             10 WS-0937-MDAS-PROCESS-NO        PIC 9(02).
             10 WS-0937-STATISTICS.
                15 WS-0937-TRAN-TOTALS.
                   20 WS-0937-ACCEPTED-TRANSACTIONS  PIC 9(07).
                   20 WS-0937-REJECTED-TRANSACTIONS  PIC 9(07).
                   20 WS-0937-SUSPENDED-TRANSACTIONS PIC 9(07).
                   20 WS-0937-ESCROW-TRANSACTIONS    PIC 9(07).
                   20 WS-0937-PCR-MEMO-TRANSACTIONS  PIC 9(07).
                15 WS-0937-ERROR-STATS.
                   20 WS-0937-FIELD-VAL-ERRORS       PIC 9(10).
                   20 WS-0937-INTER-FIELD-VAL-ERRORS PIC 9(10).
                   20 WS-0937-INTER-REC-VAL-ERRORS   PIC 9(10).
                   20 WS-0937-PROGRAMMER-ERRORS      PIC 9(10).
                15 WS-0937-FILE-STATS.
                   20 WS-0937-MAX-FILES-OPENED       PIC 9(03).
                   20 WS-0937-11-DT-RECS-ADDED       PIC 9(07).
                   20 WS-0937-11-DT-RECS-UPDATED     PIC 9(07).
                   20 WS-0937-14-DT-RECS-ADDED       PIC 9(07).
                   20 WS-0937-14-DT-RECS-UPDATED     PIC 9(07).
                15 WS-0937-TABLE-STATS.
                   20 WS-0937-SBI-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-T11-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-T12-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-T14-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-T15-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-T16-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-T20-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-T21-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-T50-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-T99-MAX-TABLE-SIZE     PIC 9(03).
                   20 WS-0937-ASGD-RISK-MAX-TBL-SIZE PIC 9(03).
                   20 WS-0937-T11-UNIT-MAX-TBL-SIZE  PIC 9(03).
                   20 WS-0937-T20-CLAIM-MAX-TBL-SIZE PIC 9(03).
                   20 WS-0937-T21-UNIT-MAX-TBL-SIZE  PIC 9(03).
                   20 WS-0937-T21-CROP-MAX-TBL-SIZE  PIC 9(03).
                15 WS-0937-INFILE-STATS.
                   20 WS-0937-INFILE-TOTAL-RECS      PIC 9(07).
                   20 WS-0937-INFILE-POLICY-RECS     PIC 9(07).
                   20 WS-0937-INFILE-SBI-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T11-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T12-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T14-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T15-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T16-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T20-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T21-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T33-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T49-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T50-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T55-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T56-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T65-RECS        PIC 9(07).
                   20 WS-0937-INFILE-T97-RECS        PIC 9(07).
                   20 WS-0937-INFILE-UNKNOWN-RECS    PIC 9(07).
                   20 WS-0937-INFILE-ACRES           PIC 9(10).
                   20 WS-0937-INFILE-LIABILITY       PIC 9(10).
                   20 WS-0937-INFILE-PREMIUM         PIC 9(08).
                   20 WS-0937-INFILE-PROD-PREM       PIC 9(08).
                   20 WS-0937-INFILE-LOSSES          PIC S9(08).
                   20 WS-0937-INFILE-PAID            PIC S9(08).
                15 WS-0937-T97-STATS.
                   20 WS-0937-T97-TOTAL-RECS         PIC 9(07).
                   20 WS-0937-T97-T10-RECS           PIC 9(07).
                   20 WS-0937-T97-T11-RECS           PIC 9(07).
                   20 WS-0937-T97-T12-RECS           PIC 9(07).
                   20 WS-0937-T97-T15-RECS           PIC 9(07).
                   20 WS-0937-T97-T20-RECS           PIC 9(07).
                   20 WS-0937-T97-T21-RECS           PIC 9(07).
                   20 WS-0937-T97-T49-RECS           PIC 9(07).
                   20 WS-0937-T97-ASSIGNED-RISK-CNT  PIC 9(07).
                   20 WS-0937-T97-OTHER-RECS         PIC 9(07).
                   20 WS-0937-T97-ACRES              PIC 9(10).
                   20 WS-0937-T97-LIABILITY          PIC 9(10).
                   20 WS-0937-T97-PREMIUM            PIC 9(08).
                   20 WS-0937-T97-PROD-PREM          PIC 9(08).
                   20 WS-0937-T97-LOSSES             PIC 9(08).
                   20 WS-0937-T97-PAID               PIC 9(08).
                15 WS-0937-REJECTED-STATS.
                   20 WS-0937-REJECTED-POLICY-RECS   PIC 9(07).
                   20 WS-0937-REJECTED-SBI-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T11-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T12-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T14-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T15-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T16-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T20-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T21-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T33-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T49-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T50-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T55-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T56-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T65-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-T97-RECS      PIC 9(07).
                   20 WS-0937-REJECTED-PCR-MEMO-RECS PIC 9(07).
                   20 WS-0937-REJECTED-UNKNOWN-RECS  PIC 9(07).
                   20 WS-0937-REJECTED-ACRES         PIC 9(10).
                   20 WS-0937-REJECTED-LIABILITY     PIC 9(10).
                   20 WS-0937-REJECTED-PREMIUM       PIC 9(08).
                   20 WS-0937-REJECTED-PROD-PREM     PIC 9(08).
                   20 WS-0937-REJECTED-LOSSES        PIC S9(08).
                   20 WS-0937-REJECTED-PAID          PIC S9(08).
                   20 WS-0937-REJECTED-ACRES-YTD     PIC 9(10).
                   20 WS-0937-REJECTED-LIABILITY-YTD PIC 9(10).
                   20 WS-0937-REJECTED-PREMIUM-YTD   PIC 9(08).
                   20 WS-0937-REJECTED-PROD-PREM-YTD PIC 9(08).
                   20 WS-0937-REJECTED-LOSSES-YTD    PIC S9(08).
                   20 WS-0937-REJECTED-PAID-YTD      PIC S9(08).
                15 WS-0937-ACCEPTED-STATS.
                   20 WS-0937-ACCEPTED-POLICY-RECS   PIC 9(07).
                   20 WS-0937-ACCEPTED-SBI-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T11-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T12-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T14-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T15-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T16-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T20-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T21-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T33-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T49-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T50-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T55-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T56-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T65-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-T97-RECS      PIC 9(07).
                   20 WS-0937-ACCEPTED-PCR-MEMO-RECS PIC 9(07).
                   20 WS-0937-ACCEPTED-UNKNOWN-RECS  PIC 9(07).
                   20 WS-0937-ACCEPTED-ACRES         PIC 9(10).
                   20 WS-0937-ACCEPTED-LIABILITY     PIC 9(10).
                   20 WS-0937-ACCEPTED-PREMIUM       PIC 9(08).
                   20 WS-0937-ACCEPTED-PROD-PREM     PIC 9(08).
                   20 WS-0937-ACCEPTED-LOSSES        PIC S9(08).
                   20 WS-0937-ACCEPTED-PAID          PIC S9(08).
                   20 WS-0937-ACCEPTED-ACRES-YTD     PIC 9(10).
                   20 WS-0937-ACCEPTED-LIABILITY-YTD PIC 9(10).
                   20 WS-0937-ACCEPTED-PREMIUM-YTD   PIC 9(08).
                   20 WS-0937-ACCEPTED-PROD-PREM-YTD PIC 9(08).
                   20 WS-0937-ACCEPTED-LOSSES-YTD    PIC S9(08).
                   20 WS-0937-ACCEPTED-PAID-YTD      PIC S9(08).
                15 WS-0937-SUSPENDED-STATS.
                   20 WS-0937-SUSPENDED-POLICY-RECS  PIC 9(07).
                   20 WS-0937-SUSPENDED-SBI-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T11-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T12-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T14-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T15-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T16-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T20-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T21-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T33-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T49-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T50-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T55-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T56-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T65-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-T97-RECS     PIC 9(07).
                   20 WS-0937-SUSPENDED-UNKNOWN-RECS PIC 9(07).
                   20 WS-0937-SUSPENDED-ACRES        PIC 9(10).
                   20 WS-0937-SUSPENDED-LIABILITY    PIC 9(10).
                   20 WS-0937-SUSPENDED-PREMIUM      PIC 9(08).
                   20 WS-0937-SUSPENDED-PROD-PREM    PIC 9(08).
                   20 WS-0937-SUSPENDED-LOSSES       PIC S9(08).
                   20 WS-0937-SUSPENDED-PAID         PIC S9(08).
                15 WS-0937-ESCROW-STATS.
                   20 WS-0937-ESCROW-POLICY-RECS     PIC 9(07).
                   20 WS-0937-ESCROW-T20-RECS        PIC 9(07).
                   20 WS-0937-ESCROW-T21-RECS        PIC 9(07).
                   20 WS-0937-ESCROW-LOSSES          PIC S9(08).
                   20 WS-0937-ESCROW-LOSSES-YTD      PIC S9(08).


