      *******************************************************************
      * File:      WS0980.CBL                                           *
      * Author:    Laura Dittamo                                        *
      * Date:      1/26/96                                              *
      *            Working storage for 0980-WRITE-TYPE-11-DT-REC        *
      *            These working storage variables are used to          *
      *            populate/store records in the Type 11 Dates ISAM file*
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-0980-INPUT-REC.
          05 WS-0980-INPUT-KEY.
             10 WS-0980-REPORTING-ORG          PIC X(02).               1
             10 WS-0980-RATE-STATE             PIC 9(02).               3
             10 WS-0980-COMPANY-COUNTY         PIC 9(03).               5
             10 WS-0980-POLICY-NUM             PIC 9(07).               8
             10 WS-0980-CROP-YEAR              PIC 9(04).               15
             10 WS-0980-RATE-COUNTY            PIC 9(03).               19
             10 WS-0980-CROP-CD                PIC 9(04).               22
             10 WS-0980-INSURANCE-PLAN-ID      PIC 9(02).               26
             10 WS-0980-SEED-CYCLE             PIC X(01).               28
          05 WS-0980-INPUT-DATA.
             10 WS-0980-LATE-FILED-DATE        PIC 9(08).               29
             10 WS-0980-REDUCTION-WEEKS        PIC 9(02).               37
             10 WS-0980-ORIG-SUB-DATE          PIC 9(08).               39
             10 WS-0980-ORIG-SUB-BATCH-NUM     PIC 9(08).               47
             10 WS-0980-ORIG-SUB-TRANS-SEQ-NUM PIC 9(08).               55
             10 WS-0980-ACREAGE-RPT-DATE       PIC 9(08).               63
             10 WS-0980-ACCEPTED-DATE          PIC 9(08).               71
             10 WS-0980-ACCEPTED-TIME          PIC 9(06).
             10 WS-0980-ACCEPTED-BATCH-NUM     PIC 9(08).
             10 WS-0980-ACCEPTED-TRANS-SEQ-NUM PIC 9(08).
             10 WS-0980-OVERRIDE-APPROVAL-CD   PIC X(03).
             10 WS-0980-OVERRIDE-USER-ID       PIC X(09).
             10 WS-0980-OVERRIDE-DATE          PIC 9(08).



