      *******************************************************************
      * File:      WS0985.CBL                                           *
      * Author:    Mike Ray                                             *
      * Date:      03/12/97                                             *
      *            Working storage for 0985-WRITE-T55-AGENT-REC         *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************
       01 WS-0985-INPUT.
          05 WS-0985-REJECTED-FLAG          PIC X(01).
          05 WS-0985-INPUT-T55.
             10 WS-0985-RECORD-TYPE            PIC 9(02).
             10 WS-0985-REPORTING-ORG          PIC X(02).
             10 WS-0985-SERV-STATE             PIC 9(02).
             10 WS-0985-ACTIVE-FLG             PIC X(01).
             10 WS-0985-INACTIVE-DATE          PIC X(08).
             10 WS-0985-FILLER-1               PIC X(02).
             10 WS-0985-CROP-YEAR              PIC 9(04).
             10 WS-0985-TYPE-OF-ID-CODE        PIC X(01).
             10 WS-0985-AGENT-ID               PIC X(09).
             10 WS-0985-AGENT-LAST-NAME        PIC X(20).
             10 WS-0985-AGENT-FIRST-NAME       PIC X(12).
             10 WS-0985-AGENT-MID-NAME         PIC X(10).
             10 WS-0985-AGENT-SUFFIX           PIC X(05).
             10 WS-0985-AGENT-TITLE            PIC X(04).
             10 WS-0985-AGENCY-NAME            PIC X(35).
             10 WS-0985-BUSINESS-ADDRESS       PIC X(35).
             10 WS-0985-CITY                   PIC X(35).
             10 WS-0985-COUNTY                 PIC 9(03).
             10 WS-0985-ADDRESS-STATE          PIC X(02).
             10 WS-0985-ZIP-CODE               PIC 9(05).
             10 WS-0985-ZIP-EXTEN              PIC 9(04).
             10 WS-0985-FILLER-2               PIC X(06).
             10 WS-0985-PHONE-NUM              PIC 9(10).
             10 WS-0985-PHONE-EXTEN            PIC X(06).
             10 WS-0985-FILLER-3               PIC X(26).
             10 WS-0985-SOC-SEC-NUM            PIC 9(09).
             10 WS-0985-FILLER-4               PIC X(84).
             10 WS-0985-CONTROL-DATE           PIC X(08).
             10 WS-0985-FCIC-CONTROL-TIME      PIC 9(08).
             10 WS-0985-FCIC-CONTROL-DATE      PIC 9(08).
             10 WS-0985-REINS-YR               PIC 9(04).
             10 WS-0985-BATCH-NO               PIC 9(04).
             10 WS-0985-TRAN-SEQ-NO            PIC 9(08).
             10 WS-0985-TRAN-REJ-FLAG          PIC X(01).
             10 WS-0985-TRAN-SOURCE-FLAG       PIC X(01).
             10 WS-0985-MDAS-PROCESS-NO        PIC 9(02).
             10 WS-0985-FILLER-14              PIC X(14).


      *****************************************************
      *               WORK FIELDS                         *
      *****************************************************
       01 WS-0985-WORK.
          05 WS-0985-MATCH-FOUND            PIC X(01).
          05 WS-0985-ISAM-T55.
             10 WS-0985-ISAM-KEY.
                15 WS-0985-ISAM-AGENT-ID          PIC X(09).
             10 WS-0985-ISAM-DATA.
                15 WS-0985-ISAM-REJECT-FLAG       PIC X(01).
                15 WS-0985-ISAM-LATEST-SUB-BATCH  PIC 9(04).
                15 WS-0985-ISAM-LATEST-SUB-DATE   PIC 9(08).
                15 WS-0985-ISAM-FIRST-SUB-BATCH   PIC 9(04).
                15 WS-0985-ISAM-FIRST-SUB-DATE    PIC 9(08).
                15 WS-0985-ISAM-LATEST-RECORD     PIC X(400).


