      *******************************************************************
      * File:      WS0988.CBL                                           *
      * Author:    Mike Ray                                             *
      * Date:      04/03/97                                             *
      *            Working storage for 0988-DELETE-POL-STATS-REC        *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************
       01 WS-0988-INPUT.
          05 WS-0988-INPUT-PSTAT-REC.
             10 WS-0988-INPUT-POLICY-NO.
                15 WS-0988-IN-REPORTING-ORG       PIC X(02).
                15 WS-0988-IN-LOC-STATE           PIC X(02).
                15 WS-0988-IN-COMPANY-COUNTY      PIC X(03).
                15 WS-0988-IN-POLICY-NUM          PIC X(07).
                15 WS-0988-IN-CROP-YEAR           PIC X(04).
             10 WS-0988-INPUT-BATCH-NO         PIC 9(04).
             10 WS-0988-INPUT-FCIC-DATE        PIC 9(08).


      *****************************************************
      *               WORK FIELDS                         *
      *****************************************************
       01 WS-0988-WORK.
          05 WS-0988-ISAM-PSTATS.
             10 WS-0988-ISAM-KEY.
                15 WS-0988-ISAM-POLICY-NO.
                   20 WS-0988-ISAM-REPORTING-ORG     PIC X(02).
                   20 WS-0988-ISAM-LOC-STATE         PIC X(02).
                   20 WS-0988-ISAM-COMPANY-COUNTY    PIC X(03).
                   20 WS-0988-ISAM-POLICY-NUM        PIC X(07).
                   20 WS-0988-ISAM-CROP-YEAR         PIC X(04).
             10 WS-0988-ISAM-DATA.
                15 WS-0988-ISAM-DELETE-FLAG       PIC X(01).
                15 WS-0988-ISAM-LATEST-SUB-BATCH  PIC 9(04).
                15 WS-0988-ISAM-LATEST-SUB-DATE   PIC 9(08).
                15 WS-0988-ISAM-FIRST-SUB-BATCH   PIC 9(04).
                15 WS-0988-ISAM-FIRST-SUB-DATE    PIC 9(08).
                15 WS-0988-ISAM-LATEST-STATS.
                   20 WS-0988-ISAM-ACP-ACRES         PIC 9(09)V9(02).
                   20 WS-0988-ISAM-ACP-LIABILITY     PIC 9(12).
                   20 WS-0988-ISAM-ACP-PREMIUM       PIC 9(11).
                   20 WS-0988-ISAM-ACP-PROD-PREMIUM  PIC 9(11).
                   20 WS-0988-ISAM-ACP-LOSSES        PIC S9(12).

      *****************************************************
      *             OUTPUT FIELDS                         *
      *****************************************************
       01 WS-0988-OUTPUT.
          05 WS-0988-MATCH-FOUND            PIC X(01).
             88 MATCH-FOUND-0988              VALUE 'Y'.

