      *************************************************************
      * File:      WS0995.CBL
      * AUTHOR:    LAURA DITTAMO
      * DATE:      2/12/96
      * PURPOSE:   WORKING STORAGE FOR 0995-RECORD-ACCEPTED-14
      *************************************************************

       01 WS-0995-14-REC.
          05 WS-0995-TRANS-REC.
             10 WS-0995-RECORD-TYPE            PIC 9(02).
             10 WS-0995-REPORTING-ORG          PIC X(02).
             10 WS-0995-LOC-STATE              PIC 9(02).
             10 WS-0995-COMPANY-COUNTY         PIC 9(03).
             10 WS-0995-POLICY-NUM             PIC 9(07).
             10 WS-0995-CROP-YEAR              PIC 9(04).
             10 WS-0995-CROP-CD                PIC 9(04).
             10 WS-0995-INSURANCE-PLAN-ID      PIC 9(02).
             10 WS-0995-LOCATION-COUNTY        PIC 9(03).
             10 WS-0995-UNIT-NUMBER            PIC 9(05).
             10 WS-0995-TYPE-CD                PIC 9(03).
             10 WS-0995-RSERVD-PRACT-CODE      PIC 9(03).
             10 WS-0995-COVERAGE-FLG           PIC X(01).
             10 WS-0995-KEY-RSERVD             PIC X(32).
             10 WS-0995-FSA-SERVICE-STATE      PIC X(02).
             10 WS-0995-RECORD-NUM             PIC 9(03).
             10 WS-0995-ASSIGNED-RISK          PIC 9(01).
             10 WS-0995-LATE-PROCESS-FLG       PIC 9(01).
             10 WS-0995-PREPAYMENT-FLG         PIC X(01).
             10 WS-0995-MAX-FEE-CAUSE          PIC X(01).
             10 WS-0995-ADMIN-FEE-FL           PIC X(01).
             10 WS-0995-REFND-CANCEL-FLG       PIC X(01).
             10 WS-0995-RATE-STATE             PIC 9(02).
             10 WS-0995-RATE-COUNTY            PIC 9(03).
             10 WS-0995-DUAL-COVERAGE-FLG      PIC 9(01).
             10 WS-0995-EXPERIENCE-INQ         PIC X(01).
             10 WS-0995-FILLER-1               PIC X(221).
             10 WS-0995-1996-CROP-CODE         PIC 9(03).
             10 WS-0995-1996-TYPE-CODE         PIC X(03).
             10 WS-0995-RM-DATA-RECEIPT-DATE   PIC 9(08).
             10 WS-0995-ORIG-SUBMISSION-TIME.
                15 WS-0995-ORIG-SUB-HOURS      PIC 9(02).
                15 WS-0995-TIME-SPACER-1       PIC X(01).
                15 WS-0995-ORIG-SUB-MINUTES    PIC 9(02).
                15 WS-0995-TIME-SPACER-2       PIC X(01).
                15 WS-0995-ORIG-SUB-SECONDS    PIC 9(02).
             10 WS-0995-ORIG-SUBMISSION-DATE.
                15 WS-0995-ORIG-SUB-DAYS       PIC 9(02).
                15 WS-0995-ORIG-SUB-MONTH      PIC 9(02).
                15 WS-0995-ORIG-SUB-YEARS      PIC 9(04).
             10 WS-0995-FSA-CONTROL-DATE       PIC 9(08).
          05 WS-0995-FCIC-CONTROL-TIME      PIC 9(08).
          05 WS-0995-FCIC-CONTROL-DATE      PIC 9(08).
          05 WS-0995-REINS-YR               PIC 9(04).
          05 WS-0995-BATCH-NO               PIC 9(04).
          05 WS-0995-TRAN-SEQ-NO            PIC 9(08).
          05 WS-0995-TRAN-REJECTED-FLAG     PIC X(01).
          05 WS-0995-TRAN-SOURCE-FLAG       PIC X(01).
          05 WS-0995-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-0995-FILLER-14              PIC X(14).

       01 WS-0995-WORK.
          05 WS-0995-CROP-POLICY-TYPE       PIC X(04).
          05 WS-0995-ISAM-ORIGINAL-SUB-DATE.
             10 WS-0995-ISAM-YEAR              PIC 9(04).
             10 WS-0995-ISAM-MONTH             PIC 9(02).
             10 WS-0995-ISAM-DAY               PIC 9(02).
          05 WS-0995-ISAM-ORIGINAL-SUB-TIME.
             10 WS-0995-ISAM-HOUR              PIC 9(02).
             10 WS-0995-ISAM-MIN               PIC 9(02).
             10 WS-0995-ISAM-SEC               PIC 9(02).

       01 WS-0995-OUTPUT.
          05 WS-0995-OUTPUT-SUB-DATE.
             10 WS-0995-OUTPUT-SUB-DAYS     PIC 9(02).
             10 WS-0995-OUTPUT-SUB-MONTH    PIC 9(02).
             10 WS-0995-OUTPUT-SUB-YEARS    PIC 9(04).
          05 WS-0995-OUTPUT-SUB-TIME.
             10 WS-0995-OUTPUT-SUB-HOURS    PIC 9(02).
             10 WS-0995-OUTPUT-SPACER-1     PIC X(01).
             10 WS-0995-OUTPUT-SUB-MINUTES  PIC 9(02).
             10 WS-0995-OUTPUT-SPACER-2     PIC X(01).
             10 WS-0995-OUTPUT-SUB-SECONDS  PIC 9(02).

