      *******************************************************************
      *    FILE:     FV1200.CBL                                         *
      *    AUTHOR:   C. B. O'NEILL                                      *
      *    DATE:     8/16/95                                            *
      *    PURPOSE:  1200-VALIDATE-REPORTING-ORG                        *
      *              VALIDATES REPORTING ORGANIZATION.                  *
      *******************************************************************
       1200-VAL-REPORTING-ORG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1200-VAL-REPORTING-ORG'
           UPON CONSOLE
      $END

      *******************************************************************
      *    BELOW:  ENSURE RPT ORG IS NOT SPACES OR ZEROS; OTHERWISE     *
      *            SET ERROR FIELDS AND PERFORM ERROR ROUTINE.          *
      *******************************************************************

           IF WS-1200-REPORTING-ORG = SPACES OR ZEROS
              MOVE WS-LITERAL-YES TO ERROR-RO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-RO TO WS-8000-FIELD-NAME1
              MOVE WS-1200-REPORTING-ORG TO WS-8000-BAD-DATA1
              MOVE 1200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	      GO TO 1200-VAL-REPORTING-ORG-EXIT
           END-IF

           IF WS-1200-REPORTING-ORG <> WS-0004-BATCH-INS-PROV
              MOVE WS-LITERAL-YES TO ERROR-RO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 031 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-RO TO WS-8000-FIELD-NAME1
              MOVE WS-1200-REPORTING-ORG TO WS-8000-BAD-DATA1
              MOVE 1200 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           ELSE
              IF WS-0004-BATCH-INS-PROV = '05'
                 MOVE 'C' TO WS-0009-CFSA-REINS
                 MOVE 0200 TO WS-8020-PARAGRAPH-NO
                 MOVE 90053 TO WS-8020-INT-ERROR-NO
                 MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                 MOVE WS-LITERAL-REC-TYPE TO WS-8020-FIELD-NAME
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
              ELSE
                 MOVE 'R' TO WS-0009-CFSA-REINS
              END-IF
           END-IF.




       1200-VAL-REPORTING-ORG-EXIT.
           EXIT.


