

      *******************************************************************
      *    FILE:     FV1215.CBL                                         *
      *    AUTHOR:   C. B. O'NEILL                                      *
      *    DATE:     8/16/95                                            *
      *    PURPOSE:  1215-VAL-POLICY-NUMBER                             *
      *              VALIDATES POLICY NUMBER.                           *
      *******************************************************************
       1215-VAL-POLICY-NUMBER.

      $IF DEBUG-SW DEFINED
           DISPLAY '1215-VALIDATING POLICY NUMBER'
           UPON CONSOLE
      $END

      *******************************************************************
      *    BELOW:  ENSURE POLICY NUMBER IS NUMERIC.                     *
      *******************************************************************

           IF WS-1215-POLICY-NO NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-POLICY-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1215-POLICY-NO TO WS-8000-BAD-DATA1
              MOVE 1215 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1215-VAL-POLICY-NUMBER-EXIT
           END-IF.

      *******************************************************************
      *    BELOW:  ENSURE POLICY NUMBER IS GREATER THAN ZERO.           *
      *******************************************************************

           IF WS-1215-POLICY-NO = ZEROS
              MOVE WS-LITERAL-YES TO ERROR-POLICY-NO
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1215-POLICY-NO TO WS-8000-BAD-DATA1
              MOVE 1215 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1215-VAL-POLICY-NUMBER-EXIT.
           EXIT.
