      ******************************************************************
      *  File:     FV1235.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     7/31/95                                             *
      *  Purpose:  Validate the entity type.  Valid entity types       *
      *            include C, E, G, I, J, N, O, P, T, B, and R.        *
      ******************************************************************

       1235-VAL-ENTITY-TYPE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1235-VAL-ENTITY-TYPE' UPON CONSOLE
      $END

           EVALUATE WS-1235-ENTITY-TYPE
               WHEN WS-LITERAL-INDIVIDUAL
                  CONTINUE
               WHEN WS-LITERAL-CORPORATION
                  CONTINUE
               WHEN WS-LITERAL-TAX-EXEMPT
                  CONTINUE
               WHEN WS-LITERAL-GOVERNMENT
                  CONTINUE
               WHEN WS-LITERAL-JOINT-OPERATORS
                  CONTINUE
               WHEN WS-LITERAL-PARTNERSHIP
                  CONTINUE
               WHEN WS-LITERAL-ENTERPRISE
                  CONTINUE
               WHEN WS-LITERAL-REVOCABLE-TRUST
                  CONTINUE
               WHEN WS-LITERAL-IRREVOCABLE-TRUST
                  CONTINUE
               WHEN WS-LITERAL-OTHER-ENTITY
                  CONTINUE
               WHEN WS-LITERAL-BIA
                  CONTINUE
               WHEN WS-LITERAL-TOBACCO-MKTG-CARD
                  CONTINUE
               WHEN WS-LITERAL-UNDIVIDED-INTEREST
                  CONTINUE
               WHEN OTHER
                  MOVE 10008 TO WS-8000-ERROR-CODE
                  MOVE WS-LITERAL-YES TO ERROR-ENTITY-TYPE
                  MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
                  MOVE WS-LITERAL-ENTITY-TYPE TO WS-8000-FIELD-NAME1
                  MOVE WS-1235-ENTITY-TYPE TO WS-8000-BAD-DATA1
                  MOVE 1235 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       1235-VAL-ENTITY-TYPE-EXIT.
           EXIT.
