      ****************************************************************
      * File:      FV1265.CBL                                        *
      * Author:    Mike Ray                                          *
      * Date:      7/28/95                                           *
      * Purpose:   Validation for Business Name.                     *
      ****************************************************************

       1265-VAL-BUSINESS-NAME.

      $IF DEBUG-SW DEFINED
           DISPLAY '1265-VAL-BUSINESS-NAME'
           UPON CONSOLE
      $END

           IF WS-1265-BUS-NAME EQUAL TO SPACES
              GO TO 1265-VAL-BUSINESS-NAME-EXIT
           END-IF

      * The logic below has been commented out so we can process 10s
      * M13 specifies that name fields may not contain punctuation

      *     IF WS-1265-BUS-NAME IS ALPHABETIC
              IF WS-1265-1ST-CHAR = SPACE
                 MOVE 10003 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES      TO ERROR-PROD-BUS-NAME
                 MOVE WS-LITERAL-FV       TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-BUS-NAME TO WS-8000-FIELD-NAME1
                 MOVE WS-1265-BUS-NAME    TO WS-8000-BAD-DATA1
                 MOVE 1265 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
      *     ELSE
      *        MOVE 10001 TO WS-8000-ERROR-CODE
      *        MOVE WS-LITERAL-YES      TO ERROR-PROD-BUS-NAME
      *        MOVE WS-LITERAL-FV       TO WS-8000-ERROR-TYPE
      *        MOVE WS-LITERAL-BUS-NAME TO WS-8000-FIELD-NAME1
      *        MOVE WS-1265-BUS-NAME    TO WS-8000-BAD-DATA1
      *        MOVE 1265 TO WS-8000-PARAGRAPH-NO
      *        PERFORM 8000-RECORD-TRAN-ERROR
      *           THRU 8000-RECORD-TRAN-ERROR-EXIT
      *     END-IF.
           .

       1265-VAL-BUSINESS-NAME-EXIT.
           EXIT.
