      ****************************************************************
      * File:      FV1305.CBL                                        *
      * Author:    Mike Ray                                          *
      * Date:      7/28/95                                           *
      * Purpose:   Validation for Phone Number.                      *
      *                                                              *
      *            This edit suspended until 1997.                   *
      ****************************************************************

       1305-VAL-PHONE-NUMBER.

      $IF DEBUG-SW DEFINED
           DISPLAY '1305-VALIDATING PHONE NUMBER'
           UPON CONSOLE
      $END

           IF WS-1305-PHONE-NO EQUAL SPACES
              IF TYPE55
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 004 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-PHONE-NO
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-PHONE-NO TO WS-8000-FIELD-NAME1
                 MOVE WS-1305-PHONE-NO TO WS-8000-BAD-DATA1
                 MOVE 1305 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
              GO TO 1305-VAL-PHONE-NUMBER-EXIT
           END-IF.

	    IF TYPE55
          	   IF WS-1305-AREA-CD IS NOT NUMERIC OR
                 WS-1305-EXCHANGE IS NOT NUMERIC OR
                 WS-1305-NUMBER IS NOT NUMERIC
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 002 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-PHONE-NO
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-PHONE-NO TO WS-8000-FIELD-NAME1
                 MOVE WS-1305-PHONE-NO TO WS-8000-BAD-DATA1
                 MOVE 1305 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       1305-VAL-PHONE-NUMBER-EXIT.
           EXIT.
