      ******************************************************************
      *  File:     FV1307.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/02/95                                             *
      *  Purpose:  Validate previous reporting organization field.     *
      *            If previous ro is populated, validate it with the   *
      *            organization table on the database.                 *
      ******************************************************************

       1307-VAL-PREVIOUS-RO.

      $IF DEBUG-SW DEFINED
           DISPLAY '1307-VALIDATING PREVIOUS RO'
           UPON CONSOLE
      $END

           IF (WS-1307-PREV-RO <> SPACES) AND
              (WS-1307-PREV-RO <> ZEROS)
              PERFORM 1307-READ-ORGANIZATION
                 THRU 1307-READ-ORGANIZATION-EXIT
           END-IF.


       1307-VAL-PREVIOUS-RO-EXIT.
           EXIT.


      $IF ISAM-SW DEFINED

       1307-READ-ORGANIZATION.
           INITIALIZE WS-7250-INPUT
           MOVE WS-1307-PREV-RO  TO WS-7250-INS-PROVIDER
           PERFORM 7250-LOOKUP-IP-TBL
              THRU 7250-LOOKUP-IP-TBL-EXIT
           IF NOT MATCH-FOUND-7250
              MOVE 10063 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-PREV-RO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PREV-RO TO WS-8000-FIELD-NAME1
              MOVE WS-1307-PREV-RO TO WS-8000-BAD-DATA1
              MOVE 1307 TO WS-8000-PARAGRAPH-NO
              MOVE 'INS PROVIDER' TO WS-8000-TABLE-NAME
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1307-READ-ORGANIZATION-EXIT.
           EXIT.

      $END

