      ******************************************************************
      *  File:     FV1310.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     7/31/95                                             *
      *  Purpose:  Validate previous policy field.  It must be numeric.*
      *            Old policy numbers were 5 positions, so we will     *
      *            assume a leading space for these policies.          *
      ******************************************************************

       1310-VAL-PREVIOUS-POLICY.

      $IF DEBUG-SW DEFINED
           DISPLAY '1310-VALIDATING PREVIOUS POLICY NUMBER'
           UPON CONSOLE
      $END

           IF WS-1310-PREV-POLICY = SPACES
              GO TO 1310-VAL-PREVIOUS-POLICY-EXIT
           END-IF

           IF WS-1310-PREV-POLICY IS NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PREV-POLICY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PREV-POLICY TO WS-8000-FIELD-NAME1
              MOVE WS-1310-PREV-POLICY TO WS-8000-BAD-DATA1
              MOVE 1310 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.



       1310-VAL-PREVIOUS-POLICY-EXIT.
           EXIT.
