      ******************************************************************
      *  File:     FV1345.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the dual coverage flag field.  It must be  *
      *            numeric and contain a valid value {0, 1}.           *
      ******************************************************************

       1345-VAL-DUAL-CVG-FL.

      $IF DEBUG-SW DEFINED
           DISPLAY '1345-VALIDATING DUAL COVERAGE FLAG'
           UPON CONSOLE
      $END

           IF NOT WS-0009-DUAL-COVERAGE-FLG NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DUAL-CVG-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DUAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-DUAL-COVERAGE-FLG TO WS-8000-BAD-DATA1
              MOVE '0 OR 1' TO WS-8000-CORR-DATA1
              MOVE 1345 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1345-VAL-DUAL-CVG-FL-EXIT
           END-IF

           IF NOT VALID-DUAL-COVERAGE-FLGS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DUAL-CVG-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DUAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-DUAL-COVERAGE-FLG TO WS-8000-BAD-DATA1
              MOVE '0 OR 1' TO WS-8000-CORR-DATA1
              MOVE 1345 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.



       1345-VAL-DUAL-CVG-FL-EXIT.
           EXIT.
