      ******************************************************************
      *  File:     FV1350.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the location county field.  It must be     *
      *            numeric.                                            *
      ******************************************************************

       1350-VAL-LOC-COUNTY.

      $IF DEBUG-SW DEFINED
           DISPLAY '1350-VALIDATING LOCATION COUNTY'
           UPON CONSOLE
      $END

           IF WS-1350-LOCATION-COUNTY IS NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOC-CNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOC-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-1350-LOCATION-COUNTY TO WS-8000-BAD-DATA1
              MOVE 1350 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           else if WS-1350-LOCATION-COUNTY IS NOT > 0
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOC-CNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOC-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-1350-LOCATION-COUNTY TO WS-8000-BAD-DATA1
              MOVE 1350 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1350-VAL-LOC-COUNTY-EXIT.
           EXIT.
