      ******************************************************************
      *  File:     FV1360.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the rate county field.  It must be numeric.*
      ******************************************************************

       1360-VAL-RATE-COUNTY.

      $IF DEBUG-SW DEFINED
           DISPLAY '1360-VALIDATING RATE COUNTY'
           UPON CONSOLE
      $END

           IF WS-1360-RATE-COUNTY NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-RATE-COUNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-RATE-COUNTY TO WS-8000-FIELD-NAME1
              MOVE WS-1360-RATE-COUNTY TO WS-8000-BAD-DATA1
              MOVE 1360 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1360-VAL-RATE-COUNTY-EXIT.
           EXIT.
