      ******************************************************************
      *  File:     FV1375.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the administrative fee flag field.  Valid  *
      *            values are F, M, W, A, C, and V.                    *
      ******************************************************************

       1375-VAL-ADMIN-FEE-FL.

      $IF DEBUG-SW DEFINED
           DISPLAY '1375-VALIDATING ADMIN FEE FLAG'
           UPON CONSOLE
      $END

           IF WS-0009-ADMIN-FEE-FLG = SPACES
              MOVE 14004 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-ADMIN-FEE-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ADMIN-FEE-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-ADMIN-FEE-FLG TO WS-8000-BAD-DATA1
              MOVE 'F,M,W,A,C,V' TO WS-8000-CORR-DATA1
              MOVE 1375 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1375-VAL-ADMIN-FEE-FL-EXIT
           END-IF

           IF NOT VALID-ADMIN-FEE-FLGS
              MOVE 14008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-ADMIN-FEE-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ADMIN-FEE-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-ADMIN-FEE-FLG TO WS-8000-BAD-DATA1
              MOVE 'F,M,W,A,C,V' TO WS-8000-CORR-DATA1
              MOVE 1375 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1375-VAL-ADMIN-FEE-FL-EXIT.
           EXIT.
