      ******************************************************************
      *  File:     FV1385.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the coverage flag field.  Valid values are *
      *            C, L, and A.                                        *
      ******************************************************************

       1385-VAL-COVERAGE-FL.

      $IF DEBUG-SW DEFINED
           DISPLAY '1385-VAL COVERAGE FLAG'
           UPON CONSOLE
      $END

           IF WS-0009-COVERAGE-FLG IS EQUAL SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CVG-FL
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-COVERAGE-FLG TO WS-8000-BAD-DATA1
              MOVE 'C,L,A' TO WS-8000-CORR-DATA1
              MOVE 1385 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1385-VAL-COVERAGE-FL-EXIT
           END-IF

           IF NOT VALID-COVERAGE-FLGS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CVG-FL
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CVG-FL TO WS-8000-FIELD-NAME1
              MOVE WS-0009-COVERAGE-FLG TO WS-8000-BAD-DATA1
              MOVE 'C,L,A' TO WS-8000-CORR-DATA1
              MOVE 1385 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1385-VAL-COVERAGE-FL-EXIT.
           EXIT.
