      ******************************************************************
      *  File:     FV1395.CBL                                          *
      *  Author:   Mike Ray                                            *
      *  Date:     01/31/97                                            *
      *  Purpose:  Validate the California Grapes Crush District.      *
      *            It must be in {spaces, 00-17}                       *
      ******************************************************************


       1395-VAL-CRUSH-DISTRICT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1395-VALIDATING CRUSH DISTRICT'
           UPON CONSOLE
      $END


      ************************************************
      *    TEST FIELD                                *
      ************************************************
           IF WS-1395-CRUSH-DISTRICT = SPACES OR
              WS-1395-CRUSH-DISTRICT = '00'
              GO TO 1395-VAL-CRUSH-DISTRICT-EXIT
           END-IF

           IF WS-1395-CRUSH-DISTRICT-N NOT NUMERIC
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-CRUSH-DISTRICT
              MOVE WS-LITERAL-CRUSH-DISTRICT
                TO WS-8000-FIELD-NAME1
              MOVE WS-1395-CRUSH-DISTRICT
                TO WS-8000-BAD-DATA1
              MOVE 'SPACES, 00-17' TO WS-8000-CORR-DATA1
              MOVE 1395 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1395-CRUSH-DISTRICT-N > 17
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-CRUSH-DISTRICT
              MOVE WS-LITERAL-CRUSH-DISTRICT
                TO WS-8000-FIELD-NAME1
              MOVE WS-1395-CRUSH-DISTRICT
                TO WS-8000-BAD-DATA1
              MOVE 'SPACES, 00-17' TO WS-8000-CORR-DATA1
              MOVE 1395 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1395-VAL-CRUSH-DISTRICT-EXIT.
           EXIT.
