      ****************************************************************
      * FILE:      FV1400.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/08/95                                           *
      * PURPOSE:   VALIDATION FOR ACREAGE TRANSASACTION FLAG         *
      *            VALUE MUST BE NUMERIC                             *
      *            AND EQUAL TO 000, 100 OR 480                      *
      ****************************************************************

       1400-VAL-ACREAGE-TRAN-FL.

      $IF DEBUG-SW DEFINED
           DISPLAY '1400-VALIDATING ACREAGE TRANSACTION FLAG'
           UPON CONSOLE
      $END


      *    *** THIS EDIT ONLY APPLIES TO CFSA ***
           IF REINSURED
              GO TO 1400-VAL-ACREAGE-TRAN-FL-EXIT
           END-IF

           IF WS-1400-ACREAGE-TRAN-FL NUMERIC
              IF NOT VALID-ACREAGE-TRANSACTION
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 008 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-ACREAGE-TRAN-FL
                 MOVE WS-LITERAL-ACREAGE-TRAN-FL TO WS-8000-FIELD-NAME1
                 MOVE WS-1400-ACREAGE-TRAN-FL TO WS-8000-BAD-DATA1
                 MOVE 'ZERO, 100, 480' TO WS-8000-CORR-DATA1
                 MOVE 1400 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ACREAGE-TRAN-FL
              MOVE WS-LITERAL-ACREAGE-TRAN-FL TO WS-8000-FIELD-NAME1
              MOVE WS-1400-ACREAGE-TRAN-FL TO WS-8000-BAD-DATA1
              MOVE 'ZERO, 100, 480' TO WS-8000-CORR-DATA1
              MOVE 1400 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1400-VAL-ACREAGE-TRAN-FL-EXIT.
           EXIT.
