      ****************************************************************
      * FILE:      FV1410.CBL                                        *
      * AUTHOR:    ALICE A. WILL                                     *
      * DATE:      10/28/96                                          *
      * PURPOSE:   VALIDATION FOR GUARANTEE REDUCTION FLAG           *
      *            VALUES MUST BE                                    *
      *              L = LATE PLANTING                               *
      *              P = PREVENTED PLANTING                          *
      *           BLANK = NOT APPLICABLE                             *
      ****************************************************************

       1410-VAL-GUAR-REDUCT-FLG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1410-VALIDATING GUARANTEE REDUCTION FLAG'
           UPON CONSOLE
      $END

           IF NOT VALID-GUARANTEE-REDUCT-FLG
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-GUAR-RED-FLG
              MOVE WS-LITERAL-GUAR-RED-FLG TO WS-8000-FIELD-NAME1
              MOVE WS-0009-GUARANTEE-REDUCT-FLG TO WS-8000-BAD-DATA1
              MOVE 'L, P OR BLANK' TO WS-8000-CORR-DATA1
              MOVE 1410 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1410-VAL-GUAR-REDUCT-FLG-EXIT.
           EXIT.
