      ****************************************************************
      * FILE:      FV1430.CBL                                        *
      * AUTHOR:    MIKE RAY                                          *
      * DATE:      01/31/97                                          *
      * PURPOSE:   VALIDATION FOR GUARANTEE REDUCTION FLAG           *
      *            VALUE MUST BE L,P, OR SPACES.                     *
      ****************************************************************

       1430-VAL-GUAR-RED-FLAG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1430-VALIDATING GUARANTEE REDUCTION FLAG'
           UPON CONSOLE
      $END

           IF WS-1430-GUAR-RED-FLAG <> SPACES AND
              WS-1430-GUAR-RED-FLAG <> 'L' AND
              WS-1430-GUAR-RED-FLAG <> 'P'
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-GUAR-RED-FLG
              MOVE WS-LITERAL-GUAR-RED-FLG TO WS-8000-FIELD-NAME1
              MOVE WS-1430-GUAR-RED-FLAG TO WS-8000-BAD-DATA1
              MOVE 'L, P, OR SPACES' TO WS-8000-CORR-DATA1
              MOVE 1430 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1430-VAL-GUAR-RED-FLAG-EXIT.
           EXIT.
