      ****************************************************************
      * FILE:      FV1440.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/08/95                                           *
      * PURPOSE:   VALIDATION FOR PRICE ELECTION                     *
      *            VALUE MUST BE NUMERIC                             *
      ****************************************************************

       1440-VAL-PRICE-ELECTION.

      $IF DEBUG-SW DEFINED
           DISPLAY '1440-VALIDATING PRICE ELECTION'
           UPON CONSOLE
      $END

           IF WS-1440-PRICE-ELECTION IS NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PRICE-ELECTION
              MOVE WS-LITERAL-PRICE-ELECT TO WS-8000-FIELD-NAME1
              MOVE WS-1440-PRICE-ELECTION-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1440 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1440-VAL-PRICE-ELECTION-EXIT.
           EXIT.
