      *****************************************************************
      *  File:  FV1450.CBL
      *  Author: C. S. Davis
      *  Date:   09/12/95
      *  Purpose:  Validate the yield/quota.  The data must be numeric.
      *****************************************************************

       1450-VAL-YIELD-QUOTA.

      $IF DEBUG-SW DEFINED
           DISPLAY '1450-VALIDATING YIELD/QUOTA'
           UPON CONSOLE
      $END

           IF WS-1450-YIELD-QUOTA NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-YLD-QUOTA
              MOVE WS-LITERAL-YLD-QUOTA TO WS-8000-FIELD-NAME1
              MOVE WS-1450-YIELD-QUOTA-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1450 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1450-VAL-YIELD-QUOTA-EXIT.
           EXIT.
