      *****************************************************************
      *  File:     FV1460.CBL
      *  Author:   C. S. Davis
      *  Date:     09/12/95
      *  Purpose:  Validates the liability field.  The data must be
      *            numeric
      *****************************************************************

       1460-VAL-LIABILITY.

      $IF DEBUG-SW DEFINED
           DISPLAY '1460-VALIDATING LIABILITY'
           UPON CONSOLE
      $END

           IF WS-1460-LIABILITY NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LIAB
              MOVE WS-LITERAL-LIAB TO WS-8000-FIELD-NAME1
              MOVE WS-1460-LIABILITY TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1460 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1460-VAL-LIABILITY-EXIT
           END-IF

           IF WS-1460-LIABILITY = ZERO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LIAB
              MOVE WS-LITERAL-LIAB TO WS-8000-FIELD-NAME1
              MOVE WS-1460-LIABILITY TO WS-8000-BAD-DATA1
              MOVE "> 0" TO WS-8000-CORR-DATA1
              MOVE 1460 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1460-VAL-LIABILITY-EXIT.
           EXIT.
