      *****************************************************************
      *  File:  FV1470.CBL
      *  Author: C. S. Davis
      *  Date:   09/12/95
      *  Purpose:  Validate the experience factor field.  The data must
      *            be numeric.
      *****************************************************************

       1470-VAL-EXPERIENCE-FCTR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1470-VALIDATING EXPERIENCE FACTOR'
           UPON CONSOLE
      $END

           IF WS-1470-EXPERIENCE-FACTOR NOT NUMERIC
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-EXPER-FCTR
              MOVE WS-LITERAL-EXPER-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-1470-EXPERIENCE-FACTOR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1470 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1470-VAL-EXPERIENCE-FCTR-EXIT.
           EXIT.
