      *****************************************************************
      *  File:     FV1485.CBL
      *  Author:   C. S. Davis
      *  Date:     09/12/95
      *  Purpose:  Validate the producer premium field.  The data must
      *            be numeric.
      *****************************************************************

       1485-VAL-PRODUCER-PREMIUM.

      $IF DEBUG-SW DEFINED
           DISPLAY '1485-VALIDATING PRODUCER PREMIUM'
           UPON CONSOLE
      $END

           IF WS-1485-PRODUCER-PREMIUM NOT NUMERIC
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PROD-PREM
              MOVE WS-LITERAL-PROD-PREM TO WS-8000-FIELD-NAME1
              MOVE WS-1485-PRODUCER-PREMIUM TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1485 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1485-VAL-PRODUCER-PREMIUM-EXIT.
           EXIT.
