      *****************************************************************
      *  File:     FV1507.CBL
      *  Author:   Yo-I Tsui
      *  Date:     12/14/95
      *  Purpose:  VALIDATE THE TYPE/PRACTICE OPTION CODE
      *****************************************************************

       1507-VAL-TYPE-PRAC-OPT-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '1507-VALIDATING TYPE/PRACTICE OPTION CODE'
           UPON CONSOLE
      $END

           IF WS-1507-TYPE-PRAC-OPT-CD IS EQUAL TO SPACES
              GO TO 1507-VAL-TYPE-PRAC-OPT-CD-EXIT
           END-IF

      *    ****  MAKE SURE IT'S LEFT JUSTIFIED! ****
           IF WS-1507-TY-PRAC-OPT-CD-POS-1 IS EQUAL TO SPACES
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11003 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              MOVE WS-LITERAL-TYPE-PRAC-OPT-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1507-TYPE-PRAC-OPT-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           MOVE WS-1507-TY-PRAC-OPT-CD-POS1-2 TO WS-0009-OPTION-CODES
           IF NOT VALID-OPTION-CD-0009
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              MOVE WS-LITERAL-TYPE-PRAC-OPT-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1507-TYPE-PRAC-OPT-CD TO WS-8000-BAD-DATA1
              MOVE 'POS 1-2 INVALID' TO WS-8000-CORR-DATA1
              MOVE 1507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1507-VAL-TYPE-PRAC-OPT-CD-EXIT
           END-IF

           IF WS-1507-TY-PRAC-OPT-CD-POS3-4 = SPACES
              GO TO 1507-VAL-TYPE-PRAC-OPT-CD-EXIT
           END-IF

           MOVE WS-1507-TY-PRAC-OPT-CD-POS3-4 TO WS-0009-OPTION-CODES
           IF NOT VALID-OPTION-CD-0009
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              MOVE WS-LITERAL-TYPE-PRAC-OPT-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1507-TYPE-PRAC-OPT-CD TO WS-8000-BAD-DATA1
              MOVE 'POS 3-4 INVALID' TO WS-8000-CORR-DATA1
              MOVE 1507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1507-VAL-TYPE-PRAC-OPT-CD-EXIT
           END-IF


           IF WS-1507-TY-PRAC-OPT-CD-POS5-6 = SPACES
              GO TO 1507-VAL-TYPE-PRAC-OPT-CD-EXIT
           END-IF

           MOVE WS-1507-TY-PRAC-OPT-CD-POS5-6 TO WS-0009-OPTION-CODES
           IF NOT VALID-OPTION-CD-0009
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              MOVE WS-LITERAL-TYPE-PRAC-OPT-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1507-TYPE-PRAC-OPT-CD TO WS-8000-BAD-DATA1
              MOVE 'POS 5-6 INVALID' TO WS-8000-CORR-DATA1
              MOVE 1507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1507-VAL-TYPE-PRAC-OPT-CD-EXIT
           END-IF

           IF WS-1507-TY-PRAC-OPT-CD-POS7-8 = SPACES
              GO TO 1507-VAL-TYPE-PRAC-OPT-CD-EXIT
           END-IF

           MOVE WS-1507-TY-PRAC-OPT-CD-POS7-8 TO WS-0009-OPTION-CODES
           IF NOT VALID-OPTION-CD-0009
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              MOVE WS-LITERAL-TYPE-PRAC-OPT-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1507-TYPE-PRAC-OPT-CD TO WS-8000-BAD-DATA1
              MOVE 'POS 7-8 INVALID' TO WS-8000-CORR-DATA1
              MOVE 1507 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.



       1507-VAL-TYPE-PRAC-OPT-CD-EXIT.
           EXIT.





