      *****************************************************************
      *  File:    FV1515.CBL
      *  Author:  C. S. Davis
      *  Date:    09/19/95
      *  Purpose: Validate the Yield Conversion Factor/Percent Election
      *           The data must be numeric.
      *****************************************************************

       1515-VAL-YLD-CNV-PCT-ELCT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1515-VALIDATING YIELD CONV FACTOR/PERCENT ELECTION'
           UPON CONSOLE
      $END

           IF WS-1515-YLD-CNV-PCT-ELCT NOT NUMERIC
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-YLD-CONVER-FCTR
              MOVE WS-LITERAL-PERCENT-ELECTION TO WS-8000-FIELD-NAME1
              MOVE WS-1515-YLD-CNV-PCT-ELCT-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1515 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1515-VAL-YLD-CNV-PCT-ELCT-EXIT.
           EXIT.
