      ****************************************************************
      * FILE:      FV1550.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/23/95                                           *
      * PURPOSE:   VALIDATION FOR CLAIM NUMBER                       *
      *            VALUES MUST BE NUMERIC AND GREATER THAN ZERO      *
      ****************************************************************

       1550-VAL-CLAIM-NO.

      $IF DEBUG-SW DEFINED
           DISPLAY '1550-VALIDATING CLAIM NO'
           UPON CONSOLE
      $END

           IF WS-1550-CLAIM-NUMBER NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CLAIM-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CLAIM-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1550-CLAIM-NUMBER TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1550 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1550-VAL-CLAIM-NO-EXIT
           END-IF

           IF TYPE49
              GO TO 1550-VAL-CLAIM-NO-EXIT
           END-IF

           IF WS-1550-CLAIM-NUMBER = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CLAIM-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CLAIM-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1550-CLAIM-NUMBER TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1550 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1550-VAL-CLAIM-NO-EXIT.
           EXIT.
