      ****************************************************************
      * FILE:      FV1560.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR 1ST ESCROW CHECK                   *
      *            VALUE MUST BE NUMERIC                             *
      ****************************************************************

       1560-VAL-1ST-ESCROW-CHK.

      $IF DEBUG-SW DEFINED
           DISPLAY '1560-VALIDATING 1ST ESCROW CHECK'
           UPON CONSOLE
      $END

           IF WS-1560-1ST-ESCROW-CHK NOT NUMERIC
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-1ST-ESCROW-CHK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-1ST-ESCROW-CHK TO WS-8000-FIELD-NAME1
              MOVE WS-1560-1ST-ESCROW-CHK TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1560 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1560-VAL-1ST-ESCROW-CHK-EXIT.
           EXIT.


