      * **************************************************************
      * FILE:      FV1570.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR 3RD ESCROW CHECK                   *
      *            VALUE MUST BE NUMERIC                             *
      ****************************************************************

       1570-VAL-3RD-ESCROW-CHK.

      $IF DEBUG-SW DEFINED
           DISPLAY '1570-VALIDATING 3RD ESCROW CHECK'
           UPON CONSOLE
      $END

           IF WS-1570-3RD-ESCROW-CHK NOT NUMERIC
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-3RD-ESCROW-CHK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-3RD-ESCROW-CHK TO WS-8000-FIELD-NAME1
              MOVE WS-1570-3RD-ESCROW-CHK TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1570 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1570-VAL-3RD-ESCROW-CHK-EXIT.
           EXIT.

