      ****************************************************************
      * FILE:      FV1575.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR 4TH ESCROW CHECK                   *
      *            VALUE MUST BE NUMERIC                             *
      ****************************************************************

       1575-VAL-4TH-ESCROW-CHK.

      $IF DEBUG-SW DEFINED
           DISPLAY '1575-VALIDATING 4TH ESCROW CHECK'
           UPON CONSOLE
      $END

           IF WS-1575-4TH-ESCROW-CHK NOT NUMERIC
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-4TH-ESCROW-CHK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-4TH-ESCROW-CHK TO WS-8000-FIELD-NAME1
              MOVE WS-1575-4TH-ESCROW-CHK TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1575 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1575-VAL-4TH-ESCROW-CHK-EXIT.
           EXIT.

