      ****************************************************************
      * FILE:      FV1585.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/25/95                                           *
      * PURPOSE:   VALIDATION FOR 2ND TOTAL AMOUNT                   *
      *            VALUES MUST BE NUMERIC                            *
      ****************************************************************

       1585-VAL-2ND-TOT-AMT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1585-VALIDATING 2ND TOTAL AMOUNT'
           UPON CONSOLE
      $END

           IF WS-1585-2ND-TOTAL-AMOUNT NOT NUMERIC
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-2ND-TOT-AMT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-2ND-TOT-AMT TO WS-8000-FIELD-NAME1
              MOVE WS-1585-2ND-TOTAL-AMOUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1585 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1585-VAL-2ND-TOT-AMT-EXIT.
           EXIT.



