      ****************************************************************
      * FILE:      FV1615.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR LIABILITY FACTOR                   *
      *            VALUE MUST BE NUMERIC AND WITHIN RANGE 0 - 1.000  *
      ****************************************************************

       1615-VAL-LIAB-FCTR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1615-VALIDATING LIABILITY FACTOR'
           UPON CONSOLE
      $END

           IF WS-1615-LIABILITY-FACTOR NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LIAB-FCTR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LIAB-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-1615-LIABILITY-FACTOR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1615 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1615-LIABILITY-FACTOR = ZEROS OR
              WS-1615-LIABILITY-FACTOR > 1
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 016 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LIAB-FCTR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LIAB-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-1615-LIABILITY-FACTOR-X TO WS-8000-BAD-DATA1
              MOVE '0.001 - 1.000' TO WS-8000-CORR-DATA1
              MOVE 1615 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1615-VAL-LIAB-FCTR-EXIT.
           EXIT.

