      ****************************************************************
      * FILE:      FV1625.CBL                                        *
      * AUTHOR:    MIKE RAY                                          *
      * DATE:      01/31/97                                          *
      * PURPOSE:   VALIDATION FOR WHOLE FARM DISCOUNT FACTOR         *
      *            VALUE MUST BE 0.800 - 1.000 IF <> ZERO.           *
      ****************************************************************

       1625-VAL-WFARM-DISC-FCTR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1625-VALIDATING WHOLE FARM DISCOUNT FACTOR'
           UPON CONSOLE
      $END

      **********************************************************
      *    SET UP DISPLAY FIELD                                *
      **********************************************************
           MOVE WS-1625-WFARM-DISC-FCTR TO WS-1625-WFARM-DISC-FCTR-X

      **********************************************************
      *    CHECK VALUE                                         *
      **********************************************************
           IF WS-1625-WFARM-DISC-FCTR = ZERO
              GO TO 1625-VAL-WFARM-DISC-FCTR-EXIT
           END-IF

xxx        if ws-0004-file-date >= '19970818'
           IF WS-1625-WFARM-DISC-FCTR < 0.800 OR
              WS-1625-WFARM-DISC-FCTR > 1.000
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-WHOLE-FARM-DISCOUNT-FCTR
              MOVE WS-LITERAL-WHOLE-FARM-DISC TO WS-8000-FIELD-NAME1
              MOVE WS-1625-WFARM-DISC-FCTR-X TO WS-8000-BAD-DATA1
              MOVE '0.800 - 1.000' TO WS-8000-CORR-DATA1
              MOVE 1625 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           end-if
           END-IF.


       1625-VAL-WFARM-DISC-FCTR-EXIT.
           EXIT.
