      ****************************************************************
      * FILE:      FV1660.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/25/95                                           *
      * PURPOSE:   VALIDATION FOR AUDIT CORRECTION                   *
      *            MUST BE NUMERIC.  VALID VALUES 0 AND 1.           *
      ****************************************************************

       1660-VAL-AUDIT-CORRECTION.

      $IF DEBUG-SW DEFINED
           DISPLAY '1660-VALIDATING AUDIT CORRECTION'
           UPON CONSOLE
      $END

           IF WS-1660-AUDIT-CORRECTION NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-AUDIT-CORRECTION
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-AUDIT-CORRECTION TO WS-8000-FIELD-NAME1
              MOVE WS-1660-AUDIT-CORRECTION TO WS-8000-BAD-DATA1
              MOVE '0 OR 1' TO WS-8000-CORR-DATA1
              MOVE 1660 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1660-AUDIT-CORRECTION = ZEROS
              GO TO 1660-VAL-AUDIT-CORRECTION-EXIT
           END-IF

           IF WS-1660-AUDIT-CORRECTION <> '1'
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-AUDIT-CORRECTION
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-AUDIT-CORRECTION TO WS-8000-FIELD-NAME1
              MOVE WS-1660-AUDIT-CORRECTION TO WS-8000-BAD-DATA1
              MOVE '0 OR 1' TO WS-8000-CORR-DATA1
              MOVE 1660 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1660-VAL-AUDIT-CORRECTION-EXIT.
           EXIT.

