      ****************************************************************
      * FILE:      FV1665.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/25/95                                           *
      * PURPOSE:   VALIDATION FOR GRP PAYMENT CALCULATION FACTOR     *
      *            VALUES MUST BE NUMERIC                            *
      ****************************************************************

       1665-VAL-GRP-PMT-CALC.

      $IF DEBUG-SW DEFINED
           DISPLAY '1665-VALIDATING GRP PAYMENT CALCULATION FACTOR'
           UPON CONSOLE
      $END

           IF WS-1665-GRP-PAYMENT-FACTOR NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-GRP-PMT-CALC-FCTR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-GRP-PMT-CALC-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-1665-GRP-PAYMENT-FACTOR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1665 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1665-VAL-GRP-PMT-CALC-EXIT.
           EXIT.

