      ****************************************************************
      * FILE:      FV1670.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR HARVESTED PRODUCTION               *
      *            VALUE MUST BE NUMERIC                             *
      ****************************************************************

       1670-VAL-HARVEST-PROD.

      $IF DEBUG-SW DEFINED
           DISPLAY '1670-VALIDATING HARVESTED PRODUCTION'
           UPON CONSOLE
      $END

           IF WS-1670-HARVEST-PRODUCTION NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-HARVESTED-PRODUCTION
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-HARVEST-PROD TO WS-8000-FIELD-NAME1
              MOVE WS-1670-HARVEST-PRODUCTION-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1670 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1670-VAL-HARVEST-PROD-EXIT.
           EXIT.

