      ****************************************************************
      * FILE:      FV1680.CBL                                        *
      * AUTHOR:    LAURA DITTAMO                                     *
      * DATE:      6/28/96                                           *
      * PURPOSE:   VALIDATION FOR REPLANT GUARANTEE. VALUE MUST BE   *
      *            NUMERIC.                                          *
      ****************************************************************

       1680-VAL-REPLANT-GUAR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1680-VALIDATING REPLANT GUARANTEE'
           UPON CONSOLE
      $END

           IF WS-1680-REPLANT-GUARANTEE NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-STAGE-GPA
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-REPLANT-GUARANTEE TO WS-8000-FIELD-NAME1
              MOVE SPACES TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1680 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1680-VAL-REPLANT-GUAR-EXIT.
           EXIT.

