      ****************************************************************
      * FILE:      FV1720.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR HARDINESS ZONE                     *
      *            VALID VALUES ARE '01' - '10'                      *
      ****************************************************************

       1720-VAL-HARDINESS-ZONE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1720-VALIDATING HARDINESS ZONE'
           UPON CONSOLE
      $END

           IF WS-1720-HARDINESS-ZONE NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-HARDINESS-ZONE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-HARDINESS-ZONE TO WS-8000-FIELD-NAME1
              MOVE WS-1720-HARDINESS-ZONE TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1720 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1720-VAL-HARDINESS-ZONE-EXIT
           END-IF

           IF WS-1720-HARDINESS-ZONE < 1 OR
              WS-1720-HARDINESS-ZONE > 10
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-HARDINESS-ZONE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-HARDINESS-ZONE TO WS-8000-FIELD-NAME1
              MOVE WS-1720-HARDINESS-ZONE TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1720 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1720-VAL-HARDINESS-ZONE-EXIT.
           EXIT.

