      ****************************************************************
      * FILE:      FV1735.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/26/95                                           *
      * PURPOSE:   VALIDATION FOR LOSS FROM AVERAGE                  *
      *            VALUES MUST BE NUMERIC                            *
      ****************************************************************

       1735-VAL-LOSS-FROM-AVG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1735-VALIDATING LOSS FROM AVERAGE'
           UPON CONSOLE
      $END

           IF WS-1735-LOSS-FROM-AVG NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOSS-FROM-AVG
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOSS-FRM-AVG TO WS-8000-FIELD-NAME1
              MOVE WS-1735-LOSS-FROM-AVG TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1735 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1735-VAL-LOSS-FROM-AVG-EXIT.
           EXIT.

