      ****************************************************************
      * FILE:           FV1740.CBL                                   *
      * AUTHOR:         STACY BRAY                                   *
      * DATE:           10/1/95                                      *
      * PURPOSE:        VALIDATION FOR AVERAGE MONTHLY MARKET VALUE  *
      *                 VALUES MUST BE NUMERIC                       *
      ****************************************************************


       1740-VAL-AVG-MTH-MKT-VAL.

      $IF DEBUG-SW DEFINED
           DISPLAY '1740-VALIDATING AVERAGE MONTHLY MARKET VALUE'
           UPON CONSOLE
      $END

           IF WS-1740-AVG-MNTHLY-MKT-VALUE NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-AVG-MONTHLY-MKT-VALUE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-AVG-MTH-MKT-VAL TO WS-8000-FIELD-NAME1
              MOVE WS-1740-AVG-MNTHLY-MKT-VALUE TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1740 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1740-VAL-AVG-MTH-MKT-VAL-EXIT.
          EXIT.

