      ****************************************************************
      * FILE:           FV1745.CBL                                   *
      * AUTHOR:         STACY BRAY                                   *
      * DATE:           10/1/95                                      *
      * PURPOSE:        VALIDATION FOR FIELD MARKET VALUE            *
      *                 VALUES MUST BE NUMERIC                       *
      ****************************************************************


       1745-VAL-FIELD-MKT-VALUE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1745-VALIDATING FIELD MARKET VALUE'
           UPON CONSOLE
      $END

           IF WS-1745-FIELD-MARKET-VALUE NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-FIELD-MKT-VALUE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-FIELD-MKT-VALUE TO WS-8000-FIELD-NAME1
              MOVE WS-1745-FIELD-MARKET-VALUE TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1745 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1745-VAL-FIELD-MKT-VALUE-EXIT.
          EXIT.

