      ****************************************************************
      * FILE:           FV1755.CBL                                   *
      * AUTHOR:         STACY BRAY                                   *
      * DATE:           10/2/95                                      *
      * PURPOSE:        VALIDATION FOR LOSS FROM ANNUAL              *
      *                 VALUES MUST BE NUMERIC                       *
      ****************************************************************


       1755-VAL-LOSS-FROM-ANNUAL.

      $IF DEBUG-SW DEFINED
           DISPLAY '1755-VALIDATING LOSS FROM ANNUAL'
           UPON CONSOLE
      $END

           IF WS-1755-LOSS-FROM-ANNUAL NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOSS-FROM-ANNUAL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOSS-FRM-ANNL TO WS-8000-FIELD-NAME1
              MOVE WS-1755-LOSS-FROM-ANNUAL TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1755 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1755-VAL-LOSS-FROM-ANNUAL-EXIT.
          EXIT.

