      *******************************************************
      * FILE    : FV1770.CBL                                *
      * AUTHOR  : Yo-I Tsui                                 *
      * DATE    : 11/09/95                                  *
      * PURPOSE : VAILDATION FOR 4TH TOTAL REINSURANCE YEAR *
      *           IF NOT BLANK, MUST BE NUMERIC             *
      *******************************************************

       1770-VAL-4TH-REINS-YR.

      $IF DEBUG-SW DEFINED
            DISPLAY '1770-VALIDATING 4TH REINS YR'
            UPON CONSOLE
      $END

           IF WS-1770-4TH-REINS-YR EQUAL SPACES
              GO TO 1770-VAL-4TH-REINS-YR-EXIT
           END-IF

           IF WS-1770-4TH-REINS-YR NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 20042 TO WS-8000-ERROR-CODE
              MOVE 1770 TO WS-8000-PARAGRAPH-NO
              MOVE WS-LITERAL-YES TO ERROR-4TH-TOT-REINSURE-YR
              MOVE WS-LITERAL-4TH-TOT-REIN-YR
                TO WS-8000-FIELD-NAME1
              MOVE WS-1770-4TH-REINS-YR TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1770-VAL-4TH-REINS-YR-EXIT.
           EXIT.
