      **************************************************************
      * FILE   :  FV1780.CBL
      * AUTHOR :  LINDA FUNN
      * DATE   :  11/24/95
      * PURPOSE:  Validate Stage Code.  Values Must Be Defined
      *           According to Definitions Found in M13 p. 26-20.
      *************************************************************

       1780-VAL-STAGE-CODE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1780-VALIDATING STAGE CODE'
           UPON CONSOLE
      $END

      *    ** LOOKUP STAGE CODE
           INITIALIZE WS-7365-I-STAGE-CD

           MOVE WS-1780-STAGE-CODE TO WS-7365-I-STAGE-CD

           PERFORM 7365-LOOKUP-STAGE-CD
              THRU 7365-LOOKUP-STAGE-CD-EXIT

           IF NOT MATCH-FOUND-7365
              MOVE WS-LITERAL-YES TO ERROR-STAGE-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 21009 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-STAGE-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1780-STAGE-CODE TO WS-8000-BAD-DATA1
              MOVE 'STAGE CODE NOT FOUND' TO WS-8000-CORR-DATA1
              MOVE 'STAGE CODE TBL' TO WS-8000-TABLE-NAME
              MOVE 1780 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1780-VAL-STAGE-CODE-EXIT.
           EXIT.

