      *******************************************************
      * FILE    : FV1840.CBL                                *
      * AUTHOR  : Yo-I Tsui                                *
      * DATE    : 11/09/95                                  *
      * PURPOSE : VAILDATION FOR 2ND TOTAL REINSURANCE YEAR *
      *           IF NOT BLANK, MUST BE NUMERIC             *
      *******************************************************

       1840-VAL-2ND-REINS-YR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1840-VALIDATING 2ND REINSURANCE YEAR'
           UPON CONSOLE
      $END
           IF WS-1840-2ND-REINS-YR EQUAL SPACES
              GO TO 1840-VAL-2ND-REINS-YR-EXIT
           ELSE
              IF WS-1840-2ND-REINS-YR NOT NUMERIC
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE 20002 TO WS-8000-ERROR-CODE
                 MOVE 1840 TO WS-8000-PARAGRAPH-NO
                 MOVE WS-LITERAL-YES TO ERROR-2ND-TOT-REINSURE-YR
                 MOVE WS-LITERAL-2ND-TOT-REIN-YR
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-1840-2ND-REINS-YR TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1

                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       1840-VAL-2ND-REINS-YR-EXIT.
           EXIT.
