      ****************************************************************
      * FILE:      FV1864.CBL
      * AUTHOR:    Cliff Walker
      * DATE:      01/15/96
      * PURPOSE:   VALIDATION FOR YIELD LIMITATION FLAG VALUE MUST BE
      *            NUMERIC AND ONE OF THE VALID YIELD LIMITATION FLAG
      *            MUST BE:  1 THROUGH 8.
      ****************************************************************

       1864-VAL-YIELD-LIMIT-FLG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1864-VALIDATING YIELD LIMITATION FLAG'
           UPON CONSOLE
      $END

           IF NOT WS-1864-YIELD-LIMIT-FLG NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-YLD-LIMIT-FL
              MOVE WS-LITERAL-YLD-LIMIT-FL TO WS-8000-FIELD-NAME1
              MOVE WS-1864-YIELD-LIMIT-FLG TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1864 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1864-VAL-YIELD-LIMIT-FLG-EXIT
           END-IF

           IF NOT VALID-YIELD-LIMIT-FLAG-1864
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 027 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-YLD-LIMIT-FL
              MOVE WS-LITERAL-YLD-LIMIT-FL TO WS-8000-FIELD-NAME1
              MOVE WS-1864-YIELD-LIMIT-FLG TO WS-8000-BAD-DATA1
              MOVE 'MUST BE 1 - 8' TO WS-8000-CORR-DATA1
              MOVE 1864 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1864-VAL-YIELD-LIMIT-FLG-EXIT.
           EXIT.
