      ******************************************************************
      *  File:     FV1866.CBL
      *  Author:   Cliff Walker
      *  Date:     01/08/96
      *  Purpose:  Validate the record private policy code field.
      *            Must be populated with data left justified.
      ******************************************************************

       1866-VAL-PRIV-POLY-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '1866-VALIDATING PRIVATE POLICY CD'
           UPON CONSOLE
      $END

           IF WS-1866-PRIV-POLY-CD = SPACES
              MOVE 50014 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-PRIV-POLICY-CD
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PRIV-POLICY-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1866-PRIV-POLY-CD TO WS-8000-BAD-DATA1
              MOVE 'MUST NOT BE BLANK' TO WS-8000-CORR-DATA1
              MOVE 1866 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           ELSE
              IF WS-1866-1ST-CHAR = SPACES
                 MOVE 50003 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-PRIV-POLICY-CD
                 MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
                 MOVE WS-LITERAL-PRIV-POLICY-CD TO WS-8000-FIELD-NAME1
                 MOVE WS-1866-PRIV-POLY-CD TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 1866 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       1866-VAL-PRIV-POLY-CD-EXIT.
           EXIT.
