      ******************************************************************
      *  File:     FV1868.CBL
      *  Author:   Cliff Walker
      *  Date:     01/08/96
      *  Purpose:  Validate the record NCS yield factor field.
      *            It must be numeric.
      ******************************************************************

       1868-VAL-NCS-YLD-FACTOR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1868-VALIDATING NCS YIELD FACTOR'
           UPON CONSOLE
      $END

           IF NOT WS-1868-NCS-YLD-FACTOR NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-NCS-YLD-FCTR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-NCS-YLD-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-1868-NCS-YLD-FACTOR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1868 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1868-VAL-NCS-YLD-FACTOR-EXIT.
           EXIT.
