      ****************************************************************
      * FILE:      FV1870.CBL
      * AUTHOR:    Cliff Walker
      * DATE:      01/18/96
      * PURPOSE:   VALIDATION FOR REVIEW FLAG VALUE MUST BE
      *            NUMERIC AND ONE OF THE VALID REVIEW FLAG
      *            MUST BE:  00 THROUGH 05.
      ****************************************************************

       1870-VAL-REVIEW-FLG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1870-VALIDATING REVIEW FLAG'
           UPON CONSOLE
      $END

           IF NOT WS-1870-REVIEW-FLG NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REVIEW-FL
              MOVE WS-LITERAL-REVIEW-FL TO WS-8000-FIELD-NAME1
              MOVE WS-1870-REVIEW-FLG TO WS-8000-BAD-DATA1
              MOVE '00 - 05' TO WS-8000-CORR-DATA1
              MOVE 1870 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1870-VAL-REVIEW-FLG-EXIT
           END-IF

           IF NOT VALID-REVIEW-FLG-1870
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 028 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REVIEW-FL
              MOVE WS-LITERAL-REVIEW-FL TO WS-8000-FIELD-NAME1
              MOVE WS-1870-REVIEW-FLG TO WS-8000-BAD-DATA1
              MOVE 'MUST BE 00 - 05' TO WS-8000-CORR-DATA1
              MOVE 1870 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1870-VAL-REVIEW-FLG-EXIT.
           EXIT.
