      ****************************************************************
      * FILE:      FV1872.CBL
      * AUTHOR:    Cliff Walker
      * DATE:      01/22/96
      * PURPOSE:   VALIDATION FOR YIELD TYPE YEAR VALUE MUST BE
      *            ONE OF THE VALID YIELD TYPE.
      ****************************************************************

       1872-VAL-YIELD-TYPE-YEAR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1872-VALIDATING YIELD TYPE YEAR'
           UPON CONSOLE
      $END

           IF NOT VALID-YIELD-TYPE-YEAR-1872
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 15008 TO WS-8000-ERROR-CODE
              EVALUATE WS-1872-FIELD-NO
               WHEN '01'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR1
                  MOVE WS-LITERAL-YLD-TYPE-YR1 TO WS-8000-FIELD-NAME1
               WHEN '02'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR2
                  MOVE WS-LITERAL-YLD-TYPE-YR2 TO WS-8000-FIELD-NAME1
               WHEN '03'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR3
                  MOVE WS-LITERAL-YLD-TYPE-YR3 TO WS-8000-FIELD-NAME1
               WHEN '04'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR4
                  MOVE WS-LITERAL-YLD-TYPE-YR4 TO WS-8000-FIELD-NAME1
               WHEN '05'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR5
                  MOVE WS-LITERAL-YLD-TYPE-YR5 TO WS-8000-FIELD-NAME1
               WHEN '06'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR6
                  MOVE WS-LITERAL-YLD-TYPE-YR6 TO WS-8000-FIELD-NAME1
               WHEN '07'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR7
                  MOVE WS-LITERAL-YLD-TYPE-YR7 TO WS-8000-FIELD-NAME1
               WHEN '08'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR8
                  MOVE WS-LITERAL-YLD-TYPE-YR8 TO WS-8000-FIELD-NAME1
               WHEN '09'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR9
                  MOVE WS-LITERAL-YLD-TYPE-YR9 TO WS-8000-FIELD-NAME1
               WHEN '10'
                  MOVE WS-LITERAL-YES TO ERROR-YLD-TYPE-YR10
                  MOVE WS-LITERAL-YLD-TYPE-YR10 TO WS-8000-FIELD-NAME1
               WHEN OTHER
                  MOVE 1872 TO WS-8020-PARAGRAPH-NO
                  MOVE 90003 TO WS-8020-INT-ERROR-NO
                  MOVE 'YLD TYPE YR FLD' TO WS-8020-FIELD-NAME
                  MOVE WS-1872-FIELD-NO TO WS-8020-BAD-DATA
                  MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                  PERFORM 8020-RECORD-INT-ERROR
                     THRU 8020-RECORD-INT-ERROR-EXIT
              END-EVALUATE
              MOVE WS-1872-YIELD-TYPE-YEAR TO WS-8000-BAD-DATA1
              MOVE 'SEE M-13' TO WS-8000-CORR-DATA1
              MOVE 1872 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1872-VAL-YIELD-TYPE-YEAR-EXIT.
           EXIT.
