      ******************************************************************
      *  File:     FV1878.CBL
      *  Author:   Cliff Walker
      *  Date:     01/23/96
      *  Purpose:  Validate YIELD YEAR field.
      *            It must be numeric.
      ******************************************************************

       1878-VAL-YIELD-YEAR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1878-VALIDATING YIELD YEAR'
           UPON CONSOLE
      $END

           EVALUATE WS-1878-FIELD-NO
            WHEN '01'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR1
               MOVE WS-LITERAL-YLD-YR1 TO WS-8000-FIELD-NAME1
            WHEN '02'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR2
               MOVE WS-LITERAL-YLD-YR2 TO WS-8000-FIELD-NAME1
            WHEN '03'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR3
               MOVE WS-LITERAL-YLD-YR3 TO WS-8000-FIELD-NAME1
            WHEN '04'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR4
               MOVE WS-LITERAL-YLD-YR4 TO WS-8000-FIELD-NAME1
            WHEN '05'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR5
               MOVE WS-LITERAL-YLD-YR5 TO WS-8000-FIELD-NAME1
            WHEN '06'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR6
               MOVE WS-LITERAL-YLD-YR6 TO WS-8000-FIELD-NAME1
            WHEN '07'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR7
               MOVE WS-LITERAL-YLD-YR7 TO WS-8000-FIELD-NAME1
            WHEN '08'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR8
               MOVE WS-LITERAL-YLD-YR8 TO WS-8000-FIELD-NAME1
            WHEN '09'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR9
               MOVE WS-LITERAL-YLD-YR9 TO WS-8000-FIELD-NAME1
            WHEN '10'
               MOVE WS-LITERAL-YES TO ERROR-YLD-YR10
               MOVE WS-LITERAL-YLD-YR10 TO WS-8000-FIELD-NAME1
            WHEN OTHER
               MOVE 1878 TO WS-8020-PARAGRAPH-NO
               MOVE 90003 TO WS-8020-INT-ERROR-NO
               MOVE 'YIELD YEAR FLD' TO WS-8020-FIELD-NAME
               MOVE WS-1878-FIELD-NO TO WS-8020-BAD-DATA
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               PERFORM 8020-RECORD-INT-ERROR
                  THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE
           MOVE 15002 TO WS-8000-ERROR-CODE
           MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
           MOVE WS-1878-YIELD-YEAR TO WS-8000-BAD-DATA1
           MOVE SPACES TO WS-8000-CORR-DATA1
           MOVE 1878 TO WS-8000-PARAGRAPH-NO
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.


       1878-VAL-YIELD-YEAR-EXIT.
           EXIT.
