      ******************************************************************
      *  File:     FV1880.CBL
      *  Author:   Cliff Walker
      *  Date:     01/23/96
      *  Purpose:  Validate the generic YIELD ACRE field.
      *            That have a field length of 7 positions.
      *            It must be numeric.
      ******************************************************************

       1880-VAL-YIELD-ACRE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1880-VALIDATING YIELD ACRES'
           UPON CONSOLE
      $END

           MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
           MOVE 002 TO WS-8000-SHORT-ERROR
           EVALUATE WS-1880-FIELD-NO
            WHEN '01'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE1
               MOVE WS-LITERAL-YIELD-ACRE1 TO WS-8000-FIELD-NAME1
            WHEN '02'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE2
               MOVE WS-LITERAL-YIELD-ACRE2 TO WS-8000-FIELD-NAME1
            WHEN '03'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE3
               MOVE WS-LITERAL-YIELD-ACRE3 TO WS-8000-FIELD-NAME1
            WHEN '04'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE4
               MOVE WS-LITERAL-YIELD-ACRE4 TO WS-8000-FIELD-NAME1
            WHEN '05'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE5
               MOVE WS-LITERAL-YIELD-ACRE5 TO WS-8000-FIELD-NAME1
            WHEN '06'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE6
               MOVE WS-LITERAL-YIELD-ACRE6 TO WS-8000-FIELD-NAME1
            WHEN '07'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE7
               MOVE WS-LITERAL-YIELD-ACRE7 TO WS-8000-FIELD-NAME1
            WHEN '08'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE8
               MOVE WS-LITERAL-YIELD-ACRE8 TO WS-8000-FIELD-NAME1
            WHEN '09'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE9
               MOVE WS-LITERAL-YIELD-ACRE9 TO WS-8000-FIELD-NAME1
            WHEN '10'
               MOVE WS-LITERAL-YES TO ERROR-YLD-ACRE10
               MOVE WS-LITERAL-YIELD-ACRE10 TO WS-8000-FIELD-NAME1
            WHEN OTHER
               MOVE 1880 TO WS-8020-PARAGRAPH-NO
               MOVE 90003 TO WS-8020-INT-ERROR-NO
               MOVE 'YIELD ACRE FLD' TO WS-8020-FIELD-NAME
               MOVE WS-1880-FIELD-NO TO WS-8020-BAD-DATA
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               PERFORM 8020-RECORD-INT-ERROR
                  THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE
           MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
           MOVE WS-1880-YIELD-ACRE-X TO WS-8000-BAD-DATA1
           MOVE SPACES TO WS-8000-CORR-DATA1
           MOVE 1880 TO WS-8000-PARAGRAPH-NO
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.


       1880-VAL-YIELD-ACRE-EXIT.
           EXIT.
