      *******************************************************************
      *    FILE:     FV1885.CBL                                         *
      *    AUTHOR:   GARY HARVEY                                        *
      *    DATE:     01/21/95                                           *
      *    PURPOSE:  1885-VAL-TOTAL-GUARANTEE                           *
      *              VALIDATES TOTAL GUARANTEE                          *
      *              THIS EDIT CANNOT CURRENTLY BE ACTIVATED BECAUSE    *
      *              TOTAL GUARANTEE IS IMPUTED FOR NURSERY AND IP      *
      *              CROPS AS WELL AS ALL CAT COVERAGE POLICIES.        *
      *******************************************************************
       1885-VAL-TOTAL-GUARANTEE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1885-VALIDATING TOTAL GUARANTEE'
           UPON CONSOLE
      $END

      *******************************************************************
      *    BELOW:  ENSURE TOTAL GUARANTEE IS GREATER THAN ZERO.           *
      *******************************************************************

           IF WS-1885-TOTAL-GUARANTEE = ZEROS
              CONTINUE
      *       MOVE WS-LITERAL-YES TO ERROR-TOTAL-GUARANTEE
      *       MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
      *       MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *       MOVE 005 TO WS-8000-SHORT-ERROR
      *       MOVE WS-LITERAL-TOTAL-GUARANTEE TO WS-8000-FIELD-NAME1
      *       MOVE WS-T11-TOTAL-GUARANTEE-X TO WS-8000-BAD-DATA1
      *       MOVE 1885 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1885-VAL-TOTAL-GUARANTEE-EXIT.
           EXIT.
