      ******************************************************************
      *  File:     FV1900.CBL                                          *
      *  Author:   Angela Wall                                         *
      *  Date:     7/11/96                                             *
      *  Purpose:  Validate the Active Flag.			                *
      *            Required for all records.  It must be Y=Yes Active, *
      *  	   or N=No Inactive                                         *
      ******************************************************************


       1900-VAL-ACTIVE-FLG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1900-VALIDATING ACTIVE FLAG'
           UPON CONSOLE
      $END

           IF WS-1900-ACTIVE-FLG = WS-LITERAL-YES OR
	      WS-1900-ACTIVE-FLG = WS-LITERAL-NO
		GO TO 1900-VAL-ACTIVE-FLG-EXIT
           END-IF.

      ******************************************************************
      *  The active flag is not Y or N, so produce error	       *
      ******************************************************************
           MOVE WS-LITERAL-YES TO ERROR-ACTIVE-FLG.
           MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE.
           MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE.
           MOVE 008 TO WS-8000-SHORT-ERROR.
           MOVE WS-LITERAL-ACTIVE-FLG TO WS-8000-FIELD-NAME1.
           MOVE WS-1900-ACTIVE-FLG TO WS-8000-BAD-DATA1.
           MOVE 1900 TO WS-8000-PARAGRAPH-NO.
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.

       1900-VAL-ACTIVE-FLG-EXIT.
	   EXIT.
