      ******************************************************************
      *  File:     FV1940.CBL                                          *
      *  Author:   Angela Wall                                         *
      *  Date:     7/11/96                                             *
      *  Purpose:  Validate the Agency Name.                           *
      *    	    Required for all records.  Must not be blank.       *
      *            Must be left justified beginning in first position. *
      ******************************************************************


       1940-VAL-AGENCY-NAME.

      $IF DEBUG-SW DEFINED
           DISPLAY '1940-VALIDATING AGENCY NAME'
           UPON CONSOLE
      $END

	    IF WS-1940-AGENCY = SPACES
              MOVE WS-LITERAL-YES TO ERROR-AGENCY-NAME
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-AGENCY-NAME TO WS-8000-FIELD-NAME1
              MOVE WS-1940-AGENCY-NAME TO WS-8000-BAD-DATA1
              MOVE 1940 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	       GO TO 1940-VAL-AGENCY-NAME-EXIT
	    END-IF

	    IF WS-1940-1ST-CHAR = SPACE
              MOVE WS-LITERAL-YES TO ERROR-AGENCY-NAME
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-AGENCY-NAME TO WS-8000-FIELD-NAME1
              MOVE WS-1940-AGENCY-NAME TO WS-8000-BAD-DATA1
              MOVE 1940 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	       GO TO 1940-VAL-AGENCY-NAME-EXIT
	    END-IF.

       1940-VAL-AGENCY-NAME-EXIT.
	    EXIT.
