      ******************************************************************
      *  File:     FV1960.CBL                                          *
      *  Author:   Angela Wall
      *  Date:     7/12/96                                             *
      *  Purpose:  Validate the phone exten field.                     *
      *            Must be left justified beginning in first position. *
      ******************************************************************

       1960-VAL-PHONE-EXTEN.

      $IF DEBUG-SW DEFINED
           DISPLAY '1960-VALIDATING PHONE EXTENSION'
           UPON CONSOLE
      $END

           IF WS-1960-EXTEN = SPACES
		   GO TO 1960-VAL-PHONE-EXTEN-EXIT
	    END-IF

	    IF WS-1960-1ST-CHAR = SPACE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PHONE-EXTEN
              MOVE WS-LITERAL-FV     TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PHONE-EXTEN TO WS-8000-FIELD-NAME1
              MOVE WS-1960-EXTEN TO WS-8000-BAD-DATA1
              MOVE 1960 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                  THRU 8000-RECORD-TRAN-ERROR-EXIT
	    END-IF.

       1960-VAL-PHONE-EXTEN-EXIT.
           EXIT.

