      ***************************************************************
      * File:      IF2055.CBL
      * Author:    Angela Wall
      * Date:      7/30/96
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    55 record's inter-field validations.
      *
      ***************************************************************


       2055-VALIDATE-T55.

      $IF DEBUG-SW DEFINED
           DISPLAY '2055-INTER-FIELD VALIDATING TYPE 55 RECORD'
           UPON CONSOLE
      $END

      *****************************************************
      *    VALIDATE INACTIVE-DATE                         *
      *****************************************************

	   MOVE WS-T55-ACTIVE-FLG TO WS-2705-ACTIVE-FLG.
	   MOVE WS-T55-INACTIVE-DATE TO WS-2705-INACTIVE-DATE.
	   PERFORM 2705-VAL-INACTIVE-DATE
	      THRU 2705-VAL-INACTIVE-DATE-EXIT.

      *****************************************************
      *    VALIDATE ZIP CODE
      *****************************************************
	   MOVE WS-T55-ZIP-CODE TO WS-2708-ZIP-CODE.
	   PERFORM 2708-VAL-ZIP-CODE
	      THRU 2708-VAL-ZIP-CODE-EXIT.

      *****************************************************
      *    VALIDATE ADDRESS STATE
      *****************************************************
	   MOVE WS-T55-ADDRESS-STATE TO WS-2707-STATE.
	   MOVE WS-T55-ZIP-CODE TO WS-2707-ZIP-CODE.
	   PERFORM 2707-VAL-ADDRESS-STATE
	      THRU 2707-VAL-ADDRESS-STATE-EXIT.

      *****************************************************
      *    VALIDATE COUNTY
      *****************************************************
	   MOVE WS-T55-COUNTY TO WS-2706-COUNTY.
	   MOVE WS-T55-ZIP-CODE TO WS-2706-ZIP-CODE.
	   MOVE WS-T55-ADDRESS-STATE TO WS-2706-STATE.
          PERFORM 2706-VAL-COUNTY
	      THRU 2706-VAL-COUNTY-EXIT.

       2055-VALIDATE-T55-EXIT.
	   EXIT.


