

      ******************************************************************
      *    FILE:     IF2245.CBL                                        *
      *    AUTHOR:   C. B. O'NEILL                                     *
      *    DATE:     8/30/95                                           *
      *    PURPOSE:  2245-VAL-ADMIN-FEE-CVG-CD                         *
      *              ENSURE CROP TYPE IS VALID.                        *
      ******************************************************************

       2245-VAL-ADMIN-FEE-CVG-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '2245-VALIDATING ADMIN FEE FLG AGAINST CVG CD'
           UPON CONSOLE
      $END

           IF ERROR-ADMIN-FEE-FL = WS-LITERAL-YES
              OR ERROR-CVG-FL = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-ADMIN-FEE-FL
              MOVE WS-LITERAL-YES TO ERROR-CVG-FL
              GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
           END-IF

      ******************************************************************
      *    BELOW:  ANY COMBINATION OF WS-2245-ADMIN-FEE-FL AND         *
      *            WS-2245-COVERAGE-FLG, LISTED BELOW IN THE EVALUATE  *
      *            STATEMENT IS A VALID COMBINATION.  FOR EXAMPLE,     *
      *            WHEN WS-2245-ADMIN-FEE-FL = 'F' AND THE             *
      *            WS-2245-COVERAGE-FLG = 'C' WOULD BE VALID.          *
      *    NOTE:   THIS TABLE WAS BUILT FROM THE JUNE 1995 VERSION OF  *
      *            THE FCIC M13 MANUAL, EXHIBIT 41.14.                 *
      ******************************************************************

           EVALUATE WS-2245-ADMIN-FEE-FL ALSO WS-2245-COVERAGE-FL
              WHEN 'F'   ALSO 'C' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN 'F'   ALSO 'L' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN 'V'   ALSO 'C' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN 'A'   ALSO 'L' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN 'A'   ALSO 'A' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN 'C'   ALSO 'L' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN 'W'   ALSO 'C' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN 'W'   ALSO 'L' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN 'M'   ALSO 'C' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN 'M'   ALSO 'L' GO TO 2245-VAL-ADMIN-FEE-CVG-CD-EXIT
              WHEN OTHER
                 MOVE WS-LITERAL-YES TO ERROR-ADMIN-FEE-FL
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE 14052 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-ADMIN-FEE-FL TO WS-8000-FIELD-NAME1
                 MOVE WS-2245-ADMIN-FEE-FL TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1
                 MOVE 2245 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.

       2245-VAL-ADMIN-FEE-CVG-CD-EXIT.
           EXIT.



