      **********************************************************
      * FILE     : IF2450.CBL
      * AUTHOR   : Yo-I Tsui
      * DATE     : 11/16/95
      * PURPOSE  : VALIDATE PRIMARY MONTH
      *            IF INDEMNITY > 0 THEN MONTH MUST BE IN RANGE
      *            {01 - 12} ELSE MONTH MUST BE 0
      **********************************************************

       2450-VAL-PRIMARY-MONTH.

      $IF DEBUG-SW DEFINED
           DISPLAY '2450-VALIDATING PRIMARY MONTH'
           UPON CONSOLE
      $END

      **********************************************************
      *                 CHECK PRE-CONDITION                    *
      **********************************************************

           IF ERROR-PRIMARY-MONTH = WS-LITERAL-YES OR
              ERROR-INDEM = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-PRIMARY-MONTH
              GO TO 2450-VAL-PRIMARY-MONTH-EXIT
           END-IF

      **********************************************************
      *                    NORMAL PROCESSING                   *
      **********************************************************

           IF WS-2450-INDEMNITY > ZEROS
              IF (WS-2450-PRIMARY-MONTH >= 1 OR
                  WS-2450-PRIMARY-MONTH <= 12)
                 GO TO 2450-VAL-PRIMARY-MONTH-EXIT
              ELSE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 010 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-PRIMARY-MONTH
                 MOVE WS-LITERAL-PRIMARY-MONTH TO WS-8000-FIELD-NAME1
                 MOVE WS-2450-PRIMARY-MONTH TO WS-8000-BAD-DATA1
                 MOVE '1-12' TO WS-8000-CORR-DATA1
                 MOVE 2450 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
      *    ELSE
      *       IF WS-2450-PRIMARY-MONTH <> 0
      *          MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
      *          MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
      *          MOVE 007 TO WS-8000-SHORT-ERROR
      *          MOVE WS-LITERAL-YES TO ERROR-PRIMARY-MONTH
      *          MOVE WS-LITERAL-PRIMARY-MONTH TO WS-8000-FIELD-NAME1
      *          MOVE WS-2450-PRIMARY-MONTH TO WS-8000-BAD-DATA1
      *          MOVE '0' TO WS-8000-CORR-DATA1
      *          MOVE 2450 TO WS-8000-PARAGRAPH-NO
      *          PERFORM 8000-RECORD-TRAN-ERROR
      *             THRU 8000-RECORD-TRAN-ERROR-EXIT
      *       END-IF
           END-IF.

       2450-VAL-PRIMARY-MONTH-EXIT.
           EXIT.
