      *****************************************************************
      * FILE:      IF2570.CBL                                         *
      * AUTHOR:    Mike Ray                                           *
      * DATE:      05/09/96                                           *
      * PURPOSE:   VALIDATION FOR TYPE 15 MAP AREA. IF THERE ARE ANY  *
      *    YIELD TYPES WHICH REQUIRE A T YIELD THEN THE MAP AREA MUST *
      *    BE POPULATED.                                              *
      *****************************************************************

       2570-VAL-T15-MAP-AREA.

      $IF DEBUG-SW DEFINED
           DISPLAY '2570-VALIDATING T YIELD MAP AREA'
           UPON CONSOLE
      $END

      ****************************************************************
      *                   INITIALIZE OUTPUT FIELDS                   *
      ****************************************************************

      ****************************************************************
      *            CHECK THE PRE-CONDITIONS BEFORE THE EDIT          *
      ****************************************************************

           IF ERROR-MAP-AREA = WS-LITERAL-YES OR
              ERROR-TRANSITIONAL-YIELD = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-MAP-AREA
              GO TO 2570-VAL-T15-MAP-AREA-EXIT
           END-IF

      ****************************************************************
      *                MAIN VALIDATION LOGIC                         *
      ****************************************************************

      *    *** CURRENTLY SPACES IS A VALID MAP AREA SO WE CANNOT
      *    *** PERFORM THIS EDIT.
           IF WS-2570-TRANSITIONAL-YLD > ZEROS AND
              (WS-2570-MAP-AREA = ZEROS OR
              WS-2570-MAP-AREA = SPACES)
              CONTINUE
      *       MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
      *       MOVE 15083 TO WS-8000-ERROR-CODE
      *       MOVE WS-LITERAL-YES TO ERROR-MAP-AREA
      *       MOVE WS-LITERAL-MAP-AREA TO WS-8000-FIELD-NAME1
      *       MOVE WS-2570-MAP-AREA TO WS-8000-BAD-DATA1
      *       MOVE SPACES TO WS-8000-CORR-DATA1
      *       MOVE 2570 TO WS-8000-PARAGRAPH-NO
      *       PERFORM 8000-RECORD-TRAN-ERROR
      *          THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       2570-VAL-T15-MAP-AREA-EXIT.
           EXIT.





