      **********************************************************
      * FILE     : IF2585.CBL
      * AUTHOR   : Yo-I Tsui
      * DATE     : 11/15/95
      * PURPOSE  : VALIDATE LOSS TRANSACTION FLAG FOR REINSURED
      *            THE LOSS TRANSACTION FLAG MUST BE ZEROS.
      **********************************************************

       2585-VAL-REINS-LOSS-TRANS.

      $IF DEBUG-SW DEFINED
          DISPLAY '2585-VALIDATING LOSS TRANSACTION FLAG FOR REINS'
          UPON CONSOLE
      $END

      **********************************************************
      *                 CHECK PRE-CONDITION                    *
      **********************************************************

           IF ERROR-LOSS-TRAN-FL = WS-LITERAL-YES OR
              ERROR-RO = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-LOSS-TRAN-FL
              GO TO 2585-VAL-REINS-LOSS-TRANS-EXIT
           END-IF

      **********************************************************
      *                    NORMAL PROCESSING                   *
      **********************************************************

           IF WS-2585-LOSS-TRAN-FLAG NOT EQUAL TO ZEROS
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 019 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOSS-TRAN-FL
              MOVE WS-LITERAL-LOSS-TRAN-FL TO WS-8000-FIELD-NAME1
              MOVE WS-2585-LOSS-TRAN-FLAG TO WS-8000-BAD-DATA1
              MOVE '000' TO WS-8000-CORR-DATA1
              MOVE 2585 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       2585-VAL-REINS-LOSS-TRANS-EXIT.
           EXIT.

