      *************************************************************
      * File:      IF2705.CBL
      * Author:    Angela Wall.
      * Date:      7/30/96
      * Purpose:   If the active flag is 'Y' then exit.  If the active
      *   	   flag is 'N' then check for a date in the inactive
      *		   date field.
      *************************************************************

       2705-VAL-INACTIVE-DATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '2705-VALIDATING INACTIVE DATE'
           UPON CONSOLE
      $END


      ********************************************
      *         CHECK PRE-CONDITIONS             *
      ********************************************

           IF ERROR-ACTIVE-FLG = WS-LITERAL-YES OR
              ERROR-INACTIVE-DATE = WS-LITERAL-YES
              GO TO 2705-VAL-INACTIVE-DATE-EXIT
           END-IF.


      ********************************************
      *          Normal Processing               *
      ********************************************


	    IF WS-2705-ACTIVE-FLG = WS-LITERAL-YES
              GO TO 2705-VAL-INACTIVE-DATE-EXIT
	    ELSE
              IF WS-2705-INACTIVE-DATE = SPACES OR
                 WS-2705-INACTIVE-DATE = ZEROS
		      MOVE 55051 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
		      MOVE WS-LITERAL-YES TO ERROR-INACTIVE-DATE
              	  MOVE WS-LITERAL-ACTIVE-FLG TO WS-8000-FIELD-NAME1
              	  MOVE WS-2705-ACTIVE-FLG TO WS-8000-BAD-DATA1
              	  MOVE WS-LITERAL-INACTIVE-DATE TO WS-8000-FIELD-NAME2
              	  MOVE WS-2705-INACTIVE-DATE TO WS-8000-BAD-DATA2
              	  MOVE 2705 TO WS-8000-PARAGRAPH-NO
              	  PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


	2705-VAL-INACTIVE-DATE-EXIT.
           EXIT.

