      *************************************************************
      * File:      WS2011.CBL
      * Author:    Mike Ray
      * Date:      10/30/95
      * Purpose:   Working Storage for 2011-VALIDATE-T11.
      *************************************************************


      *************************************************************
      *     Premium calculation factors - collected during lookups*
      *************************************************************

       01  WS-2011-PREMIUM-FACTORS.
           05 WS-2011-ENTITY-TYPE            PIC X(01).
           05 WS-2011-RATE-MAP-AREA-FCTR     PIC 9(02)V9(03).
           05 WS-2011-TYPE-PRACT-OPT-FCTR    PIC 9(01)V9(03).
           05 WS-2011-OPTION-FCTR            PIC 9(01)V9(03).
           05 WS-2011-EXPERIENCE-FCTR        PIC 9(01)V9(03).
           05 WS-2011-SUBSIDY-FCTR           PIC 9(01)V9(03).
           05 WS-2011-RA-SUBSIDY-FCTR        PIC 9(01)V9(03).
           05 WS-2011-GRP-SUBSIDY            PIC 9(08).
           05 WS-2011-IP-SUBSIDY             PIC 9(08).
           05 WS-2011-CROP-UNIT-OF-MEASURE   PIC 9(02).
           05 WS-2011-LPO-REDUCTION-PCT      PIC 9(01)V9(03).
           05 WS-2011-LPO-PP-FCTR            PIC 9(01)V9(03).
           05 WS-2011-LPO-PP-FCTR-x          PIC 9.999.
           05 WS-2011-PRICE-ELECTION-PCT     PIC 9(01)V9(02).
           05 WS-2011-GUARANTEE-PER-ACRE     PIC 9(09)V9(01).
           05 WS-2011-PREMIUM-GPA            PIC 9(09)V9(01).
           05 WS-2011-PREMIUM-GUARANTEE      PIC 9(12)V9(01).
           05 WS-2011-PREMIUM-LIABILITY      PIC 9(09).
           05 WS-2011-alt-PREMIUM-LIABILITY  PIC 9(09).
           05 WS-2011-TOTAL-LIABILITY        PIC 9(09).
           05 WS-2011-TOTAL-PREMIUM          PIC 9(08).
           05 WS-2011-alt-TOTAL-PREMIUM      PIC 9(08).
           05 WS-2011-PROD-PREMIUM           PIC 9(08).
           05 WS-2011-100-PCT-MAX-DOLLAR-AMT PIC 9(06)V9(02).
           05 WS-2011-RA-APH-GUARANTEE       PIC 9(12)V9(02).
           05 WS-2011-CRC-APH-LIABILITY      PIC 9(09).
           05 WS-2011-alt-CRC-APH-PREMIUM    PIC 9(08).
           05 WS-2011-CAT-100-PCT-PRICE      PIC 9(04)V9(04).
           05 WS-2011-CAT-65-100-GUARANTEE   PIC 9(12)V9(01).
           05 WS-2011-CAT-65-100-LIABILITY   PIC 9(09).
           05 WS-2011-CAT-65-PCT-DOLLAR-AMT  PIC 9(06)V9(02).
           05 WS-2011-CAT-65-PCT-BASE-RATE   PIC 9(04)V9(04).
           05 WS-2011-IP-50-PCT-PREM-RATE    PIC 9(04)V9(04).
           05 WS-2011-ARC-CAT-GUARANTEE      PIC 9(12)V9(01).
           05 WS-2011-ARC-CAT-LIABILITY      PIC 9(09).
           05 WS-2011-CALC-RA-CVG-PCT        PIC 9(01)V9(04).


       01  WS-2011-PRODUCER-INFO.
           05 WS-2011-ID-TYPE                PIC 9(01).
           05 WS-2011-ID-NUM                 PIC 9(09).
           05 WS-2011-SEED-CYCLE-CD          PIC X(01).

       01  WS-2011-YIELD-INFO.
           05 WS-2011-LOW-YLD-QTY            PIC 9(07)V9(02).
           05 WS-2011-HIGH-YLD-QTY           PIC 9(07)V9(02).

       01  WS-2011-CALC-INFO.
           05 WS-2011-QUOTA-PEANUT-FUDGE     PIC 9(07).

