      ******************************************************************
      *  File:     WS2295.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     10/05/95                                            *
      *  Purpose:  Working Storage for 2295-VAL-PRICE-ELCT-CROP.       *
      ******************************************************************

       01 WS-2295-INPUT.
          05 WS-2295-INS-PLAN-CD            PIC 9(02).
          05 WS-2295-CROP-CD                PIC 9(04).
             88  SPECIFIED-CROPS-2295
                      VALUE WS-LITERAL-MAC-TREES
                            WS-LITERAL-CITRUS
                            WS-LITERAL-CITRUS-I
                            WS-LITERAL-CITRUS-II
                            WS-LITERAL-CITRUS-III
                            WS-LITERAL-CITRUS-IV
                            WS-LITERAL-CITRUS-V
                            WS-LITERAL-CITRUS-VI
                            WS-LITERAL-CITRUS-VII
                            WS-LITERAL-CITRUS-TREES-I
                            WS-LITERAL-CITRUS-TREES-II
                            WS-LITERAL-CITRUS-TREES-III
                            WS-LITERAL-CITRUS-TREES-IV
                            WS-LITERAL-CITRUS-TREES-V

                            WS-LITERAL-FORAGE-SEED
                            WS-LITERAL-RAISINS
                            WS-LITERAL-FRESH-SWEET-CORN
                            WS-LITERAL-NURSERY
                            WS-LITERAL-PEPPERS.
          05 WS-2295-RATE-STATE             PIC 9(02).
          05 WS-2295-RATE-COUNTY            PIC 9(03).
             88  SPECIFIED-FLORIDA-COUNTY-2295
                      VALUE 039
                            059
                            063
                            131.
          05 WS-2295-PRICE-ELECTION         PIC 9(04)V9(04).
          05 WS-2295-TYPE-CD                PIC X(03).
          05 WS-2295-PRACTICE-CD            PIC X(03).
          05 WS-2295-CROP-YR                PIC 9(04).
          05 WS-2295-CRUSH-DISTRICT         PIC X(02).
          05 WS-2295-RATE-CLASS             PIC X(03).
          05 WS-2295-TYPE-PRACTICE-OPTION   PIC X(03).

       01 WS-2295-WORK.
          05 ws-2295-test-cat-dollar           PIC 9(05).
          05 ws-2295-test-cat-cents            PIC V9(02).
          05 WS-2295-CRUSH-DISTRICT-3.
             10 FILLER                         PIC 9(01) VALUE 0.
             10 WS-2295-CRUSH-DISTRICT-2       PIC 9(02).
          05 WS-2295-PRICE-ELECTION-X       PIC ZZZ9.9999.
          05 WS-2295-ADM4-DATA.
             10 WS-2295-ADM4-SUFFIX            PIC X(01).
             10 WS-2295-CAT-PRICE              PIC 9(05)V9(02).
             10 WS-2295-ESTABLISHED-HIGH-PRICE PIC 9(05)V9(02).
             10 WS-2295-MARKET-PRICE           PIC 9(05)V9(02).
             10 WS-2295-QUOTA-PRICE            PIC 9(05)V9(02).
             10 WS-2295-NON-QUOTA-PRICE        PIC 9(05)V9(02).
             10 WS-2295-SUPPORT-PRICE          PIC 9(05)V9(02).
             10 WS-2295-SEASON-AVERAGE-PRICE   PIC 9(05)V9(02).
             10 WS-2295-PRE-SALES-PRICE        PIC 9(05)V9(02).
             10 WS-2295-HARVEST-PRICE          PIC 9(05)V9(02).
             10 WS-2295-SPRING-MARKET-PRICE    PIC 9(05)V9(02).
             10 WS-2295-HARVEST-MARKET-PRICE   PIC 9(05)V9(02).
             10 WS-2295-CONTRACT-PRICE-CODE    PIC X(02).
             10 WS-2295-PROJ-HARVEST-PRICE     PIC 9(05)V9(02).
             10 WS-2295-COUNTY-HARVEST-PRICE   PIC 9(05)V9(02).
          05 WS-2295-MIN-PRICE              PIC 9(05)V9(02).
          05 WS-2295-CALC-MIN-PRICE-ELECT   PIC 9(05)V9(02).
          05 WS-2295-MAX-PRICE              PIC 9(05)V9(02).
          05 WS-2295-CORRECT-PRICE          PIC 9(05)V9(02).
          05 WS-2295-MIN-PRICE-X            PIC ZZZZ9.99.
          05 WS-2295-MAX-PRICE-X            PIC ZZZZ9.99.
          05 WS-2295-CORRECT-PRICE-X        PIC ZZZZ9.99.
          05 WS-2295-REF-MAX-PRICE          PIC 9(05).
          05 WS-2295-CALC-CAT-MAX-PRICE     PIC 9(05).

       01 WS-2295-OUTPUT.
          05 WS-2295-UPDATE-PRICE-ELECTION  PIC X(01).
          05 WS-2295-NEW-PRICE-ELECTION     PIC 9(04)V9(02).
          05 WS-2295-CAT-60-PCT-PRICE       PIC 9(04)V9(02).
          05 WS-2295-CAT-100-PCT-PRICE      PIC 9(04)V9(02).
