      ******************************************************************
      *  File:     WS2320.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     10/17/95                                            *
      *  Purpose:  Working Storage for 2320-VAL-DT-PLANT-W-CROP.       *
      ******************************************************************
      * POPULATE ALL 05 LEVEL INPUT FIELDS EXCEPT FOR WS-2320-DATE-PLANTED.
      * POPULATE WS-2320-DATE-PLANTED-YYMMDD INSTEAD.

       01 WS-2320-INPUT.
          05 WS-2320-CROP-CD                PIC X(04).
          05 WS-2320-INS-PLAN-ID            PIC 9(02).
          05 WS-2320-INPUT-DATE-PLANTED.
             10 WS-2320-IN-DATE-PLANTED-MM     PIC 9(02).
             10 WS-2320-IN-DATE-PLANTED-DD     PIC 9(02).
             10 WS-2320-IN-DATE-PLANTED-YY     PIC 9(04).
          05 WS-2320-RATE-COUNTY            PIC 9(03).
          05 WS-2320-RATE-STATE             PIC 9(02).
          05 WS-2320-CROP-YEAR              PIC 9(04).
          05 WS-2320-TYPE-CD                PIC X(03).
          05 WS-2320-PRACTICE-CD            PIC X(03).
          05 WS-2320-GUARANTEE-RED-FLG      PIC X(01).

       01 WS-2320-WORK.
          05 WS-2320-LOCAL-DATE-PLANTED.
             10 WS-2320-DATE-PLANTED-YY        PIC 9(04).
             10 WS-2320-DATE-PLANTED-MM        PIC 9(02).
             10 WS-2320-DATE-PLANTED-DD        PIC 9(02).
          05 WS-2320-FINAL-PLANTING-DATE.
             10 WS-2320-FINAL-PLANT-DT-YY      PIC 9(04).
             10 WS-2320-FINAL-PLANT-DT-MM      PIC 9(02).
             10 WS-2320-FINAL-PLANT-DT-DD      PIC 9(02).
          05 WS-2320-DIS-FINAL-PLANT-DATE.
             10 WS-2320-DISPLAY-FPD-MM         PIC 9(02).
             10 WS-2320-DISPLAY-FPD-DD         PIC 9(02).
             10 WS-2320-DISPLAY-FPD-YY         PIC 9(04).
          05 WS-2320-JUL-FINAL-PLANTING-DT.
             10 WS-2320-JUL-FINAL-PLANT-YR     PIC 9(04).
             10 WS-2320-JUL-FINAL-PLANT-DAY    PIC 9(03).
          05 WS-2320-JUL-FINAL-PLANTING-DT9 REDEFINES
             WS-2320-JUL-FINAL-PLANTING-DT  PIC 9(07).
          05 WS-2320-JUL-DATE-PLANTED       PIC 9(07).
          05 WS-2320-SEED-CYCLE-CUTOFF-DATE PIC 9(08).
          05 WS-2320-DAYS-LATE              PIC S9(04).
          05 WS-2320-DAYS-IN-YEAR           PIC 9(03).
          05 WS-2320-VALID-PP-THRESHOLD     PIC 9(02).
          05 WS-2320-LPO-REDUCTION-PCT-X    PIC 9.999.

       01 WS-2320-OUTPUT.
          05 WS-2320-LPO-REDUCTION-PCT      PIC 9(01)V9(03).
          05 WS-2320-SEED-CYCLE-CD          PIC X(01).


