      ******************************************************************
      *  File:     WS2340.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     10/18/95                                            *
      *  Purpose:  Working Storage for 2340-VAL-YIELD-W-RATE-CLS       *
      ******************************************************************

       01 WS-2340-INPUT.
          05 WS-2340-CROP-CD                PIC X(04).
          05 WS-2340-INS-PLAN-CD            PIC 9(02).
          05 WS-2340-RATE-COUNTY            PIC 9(03).
          05 WS-2340-RATE-STATE             PIC 9(02).
          05 WS-2340-CROP-YEAR              PIC 9(04).
          05 WS-2340-TYPE-CD                PIC X(03).
          05 WS-2340-PRACTICE-CD            PIC X(03).
          05 WS-2340-YIELD                  PIC 9(07)V9(01).
          05 WS-2340-OPTION-CD              PIC X(08).
          05 WS-2340-RATE-CLASS             PIC X(03).
          05 WS-2340-COVERAGE-LEVEL-PERCENT PIC 9(02).
          05 WS-2340-ID-TYPE                PIC 9(01).
          05 WS-2340-ID-NUM                 PIC 9(09).


       01 WS-2340-WORK.
          05 WS-2340-YIELD-X                PIC ZZZZZZ9.9.
          05 WS-2340-RATE-GROUP-ID          PIC X(06).
          05 WS-2340-LOW-YLD-QTY            PIC 9(07)V9(02).
          05 WS-2340-LOW-YLD-QTY-X          PIC ZZZZZZ9.99.
          05 WS-2340-HIGH-YLD-QTY           PIC 9(07)V9(02).
          05 WS-2340-HIGH-YLD-QTY-X         PIC ZZZZZZ9.99.
          05 WS-2340-MAX-GUARANTEED-CVG     PIC 9(04)V9(01).
          05 WS-2340-MAX-GUARANTEED-CVG-X   PIC ZZZ9.9.
          05 WS-2340-ADJUSTED-MAX-GUAR-CVG  PIC 9(04)V9(01).
          05 WS-2340-ADJ-MAX-GUAR-CVG-X     PIC ZZZ9.9.
          05 WS-2340-NCS-YIELD-FACTOR       PIC 9(03)V9(02).
          05 WS-2340-NCS-YIELD-FACTOR-X     PIC ZZ9.99.
          05 WS-2340-INTEGER-ERROR          PIC 9(09).

