
      ******************************************************************
      *   File:    WS2350.CBL                                          *
      *   Author:  MIKE RAY                                            *
      *   Date:    12/12/95                                            *
      *   Purpose: Working Storage for 2350-VAL-PREMIUM                *
      ******************************************************************


       01 WS-2350-INPUT.
          05 WS-2350-CROP-YEAR.
             10 WS-2350-CROP-YEAR-CC        PIC 9(02).
             10 WS-2350-CROP-YEAR-YY        PIC 9(02).
          05 WS-2350-RATE-STATE             PIC 9(02).
          05 WS-2350-RATE-COUNTY            PIC 9(03).
          05 WS-2350-CROP-CD                PIC X(04).
          05 WS-2350-INS-PLAN               PIC 9(02).
          05 WS-2350-PRACTICE-CD            PIC X(03).
          05 WS-2350-TYPE-CD                PIC X(03).
          05 WS-2350-CVG-LVL-PCT            PIC 9(02).
          05 WS-2350-BASE-PREMIUM-RATE      PIC 9(05)V9(04).
          05 WS-2350-RATE-MAP-AREA-FCTR     PIC 9(01)V9(03).
          05 WS-2350-TYPE-PRACT-OPT-FCTR    PIC 9(01)V9(03).
          05 WS-2350-OPTION-FCTR            PIC 9(01)V9(03).
          05 WS-2350-EXPERIENCE-FCTR        PIC 9(01)V9(03).
          05 WS-2350-INPUT-TOTAL-PREMIUM    PIC 9(08).
          05 WS-2350-PREMIUM-LIABILITY      PIC 9(09).
          05 WS-2350-alt-PREMIUM-LIABILITY  PIC 9(09).
          05 WS-2350-TOTAL-LIABILITY        PIC 9(09).
          05 WS-2350-PREM-RATE-SURCHARGE    PIC X(01).
          05 WS-2350-PREMIUM-GPA            PIC 9(09)V9(01).
          05 WS-2350-BASE-PRICE             PIC 9(04)V9(04).
          05 WS-2350-ACRES                  PIC 9(06)V9(02).
          05 WS-2350-INSURED-SHARE          PIC 9(01)V9(03).
          05 WS-2350-RATE-CLASS             PIC X(03).
          05 WS-2350-CRC-APH-LIABILITY      PIC 9(09).
          05 WS-2350-CAT-65-100-LIABILITY   PIC 9(09).
          05 WS-2350-CAT-65-PCT-BASE-RATE   PIC 9(04)V9(04).
          05 WS-2350-UNIT-PREM-ADJ-FCTR     PIC 9(01)V9(03).
          05 WS-2350-WFARM-DISCOUNT-FCTR    PIC 9(01)V9(02).
          05 WS-2350-NCS-FCIC-2-FL          pic x(01).
          05 WS-2350-ARC-CAT-LIABILITY      PIC 9(09).


       01 WS-2350-LOCAL.
          05 WS-2350-PREMIUM-X-30-PCT       PIC 9(08).
          05 WS-2350-PREMIUM-X-50-PCT       PIC 9(08).
          05 WS-2350-PREM-SURCHARGE-PCT     PIC 9(01)V9(02).
          05 WS-2350-PREM-SURCHARGE-PCT-X   PIC 9.99.
          05 WS-2350-LOW-PRICE-FACTOR       PIC 9(01)V9(03).
          05 WS-2350-HIGH-PRICE-FACTOR      PIC 9(01)V9(03).
          05 WS-2350-CRC-APH-RATE           PIC 9(05)V9(04).
          05 WS-2350-CRC-RATE-FACTOR        PIC 9(01)V9(03).

       01 WS-2350-OUTPUT.
          05 WS-2350-TOTAL-PREMIUM          PIC 9(08).
          05 WS-2350-alt-total-PREMIUM      PIC 9(08).
          05 WS-2350-CRC-APH-PREMIUM        PIC 9(08).
          05 WS-2350-alt-CRC-APH-PREMIUM    PIC 9(08).
          05 WS-2350-CAT-65-100-PREMIUM     PIC 9(08).
          05 WS-2350-ARC-CAT-SUBSIDY        PIC 9(08).


