
      ******************************************************************
      *   File:    WS2480.CBL                                          *
      *   Author:  MIKE RAY                                            *
      *   Date:    10/18/95                                            *
      *   Purpose: Working Storage for 2480-CALC-SUBSIDY               *
      ******************************************************************


       01  WS-2480-INPUT.
           05 WS-2480-INS-PLAN-CD            PIC 9(02).
           05 WS-2480-DOLLAR-AMT-INS         PIC 9(06)V9(02).
           05 WS-2480-YIELD                  PIC 9(07)V9(01).
           05 WS-2480-COVERAGE-LVL-PCT       PIC 9(02).
           05 WS-2480-PRICE-ELECTION         PIC 9(04)V9(04).
           05 WS-2480-CROP-YEAR              PIC 9(04).
           05 WS-2480-STATE-CD               PIC 9(02).
           05 WS-2480-COUNTY-CD              PIC 9(03).
           05 WS-2480-CROP-CD                PIC 9(04).
           05 WS-2480-PRACTICE-CD            PIC X(03).
           05 WS-2480-TYPE-CD                PIC 9(03).
           05 WS-2480-CRUSH-DISTRICT         PIC X(02).
           05 WS-2480-PEANUT-QUOTA           PIC 9(09).
           05 WS-2480-ADM-DOLLAR-AMT-INS     PIC 9(05).
           05 WS-2480-RATE-CLASS             PIC X(03).
           05 WS-2480-REVENUE-CVG-LEVEL-PCT  PIC 9(01)V9(04).
           05 WS-2480-REPORTED-ACRES         PIC 9(06)V9(02).
           05 WS-2480-INS-SHARE              PIC 9(01)V9(03).
           05 WS-2480-IP-50-PCT-PREM-RATE    PIC 9(04)V9(04).
           05 WS-2480-TYPE-PRACTICE-OPTION   pic x(03).

       01  WS-2480-LOCAL.
           05 WS-2480-CRUSH-DISTRICT-9       PIC 9(03).
           05 WS-2480-MARKET-PRICE           PIC 9(05)V9(02).
           05 WS-2480-CAT-RATE-DIFF          PIC 9(01)V9(03).
           05 WS-2480-ELECT-RATE-DIFF        PIC 9(01)V9(03).
           05 WS-2480-SUBSIDY-PRICE-EL-PCT   PIC 9(01)V9(02).
           05 WS-2480-SUBSIDY-COVERAGE-PCT   PIC 9(01)V9(03).
           05 WS-2480-SUBSIDY-COVERAGE-PCT-X PIC 9.999.
           05 WS-2480-100-PCT-RT-DIFF        PIC 9(01)V9(03).
           05 WS-2480-100-PCT-RT-DIFF-X      PIC 9.999.
           05 WS-2480-CALC-DOLLAR-AMT-INS    PIC 9(06)V9(02).
           05 WS-2480-CALC-DOLLAR-AMT-INS-X  REDEFINES
              WS-2480-CALC-DOLLAR-AMT-INS.
              10 WS-2480-CALC-DOLLAR-AMT-WHOLE  PIC 9(06).
              10 WS-2480-CALC-DOLLAR-AMT-CENT   PIC V9(02).
           05 WS-2480-APH-CROP-FLAG          PIC X(01).
           05 WS-2480-SUBSIDY-FACTOR-X       PIC 9.999.
           05 WS-2480-RA-SUBSIDY-FACTOR-X    PIC 9.999.
           05 WS-2480-GRP-SUBSIDY-PER-ACRE   PIC 9(04).
           05 WS-2480-REPORTED-ACRES-X       PIC ZZZZZ9.99.
           05 WS-2480-INS-SHARE-X            PIC 9.999.
           05 WS-2480-IP-100PCT-DOLLAR-AMT   PIC 9(06).
           05 WS-2480-IP-50PCT-DOLLAR-AMT    PIC 9(06).
           05 WS-2480-IP-50PCT-PREMIUM       PIC 9(08).
           05 WS-2480-IP-SUBSIDY-PCT         PIC 9(01)V9(02).
           05 WS-2480-IP-SUBSIDY-PCT-X       PIC 9.99.
           05 WS-2480-IP-50-PCT-PREM-RATE-X  PIC ZZZ9.9999.
           05 WS-2480-PRICE-ELECTION-X       PIC ZZZ9.9999.
           05 WS-2480-YIELD-X                PIC ZZZZZZ9.9.

       01  WS-2480-OUTPUT.
           05 WS-2480-PRICE-ELECTION-PCT     PIC 9(03).
           05 WS-2480-SUBSIDY-FACTOR         PIC 9(01)V9(03).
           05 WS-2480-GRP-SUBSIDY            PIC 9(08).
           05 WS-2480-RA-SUBSIDY-FACTOR      PIC 9(01)V9(03).
           05 WS-2480-IP-SUBSIDY             PIC 9(08).

