
      ******************************************************************
      *   File:    WS2485.CBL                                          *
      *   Author:  MIKE RAY                                            *
      *   Date:    12/12/95                                            *
      *   Purpose: Working Storage for 2485-CALC-GUARANTEE             *
      ******************************************************************


       01 WS-2485-INPUT.
          05 ws-2485-insured-share          pic 9(01)V9(03).
          05 WS-2485-INS-PLAN               PIC 9(02).
          05 WS-2485-CROP-CD                PIC X(04).
          05 WS-2485-YIELD                  PIC 9(07)V9(01).
          05 WS-2485-QUOTA                  PIC 9(10).
          05 WS-2485-ACRES                  PIC 9(06)V9(02).
          05 WS-2485-GUAR-REDUCTION-FCTR    PIC 9(01)V9(03).
          05 WS-2485-CVG-LVL-PERCENT        PIC 9(02).
          05 WS-2485-CVG-LVL-PERCENT-DEC REDEFINES
             WS-2485-CVG-LVL-PERCENT        PIC V9(02).
          05 WS-2485-DOLLAR-AMT-INS         PIC 9(06)V9(02).
          05 WS-2485-PRICE-ELECTION         PIC 9(04)V9(04).
          05 WS-2485-CROP-UNIT-OF-MEASURE   PIC 9(02).
          05 WS-2485-CAT-100-PCT-PRICE      PIC 9(04)V9(04).
          05 WS-2485-CAT-65-PCT-DOLLAR-AMT  PIC 9(06)V9(02).
          05 WS-2485-INPUT-TOTAL-GUAR       PIC 9(12)V9(02).
          05 WS-2485-INPUT-GPA              PIC 9(09)V9(02).
          05 WS-2485-100-pct-max-dollar-amt PIC 9(06)V9(02).

       01 WS-2485-LOCAL.
          05 WS-2485-INPUT-TOTAL-GUAR-X     PIC ZZZZZZZZZZZ9.99.
          05 WS-2485-INPUT-GPA-X            PIC ZZZZZZZZ9.99.
          05 WS-2485-GUARANTEE-PER-ACRE-X   PIC ZZZZZZZZ9.99.
          05 WS-2485-TOTAL-GUARANTEE-X      PIC ZZZZZZZZZZZ9.99.


       01 WS-2485-OUTPUT.
          05 WS-2485-TOTAL-GUARANTEE        PIC 9(12)V9(02).
          05 WS-2485-PREMIUM-GUARANTEE      PIC 9(12)V9(02).
          05 WS-2485-GUARANTEE-PER-ACRE     PIC 9(09)V9(02).
          05 WS-2485-PREMIUM-GPA            PIC 9(09)V9(02).
          05 WS-2485-CAT-65-100-GUARANTEE   PIC 9(12)V9(02).
          05 WS-2485-RA-APH-GUARANTEE       PIC 9(12)V9(02).
          05 WS-2485-ARC-CAT-GUARANTEE      PIC 9(12)V9(02).

