      ****************************************************
      * FILE:   WS2525.CBL
      * AUTHOR: Mike Ray
      * DATE:   02/07/96
      * PURPOSE: WORKING STORAGE FOR 2525-VAL-YIELD-COMBOS
      ****************************************************

       01  WS-2525-INPUT.
           05 WS-2525-CROP-UNIT-OF-MEASURE   PIC 9(02).
           05 WS-2525-PREV-APPROVED-YLD      PIC 9(05)V9(01).
           05 WS-2525-TRANSITIONAL-YLD       PIC 9(05)V9(01).
           05 WS-2525-CROP-CD                PIC 9(03).
           05 WS-2525-NCS-YIELD-FACTOR       PIC 9(01)V9(02).
           05 WS-2525-INPUT-YIELDS.
              10 WS-2525-ANNUAL-YLD-1            PIC 9(05)V9(01).
              10 WS-2525-ANNUAL-YLD-2            PIC 9(05)V9(01).
              10 WS-2525-ANNUAL-YLD-3            PIC 9(05)V9(01).
              10 WS-2525-ANNUAL-YLD-4            PIC 9(05)V9(01).
              10 WS-2525-ANNUAL-YLD-5            PIC 9(05)V9(01).
              10 WS-2525-ANNUAL-YLD-6            PIC 9(05)V9(01).
              10 WS-2525-ANNUAL-YLD-7            PIC 9(05)V9(01).
              10 WS-2525-ANNUAL-YLD-8            PIC 9(05)V9(01).
              10 WS-2525-ANNUAL-YLD-9            PIC 9(05)V9(01).
              10 WS-2525-ANNUAL-YLD-10           PIC 9(05)V9(01).
           05 WS-2525-YIELD-YEARS.
              10 WS-2525-YLD1.
                 15 WS-2525-YIELD-TYPE1            PIC X(01).
                 15 WS-2525-YIELD1                 PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES1           PIC 9(05)V9(02).
              10 WS-2525-YLD2.
                 15 WS-2525-YIELD-TYPE2            PIC X(01).
                 15 WS-2525-YIELD2                 PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES2           PIC 9(05)V9(02).
              10 WS-2525-YLD3.
                 15 WS-2525-YIELD-TYPE3            PIC X(01).
                 15 WS-2525-YIELD3                 PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES3           PIC 9(05)V9(02).
              10 WS-2525-YLD4.
                 15 WS-2525-YIELD-TYPE4            PIC X(01).
                 15 WS-2525-YIELD4                 PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES4           PIC 9(05)V9(02).
              10 WS-2525-YLD5.
                 15 WS-2525-YIELD-TYPE5            PIC X(01).
                 15 WS-2525-YIELD5                 PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES5           PIC 9(05)V9(02).
              10 WS-2525-YLD6.
                 15 WS-2525-YIELD-TYPE6            PIC X(01).
                 15 WS-2525-YIELD6                 PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES6           PIC 9(05)V9(02).
              10 WS-2525-YLD7.
                 15 WS-2525-YIELD-TYPE7            PIC X(01).
                 15 WS-2525-YIELD7                 PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES7           PIC 9(05)V9(02).
              10 WS-2525-YLD8.
                 15 WS-2525-YIELD-TYPE8            PIC X(01).
                 15 WS-2525-YIELD8                 PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES8           PIC 9(05)V9(02).
              10 WS-2525-YLD9.
                 15 WS-2525-YIELD-TYPE9            PIC X(01).
                 15 WS-2525-YIELD9                 PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES9           PIC 9(05)V9(02).
              10 WS-2525-YLD10.
                 15 WS-2525-YIELD-TYPE10           PIC X(01).
                 15 WS-2525-YIELD10                PIC 9(05)V9(01).
                 15 WS-2525-YIELD-ACRES10          PIC 9(05)V9(02).

           05 WS-2525-YIELD-TBL REDEFINES
              WS-2525-YIELD-YEARS.
              10 WS-2525-YIELD-REC OCCURS 10 TIMES
                 INDEXED BY WS-2525-YIELD-INDEX.
                 15 WS-2525-TBL-YIELD-TYPE         PIC X(01).
                 15 WS-2525-TBL-YIELD              PIC 9(05)V9(01).
                 15 WS-2525-TBL-YIELD-ACRES        PIC 9(05)V9(02).


       01  WS-2525-LOCAL.
           05 WS-2525-PREV-APPROVED-YIELD    PIC 9(05)V9(01).
           05 WS-2525-TRANSITIONAL-YIELD     PIC 9(05)V9(01).
           05 WS-2525-YIELD-INT-INDEX        PIC 9(02).
           05 WS-2525-INTEGER-ERROR          PIC 9(02).
           05 WS-2525-YIELD-ERROR            PIC ZZZZ9.9.
           05 WS-2525-ACRES-ERROR            PIC ZZZZ9.99.
           05 WS-2525-YIELD-SUM              PIC 9(10)V9(01).
           05 WS-2525-YIELD-COMPARITOR       PIC X(02).
           05 WS-2525-TEMP-YIELD             PIC 9(05)V9(03).
           05 WS-2525-TEMP-YIELD-X           PIC ZZZZ9.999.
           05 WS-2525-TEMP-YIELD-TENTHS      PIC 9(05)V9(01).
           05 WS-2525-TEMP-YIELD-TENTHS-X    PIC ZZZZ9.9.
           05 WS-2525-TEMP-YIELD-WHOLE       PIC 9(05).
           05 WS-2525-TEMP-ACRES             PIC 9(05)V9(02).
           05 WS-2525-TEMP-ACRES-X           PIC ZZZZ9.99.
           05 WS-2525-ACRES-COMPARITOR       PIC X(02).
           05 WS-2525-AVERAGE-YIELD-TENTHS   PIC 9(05)V9(01).
           05 WS-2525-AVERAGE-YIELD-WHOLE    PIC 9(05).
           05 WS-2525-AVERAGE-YIELD-X        PIC ZZZZ9.9.


       01  WS-2525-OUTPUT.
           05 WS-2525-AVERAGE-YIELD          PIC 9(05)V9(01).
           05 WS-2525-ACTUAL-YEARS           PIC 9(02).
           05 WS-2525-TOTAL-YEARS            PIC 9(02).

