      ****************************************************
      * FILE:   WS2537.CBL
      * AUTHOR: Alice Will
      * DATE:   04/02/97
      * PURPOSE: WORKING STORAGE FOR 2537-VAL-CNTY-AVG-REV
      ****************************************************

       01  WS-2537-INPUT.
           05 WS-2537-INPUT-KEY.
              10 FILLER                        PIC X(01)  VALUE 'A'.
              10 FILLER                        PIC X(01)  VALUE 'C'.
              10 WS-2537-CROP-YR               PIC 9(02).
              10 WS-2537-STATE-CD              PIC 9(02).
              10 WS-2537-COUNTY-CD             PIC 9(03).
              10 WS-2537-CROP-CD               PIC 9(04).
              10 WS-2537-INSURANCE-PLAN-ID     PIC 9(02).
              10 WS-2537-PRACTICE-CD           PIC 9(03).
              10 WS-2537-TYPE-CD               PIC 9(03).
           05 WS-2537-YIELD-YEARS.
              10 WS-2537-YLD-YR1               PIC 9(02).
              10 WS-2537-YLD-YR2               PIC 9(02).
              10 WS-2537-YLD-YR3               PIC 9(02).
              10 WS-2537-YLD-YR4               PIC 9(02).
              10 WS-2537-YLD-YR5               PIC 9(02).
              10 WS-2537-YLD-YR6               PIC 9(02).
              10 WS-2537-YLD-YR7               PIC 9(02).
              10 WS-2537-YLD-YR8               PIC 9(02).
              10 WS-2537-YLD-YR9               PIC 9(02).
              10 WS-2537-YLD-YR10              PIC 9(02).
              10 WS-2537-ANNUAL-YLD-1          PIC 9(05)V9(01).
              10 WS-2537-ANNUAL-YLD-2          PIC 9(05)V9(01).
              10 WS-2537-ANNUAL-YLD-3          PIC 9(05)V9(01).
              10 WS-2537-ANNUAL-YLD-4          PIC 9(05)V9(01).
              10 WS-2537-ANNUAL-YLD-5          PIC 9(05)V9(01).
              10 WS-2537-ANNUAL-YLD-6          PIC 9(05)V9(01).
              10 WS-2537-ANNUAL-YLD-7          PIC 9(05)V9(01).
              10 WS-2537-ANNUAL-YLD-8          PIC 9(05)V9(01).
              10 WS-2537-ANNUAL-YLD-9          PIC 9(05)V9(01).
              10 WS-2537-ANNUAL-YLD-10         PIC 9(05)V9(01).


           05 WS-2537-REVENUE-TBL.
              10 WS-2537-REVENUE-REC OCCURS 10 TIMES
                 INDEXED BY WS-2537-REVENUE-INDEX.
                 15 WS-2537-TBL-YLD-YR             PIC 9(02).
                 15 WS-2537-TBL-COUNTY-REVENUE     PIC 9(06).
                 15 WS-2537-TBL-SEASON-AVG-PRICE   PIC 9(02)V99.


       01  WS-2537-LOCAL.
           05 WS-2537-REVENUE-INT-INDEX      PIC 9(02).
           05 WS-2537-INTEGER-ERROR          PIC 9(02).
           05 WS-2537-TEMP-YIELD             PIC 9(05)V9(01).
           05 WS-2537-REVENUE-SUM            PIC 9(10).
           05 WS-2537-TEMP-REVENUE           PIC 9(06).
           05 WS-2537-AVERAGE-REVENUE-WHOLE  PIC 9(06).


       01  WS-2537-OUTPUT.
           05 WS-2537-LONG-TERM-AVG-REVENUE  PIC 9(06).
           05 WS-2537-CNTY-AVG-REV-PER-ACRE  PIC 9(06).
           05 WS-2537-FARM-AVG-REV-PER-ACRE  PIC 9(06).
           05 WS-2537-FARM-APRV-AVG-REVENUE  PIC 9(06).
           05 WS-2537-TOTAL-YEARS            PIC 9(02).

