      ************************************************************
      * FILE:   WS2550.CBL
      * AUTHOR: Mike Ray
      * DATE:   2/14/96
      * PURPOSE: WORKING STORAGE VARIABLES FOR
      *          2550-VAL-APPROVED-YIELD
      ************************************************************

       01 WS-2550-INPUT.
          05 WS-2550-NCS-EXCEPTION-FLAG    PIC X(01).
          05 WS-2550-CROP-UNIT-OF-MEASURE  PIC 9(02).
          05 WS-2550-CROP-CD               PIC 9(03).
          05 WS-2550-YIELD-INDICATOR       PIC X(01).
          05 WS-2550-ACTUAL-YEARS          PIC 9(02).
          05 WS-2550-APPROVED-YIELD        PIC 9(05)V9(01).
          05 WS-2550-PREV-APPROVED-YIELD   PIC 9(05)V9(01).
          05 WS-2550-TRANSITIONAL-YIELD    PIC 9(05)V9(01).
          05 WS-2550-AVERAGE-YIELD         PIC 9(05)V9(01).
          05 WS-2550-UNIT-OF-MEASURE       PIC 9(02).
          05 WS-2550-INS-PLAN-CD           PIC 9(02).
          05 WS-2550-IN-REFERENCE-UNIT-REQ PIC X(01).
          05 WS-2550-YIELD-LIMITATION-FLG  PIC 9(01).

       01 WS-2550-LOCAL.
          05 WS-2550-CORR-YIELD-FLOOR-PCT  PIC 9(01)V9(02).
          05 WS-2550-INPUT-YIELD-FLOOR-PCT PIC 9(01)V9(02).
          05 WS-2550-YIELD-CAP             PIC 9(05)V9(01).
          05 WS-2550-YIELD-CAP-INT         PIC 9(05).
          05 WS-2550-YIELD-CUP             PIC 9(05)V9(01).
          05 WS-2550-YIELD-CUP-INT         PIC 9(05).
          05 WS-2550-YIELD-FLOOR           PIC 9(05)V9(01).
          05 WS-2550-YIELD-FLOOR-70        PIC 9(05)V9(01).
          05 WS-2550-YIELD-FLOOR-75        PIC 9(05)V9(01).
          05 WS-2550-YIELD-FLOOR-80        PIC 9(05)V9(01).
          05 WS-2550-YIELD-FLOOR-INT       PIC 9(05).
          05 WS-2550-CORRECT-YIELD         PIC 9(05)V9(01).
          05 WS-2550-CORRECT-YIELD-WHOLE   PIC 9(05).
          05 WS-2550-DISPLAY-YIELD-X       PIC ZZZZ9.9.
          05 WS-2550-DISPLAY-YIELD2-X      PIC ZZZZ9.9.
          05 WS-2550-DISPLAY-YIELD3-X      PIC ZZZZ9.9.
          05 WS-2550-DISPLAY-PCT-X         PIC 9.99.

       01 WS-2550-OUTPUT.
          05 WS-2550-REFERENCE-UNIT-REQ    PIC X(01).
          05 WS-2550-REFERENCE-YEARS-REQ   PIC 9(01).
