      ***************************************************************
      * File:      IR3000.CBL
      * Author:    Mike Ray
      * Date:      01/17/96
      * Purpose:
      *    This copy file contains the inter-record validation
      *    modules.
      *
      * Contains:
      *    IR3100.CBL  3100-PROCESS-HELD-CROP
      *    IR3200.CBL  3200-PROCESS-HELD-POLICY
      *
      * Policy Edits:
      *    IR3010.CBL  3010-VAL-POLICY
      *    IR3300.CBL  3300-CHECK-SBIS
      *
      * SBI Edits:
      *    IR3009.CBL  3009-VAL-SBI-TABLE
      *
      * Type 11 Edits:
      *    IR3011.CBL  3011-VAL-T11-TABLE
      *    IR3335.CBL  3335-VAL-RA-WFARM-DISCNT
      *    IR3365.CBL  3365-VAL-RA-COVERAGE
      *    IR3370.CBL  3370-SAME-CVG-LVL-PCT-T11
      *    IR3375.CBL  3375-VAL-RELATED-TYPE-15
      *    IR3380.CBL  3380-VAL-RELATED-TYPE-14
      *    IR3385.CBL  3385-VAL-TYPE-10-ID-TYPE
      *    IR3390.CBL  3390-VAL-UNIQUE-FSN-UNIT
      *    IR3395.CBL  3395-VAL-PP-ACRES
      *    IR3440.CBL  3440-VAL-UNIT-DISCOUNT
      *    IR3445.CBL  3445-VAL-MALT-BARLEY-RATE
      *
      * Type 12 Edits:
      *    IR3012.CBL  3012-VAL-T12-TABLE
      *    IR3405.CBL  3405-VAL-RECORD-NUMBER
      *    IR3410.CBL  3410-VAL-PREPAYMENT-FLG
      *    IR3420.CBL  3420-VAL-PAID-AMOUNT
      *    IR3450.CBL  3450-VAL-T14-CVG-FLAG
      *
      * Type 14 Edits:
      *    IR3014.CBL  3014-VAL-T14-TABLE
      *    IR3330.CBL  3330-CHECK-ENTITY-TYPE
      *    IR3340.CBL  3340-SAME-ASGD-RISK
      *    IR3345.CBL  3345-SAME-ASGD-RISK
      *    IR3350.CBL  3350-LIMIT-NO-OF-TYPE-14
      *    IR3360.CBL  3360-DETERMINE-VAL-REFUND
      *
      * Type 15 Edits:
      *    IR3015.CBL  3015-VAL-T15-TABLE
      *    IR3430.CBL  3430-FIND-T14-FOR-T15
      *    IR3355.CBL  3355-FIND-REF-UNITS
      *
      * Type 16 Edits:
      *    IR3016.CBL  3016-VAL-T16-TABLE
      *
      * Type 20 Edits:
      *    IR3020.CBL  3020-VAL-T20-TABLE
      *    IR3495.CBL  3495-COMP-TOTALS-20-21
      *    IR3500.CBL  3500-REJECT-CLAIM-NO
      *    IR3510.CBL  3510-GENERATE-PCR-MEMOS
      *
      * Type 21 Edits:
      *    IR3021.CBL  3021-VAL-T21-TABLE
      *    IR3400.CBL  3400-VAL-RELATED-TYPE-20
      *    IR3425.CBL  3425-VAL-RELATED-TYPE-11
      *    IR3435.CBL  3435-VAL-SIMPLIFIED-CLAIM
      *    IR3485.CBL  3485-COMP-UNIT-TOT-21-11
      *    IR3505.CBL  3505-COMP-CROP-TOT-21-11
      *
      * Type 50 Edits:
      *    IR3050.CBL  3050-VAL-T50-TABLE
      ***************************************************************

       COPY 'IR/IR3009.CBL'.
       COPY 'IR/IR3010.CBL'.
       COPY 'IR/IR3011.CBL'.
       COPY 'IR/IR3012.CBL'.
       COPY 'IR/IR3014.CBL'.
       COPY 'IR/IR3015.CBL'.
       COPY 'IR/IR3020.CBL'.
       COPY 'IR/IR3021.CBL'.
       COPY 'IR/IR3100.CBL'.
       COPY 'IR/IR3200.CBL'.
       COPY 'IR/IR3300.CBL'.
       COPY 'IR/IR3315.CBL'.
       COPY 'IR/IR3330.CBL'.
       COPY 'IR/IR3335.CBL'.
       COPY 'IR/IR3340.CBL'.
       COPY 'IR/IR3345.CBL'.
       COPY 'IR/IR3350.CBL'.
       COPY 'IR/IR3355.CBL'.
       COPY 'IR/IR3360.CBL'.
       COPY 'IR/IR3365.CBL'.
       COPY 'IR/IR3370.CBL'.
       COPY 'IR/IR3375.CBL'.
       COPY 'IR/IR3380.CBL'.
       COPY 'IR/IR3385.CBL'.
       COPY 'IR/IR3390.CBL'.
       COPY 'IR/IR3395.CBL'.
       COPY 'IR/IR3400.CBL'.
       COPY 'IR/IR3405.CBL'.
       COPY 'IR/IR3410.CBL'.
       COPY 'IR/IR3420.CBL'.
       COPY 'IR/IR3425.CBL'.
       COPY 'IR/IR3430.CBL'.
       COPY 'IR/IR3435.CBL'.
       COPY 'IR/IR3440.CBL'.
       COPY 'IR/IR3445.CBL'.
       COPY 'IR/IR3450.CBL'.
       COPY 'IR/IR3485.CBL'.
       COPY 'IR/IR3495.CBL'.
       COPY 'IR/IR3500.CBL'.
       COPY 'IR/IR3505.CBL'.
       COPY 'IR/IR3510.CBL'.

