      ****************************************************************
      *  THE TABLE TRANSACTION RECORD FIELDS ARE MOVED TO THIS      *
      *  AREA OF WORKING STORAGE AND USED IN THE CORRESPONDING       *
      *  EDIT MODULE.                                                *
      *                                                              *
      *  FILE   :  WS3395.CBL                                        *
      *  AUTHOR :  CHERYL D. WOOD                                    *
      *  DATE   :  OCTOBER 19, 1995                                  *
      *                                                              *
      *  PURPOSE:  WORKING STORAGE FOR 3395-VAL-PP-ACRES             *
      ****************************************************************


       01 WS-3395-LOCAL.
          05 WS-3395-PP-RECORD-FOUND        PIC X(01)
                                              VALUE 'N'.
          05 WS-3395-MIN-PP-ACRES           PIC 9(08).
          05 WS-3395-DISPLAY-PP-ACRES       PIC ZZZZZZZ9.99.

       78 WS-3395-LITERAL-MIN-PP-ACRES      VALUE 20.
       78 WS-3395-LITERAL-MIN-PCT           VALUE 0.20.

       01 WS-3395-UNIT-TBL.
          05 WS-3395-UNIT-REC-COUNT         PIC 9(02).
          05 WS-3395-UNIT-INT-INDEX         PIC 9(08).
          05 WS-3395-MAX-SIZE               PIC 9(03)
                                              VALUE 100.

          05 WS-3395-UNIT-RECORD OCCURS 100 TIMES
                    INDEXED BY WS-3395-UNIT-INDEX.
             10 WS-3395-TBL-CROP-TYPE          PIC X(03).
             10 WS-3395-TBL-LOC-COUNTY         PIC 9(03).
             10 WS-3395-TBL-BASIC-UNIT         PIC X(02).
             10 WS-3395-TBL-OPTIONAL-UNIT      PIC 9(02).
             10 WS-3395-TBL-TOTAL-ACRES        PIC 9(08)V9(02).
             10 WS-3395-TBL-PP-ACRES           PIC 9(08)V9(02).



