      *****************************************************
      * FILE   : WS3425.CBL                               *
      * AUTHOR : Yo-I Tsui                                *
      * DATE   : 12/07/95                                 *
      * PURPOSE: WORKING STORAGE FOR IR3425.CBL           *
      *****************************************************

       01 WS-3425-WORK.
          05 WS-3425-CLAIM-NO               PIC 9(08).
          05 WS-3425-T21-ERROR-INDEX        PIC 9(08).
          05 WS-3425-BASIC-MATCH-SWITCH     PIC X(01).
          05 WS-3425-MATCH-SWITCH           PIC X(01).
          05 WS-3425-CVG-LVL-MATCH          PIC X(01).
          05 WS-3425-FSN-MATCH              PIC X(01).
          05 WS-3425-INS-SHARE-MATCH        PIC X(01).
          05 WS-3425-RATE-CLASS-MATCH       PIC X(01).
          05 WS-3425-YIELD-MATCH            PIC X(01).
          05 WS-3425-PRICE-ELECTION-MATCH   PIC X(01).
          05 WS-3425-SUNBURN-OPTION-MATCH   PIC X(01).
          05 WS-3425-MATCH-COUNT            PIC 9(01).
          05 WS-3425-BAD-DATA.
             10 WS-3425-BAD-MATCH-COUNT        PIC 9(01).
             10 WS-3425-BAD-T21-CVG-LVL        PIC 9(02).
             10 WS-3425-BAD-T11-CVG-LVL        PIC 9(02).
             10 WS-3425-BAD-T21-INS-SHARE      PIC 9.999.
             10 WS-3425-BAD-T11-INS-SHARE      PIC 9.999.
             10 WS-3425-BAD-T21-RATE-CLASS     PIC X(03).
             10 WS-3425-BAD-T11-RATE-CLASS     PIC X(03).
             10 WS-3425-BAD-T21-YIELD          PIC ZZZZZZ9.9.
             10 WS-3425-BAD-T11-YIELD          PIC ZZZZZZ9.9.
          05 WS-3425-T21-INSURED-SHARE-X    PIC 9.999.
          05 WS-3425-T11-INSURED-SHARE-X    PIC 9.999.
          05 WS-3425-T21-YIELD-X            PIC ZZZZZZ9.9.
          05 WS-3425-T11-YIELD-X            PIC ZZZZZZ9.9.
          05 WS-3425-T21-PRICE-ELECTION-X   PIC ZZZ9.9999.
          05 WS-3425-T11-PRICE-ELECTION-X   PIC ZZZ9.9999.
      **********************************************************
      *       THIS IS THE LPO FACTOR ADJUSTED GUARANTEE PER    *
      *       ACRE (LOSS GPA) AND THE UNADJUSTED GUARANTEE PER *
      *       ACRE (LOSS PREMIUM GPA).  THESE WERE CALCULATED  *
      *       IN 3415-CALC-GUAR-PER-ACRE.                      *
      **********************************************************
          05 WS-3425-LOSS-GPA               PIC 9(9)V9(01).
          05 WS-3425-PREMIUM-LOSS-GPA       PIC 9(9)V9(01).
          05 WS-3425-DOLLAR-AMT-PROT-ACRE   PIC 9(12)V9(02).
