      ***************************************************************
      * File:      M0211.CBL
      * Paragraph: 0211-LOOKUP-CROP-POL-TYPE
      * Author:    Mike Ray
      * Date:      8/22/95
      * Purpose:
      *    This paragraph looks up the crop policy type for a given
      *    crop code and crop type.  It should only be called
      *    when the database is present.
      ***************************************************************


       0211-LOOKUP-CROP-POL-TYPE.

      $IF DEBUG-SW DEFINED
           DISPLAY '0211-LOOKUP-CROP-POL-TYPE'
           UPON CONSOLE
      $END

           IF WS-0211-STATE = ZEROS
                 MOVE 0211 TO WS-8020-PARAGRAPH-NO
                 MOVE 90003 TO WS-8020-INT-ERROR-NO
                 MOVE 'WS-0211-STATE' TO WS-8020-FIELD-NAME
                 MOVE WS-0211-STATE TO WS-8020-BAD-DATA
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0211-CROP-CD = ZEROS
                 MOVE 0211 TO WS-8020-PARAGRAPH-NO
                 MOVE 90003 TO WS-8020-INT-ERROR-NO
                 MOVE 'WS-0211-CROP-CD' TO WS-8020-FIELD-NAME
                 MOVE WS-0211-CROP-CD TO WS-8020-BAD-DATA
                 PERFORM 8020-RECORD-INT-ERROR
                    THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0211-CROP-TYPE = SPACES
              MOVE '997' TO WS-0211-CROP-TYPE
              MOVE 0211 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0211-CROP-TYPE' TO WS-8020-FIELD-NAME
              MOVE WS-0211-CROP-TYPE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

      $IF ISAM-SW DEFINED

           MOVE WS-0211-STATE TO WS-7280-I-FIPS-STATE
           MOVE WS-0211-CROP-CD TO WS-7280-I-CROP
           MOVE WS-0211-CROP-TYPE TO WS-7280-I-CROP-TYPE
           PERFORM 7280-LOOKUP-CPT-TBL
              THRU 7280-LOOKUP-CPT-TBL-EXIT

           IF MATCH-FOUND-7280
              MOVE WS-7280-O-CROP-POL-TYPE
                TO WS-0211-CROP-POLICY-TYPE
           ELSE
              MOVE SPACES
                TO WS-0211-CROP-POLICY-TYPE
           END-IF.
      $END

       0211-LOOKUP-CROP-POL-TYPE-EXIT.
           EXIT.



