      ***************************************************************
      * File:      M0225.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This paragraph performs all processing for Reinsured
      *    Organization transactions.
      ***************************************************************

       0225-PROCESS-RO-TRAN.

      $IF DEBUG-SW DEFINED
           DISPLAY '0225-PROCESSING RO TRANSACTION'
           UPON CONSOLE
      $END
           EVALUATE TRUE
               WHEN TYPE33
                  CONTINUE
               WHEN TYPE49
      *           *** DELETE POLICY STATISTICS RECORD FOR A DELETED POLICY ***
                  IF WS-0007-REJECT-TRANSACTION <> WS-LITERAL-YES
                     INITIALIZE WS-0988-INPUT
                     MOVE WS-T49-REPORTING-ORG
                       TO WS-0988-IN-REPORTING-ORG
                     MOVE WS-T49-LOC-STATE TO WS-0988-IN-LOC-STATE
                     MOVE WS-T49-COMPANY-COUNTY
                       TO WS-0988-IN-COMPANY-COUNTY
                     MOVE WS-T49-POLICY-NUM TO WS-0988-IN-POLICY-NUM
                     MOVE WS-T49-CROP-YEAR TO WS-0988-IN-CROP-YEAR
                     MOVE WS-0004-BATCH-NO TO WS-0988-INPUT-BATCH-NO
                     MOVE WS-0004-FCIC-PROC-DATE
                       TO WS-0988-INPUT-FCIC-DATE
                     PERFORM 0988-DELETE-POL-STATS-REC
                        THRU 0988-DELETE-POL-STATS-REC-EXIT
      *              *** REJECT DELETES OF NON-EXISTANT POLICIES ***
      *              IF NOT MATCH-FOUND-0988
      *                 MOVE WS-LITERAL-YES
      *                   TO WS-0007-REJECT-TRANSACTION
      *                 MOVE 49051 TO WS-8000-ERROR-CODE
      *                 MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
      *                 MOVE WS-0004-TRAN-SEQ-NO
      *                   TO WS-8000-TRAN-SEQ-NO
      *                 MOVE 'POLICY NUMBER' TO WS-8000-FIELD-NAME1
      *                 MOVE 0225 TO WS-8000-PARAGRAPH-NO
      *                 MOVE WS-TRAN-TYPE TO WS-8000-TRAN-TYPE
      *                 MOVE WS-POLICY-NO
      *                   TO WS-8000-POLICY-NO
      *                 PERFORM 8000-RECORD-TRAN-ERROR
      *                    THRU 8000-RECORD-TRAN-ERROR-EXIT
      *              END-IF
                  END-IF

               WHEN TYPE55
                  INITIALIZE WS-0985-INPUT
                  MOVE WS-0007-REJECT-TRANSACTION
                    TO WS-0985-REJECTED-FLAG
                  MOVE WS-TRAN-400
                    TO WS-0985-INPUT-T55
                  PERFORM 0985-WRITE-T55-AGENT-REC
                     THRU 0985-WRITE-T55-AGENT-REC-EXIT

               WHEN TYPE56
                  INITIALIZE WS-0986-INPUT
                  MOVE WS-0007-REJECT-TRANSACTION
                    TO WS-0986-REJECTED-FLAG
                  MOVE WS-TRAN-400
                    TO WS-0986-INPUT-T56
                  PERFORM 0986-WRITE-T56-ADJ-REC
                     THRU 0986-WRITE-T56-ADJ-REC-EXIT

               WHEN TYPE65
                  CONTINUE
               WHEN OTHER
                  MOVE 0225 TO WS-8020-PARAGRAPH-NO
                  MOVE 90005 TO WS-8020-INT-ERROR-NO
                  MOVE WS-LITERAL-REC-TYPE TO WS-8020-FIELD-NAME
                  MOVE WS-TRAN-TYPE TO WS-8020-BAD-DATA
                  PERFORM 8020-RECORD-INT-ERROR
                     THRU 8020-RECORD-INT-ERROR-EXIT
           END-EVALUATE

           IF WS-0007-REJECT-TRANSACTION = WS-LITERAL-YES
              INITIALIZE WS-0920-REJECT-REC
              MOVE WS-TRAN-400 TO WS-0920-REJECT-REC
              PERFORM 0920-REJECT-TRANSACTION
                 THRU 0920-REJECT-TRANSACTION-EXIT
           ELSE
              INITIALIZE WS-0915-ACCEPT-REC
              MOVE WS-TRAN-400 TO WS-0915-ACCEPT-REC
              PERFORM 0915-ACCEPT-TRANSACTION
                 THRU 0915-ACCEPT-TRANSACTION-EXIT
           END-IF.


       0225-PROCESS-RO-TRAN-EXIT.
           EXIT.


