      **************************************
      * FILE:      WS0755.CBL              *
      * AUTHOR:    CRAIG DAVIS             *
      * DATE:      10/11/95                *
      * PURPOSE:                           *
      *     THIS FILE CONTAINS THE WORKING *
      *     STORAGE FOR M0755.CBL.         *
      **************************************


       01 WS-0755-REPORT-LINES.

          05 WS-0755-L1.
             10 FILLER                        PIC X(16)
                                              VALUE SPACE.
             10 FILLER                        PIC X(22)
                                        VALUE 'DATA ACCEPTANCE SYSTEM'.
             10 FILLER                        PIC X(03)
                                              VALUE ' - '.
             10 FILLER                        PIC X(24)
                                     VALUE 'CURRENT BATCH STATISTICS'.
             10 FILLER                        PIC X(15)
                                              VALUE SPACE.

          05 WS-0755-L2.
             10 FILLER                        PIC X(16).
             10 FILLER                        PIC X(54)
          VALUE '**************** THIS IS A RERUN ****************'.
             10 FILLER                        PIC X(08).

          05 WS-0755-L3.
             10 FILLER                        PIC X(12)
                                              VALUE 'REINS ORG:  '.
             10 WS-0755-L3-REINS-ORG          PIC X(29)
                                              VALUE SPACE.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.
             10 FILLER                        PIC X(18)
                                            VALUE 'REINSURANCE YEAR: '.
             10 WS-0755-L3-REINS-YR           PIC X(04)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
          05 WS-0755-L4.
             10 FILLER                        PIC X(12)
                                              VALUE 'INPUT FILE: '.
             10 WS-0755-L4-INPUT-FILE         PIC X(17)
                                              VALUE SPACE.
             10 FILLER                        PIC X(10)
                                              VALUE "RUN DATE:".
             10 WS-0755-L4-SYS-DATE           PIC X(12).
             10 FILLER                        PIC X(15)
                                              VALUE "REC'D DT/TIME: ".
             10 WS-0755-L4-FCIC-DT            PIC X(08)
                                              VALUE SPACE.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L4-FCIC-TIME          PIC X(04)
                                              VALUE SPACE.

          05 WS-0755-L6.
             10 FILLER                        PIC X(23)
                                       VALUE 'TRANSACTION STATISTICS:'.
             10 FILLER                        PIC X(57)
                                              VALUE SPACE.

          05 WS-0755-L8.
             10 FILLER                        PIC X(16)
                                             VALUE 'TRANSACTION TYPE'.
             10 FILLER                        PIC X(11)
                                              VALUE SPACE.
             10 FILLER                        PIC X(09)
                                              VALUE 'INPUT'.
             10 FILLER                        PIC X(08)
                                              VALUE 'ACCEPTED'.
             10 FILLER                        PIC X(04)
                                              VALUE SPACE.
             10 FILLER                        PIC X(08)
                                              VALUE 'REJECTED'.
             10 FILLER                        PIC X(03)
                                              VALUE SPACE.
             10 FILLER                        PIC X(09)
                                              VALUE 'SUSPENDED'.
             10 FILLER                        PIC X(06)
                                              VALUE SPACE.
             10 FILLER                        PIC X(06)
                                              VALUE 'ESCROW'.

          05 WS-0755-L9.
             10 FILLER                        PIC X(06)
                                              VALUE 'POLICY'.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T10)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L9-INFILE-POLICY-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L9-ACCEPTED-POL-REC   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L9-REJECTED-POL-REC   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L9-SUSPENDED-POL-REC  PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L9-ESCROW-POL-REC     PIC ZZZZZZZZZ9
                                              VALUE ZEROS.

          05 WS-0755-L10.
             10 FILLER                        PIC X(03)
                                              VALUE 'SBI'.
             10 FILLER                        PIC X(13)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T10)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L10-INFILE-SBI-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L10-ACCEPTED-SBI-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L10-REJECTED-SBI-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L10-SUSPENDED-SBI-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L11.
             10 FILLER                        PIC X(09)
                                              VALUE 'PREM LINE'.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T11)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L11-INFILE-T11-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L11-ACCEPTED-T11-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L11-REJECTED-T11-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L11-SUSPENDED-T11-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L12.
             10 FILLER                        PIC X(07)
                                              VALUE 'PAYMENT'.
             10 FILLER                        PIC X(09)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T12)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L12-INFILE-T12-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L12-ACCEPTED-T12-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L12-REJECTED-T12-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L12-SUSPENDED-T12-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L13.
             10 FILLER                        PIC X(12)
                                              VALUE 'INS-IN-FORCE'.
             10 FILLER                        PIC X(04)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T14)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L13-INFILE-T14-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L13-ACCEPTED-T14-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L13-REJECTED-T14-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L13-SUSPENDED-T14-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L14.
             10 FILLER                        PIC X(06)
                                              VALUE 'YIELDS'.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T15)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L14-INFILE-T15-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L14-ACCEPTED-T15-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L14-REJECTED-T15-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L14-SUSPENDED-T15-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L15.
             10 FILLER                        PIC X(09)
                                              VALUE '3RD PARTY'.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T16)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L15-INFILE-T16-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L15-ACCEPTED-T16-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L15-REJECTED-T16-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L15-SUSPENDED-T16-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L16.
             10 FILLER                        PIC X(10)
                                              VALUE 'LOSS TOTAL'.
             10 FILLER                        PIC X(06)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T20)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L16-INFILE-T20-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L16-ACCEPTED-T20-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L16-REJECTED-T20-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L16-SUSPENDED-T20-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L16-ESCROW-T20-REC    PIC ZZZZZZZZZ9
                                              VALUE ZEROS.


          05 WS-0755-L17.
             10 FILLER                        PIC X(09)
                                              VALUE 'LOSS LINE'.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T21)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L17-INFILE-T21-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L17-ACCEPTED-T21-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L17-REJECTED-T21-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L17-SUSPENDED-T21-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L17-ESCROW-T21-REC    PIC ZZZZZZZZZ9
                                              VALUE ZEROS.

          05 WS-0755-L19.
             10 FILLER                        PIC X(15)
                                              VALUE 'REINS ESTIMATES'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T33)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L19-INFILE-T33-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L19-ACCEPTED-T33-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L19-REJECTED-T33-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L19-SUSPENDED-T33-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L20.
             10 FILLER                        PIC X(14)
                                              VALUE 'DELETE RECORDS'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T49)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L20-INFILE-T49-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L20-ACCEPTED-T49-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L20-REJECTED-T49-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L20-SUSPENDED-T49-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L21.
             10 FILLER                        PIC X(14)
                                              VALUE 'PRIVATE POLICY'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T50)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L21-INFILE-T50-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L21-ACCEPTED-T50-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L21-REJECTED-T50-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L21-SUSPENDED-T50-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L22.
             10 FILLER                        PIC X(10)
                                              VALUE 'AGENT DATA'.
             10 FILLER                        PIC X(06)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T55)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L22-INFILE-T55-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L22-ACCEPTED-T55-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L22-REJECTED-T55-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L22-SUSPENDED-T55-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.


          05 WS-0755-L23.
             10 FILLER                        PIC X(13)
                                              VALUE 'LOSS ADJ DATA'.
             10 FILLER                        PIC X(03)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T56)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L23-INFILE-T56-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L23-ACCEPTED-T56-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L23-REJECTED-T56-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L23-SUSPENDED-T56-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L24.
             10 FILLER                        PIC X(13)
                                              VALUE 'TRANS TRAILER'.
             10 FILLER                        PIC X(03)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T97)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L24-INFILE-T97-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L24-ACCEPTED-T97-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L24-REJECTED-T97-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L24-SUSPENDED-T97-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L25.
             10 FILLER                        PIC X(13)
                                              VALUE 'PAY/CR MEMOS '.
             10 FILLER                        PIC X(03)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(T12)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L25-INFILE-PCR-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L25-ACCEPTED-PCR-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L25-REJECTED-PCR-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L25-SUSPENDED-PCR-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L26.
             10 FILLER                        PIC X(13)
                                              VALUE 'UNKNOWN      '.
             10 FILLER                        PIC X(03)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE '(???)'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L26-INFILE-UNK-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L26-ACCEPTED-UNK-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L26-REJECTED-UNK-RECS PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L26-SUSPENDED-UNK-REC PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.

          05 WS-0755-L27.
             10 FILLER                        PIC X(22)
                                              VALUE SPACE.
             10 FILLER                        PIC X(10)
                                              VALUE '----------'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 FILLER                        PIC X(10)
                                              VALUE '----------'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 FILLER                        PIC X(10)
                                              VALUE '----------'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 FILLER                        PIC X(10)
                                              VALUE '----------'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 FILLER                        PIC X(10)
                                              VALUE '----------'.

          05 WS-0755-L28.
             10 FILLER                        PIC X(13)
                                              VALUE 'TOTAL RECORDS'.
             10 FILLER                        PIC X(09)
                                              VALUE SPACE.
             10 WS-0755-L28-INFILE-TOT-RECS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L28-ACCEPTED-TRANS    PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L28-REJECTED-TRANS    PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L28-SUSPENDED-TRANS   PIC ZZZZZZZZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L28-ESCROW-TRANS      PIC ZZZZZZZZZ9
                                              VALUE ZEROS.

          05 WS-0755-L29.
             10 FILLER                        PIC X(26)
                                              VALUE SPACE.
             10 FILLER                        PIC X(54)
                VALUE 'CURRENT FINANCIAL STATISTICS'.

          05 WS-0755-L31.
             10 FILLER                        PIC X(16)
                                              VALUE 'STATISTIC'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.
             10 FILLER                        PIC X(05)
                                              VALUE 'INPUT'.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.
             10 FILLER                        PIC X(08)
                                              VALUE 'ACCEPTED'.
             10 FILLER                        PIC X(07)
                                              VALUE SPACE.
             10 FILLER                        PIC X(08)
                                              VALUE 'REJECTED'.
             10 FILLER                        PIC X(06)
                                              VALUE SPACE.
             10 FILLER                        PIC X(09)
                                              VALUE 'SUSPENDED'.
             10 FILLER                        PIC X(09)
                                              VALUE SPACE.
             10 FILLER                        PIC X(06)
                                              VALUE 'ESCROW'.

          05 WS-0755-L32.
             10 FILLER                        PIC X(16)
                                              VALUE 'ACREAGE'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L32-INFILE-TOT-ACRES  PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L32-ACCEPT-TOT-ACRES  PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L32-REJECT-TOT-ACRES  PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L32-SUSPEND-TOT-ACRES PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.

          05 WS-0755-L33.
             10 FILLER                        PIC X(16)
                                              VALUE 'LIABILITY'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L33-INFILE-TOT-LIAB   PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L33-ACCEPT-TOT-LIAB   PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L33-REJECT-TOT-LIAB   PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L33-SUSPEND-TOT-LIAB  PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.

          05 WS-0755-L34.
             10 FILLER                        PIC X(16)
                                              VALUE 'PREMIUM'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L34-INFILE-TOT-PREM   PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L34-ACCEPTED-TOT-PREM PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L34-REJECTED-TOT-PREM PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L34-SUSPEND-TOT-PREM  PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.

          05 WS-0755-L35.
             10 FILLER                        PIC X(16)
                                              VALUE 'PRODUCER PREMIUM'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L35-INFILE-TOT-PRD-PR PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L35-ACCEPT-TOT-PRD-PR PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L35-REJECT-TOT-PRD-PR PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L35-SUSPND-TOT-PRD-PR PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.

          05 WS-0755-L36.
             10 FILLER                        PIC X(16)
                                              VALUE 'LOSSES'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L36-INFILE-TOT-LOSSES PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L36-ACCEPTED-TOT-LOSS PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L36-REJECTED-TOT-LOSS PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L36-SUSPEND-TOT-LOSS  PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L36-ESCROW-TOT-LOSS   PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.

          05 WS-0755-L37.
             10 FILLER                        PIC X(16)
                                              VALUE 'PAID'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L37-INFILE-TOTAL-PAID PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L37-ACCEPTED-TOT-PAID PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L37-REJECTED-TOT-PAID PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 WS-0755-L37-SUSPENDED-TOT-PD  PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.

          05 WS-0755-L39.
             10 FILLER                        PIC X(24)
                                              VALUE SPACE.
             10 FILLER                        PIC X(56)
                VALUE 'YEAR-TO-DATE FINANCIAL STATISTICS'.


          05 WS-0755-L41.
             10 FILLER                        PIC X(20)
                                              VALUE 'STATISTIC'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 FILLER                        PIC X(13)
                                              VALUE '   ACCEPTED'.
             10 FILLER                        PIC X(46)
                                              VALUE SPACE.

          05 WS-0755-L42.
             10 FILLER                        PIC X(16)
                                              VALUE 'ACREAGE'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L42-ACCEPT-TOT-ACRES  PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(48)
                                              VALUE SPACE.

          05 WS-0755-L43.
             10 FILLER                        PIC X(16)
                                              VALUE 'LIABILITY'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L43-ACCEPT-TOT-LIAB   PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(48)
                                              VALUE SPACE.

          05 WS-0755-L44.
             10 FILLER                        PIC X(16)
                                              VALUE 'PREMIUM'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L44-ACCEPTED-TOT-PREM PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(48)
                                              VALUE SPACE.

          05 WS-0755-L45.
             10 FILLER                        PIC X(16)
                                              VALUE 'PRODUCER PREMIUM'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L45-ACCEPT-TOT-PRD-PR PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(48)
                                              VALUE SPACE.

          05 WS-0755-L46.
             10 FILLER                        PIC X(16)
                                              VALUE 'LOSSES'.
             10 FILLER                        PIC X(01)
                                              VALUE SPACE.
             10 WS-0755-L46-ACCEPTED-TOT-LOSS PIC ZZZ,ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(48)
                                              VALUE SPACE.

          05 WS-0755-L49.
             10 FILLER                        PIC X(31)
                                              VALUE SPACE.
             10 FILLER                        PIC X(49)
                VALUE 'TYPE 97 STATISTICS'.



          05 WS-0755-L51.
             10 FILLER                        PIC X(13)
                                              VALUE 'TYPE 10 COUNT'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L51-T10-COUNT         PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(12)
                                              VALUE SPACE.
             10 FILLER                        PIC X(16)
                                              VALUE 'REPORTED ACRES'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L51-TOTAL-ACRES       PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.

          05 WS-0755-L52.
             10 FILLER                        PIC X(13)
                                              VALUE 'TYPE 11 COUNT'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L52-T11-COUNT         PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(12)
                                              VALUE SPACE.
             10 FILLER                        PIC X(16)
                                              VALUE 'LIABILITY'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L52-LIABILITY         PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.

          05 WS-0755-L53.
             10 FILLER                        PIC X(13)
                                              VALUE 'TYPE 12 COUNT'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L53-T12-COUNT         PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(12)
                                              VALUE SPACE.
             10 FILLER                        PIC X(16)
                                              VALUE 'PREMIUM'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L53-PREMIUM           PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.

          05 WS-0755-L54.
             10 FILLER                        PIC X(13)
                                              VALUE 'TYPE 15 COUNT'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L54-T15-COUNT         PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(12)
                                              VALUE SPACE.
             10 FILLER                        PIC X(16)
                                              VALUE 'PRODUCER PREMIUM'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L54-PROD-PREMIUM      PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.

          05 WS-0755-L55.
             10 FILLER                        PIC X(13)
                                              VALUE 'TYPE 20 COUNT'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L55-T20-COUNT         PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(12)
                                              VALUE SPACE.
             10 FILLER                        PIC X(16)
                                              VALUE 'LOSSES'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L55-LOSSES            PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.

          05 WS-0755-L56.
             10 FILLER                        PIC X(13)
                                              VALUE 'TYPE 21 COUNT'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L56-T21-COUNT         PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(12)
                                              VALUE SPACE.
             10 FILLER                        PIC X(16)
                                              VALUE 'PAID'.
             10 FILLER                        PIC X(02)
                                              VALUE SPACE.
             10 WS-0755-L56-PAID              PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(10)
                                              VALUE SPACE.

          05 WS-0755-L57.
             10 FILLER                        PIC X(13)
                                              VALUE 'DELETE  COUNT'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L57-T49-COUNT         PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(51)
                                              VALUE SPACE.

          05 WS-0755-L58.
             10 FILLER                        PIC X(13)
                                              VALUE 'ASSIGNED RISK'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L58-ASS-RISK-COUNT    PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(51)
                                              VALUE SPACE.

          05 WS-0755-L59.
             10 FILLER                        PIC X(13)
                                              VALUE 'OTHER RECORDS'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L59-OTHER-COUNT       PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(51)
                                              VALUE SPACE.

          05 WS-0755-L60.
             10 FILLER                        PIC X(13)
                                              VALUE 'TOTAL RECORDS'.
             10 FILLER                        PIC X(05)
                                              VALUE SPACE.
             10 WS-0755-L60-TOTAL-RECS        PIC ZZZ,ZZZ,ZZ9
                                              VALUE ZEROS.
             10 FILLER                        PIC X(51)
                                              VALUE SPACE.


       01 WS-0755-DT.
          05 WS-0755-MM                        PIC X(02)
                                           VALUE SPACE.
          05 WS-0755-DD                        PIC X(02)
                                           VALUE SPACE.
          05 WS-0755-YY                        PIC X(04)
                                           VALUE SPACE.


