      ***************************************************************
      * File:      M7000.CBL
      * Author:    Mike Ray
      * Date:      01/11/96
      * Purpose:
      *    This copy file contains the paragraphs needed for table
      *    input and output.
      *
      * Contains:  M7005.CBL 7005-ADD-SBI-RECORD
      *            M7010.CBL 7010-ADD-T11-RECORD
      *            M7012.CBL 7012-ADD-T12-RECORD
      *            M7015.CBL 7015-ADD-T14-RECORD
      *            M7020.CBL 7020-ADD-T15-RECORD
      *            M7025.CBL 7025-ADD-T16-RECORD
      *            M7030.CBL 7030-ADD-T20-RECORD
      *            M7035.CBL 7035-ADD-T21-RECORD
      *            M7040.CBL 7040-ADD-T50-RECORD
      *            M7045.CBL 7045-ADD-ASGD-RISK-RECORD
      *            M7099.CBL 7099-BUFFER-POLICY-RECORD
      *            M7200.CBL 7200-LOAD-IP-TBL
      *            M7205.CBL 7205-LOAD-COMPANY-TBL
      *            M7210.CBL 7210-LOAD-FIPS-ST-TBL
      *            M7215.CBL 7215-LOAD-COUNTY-TBL
      *            M7220.CBL 7220-LOAD-CROP-TBL
      *            M7225.CBL 7225-LOAD-CROP-TYPE-TBL
      *            M7230.CBL 7230-LOAD-CROP-POL-TY-TBL
      *            M7235.CBL 7235-LOAD-ERROR-MSG-TBL
      *            M7240.CBL 7240-LOAD-TXWA-FINAL-DATE-TBL
      *            M7250.CBL 7250-LOOKUP-IP
      *            M7255.CBL 7255-LOOKUP-COMPANY
      *            M7260.CBL 7260-LOOKUP-FIPS-STATE
      *            M7265.CBL 7265-LOOKUP-COUNTY
      *            M7270.CBL 7270-LOOKUP-CROP
      *            M7275.CBL 7275-LOOKUP-CROP-TYPE
      *            M7280.CBL 7280-LOOKUP-CPT-TBL
      *            M7285.CBL 7285-LOOKUP-ERROR-MSG
      *            M7287.CBL 7287-INCREMENT-ERR-COUNT
      *            M7290.CBL 7290-LOOKUP-UM
      *            M7295.CBL 7295-LOAD-UM-TBL
      *            M7300.CBL 7300-LOAD-STAGE-CROP-TBL
      *            M7315.CBL 7315-LOOKUP-STATE-ABBREV
      *            M7320.CBL 7320-LOAD-LOSS-CAUSE-CROP
      *            M7325.CBL 7325-LOAD-CROP-LIMIT-TBL
      *            M7330.CBL 7330-LOOKUP-CROP-LIMIT
      *            M7350.CBL 7350-LOOKUP-STAGE-CROP
      *            M7355.CBL 7355-LOOKUP-LOSS-CSE-CROP
      *            M7360.CBL 7360-LOAD-STAGE-TBL
      *            M7365.CBL 7365-LOOKUP-STAGE-CD
      *            M7370.CBL 7370-LOAD-LOSS-CAUSE-TBL
      *            M7375.CBL 7375-LOOKUP-LOSS-CAUSE-CD
      ********************************************************
      *         *** ADM ISAM LOOKUPS ***
      *            M7505.CBL 7505-LOOKUP-ADM1
      *            M7507.CBL 7507-LOOKUP-ADM1G
      *            M7510.CBL 7510-LOOKUP-ADM2
      *            M7515.CBL 7515-LOOKUP-ADM3
      *            M7520.CBL 7520-LOOKUP-ADM4
      *            M7525.CBL 7525-LOOKUP-ADMH
      *            M7530.CBL 7530-LOOKUP-ADMM
      *            M7535.CBL 7535-LOOKUP-ADMO
      *            M7540.CBL 7540-LOOKUP-ADMR
      *            M7545.CBL 7545-LOOKUP-ADMAC
      *            M7550.CBL 7550-LOOKUP-ADMAR
      *            M7555.CBL 7555-LOOKUP-ADMSSN
      *            M7558.CBL 7558-LOOKUP-ADMY
      *            M7570.CBL 7570-LOOKUP-ADMIR
      *            M7575.CBL 7575-LOOKUP-ADMC
      *            M7580.CBL 7580-LOOKUP-ADMIY
      *            M7585.CBL 7585-LOOKUP-ADMVC
      *            M7590.CBL 7590-LOOKUP-ADMVS
      *            M7595.CBL 7595-LOOKUP-ADMWE
      *            M7600.CBL 7600-LOOKUP-ADMWF
      ********************************************************
      *            M7560.CBL 7560-LOOKUP-TYPE-14-DATES
      *            M7565.CBL 7565-LOOKUP-TYPE-11-DATES
      *            M7605.CBL 7605-LOOKUP-AGENT-ID
      *            M7610.CBL 7610-LOOKUP-ADJUSTER-ID
      ********************************************************

       COPY 'TABLES/M7005.CBL'.
       COPY 'TABLES/M7010.CBL'.
       COPY 'TABLES/M7012.CBL'.
       COPY 'TABLES/M7015.CBL'.
       COPY 'TABLES/M7020.CBL'.
       COPY 'TABLES/M7025.CBL'.
       COPY 'TABLES/M7030.CBL'.
       COPY 'TABLES/M7035.CBL'.
       COPY 'TABLES/M7040.CBL'.
       COPY 'TABLES/M7045.CBL'.
       COPY 'TABLES/M7099.CBL'.
       COPY 'TABLES/M7200.CBL'.
       COPY 'TABLES/M7205.CBL'.
       COPY 'TABLES/M7210.CBL'.
       COPY 'TABLES/M7215.CBL'.
       COPY 'TABLES/M7220.CBL'.
       COPY 'TABLES/M7225.CBL'.
       COPY 'TABLES/M7230.CBL'.
       COPY 'TABLES/M7235.CBL'.
       COPY 'TABLES/M7240.CBL'.
       COPY 'TABLES/M7250.CBL'.
       COPY 'TABLES/M7255.CBL'.
       COPY 'TABLES/M7260.CBL'.
       COPY 'TABLES/M7265.CBL'.
       COPY 'TABLES/M7270.CBL'.
       COPY 'TABLES/M7275.CBL'.
       COPY 'TABLES/M7280.CBL'.
       COPY 'TABLES/M7285.CBL'.
       COPY 'TABLES/M7287.CBL'.
       COPY 'TABLES/M7290.CBL'.
       COPY 'TABLES/M7295.CBL'.
       COPY 'TABLES/M7300.CBL'.
       COPY 'TABLES/M7315.CBL'.
       COPY 'TABLES/M7320.CBL'.
       COPY 'TABLES/M7325.CBL'.
       COPY 'TABLES/M7330.CBL'.
       COPY 'TABLES/M7350.CBL'.
       COPY 'TABLES/M7355.CBL'.
       COPY 'TABLES/M7360.CBL'.
       COPY 'TABLES/M7365.CBL'.
       COPY 'TABLES/M7370.CBL'.
       COPY 'TABLES/M7375.CBL'.

      $IF ISAM-SW DEFINED
       COPY 'TABLES/M7505.CBL'.
       COPY 'TABLES/M7507.CBL'.
       COPY 'TABLES/M7510.CBL'.
       COPY 'TABLES/M7515.CBL'.
       COPY 'TABLES/M7520.CBL'.
       COPY 'TABLES/M7525.CBL'.
       COPY 'TABLES/M7530.CBL'.
       COPY 'TABLES/M7535.CBL'.
       COPY 'TABLES/M7540.CBL'.
       COPY 'TABLES/M7545.CBL'.
       COPY 'TABLES/M7550.CBL'.
       COPY 'TABLES/M7555.CBL'.
       COPY 'TABLES/M7558.CBL'.
       COPY 'TABLES/M7560.CBL'.
       COPY 'TABLES/M7565.CBL'.
       COPY 'TABLES/M7570.CBL'.
       COPY 'TABLES/M7575.CBL'.
       COPY 'TABLES/M7580.CBL'.
       COPY 'TABLES/M7585.CBL'.
       COPY 'TABLES/M7590.CBL'.
       COPY 'TABLES/M7595.CBL'.
       COPY 'TABLES/M7600.CBL'.
       COPY 'TABLES/M7605.CBL'.
       COPY 'TABLES/M7610.CBL'.

      $END
