      *****************************************************************
      * File:      M7270.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    ws-7005-crop-tbl to look up crop.                          *
      * Assumptions:                                                  *
      *    A check for zero or blank in any of the input fields is    *
      *    made outside of this routine.                              *
      *****************************************************************

       7270-LOOKUP-CROP-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7270-LOOKING UP CROP'
           UPON CONSOLE
      $END

           MOVE WS-LITERAL-NO TO WS-7270-FOUND-FLG

           INITIALIZE WS-7270-O-CROP-REC
           SET WS-7005-CROP-INDEX TO 1

           SEARCH WS-7005-CROP-REC
              VARYING WS-7005-CROP-INDEX
              AT END INITIALIZE WS-7270-I-CROP
              WHEN WS-7270-I-CROP
                   IS EQUAL TO WS-7005-CROP(WS-7005-CROP-INDEX)
                   MOVE WS-LITERAL-YES TO WS-7270-FOUND-FLG
                   MOVE WS-7005-CROP-REC(WS-7005-CROP-INDEX)
                     TO WS-7270-O-CROP-REC
                   INITIALIZE WS-7270-I-CROP
           END-SEARCH.

      $IF DEBUG-SW DEFINED
           DISPLAY 'CROP IS ', WS-7270-O-CROP-NAME
           UPON CONSOLE.
      $END

       7270-LOOKUP-CROP-TBL-EXIT.
           EXIT.

