      *****************************************************************
      * File:      M7315.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    state-abbrev-tbl to look up state abbreviation.            *
      * Assumptions:                                                  *
      *    A check for blank in the input field is made outside of    *
      *    this routine.                                              *
      *****************************************************************

       7315-LOOKUP-STATE-ABBREV.

      $IF DEBUG-SW DEFINED
           DISPLAY '7315-LOOKING UP STATE ABBREV'
           UPON CONSOLE
      $END

           MOVE WS-LITERAL-NO TO WS-7315-FOUND-FLG
           SET WS-7315-STATE-ABBREV-INDEX TO 1

           SEARCH WS-7315-STATE-ABBREV-REC
              VARYING WS-7315-STATE-ABBREV-INDEX
              AT END
                   INITIALIZE WS-7315-I-STATE-ABBREV
              WHEN WS-7315-I-STATE-ABBREV IS EQUAL TO
                   WS-7315-STATE-ABBREV(WS-7315-STATE-ABBREV-INDEX)
                   MOVE WS-LITERAL-YES    TO WS-7315-FOUND-FLG
                   INITIALIZE WS-7315-I-STATE-ABBREV
           END-SEARCH.

       7315-LOOKUP-STATE-ABBREV-EXIT.
           EXIT.


