      ***************************************************************
      * File:      WS7015.CBL                                       *
      * Author:    Mike Ray and Cheryl D. Wood                      *
      * Date:      9/13/95                                          *
      * Purpose:                                                    *
      *    Working Storage for the T14 record to be added to the T14*
      *    table BY 7015-ADD-T14-RECORD.                            *
      ***************************************************************

       01 WS-7015-INPUT.
          05 WS-7015-MATCH-FOUND            PIC X(01).
          05 WS-7015-CROP-POLICY-TYPE       PIC X(04).

      ****************************************************************
      *  THE INCOMINING TRANSACTION WILL BE MOVED TO THIS AREA       *
      ****************************************************************

       01 WS-7015-TYPE-14.
          05 WS-7015-RECORD-TYPE            PIC 9(02).
          05 WS-7015-POLICY-NO.
             10 WS-7015-REPORTING-ORG          PIC X(02).
             10 WS-7015-LOC-STATE              PIC 9(02).
             10 WS-7015-COMPANY-COUNTY         PIC 9(03).
             10 WS-7015-POLICY-NUM             PIC 9(07).
             10 WS-7015-CROP-YEAR              PIC 9(04).
          05 WS-7015-CROP-CD                PIC 9(04).
          05 WS-7015-INSURANCE-PLAN-ID      PIC 9(02).
          05 WS-7015-LOCATION-COUNTY        PIC 9(03).
          05 WS-7015-FILLER-1               PIC X(05).
          05 WS-7015-TYPE-CD                PIC 9(03).
          05 WS-7015-RSERVD-PRACT-CODE      PIC 9(03).
          05 WS-7015-COVERAGE-FLG           PIC X(01).
          05 WS-7015-KEY-RESERVE            PIC X(32).
          05 WS-7015-FILLER-2               PIC X(02).
          05 WS-7015-RECORD-NUM             PIC 9(03).
          05 WS-7015-ASSIGNED-RISK          PIC 9(01).
          05 WS-7015-LATE-PROCESS-FLG       PIC 9(01).
          05 WS-7015-PREPAYMENT-FLG         PIC X(01).
          05 WS-7015-MAX-FEE-CAUSE          PIC X(01).
          05 WS-7015-ADMIN-FEE-FL           PIC X(01).
          05 WS-7015-REFND-CANCEL-FLG       PIC X(01).
          05 WS-7015-RATE-STATE             PIC 9(02).
          05 WS-7015-RATE-COUNTY            PIC 9(03).
          05 WS-7015-DUAL-COVERAGE-FLG      PIC 9(01).
          05 WS-7015-EXPERIENCE-INQ         PIC X(01).
          05 WS-7015-FILLER-3               PIC X(221).
          05 WS-7015-1996-CROP-CODE         PIC 9(03).
          05 WS-7015-1996-TYPE-CODE         PIC X(03).
          05 WS-7015-RM-DATA-RECEIPT-DATE   PIC 9(08).
          05 WS-7015-ORIG-SUBMISSION-TIME.
             10 WS-7015-ORIG-SUB-HOURS         PIC 9(02).
             10 WS-7015-TIME-SPACER-1          PIC X(01).
             10 WS-7015-ORIG-SUB-MINUTES       PIC 9(02).
             10 WS-7015-TIME-SPACER-2          PIC X(01).
             10 WS-7015-ORIG-SUB-SECONDS       PIC 9(02).
          05 WS-7015-ORIG-SUBMISSION-DATE.
             10 WS-7015-ORIG-SUB-DAYS          PIC 9(02).
             10 WS-7015-ORIG-SUB-MONTH         PIC 9(02).
             10 WS-7015-ORIG-SUB-YEARS         PIC 9(04).
          05 WS-7015-FSA-CONTROL-DATE       PIC 9(08).
          05 WS-7015-FCIC-CONTROL-TIME      PIC X(08).
          05 WS-7015-FCIC-CONTROL-DATE      PIC X(08).
          05 WS-7015-REINS-YR               PIC X(04).
          05 WS-7015-BATCH-NO               PIC X(04).
          05 WS-7015-TRAN-SEQ-NO            PIC X(08).
          05 WS-7015-TRAN-REJECTED-FLAG     PIC X(01).
          05 WS-7015-TRAN-SOURCE-FLAG       PIC X(01).
          05 WS-7015-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-7015-FILLER-4               PIC X(14).

