      ***************************************************************
      * File:      WS7035.CBL                                       *
      * Author:    Mike Ray and Cheryl D. Wood                      *
      * Date:      9/13/95                                          *
      * Purpose:                                                    *
      *    Working Storage for the T21 record to be added to the T21*
      *    table BY 7035-ADD-T21-RECORD.                            *
      ***************************************************************

       01 WS-7035-INPUT.
          05 WS-7035-CROP-POLICY-TYPE       PIC X(03).
          05 WS-7035-STAGE-GUARANTEE        PIC 9(09)V9(01).
      *   *** THIS GUARANTEE IS IN THE COMMODITY UM AND
      *   *** GETS PUT IN THE UNIT TABLE TO COMPARE AGAINST
      *   *** THE T11 TOTAL GUARANTEE
          05 WS-7035-TOTAL-GUARANTEE        PIC 9(12)V9(01).


      ****************************************************************
      *  THE INCOMING TRANACTION WILL BE MOVED TO THIS AREA          *
      ****************************************************************

       01 WS-7035-TYPE-21.
          05 WS-7035-RECORD-TYPE            PIC X(02).
          05 WS-7035-POLICY-NO.
             10 WS-7035-REPORTING-ORG          PIC X(02).
             10 WS-7035-LOC-STATE              PIC X(02).
             10 WS-7035-COMPANY-COUNTY         PIC X(03).
             10 WS-7035-POLICY-NUM             PIC X(07).
             10 WS-7035-CROP-YEAR              PIC X(04).
          05 WS-7035-CROP-CD                PIC 9(04).
          05 WS-7035-INSURANCE-PLAN-CD      PIC 9(02).
          05 WS-7035-LOCATION-COUNTY        PIC 9(03).
          05 WS-7035-UNIT-NUMBER.
             10 WS-7035-BASIC-UNIT-NUM         PIC X(03).
             10 WS-7035-OPTIONAL-UNIT          PIC X(02).
          05 WS-7035-TYPE-CD                PIC 9(03).
          05 WS-7035-PRACTICE-CD            PIC X(03).
          05 WS-7035-COVERAGE-FLG           PIC X(01).
          05 WS-7035-CLAIM-NUM              PIC X(08).
          05 WS-7035-KEY-RESERVE            PIC X(24).
          05 WS-7035-FILLER-1               PIC X(02).
          05 WS-7035-RECORD-NUM             PIC X(03).
          05 WS-7035-TYPE-11-REC-NUM        PIC X(03).
          05 WS-7035-ADJUSTER-ID-CD         PIC X(09).
          05 WS-7035-RATE-CLASS             PIC X(03).
          05 WS-7035-STAGE-CD               PIC X(02).
          05 WS-7035-100-PCT-REPLANT-FL     PIC X(01).
          05 WS-7035-STAGE-GUAR-PER-ACRE    PIC 9(06)V9(02).
          05 WS-7035-DETERMINED-ACRES       PIC 9(06)V9(02).
          05 WS-7035-LIABILITY-FACTOR       PIC 9(01)V9(03).
          05 WS-7035-LOSS-GUARANTEE         PIC 9(08)V9(02).
          05 WS-7035-PROD-TO-CNT            PIC 9(08)V9(02).
          05 WS-7035-FARM-UNIT-DEFIC        PIC S9(08)V9(02)
              SIGN IS TRAILING.
          05 WS-7035-INSURED-SHARE          PIC 9(01)V9(03).
          05 WS-7035-GRP-PMT-CALC-FCTR      PIC 9(01)V9(03).
          05 WS-7035-INDEMNITY              PIC S9(08)
              SIGN IS TRAILING.
          05 WS-7035-HARVEST-PROD           PIC 9(08)V9(02).
          05 WS-7035-SUGAR-FCTR             PIC X(03).
          05 WS-7035-AUDIT-CORR             PIC X(01).
          05 WS-7035-PRIMARY-MONTH          PIC X(02).
          05 WS-7035-SECONDARY-MONTH        PIC X(02).
          05 WS-7035-PRIMARY-CAUSE          PIC X(02).
          05 WS-7035-PRIMARY-PCT            PIC X(03).
          05 WS-7035-SECONDARY-CAUSE        PIC X(02).
          05 WS-7035-SIMPLIFIED-CLM-FLG     PIC X(01).
          05 WS-7035-FARM-SERIAL-NUM        PIC X(07).
          05 WS-7035-REVENUE-CVG-LEVEL-PCT  PIC 9(01)V9(04).
          05 WS-7035-GUARANTEE-RED-PCT      PIC 9(01)V9(03).
          05 WS-7035-DOLLAR-AMT-INSUR       PIC 9(06)V9(02).
          05 WS-7035-FILLER-2               PIC X(59).
          05 WS-7035-VALID-FOR-ESCROW       PIC X(01).
          05 WS-7035-1996-CROP-CODE         PIC 9(03).
          05 WS-7035-1996-TYPE-CODE         PIC X(03).
          05 WS-7035-RM-DATA-RECEIPT-DATE   PIC 9(08).
          05 WS-7035-YIELD                  PIC 9(07)V9(01).
          05 WS-7035-QUOTA                  PIC 9(10).
          05 WS-7035-COVERAGE-LEVEL-PCT     PIC X(02).
          05 WS-7035-PRICE-ELECTION         PIC 9(04)V9(04).
          05 WS-7035-FILLER-3               PIC X(28).
          05 WS-7035-FSA-CONTROL-DATE       PIC X(08).
          05 WS-7035-FCIC-CONTROL-TIME      PIC X(08).
          05 WS-7035-FCIC-CONTROL-DATE      PIC X(08).
          05 WS-7035-REINS-YR               PIC 9(04).
          05 WS-7035-BATCH-NO               PIC 9(04).
          05 WS-7035-TRAN-SEQ-NO            PIC 9(08).
          05 WS-7035-TRAN-REJECTED-FLAG     PIC X(01).
          05 WS-7035-TRAN-SOURCE-FLAG       PIC X(01).
          05 WS-7035-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-7035-FILLER-4               PIC X(14).

       01 WS-7035-WORK.
          05 WS-7035-MATCH-FOUND          PIC X(01).




