      *******************************************************************
      *   File:    ws7315.cbl                                           *
      *   Author:  Mike Ray/C.B.O.                                      *
      *   Date:    8/23/95                                              *
      *   Purpose:                                                      *
      *            These working storage variables are used for         *
      *            lookup of state abbreviation in the                  *
      *            7315-LOOKUP-STATE-ABBREV  paragraph.                 *
      *******************************************************************

       01  WS-7315-FOUND-FLG                           PIC X(01).
       88  MATCH-FOUND-7315                VALUE 'Y'.

      * INPUT FIELD(S)
       01  WS-7315-I-STATE-ABBREV                      PIC X(02)
                                           VALUE SPACE.

       01  WS-7315-STATE-VALUES.
           05  WS-7315-AL                  PIC X(02)   VALUE 'AL'.
           05  WS-7315-AK                  PIC X(02)   VALUE 'AK'.
           05  WS-7315-AZ                  PIC X(02)   VALUE 'AZ'.
           05  WS-7315-AR                  PIC X(02)   VALUE 'AR'.
           05  WS-7315-CA                  PIC X(02)   VALUE 'CA'.
           05  WS-7315-CO                  PIC X(02)   VALUE 'CO'.
           05  WS-7315-CT                  PIC X(02)   VALUE 'CT'.
           05  WS-7315-DC                  PIC X(02)   VALUE 'DC'.
           05  WS-7315-DE                  PIC X(02)   VALUE 'DE'.
           05  WS-7315-FL                  PIC X(02)   VALUE 'FL'.
           05  WS-7315-GA                  PIC X(02)   VALUE 'GA'.
           05  WS-7315-HI                  PIC X(02)   VALUE 'HI'.
           05  WS-7315-ID                  PIC X(02)   VALUE 'ID'.
           05  WS-7315-IL                  PIC X(02)   VALUE 'IL'.
           05  WS-7315-IN                  PIC X(02)   VALUE 'IN'.
           05  WS-7315-IA                  PIC X(02)   VALUE 'IA'.
           05  WS-7315-KS                  PIC X(02)   VALUE 'KS'.
           05  WS-7315-KY                  PIC X(02)   VALUE 'KY'.
           05  WS-7315-LA                  PIC X(02)   VALUE 'LA'.
           05  WS-7315-ME                  PIC X(02)   VALUE 'ME'.
           05  WS-7315-MD                  PIC X(02)   VALUE 'MD'.
           05  WS-7315-MA                  PIC X(02)   VALUE 'MA'.
           05  WS-7315-MI                  PIC X(02)   VALUE 'MI'.
           05  WS-7315-MN                  PIC X(02)   VALUE 'MN'.
           05  WS-7315-MS                  PIC X(02)   VALUE 'MS'.
           05  WS-7315-MO                  PIC X(02)   VALUE 'MO'.
           05  WS-7315-MY                  PIC X(02)   VALUE 'MT'.
           05  WS-7315-NE                  PIC X(02)   VALUE 'NE'.
           05  WS-7315-NV                  PIC X(02)   VALUE 'NV'.
           05  WS-7315-NH                  PIC X(02)   VALUE 'NH'.
           05  WS-7315-NJ                  PIC X(02)   VALUE 'NJ'.
           05  WS-7315-NM                  PIC X(02)   VALUE 'NM'.
           05  WS-7315-NY                  PIC X(02)   VALUE 'NY'.
           05  WS-7315-NC                  PIC X(02)   VALUE 'NC'.
           05  WS-7315-ND                  PIC X(02)   VALUE 'ND'.
           05  WS-7315-OH                  PIC X(02)   VALUE 'OH'.
           05  WS-7315-OK                  PIC X(02)   VALUE 'OK'.
           05  WS-7315-OR                  PIC X(02)   VALUE 'OR'.
           05  WS-7315-PA                  PIC X(02)   VALUE 'PA'.
           05  WS-7315-RI                  PIC X(02)   VALUE 'RI'.
           05  WS-7315-SC                  PIC X(02)   VALUE 'SC'.
           05  WS-7315-SD                  PIC X(02)   VALUE 'SD'.
           05  WS-7315-TN                  PIC X(02)   VALUE 'TN'.
           05  WS-7315-TX                  PIC X(02)   VALUE 'TX'.
           05  WS-7315-UT                  PIC X(02)   VALUE 'UT'.
           05  WS-7315-VT                  PIC X(02)   VALUE 'VT'.
           05  WS-7315-VA                  PIC X(02)   VALUE 'VA'.
           05  WS-7315-WA                  PIC X(02)   VALUE 'WA'.
           05  WS-7315-WV                  PIC X(02)   VALUE 'WV'.
           05  WS-7315-WI                  PIC X(02)   VALUE 'WI'.
           05  WS-7315-WY                  PIC X(02)   VALUE 'WY'.
           05  WS-7315-PR                  PIC X(02)   VALUE 'PR'.
           05  WS-7315-ZZ                  PIC X(02)   VALUE 'ZZ'.

       01  WS-7315-STATE-ABBREV-TBL REDEFINES WS-7315-STATE-VALUES.
           05  WS-7315-STATE-ABBREV-REC
                               OCCURS 53 TIMES
                               INDEXED BY WS-7315-STATE-ABBREV-INDEX.
               10  WS-7315-STATE-ABBREV            PIC X(02).

