      *******************************************************************
      *   FILE:    WS7525.CBL                                           *
      *   AUTHOR:  MIKE RAY                                             *
      *   DATE:    10/25/95                                             *
      *   PURPOSE:                                                      *
      *            WORKING STORAGE FOR 7525-LOOKUP-ADMH                 *
      *            THESE WORKING STORAGE VARIABLES ARE USED FOR         *
      *            LOOKUP OF RECORDS IN THE ADM TYPE H ISAM FILE        *
      *            THIS FILE CONTAINS:                                  *
      *                        HIGH RISK FACTOR DATA                    *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7525-INPUT-KEY.
          05 FILLER                         PIC X(01) VALUE 'H'.
          05 WS-7525-INPUT-SFX              PIC X(01) VALUE SPACES.
          05 WS-7525-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7525-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7525-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
          05 WS-7525-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7525-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
          05 WS-7525-INPUT-PRACTICE-CD.
             10 WS-7525-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
             10 WS-7525-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
          05 WS-7525-INPUT-MAP-AREA         PIC X(03) VALUE SPACES.
          05 WS-7525-INPUT-RATE-CLASS       PIC X(03) VALUE SPACES.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7525-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7525                VALUE 'Y'.

       01 WS-7525-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7525               VALUE 'Y'.

       01 WS-7525-ADMH-REC.
          10 WS-7525-ADMH-KEY.
             15 WS-7525-RECORD-TYPE-CD         PIC X(01).
             15 WS-7525-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7525-CROP-YEAR              PIC 9(02).
             15 WS-7525-STATE-CD               PIC 9(02).
             15 WS-7525-COUNTY-CD              PIC 9(03).
             15 WS-7525-CROP-CD                PIC 9(04).
             15 WS-7525-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7525-PRACTICE-CD            PIC X(03).
             15 WS-7525-MAP-AREA               PIC X(03).
             15 WS-7525-RATE-CLASS             PIC X(03).
          10 WS-7525-ADMH-DATA.
             15 WS-7525-MAP-FACTOR             PIC 9(02)V9(03).
             15 FILLER                         PIC X(128).
             15 WS-7525-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7525-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7525-DATE-FILED             PIC 9(06).

