      *******************************************************************
      *   File:    WS7535.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    10/25/95                                             *
      *   Purpose:                                                      *
      *            Working storage for 7535-LOOKUP-ADMO                 *
      *            THESE WORKING STORAGE VARIABLES ARE USED FOR         *
      *            LOOKUP OF RECORDS IN THE ADM TYPE O ISAM FILE        *
      *            THIS FILE CONTAINS:                                  *
      *                        OPTION DATA                              *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7535-INPUT-KEY.
          05 FILLER                         PIC X(01) VALUE 'O'.
          05 FILLER                         PIC X(01) VALUE SPACES.
          05 WS-7535-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7535-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7535-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
          05 WS-7535-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7535-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZERO.
          05 WS-7535-INPUT-OPTION-CD        PIC X(08) VALUE SPACES.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7535-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7535                VALUE 'Y'.

       01 WS-7535-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7535               VALUE 'Y'.

       01 WS-7535-ADMO-REC.
          10 WS-7535-ADMO-KEY.
             15 WS-7535-RECORD-TYPE-CD         PIC X(01).
             15 WS-7535-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7535-CROP-YEAR              PIC 9(02).
             15 WS-7535-STATE-CD               PIC 9(02).
             15 WS-7535-COUNTY-CD              PIC 9(03).
             15 WS-7535-CROP-CD                PIC 9(04).
             15 WS-7535-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7535-OPTION-CD              PIC X(08).
          10 WS-7535-ADMO-DATA.
             15 WS-7535-OPTION-NAME            PIC X(26).
             15 WS-7535-OPTION-FACTOR          PIC 9(01)V9(03).
             15 FILLER                         PIC X(104).
             15 WS-7535-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7535-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7535-DATE-FILED             PIC 9(06).

