      *******************************************************************
      *   File:    WS7555.CBL                                           *
      *   Author:  Yo-I Tsui                                            *
      *   Date:    1/5/96                                               *
      *   Purpose:                                                      *
      *            Working storage for 7555-LOOKUP-ADMSSN               *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type SSN ISAM file      *
      *            This file contains: NCS DATA                         *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7555-INPUT-KEY.
          05 WS-7555-INPUT-ID-NUM           PIC 9(09) VALUE ZEROS.
          05 WS-7555-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7555-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7555-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
          05 WS-7555-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7555-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
          05 WS-7555-INPUT-PRACTICE-CD.
             10 WS-7555-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
             10 WS-7555-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
          05 WS-7555-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.
          05 WS-7555-INPUT-OPTION-CD        PIC X(08).


      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7555-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7555                VALUE 'Y'.

       01 WS-7555-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7555               VALUE 'Y'.

       01 WS-7555-ADMSSN-REC.
          10 WS-7555-ADMSSN-KEY.
             15 WS-7555-ID-NUM                 PIC 9(09).
             15 WS-7555-CROP-YEAR              PIC 9(02).
             15 WS-7555-STATE-CD               PIC 9(02).
             15 WS-7555-COUNTY-CD              PIC 9(03).
             15 WS-7555-CROP-CD                PIC 9(04).
             15 WS-7555-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7555-PRACTICE-CD            PIC X(03).
             15 WS-7555-TYPE-CD                PIC 9(03).
             15 WS-7555-OPTION-CD              PIC X(08).
          10 WS-7555-ADMSSN-DATA.
             15 WS-7555-ENTITY-TYPE            PIC X(01).
             15 WS-7555-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7555-NCS-TYPE-FLG           PIC X(01).
             15 WS-7555-PRODUCER-NAME          PIC X(49).
             15 WS-7555-FSN                    PIC X(07).
             15 WS-7555-LEGAL-DESC.
                20 WS-7555-SECTION                PIC X(04).
                20 WS-7555-TOWNSHIP               PIC X(04).
                20 WS-7555-RANGE                  PIC X(04).
             15 WS-7555-LEGAL-NARRATIVE1       PIC X(25).
             15 WS-7555-LEGAL-NARRATIVE2       PIC X(25).
             15 WS-7555-RATE                   PIC 9(01)V9(03).
             15 WS-7555-YIELD-FACTOR           PIC 9(03)V9(02).
             15 WS-7555-F32-INFO REDEFINES
                WS-7555-YIELD-FACTOR.
                20 FILLER                         PIC X(02).
                20 WS-7555-F32-GUAR-RATE-CLASS    PIC X(03).
             15 FILLER                         PIC X(01).
             15 WS-7555-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7555-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7555-DATE-FILED             PIC 9(06).

