      *******************************************************************
      *   File:    WS7558.CBL                                           *
      *   Author:  Yo-I Tsui                                            *
      *   Date:    2/13/96                                              *
      *   Purpose:                                                      *
      *            Working storage for 7558-LOOKUP-ADMY                 *
      *            THESE WORKING STORAGE VARIABLES ARE USED FOR         *
      *            LOOKUP OF RECORDS IN THE ADM TYPE Y ISAM FILE        *
      *            THIS FILE CONTAINS: YIELD FACTOR DATA                *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7558-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE 'Y'.
           05 WS-7558-INPUT-SUFFIX           PIC X(01) VALUE SPACES.
           05 WS-7558-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7558-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7558-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7558-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7558-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
           05 WS-7558-INPUT-PRACTICE-CD.
              10 WS-7558-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
              10 WS-7558-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
           05 WS-7558-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.
           05 WS-7558-INPUT-T-YIELD-MAP-AREA PIC X(03) VALUE SPACES.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7558-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7558                VALUE 'Y'.

       01 WS-7558-MAP-AREA-REQ-FLG       PIC X(01).
          88 MAP-REQUIRED-7558               VALUE 'Y'.

       01 WS-7558-BAD-ADM-DATA           PIC X(01).

       01 WS-7558-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7558               VALUE 'Y'.

       01 WS-7558-ADMY-REC.
          10 WS-7558-ADMY-KEY.
             15 WS-7558-RECORD-TYPE-CD         PIC X(01).
             15 WS-7558-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7558-CROP-YEAR              PIC 9(02).
             15 WS-7558-STATE-CD               PIC 9(02).
             15 WS-7558-COUNTY-CD              PIC 9(03).
             15 WS-7558-CROP-CD                PIC 9(04).
             15 WS-7558-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7558-PRACTICE-CD            PIC X(03).
             15 WS-7558-TYPE-CD                PIC 9(03).
             15 WS-7558-T-YIELD-MAP-AREA       PIC X(03).
          10 WS-7558-ADMY-DATA.
             15 WS-7558-YIELD-FLG              PIC X(01).
             15 WS-7558-YIELD-FACTOR           PIC 9(03)V9(03).
             15 WS-7558-AREA-YIELD             PIC 9(05)V9(01).
             15 WS-7558-MAX-YIELD              PIC 9(05)V9(01).
             15 WS-7558-REFE-CROP              PIC X(04).
             15 WS-7558-DISTR-AVG-YLD          PIC 9(05)V9(02).
             15 WS-7558-CRC-APH-FLAG           PIC X(01).
             15 FILLER                         PIC X(102).
             15 WS-7558-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7558-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7558-DATE-FILED             PIC 9(06).

