      *******************************************************************
      *   File:    WS7580.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    07/01/97                                             *
      *   Purpose: Working storage for 7580-LOOKUP-ADMIY                *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7580-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE 'I'.
           05 FILLER                         PIC X(01) VALUE 'R'.
           05 WS-7580-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7580-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7580-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7580-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7580-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
           05 WS-7580-INPUT-PRACTICE-CD.
              10 WS-7580-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
              10 WS-7580-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
           05 WS-7580-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.

      *****************************************************
      *               WORK/DISPLAY FIELDS                 *
      *****************************************************

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************
       01 WS-7580-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7580                VALUE 'Y'.

       01 WS-7580-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7580               VALUE 'Y'.

       01 WS-7580-ADMIY-REC.
          10 WS-7580-ADMIY-KEY.
             15 WS-7580-RECORD-TYPE-CD         PIC X(01).
             15 WS-7580-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7580-CROP-YEAR              PIC 9(02).
             15 WS-7580-STATE-CD               PIC 9(02).
             15 WS-7580-COUNTY-CD              PIC 9(03).
             15 WS-7580-CROP-CD                PIC 9(04).
             15 WS-7580-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7580-PRACTICE-CD            PIC X(03).
             15 WS-7580-TYPE-CD                PIC 9(03).
          10 WS-7580-ADMIY-DATA.
             15 WS-7580-YIELD-YEAR-01          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-01        PIC 9(03).
             15 WS-7580-YIELD-YEAR-02          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-02        PIC 9(03).
             15 WS-7580-YIELD-YEAR-03          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-03        PIC 9(03).
             15 WS-7580-YIELD-YEAR-04          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-04        PIC 9(03).
             15 WS-7580-YIELD-YEAR-05          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-05        PIC 9(03).
             15 WS-7580-YIELD-YEAR-06          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-06        PIC 9(03).
             15 WS-7580-YIELD-YEAR-07          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-07        PIC 9(03).
             15 WS-7580-YIELD-YEAR-08          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-08        PIC 9(03).
             15 WS-7580-YIELD-YEAR-09          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-09        PIC 9(03).
             15 WS-7580-YIELD-YEAR-10          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-10        PIC 9(03).
             15 WS-7580-YIELD-YEAR-11          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-11        PIC 9(03).
             15 WS-7580-YIELD-YEAR-12          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-12        PIC 9(03).
             15 WS-7580-YIELD-YEAR-13          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-13        PIC 9(03).
             15 WS-7580-YIELD-YEAR-14          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-14        PIC 9(03).
             15 WS-7580-YIELD-YEAR-15          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-15        PIC 9(03).
             15 WS-7580-YIELD-YEAR-16          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-16        PIC 9(03).
             15 WS-7580-YIELD-YEAR-17          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-17        PIC 9(03).
             15 WS-7580-YIELD-YEAR-18          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-18        PIC 9(03).
             15 WS-7580-YIELD-YEAR-19          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-19        PIC 9(03).
             15 WS-7580-YIELD-YEAR-20          PIC 9(02).
             15 WS-7580-COUNTY-YIELD-20        PIC 9(03).
             15 WS-7580-BIG-FILLER             PIC X(37).
             15 WS-7580-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7580-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7580-DATE-FILED             PIC 9(06).

