      *******************************************************************
      *   File:    WS7595.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    01/28/97                                             *
      *   Purpose:                                                      *
      *            Working storage for 7595-LOOKUP-ADMWE                *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type WE ISAM file       *
      *            This file contains:                                  *
      *                   RA ENTERPRISE OPTION DATA                     *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7595-INPUT-KEY.
          05 FILLER                         PIC X(01) VALUE 'W'.
          05 FILLER                         PIC X(01) VALUE 'E'.
          05 WS-7595-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7595-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7595-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7595-INPUT-INS-PLAN         PIC 9(02) VALUE ZEROS.
          05 WS-7595-INPUT-OPTION-CD        PIC X(08) VALUE SPACES.
          05 WS-7595-INPUT-NBR-SECTIONS-LOW PIC 9(02) VALUE ZEROS.

      *****************************************************
      *               LOCAL FIELDS                        *
      *****************************************************
       01 WS-7595-DISPLAY-FIELDS.
          05 WS-7595-PREM-DISCOUNT-FCTR-X   PIC 9.999.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7595-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7595                VALUE 'Y'.

       01 WS-7595-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7595               VALUE 'Y'.

       01 WS-7595-ADMWE-REC.
          10 WS-7595-ADMWE-KEY.
             15 WS-7595-RECORD-TYPE-CD         PIC X(01).
             15 WS-7595-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7595-CROP-YEAR              PIC 9(02).
             15 WS-7595-STATE-CD               PIC 9(02).
             15 WS-7595-CROP-CD                PIC 9(04).
             15 WS-7595-INS-PLAN-CD            PIC 9(02).
             15 WS-7595-OPTION-CD              PIC X(08).
             15 WS-7595-NBR-SECTIONS-LOW       PIC 9(02).
          10 WS-7595-ADMWE-DATA.
             15 WS-7595-NBR-SECTIONS-HIGH      PIC 9(02).
             15 WS-7595-PREM-DISCOUNT-FCTR     PIC 9(01)V9(03).
             15 FILLER                         PIC X(129).
             15 WS-7595-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7595-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7595-DATE-FILED             PIC 9(06).

