      *******************************************************************
      *   File:    WS7600.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    01/30/97                                             *
      *   Purpose:                                                      *
      *            Working storage for 7600-LOOKUP-ADMWF                *
      *            These working storage variables are used for         *
      *            lookup of records in the ADM Type WF ISAM file       *
      *            This file contains:                                  *
      *                   RA WHOLE FARM OPTION DATA                     *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7600-INPUT-KEY.
          05 FILLER                         PIC X(01) VALUE 'W'.
          05 FILLER                         PIC X(01) VALUE 'F'.
          05 WS-7600-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
          05 WS-7600-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
          05 WS-7600-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
          05 WS-7600-INPUT-INS-PLAN         PIC 9(02) VALUE ZEROS.
          05 WS-7600-INPUT-OPTION-CD        PIC X(08) VALUE SPACES.
          05 WS-7596-INPUT-PLANTED-RATIO    PIC 9(01)V9(01).

      *****************************************************
      *               LOCAL FIELDS                        *
      *****************************************************
       01 WS-7600-DISPLAY-FIELDS.
          05 WS-7600-PLANTED-ACRE-RATIO-X   PIC 9.9.
          05 WS-7600-PREM-DISCOUNT-FCTR-X   PIC 9.999.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************
       01 WS-7600-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7600                VALUE 'Y'.

       01 WS-7600-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7600               VALUE 'Y'.

       01 WS-7600-ADMWF-REC.
          10 WS-7600-ADMWF-KEY.
             15 WS-7600-RECORD-TYPE-CD         PIC X(01).
             15 WS-7600-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7600-CROP-YEAR              PIC 9(02).
             15 WS-7600-STATE-CD               PIC 9(02).
             15 WS-7600-CROP-CD                PIC 9(04).
             15 WS-7600-INS-PLAN-CD            PIC 9(02).
             15 WS-7600-OPTION-CD              PIC X(08).
             15 WS-7600-PLANTED-ACRE-RATIO     PIC 9(01)V9(01).
          10 WS-7600-ADMWF-DATA.
             15 WS-7600-PREM-DISCOUNT-FCTR     PIC 9(01)V9(03).
             15 FILLER                         PIC X(131).
             15 WS-7600-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7600-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7600-DATE-FILED             PIC 9(06).

