      ******************************************************
      * FILE:   M0585.CBL
      * AUTHOR: MIKE RAY
      * DATE:   01/23/96
      * PURPOSE: DISPLAYS THE VALID DAS96 PARAMETERS.
      ******************************************************

       0585-DISPLAY-PARAMETERS.

           DISPLAY 'DATA ACCEPTANCE SYSTEM - 1997 INPUT PARAMETERS'
           UPON CONSOLE
           DISPLAY ' '
           UPON CONSOLE
           DISPLAY 'IP          - INSURANCE PROVIDER',
           ' THE SUBMITTING COMPANY'
           UPON CONSOLE
           DISPLAY 'INFILE      - THE INPUT FILE NAME'
           UPON CONSOLE
           DISPLAY 'FCICDATE    - THE PROCESSING DATE FOR THE INPUT',
           ' FILE' UPON CONSOLE
           DISPLAY '              DEFAULT = SYSTEM DATE'
           UPON CONSOLE
           DISPLAY '              FORMAT YYYYMMDD'
           UPON CONSOLE
           DISPLAY 'FCICTIME    - THE PROCESSING TIME FOR THE INPUT',
           ' FILE' UPON CONSOLE
           DISPLAY '              DEFAULT = SYSTEM TIME'
           UPON CONSOLE
           DISPLAY '              FORMAT HHMMSS'
           UPON CONSOLE
           DISPLAY 'REINS_YR    - THE REINSURANCE YEAR,',
           ' DEFAULT = 1997'
           UPON CONSOLE
           DISPLAY 'NEW_BOOK    - INDICATES A NEW FULL BOOK RUN'
           UPON CONSOLE
           DISPLAY '              NOT USED, DEFAULT = N'
           UPON CONSOLE
           DISPLAY 'RPT_PG_LEN  - REPORT PAGE LENGTH, DEFAULT = 62'
           UPON CONSOLE
           DISPLAY '              0 = PRODUCE NO REPORT'
           UPON CONSOLE
           DISPLAY 'RPT_ERR_MSG - PRINT ERROR MESSAGE LINE ON REPORT'
           UPON CONSOLE
           DISPLAY '              DEFAULT = Y'
           UPON CONSOLE
           DISPLAY 'RPT_PARA_NO - PRINT CODE PARAGRAPH NUMBERS ON ',
           'ERROR REPORT'
           UPON CONSOLE
           DISPLAY '              DEFAULT = Y'
           UPON CONSOLE
           DISPLAY 'RMV_ID_NO   - REMOVE ID NUMBERS FROM OUTPUT'
           UPON CONSOLE
           DISPLAY '              DEFAULT = N'
           UPON CONSOLE
           DISPLAY 'TRAN_400    - INPUT TRANSACTIONS LENGTH 400 BYTES'
           UPON CONSOLE
           DISPLAY '              DEFAULT = N'
           UPON CONSOLE
           DISPLAY 'KEEP_SEQ    - KEEP EXISTING TRAN SEQUENCE '
           UPON CONSOLE
           DISPLAY '              NUMBERS ON 400 BYTE TRANSACTIONS'
           UPON CONSOLE
           DISPLAY '              DEFAULT = N'
           UPON CONSOLE
           DISPLAY 'RERUN       - INDICATES THAT THIS IS A FILE THAT'
           UPON CONSOLE
           DISPLAY '              HAS BEEN RUN BEFORE; PUTS A BANNER'
           UPON CONSOLE
           DISPLAY '              ON REPORTS TO INDICATE A RERUN.'
           UPON CONSOLE
           DISPLAY '              DEFAULT = N'
           UPON CONSOLE
           DISPLAY 'BATCH_NO    - OVERRIDE DEFAULT BATCH # WITH THIS'
           UPON CONSOLE
           DISPLAY '              NUMBER (0001-9999)'
           UPON CONSOLE
           DISPLAY 'SUBDIRS     - USE SUBDIRECTORIES FOR EACH IP/RO'
           UPON CONSOLE
           DISPLAY '              CREATES AN OUTPUT SUBDIRECTORY FOR'
           UPON CONSOLE
           DISPLAY '              THE IP PROVIDED IF IT DOES NOT ',
           'EXIST' UPON CONSOLE
           DISPLAY '              DEFAULT = N'
           UPON CONSOLE
           DISPLAY 'USE_TMP     - USE TEMP DIRECTORY FOR ALL WORKING',
           UPON CONSOLE
           DISPLAY '              FILES AND ISAM FILES (INCLUDING ADM)'
           UPON CONSOLE
           DISPLAY '              DEFAULT = Y (EXCEPT PC = N)'
           UPON CONSOLE
           DISPLAY 'MULTI       - INDICATES THAT THIS FILE IS ONE PART'
           UPON CONSOLE
           DISPLAY '              OF A MULTI-PART FILE BEING RUN ON'
           UPON CONSOLE
           DISPLAY '              SEVERAL PROCESSORS BY MDAS'
           UPON CONSOLE
           DISPLAY '              DEFAULT = N'
           UPON CONSOLE
           DISPLAY 'PROC_NO     - INDICATES WHICH PART OF A MULTI-PART'
           UPON CONSOLE
           DISPLAY '              FILE IS BEING RUN BY THIS PROCESS'
           UPON CONSOLE
           DISPLAY '              VALID ONLY IF MULTI=Y'
           UPON CONSOLE
           DISPLAY 'START_SEQ   - INDICATES WHAT THE STARTING TRANS'
           UPON CONSOLE
           DISPLAY '              SEQUENCE NUMBER SHOULD BE FOR THIS'
           UPON CONSOLE
           DISPLAY '              FILE SEGMENT. VALID ONLY IF MULTI=Y'
           UPON CONSOLE.


       0585-DISPLAY-PARAMETERS-EXIT.
           EXIT.


