      ****************************************************************
      * FILE:    M0590.CBL
      * AUTHOR:  MIKE RAY
      * DATE:    05/26/97
      * PURPOSE: COPIES A FILE
      ****************************************************************

       0590-COPY-FILE.

      $IF DEBUG-SW DEFINED
           DISPLAY '0590-COPYING FILE'
           UPON CONSOLE
      $END

      **********************************************************
      *    INITIALIZE VARIABLES                                *
      **********************************************************
           INITIALIZE WS-0590-WORK
           MOVE WS-LITERAL-NO
             TO WS-0590-RESULT-FLAG


      **********************************************************
      *    CHECK FOR FILE NAME
      **********************************************************
           CALL "CBL_COPY_FILE"
              USING WS-0590-SRC-FILE-NAME
                    WS-0590-DEST-FILE-NAME
              GIVING WS-0590-STATUS-CD
           END-CALL

           IF WS-0590-STATUS-CD = ZERO
              MOVE WS-LITERAL-YES TO WS-0590-RESULT-FLAG
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'SOURCE FILE      = ', WS-0590-SRC-FILE-NAME
           UPON CONSOLE
           DISPLAY 'DESTINATION FILE = ', WS-0590-DEST-FILE-NAME
           UPON CONSOLE
           DISPLAY 'COPY SUCCESS     = ', WS-0590-RESULT-FLAG
           UPON CONSOLE
      $END

      **********************************************************
      *    INITIALIZE INPUT FIELDS                             *
      **********************************************************
           INITIALIZE WS-0590-INPUT.


       0590-COPY-FILE-EXIT.
           EXIT.


