      *****************************************************************
      * File:      WS0565.CBL
      * Author:    Mike Ray
      * Date:      03/21/96
      * Purpose:   Working Storage for 0565-BUILD-FILE-NAME
      *****************************************************************


      ****************************
      *    INPUTS                *
      ****************************
       01 WS-0565-INPUT.
          05 WS-0565-INPUT-PATH.
             10 WS-0565-INPUT-PATH-REC OCCURS 15 TIMES
                INDEXED BY WS-0565-PATH-INDEX.
                15 WS-0565-INPUT-PATH-CHAR        PIC X(01).
          05 WS-0565-PATH-INT-INDEX         PIC 9(02).
          05 WS-0565-INPUT-FILE-NAME.
             10 WS-0565-INPUT-FILE-REC OCCURS 20 TIMES
                INDEXED BY WS-0565-FILE-INDEX.
                15 WS-0565-INPUT-FILE-CHAR        PIC X(01).
          05 WS-0565-FILE-INT-INDEX         PIC 9(02).
          05 WS-0565-INPUT-FILE-EXT.
             10 WS-0565-INPUT-FILE-EXT-REC OCCURS 3 TIMES
                INDEXED BY WS-0565-EXT-INDEX.
                15 WS-0565-INPUT-EXT-CHAR         PIC X(01).
          05 WS-0565-EXT-INT-INDEX          PIC 9(02).

      ****************************
      *    LOCALS                *
      ****************************
       01 WS-0565-LOCAL.
          05 WS-0565-PATH-END-FOUND         PIC X(01).
          05 WS-0565-FILE-END-FOUND         PIC X(01).

      ****************************
      *    OUTPUTS               *
      ****************************
       01 WS-0565-OUTPUT.
          05 WS-0565-OUTPUT-FILE-NAME.
             10 WS-0565-OUTPUT-FILE-REC OCCURS 38 TIMES
                INDEXED BY WS-0565-OUTPUT-INDEX.
                15 WS-0565-OUTPUT-FILE-CHAR       PIC X(01).
          05 WS-0565-OUTPUT-INT-INDEX      PIC 9(02).

