      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS STATE VARIABLES    *
      *     FOR THE ENTIRE PROGRAM IN THE FOLLOWING CATEGORIES:      *
      *                  - CURRENT BATCH                             *
      *                                                              *
      *     FILE  : WS0004.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************

       01  WS-0004-CURRENT-BATCH.
           05 WS-0004-CMD-LINE               PIC X(40).
           05 WS-0004-BATCH-NO               PIC 9(04).
           05 WS-0004-MDAS-PROCESS-NO        PIC 9(02).
           05 WS-0004-BATCH-INS-PROV         PIC X(02).
           05 WS-0004-INS-PROVIDER-NAME      PIC X(45).
           05 WS-0004-CURRENT-BOOK-NO        PIC 9(08).
           05 WS-0004-RERUN-INDICATOR        PIC X(01).
           05 WS-0004-SUBDIR-INDICATOR       PIC X(01).
           05 WS-0004-SYS-DATE.
              10 WS-0004-SYS-YEAR               PIC 9(04).
              10 WS-0004-SYS-MONTH              PIC 9(02).
              10 WS-0004-SYS-DAY                PIC 9(02).
           05 WS-0004-SYS-FULL-TIME.
              10 WS-0004-SYS-TIME.
                 15 WS-0004-SYS-HOURS              PIC 9(02).
                 15 WS-0004-SYS-MINUTES            PIC 9(02).
                 15 WS-0004-SYS-SECONDS            PIC 9(02).
              10 WS-0004-SYS-MICROSECONDS       PIC 9(02).
           05 WS-0004-REINS-YR.
              10 WS-0004-REINS-CENTURY          PIC X(02).
              10 WS-0004-REINS-SHORT-YR         PIC X(02).
           05 WS-0004-FCIC-PROC-DATE.
              10 WS-0004-FCIC-YEAR              PIC X(04).
              10 WS-0004-FCIC-MONTH             PIC X(02).
              10 WS-0004-FCIC-DAY               PIC X(02).
           05 WS-0004-FILE-DATE.
              10 WS-0004-FILE-YEAR              PIC X(04).
              10 WS-0004-FILE-MONTH             PIC X(02).
              10 WS-0004-FILE-DAY               PIC X(02).
           05 WS-0004-FCIC-PROC-TIME         PIC X(06).
           05 WS-0004-END-BATCH-FLAG         PIC X(01).
           05 WS-0004-TRAN-SEQ-NO            PIC 9(08).
           05 WS-0004-ERR-SEQ-NO             PIC 9(12).
           05 WS-0004-PARAMETERS.
              10 WS-0004-NEW-BOOK-FLAG          PIC X(01).
              10 WS-0004-REMOVE-ID-FLAG         PIC X(01).
              10 WS-0004-TRAN-400-FLAG          PIC X(01).
              10 WS-0004-KEEP-SEQ-NO-FLAG       PIC X(01).
              10 WS-0004-RPT-PAGE-LENGTH-X      PIC X(03).
              10 WS-0004-RPT-PAGE-LENGTH REDEFINES
                 WS-0004-RPT-PAGE-LENGTH-X      PIC 9(03).
              10 WS-0004-RPT-ERROR-MSG-FLAG     PIC X(01).
              10 WS-0004-RPT-PARAGRAPH-NO-FLAG  PIC X(01).
              10 WS-0004-USE-TMP-DIR-FLAG       PIC X(01).
              10 WS-0004-MULTI-PROCESSOR-SW     PIC X(01).
              10 WS-0004-MDAS-STARTING-TSEQ     PIC 9(08).
           05 WS-0004-EXT-STOP-DAS-FLAG      PIC X(01).
           05 WS-0004-FILES-OPEN             PIC 9(03).
           05 WS-0004-INPUT-FILE-NAMES.
              10 WS-0004-FILE-NAME              PIC X(15).
              10 WS-0004-FULL-FILE-NAME         PIC X(50).
           05 WS-0004-OUTPUT-FILE-NAMES.
              10 WS-0004-OUT-ACCEPT-FILE-NAME   PIC X(50).
              10 WS-0004-OUT-REJECT-FILE-NAME   PIC X(50).
              10 WS-0004-OUT-SUSPEND-FILE-NAME  PIC X(50).
              10 WS-0004-OUT-ESCROW-FILE-NAME   PIC X(50).
              10 WS-0004-OUT-PMEMO-FILE-NAME    PIC X(50).
              10 WS-0004-OUT-STATS-FILE-NAME    PIC X(50).
              10 WS-0004-OUT-LOG-FILE-NAME      PIC X(50).
              10 WS-0004-OUT-SUM-FILE-NAME      PIC X(50).
              10 WS-0004-OUT-ERRORS-FILE-NAME   PIC X(50).
              10 WS-0004-OUT-REPORT-FILE-NAME   PIC X(50).
              10 WS-0004-OUT-T11-FILE-NAME      PIC X(50).
              10 WS-0004-OUT-T14-FILE-NAME      PIC X(50).
              10 WS-0004-OUT-T55-FILE-NAME      PIC X(50).
              10 WS-0004-OUT-T56-FILE-NAME      PIC X(50).
              10 WS-0004-OUT-PSTATS-FILE-NAME   PIC X(50).
           05 WS-0004-TEMP-FILE-NAMES.
              10 WS-0004-TEMP-IN-FILE-NAME      PIC X(50).
              10 WS-0004-TEMP-ACP-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-REJ-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-SUS-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-ESC-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-PCR-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-STA-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-T11-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-T14-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-T55-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-T56-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-PSTATS-FILE-NAME  PIC X(50).
              10 WS-0004-TEMP-POL-FILE-NAME     PIC X(50).
              10 WS-0004-TEMP-ERR-FILE-NAME     PIC X(50).
              10 WS-0004-SORT-ERR-FILE-NAME     PIC X(50).
              10 WS-0004-SORT-REJ-FILE-NAME     PIC X(50).
           05 WS-0004-REAL-FILE-NAMES.
              10 WS-0004-INPUT-FILE-NAME        PIC X(50).
              10 WS-0004-ACCEPT-FILE-NAME       PIC X(50).
              10 WS-0004-REJECT-FILE-NAME       PIC X(50).
              10 WS-0004-SUSPEND-FILE-NAME      PIC X(50).
              10 WS-0004-ESCROW-FILE-NAME       PIC X(50).
              10 WS-0004-PMEMO-FILE-NAME        PIC X(50).
              10 WS-0004-STATS-FILE-NAME        PIC X(50).
              10 WS-0004-LOG-FILE-NAME          PIC X(50).
              10 WS-0004-SUM-FILE-NAME          PIC X(50).
              10 WS-0004-ERRORS-FILE-NAME       PIC X(50).
              10 WS-0004-REPORT-FILE-NAME       PIC X(50).
              10 WS-0004-T11-FILE-NAME          PIC X(50).
              10 WS-0004-T14-FILE-NAME          PIC X(50).
              10 WS-0004-T55-FILE-NAME          PIC X(50).
              10 WS-0004-T56-FILE-NAME          PIC X(50).
              10 WS-0004-PSTATS-FILE-NAME       PIC X(50).
              10 WS-0004-BATCH-FILE-NAME        PIC X(50).
              10 WS-0004-t14expr-file-name PIC X(38).

           05 WS-0004-ISAM-FILE-NAMES.
              10 WS-0004-ADM1-FILE-NAME         PIC X(50).
              10 WS-0004-ADM1G-FILE-NAME        PIC X(50).
              10 WS-0004-ADM2-FILE-NAME         PIC X(50).
              10 WS-0004-ADM3-FILE-NAME         PIC X(50).
              10 WS-0004-ADM4-FILE-NAME         PIC X(50).
              10 WS-0004-ADMAC-FILE-NAME        PIC X(50).
              10 WS-0004-ADMAR-FILE-NAME        PIC X(50).
              10 WS-0004-ADMC-FILE-NAME         PIC X(50).
              10 WS-0004-ADMH-FILE-NAME         PIC X(50).
              10 WS-0004-ADMIR-FILE-NAME        PIC X(50).
              10 WS-0004-ADMIY-FILE-NAME        PIC X(50).
              10 WS-0004-ADMM-FILE-NAME         PIC X(50).
              10 WS-0004-ADMO-FILE-NAME         PIC X(50).
              10 WS-0004-ADMR-FILE-NAME         PIC X(50).
              10 WS-0004-ADMSSN-FILE-NAME       PIC X(50).
              10 WS-0004-ADMVC-FILE-NAME        PIC X(50).
              10 WS-0004-ADMVS-FILE-NAME        PIC X(50).
              10 WS-0004-ADMWE-FILE-NAME        PIC X(50).
              10 WS-0004-ADMWF-FILE-NAME        PIC X(50).
              10 WS-0004-ADMY-FILE-NAME         PIC X(50).

       01 WS-0004-START-TIME.
          05 WS-0004-START-HOURS            PIC 9(02).
          05 WS-0004-START-MINUTES          PIC 9(02).
          05 WS-0004-START-SECONDS          PIC 9(02).

