      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT CROP'S TYPE 14 RECORDS AS WELL AS  *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0014.CB                                        *
      *     AUTHOR: MIKE RAY  AND CHERYL D. WOOD                     *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************


       01 WS-0014-T14-policy-REC-COUNT   PIC 9(03).
       01 WS-0014-T14-STATUS.
          05 WS-0014-T14-REC-COUNT          PIC 9(03).
          05 WS-0014-T14-INT-INDEX          PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0014-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-PC-T14-SIZE.

       01 WS-0014-T14-TABLE.
          05 WS-0014-T14-RECORD OCCURS WS-LITERAL-PC-T14-SIZE TIMES
             INDEXED BY WS-0014-T14-INDEX.
      $ELSE
       01 WS-0014-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-SUN-T14-SIZE.

       01 WS-0014-T14-TABLE.
          05 WS-0014-T14-RECORD OCCURS WS-LITERAL-SUN-T14-SIZE TIMES
             INDEXED BY WS-0014-T14-INDEX.
      $END

      **********************************************************
      *       THIS IS THE CROP POLICY TYPE WHICH IS ADDED      *
      *         IN WHEN THE TRANSACTION IS PUT INTO THE        *
      *         TABLE (USE 0211-LOOKUP-CROP-POL-TYPE)          *
      **********************************************************
             10 WS-0014-TBL-CROP-POLICY-TY         PIC X(04).
      **********************************************************
      *       THIS IS A COMPLETE TYPE 14 RECORD WHICH CAN BE   *
      *                   REFERENCED IN MOVES.                 *
      **********************************************************
             10 WS-0014-TBL-TYPE-14.
                15 WS-0014-TBL-RECORD-TYPE        PIC 9(02).
                15 WS-0014-TBL-POLICY-NO.
                   20 WS-0014-TBL-REPORTING-ORG      PIC X(02).
                   20 WS-0014-TBL-LOC-STATE          PIC 9(02).
                   20 WS-0014-TBL-COMPANY-COUNTY     PIC 9(03).
                   20 WS-0014-TBL-POLICY-NUM         PIC 9(07).
                   20 WS-0014-TBL-CROP-YEAR          PIC 9(04).
                15 WS-0014-TBL-CROP-CD            PIC 9(04).
                15 WS-0014-TBL-INSURANCE-PLAN-CD  PIC 9(02).
                15 WS-0014-TBL-LOCATION-COUNTY    PIC 9(03).
                15 WS-0014-TBL-FILLER-1           PIC 9(05).
                15 WS-0014-TBL-TYPE-CD            PIC X(03).
                15 WS-0014-TBL-RSERVD-PRACT-CODE  PIC 9(03).
                15 WS-0014-TBL-COVERAGE-FLG       PIC X(01).
                15 WS-0014-TBL-KEY-RSERVD         PIC X(32).
                15 WS-0014-TBL-FILLER-2           PIC 9(02).
                15 WS-0014-TBL-RECORD-NUM         PIC 9(03).
                15 WS-0014-TBL-ASSIGNED-RISK      PIC 9(01).
                15 WS-0014-TBL-LATE-PROCESS-FLG   PIC 9(01).
                15 WS-0014-TBL-PREPAYMENT-FLG     PIC X(01).
                15 WS-0014-TBL-MAX-FEE-CAUSE      PIC X(01).
                15 WS-0014-TBL-ADMIN-FEE-FL       PIC X(01).
                15 WS-0014-TBL-REFND-CANCEL-FLG   PIC X(01).
                15 WS-0014-TBL-RATE-STATE         PIC 9(02).
                15 WS-0014-TBL-RATE-COUNTY        PIC 9(03).
                15 WS-0014-TBL-DUAL-COVERAGE-FLG  PIC 9(01).
                15 WS-0014-TBL-EXPERIENCE-INQ     PIC X(01).
                15 WS-0014-TBL-FILLER-3           PIC X(259).
                15 WS-0014-TBL-FCIC-CONTROL-TIME  PIC 9(08).
                15 WS-0014-TBL-FCIC-CONTROL-DATE  PIC 9(08).
                15 WS-0014-TBL-REINS-YR           PIC 9(04).
                15 WS-0014-TBL-BATCH-NO           PIC 9(04).
                15 WS-0014-TBL-TRAN-SEQ-NO        PIC 9(08).
                15 WS-0014-TBL-TRAN-REJECTED-FLAG PIC X(01).
                15 WS-0014-TBL-TRAN-SOURCE-FL     PIC X(01).
                15 WS-0014-TBL-MDAS-PROCESS-NO    PIC 9(02).
                15 WS-0014-TBL-FILLER-4           PIC X(14).

