      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES A BUFFER TABLE FOR  *
      *     THE HELD TRANSACTION FILE.  IT HOLDS 118 RECORDS BEFORE  *
      *     OVERFLOWING TO THE FILE AS WELL AS THE STATUS VARIABLES  *
      *     FOR THE TABLE.                                           *
      *                                                              *
      *     FILE  : WS0099.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : 10/11/95                                         *
      ****************************************************************


       01  WS-0099-T99-STATUS.
           05 WS-0099-T99-REC-COUNT          PIC 9(03)
                                              VALUE 000.
           05 WS-0099-T99-INT-INDEX          PIC 9(08)
                                              VALUE 00000000.
      $IF PC-SW DEFINED
       01  WS-0099-MAX-SIZE               PIC 9(03)
           VALUE WS-LITERAL-PC-T99-SIZE.
       01  WS-0099-T99-TABLE.
           05 WS-0099-T99-RECORD OCCURS WS-LITERAL-PC-T99-SIZE TIMES
                 INDEXED BY WS-0099-T99-INDEX.
      $ELSE
       01  WS-0099-MAX-SIZE               PIC 9(03)
           VALUE WS-LITERAL-SUN-T99-SIZE.
       01  WS-0099-T99-TABLE.
           05 WS-0099-T99-RECORD OCCURS WS-LITERAL-SUN-T99-SIZE TIMES
                 INDEXED BY WS-0099-T99-INDEX.
      $END
              10  WS-T99-TRANS-REC                      PIC X(350).
              10  WS-T99-FCIC-CONTROL-TIME              PIC 9(08).
              10  WS-T99-FCIC-CONTROL-DATE              PIC 9(08).
              10  WS-T99-REINS-YR                       PIC 9(04).
              10  WS-T99-BATCH-NO                       PIC 9(04).
              10  WS-T99-TRAN-SEQ-NO                    PIC 9(08).
              10  WS-T99-TRAN-REJECTED-FLAG             PIC X(01).
              10  WS-T99-TRAN-SOURCE-FLAG               PIC X(01).
              10  WS-T99-MDAS-PROCESS-NO                PIC 9(02).
              10  FILLER                                PIC X(14).

