      ***************************************************************
      * File:      WS4000.CBL
      * Author:    Mike Ray
      * Date:      05/22/96
      * Purpose:
      *
      *    This copy file contains the working storage fields required
      *    by all of the 4000 series calculation modules.
      *
      *   WS4105.CBL FOR 4105-CALC-IP-DOLLAR-AMT
      *   WS4110.CBL FOR 4110-CALC-RA-BASE-PREMIUM
      *   WS4115.CBL FOR 4115-CALC-RA-EU-DOL-AMT
      *   WS4120.CBL FOR 4120-CALC-RA-WF-DOL-AMT
      *   WS4200.CBL FOR 4200-CALC-AR-CUTOFF-DT
      *   WS4205.CBL FOR 4205-CALC-APH-GUARANTEE
      *   WS4210.CBL FOR 4210-CALC-QUOTA-PNUT-GUAR
      *   WS4215.CBL FOR 4215-CALC-DOLLAR-GUAR
      *   WS4220.CBL FOR 4220-CALC-CITMAC-GUAR
      *   WS4225.CBL FOR 4225-CALC-YLDDLR-GUAR
      *   WS4230.CBL FOR 4230-CALC-GRP-GUARANTEE
      *   WS4235.CBL FOR 4235-CALC-GTOBACCO-GUAR
      *   WS4240.CBL FOR 4240-CALC-QTOBACCO-GUAR
      *   WS4245.CBL FOR 4245-CALC-CRC-GUARANTEE
      *   WS4250.CBL FOR 4250-CALC-FL-FRUIT-GUAR
      *   WS4255.CBL FOR 4255-CALC-RA-GUARANTEE
      *   WS4260.CBL FOR 4260-CALC-IP-GUARANTEE
      *   WS4265.CBL FOR 4265-CALC-AVOCADO-GUAR
      *   WS4305.CBL FOR 4305-CALC-APH-LIABILITY
      *   WS4310.CBL FOR 4310-CALC-QUOTA-PNUT-LIAB
      *   WS4315.CBL FOR 4315-CALC-DOLLAR-LIAB
      *   WS4320.CBL FOR 4320-CALC-CITMAC-LIAB
      *   WS4325.CBL FOR 4325-CALC-YLDDLR-LIAB
      *   WS4330.CBL FOR 4330-CALC-GRP-LIABILITY
      *   WS4335.CBL FOR 4335-CALC-GTOBACCO-LIAB
      *   WS4340.CBL FOR 4340-CALC-QTOBACCO-LIAB
      *   WS4245.CBL FOR 4345-CALC-CRC-LIABILITY
      *   WS4350.CBL FOR 4350-CALC-FL-FRUIT-LIAB
      *   WS4355.CBL FOR 4355-CALC-IP-LIABILITY
      *   WS4360.CBL FOR 4360-CALC-RA-LIABILITY
      *   WS4365.CBL FOR 4365-CALC-AVOCADO-LIAB
      *   WS4405.CBL FOR 4405-CALC-APH-PREMIUM
      *   WS4410.CBL FOR 4410-CALC-QUOTA-PNUT-PREM
      *   WS4415.CBL FOR 4415-CALC-DOLLAR-PREM
      *   WS4420.CBL FOR 4420-CALC-CITMAC-PREM
      *   WS4425.CBL FOR 4425-CALC-YLDDLR-PREM
      *   WS4430.CBL FOR 4430-CALC-GRP-PREMIUM
      *   WS4435.CBL FOR 4435-CALC-GTOBACCO-PREM
      *   WS4440.CBL FOR 4440-CALC-QTOBACCO-PREM
      *   WS4445.CBL FOR 4445-CALC-CRC-PREMIUM
      *   WS4450.CBL FOR 4450-CALC-FL-FRUIT-PREM
      *   WS4455.CBL FOR 4455-CALC-RA-PREMIUM
      *   WS4465.CBL FOR 4465-CALC-AVOCADO-PREM
      *   WS4470.CBL FOR 4470-CALC-IP-PREMIUM
      *   WS4510.CBL FOR 4510-CALC-FINAL-GRP-PMT
      *   WS4705.CBL FOR 4705-CALC-APH-LOSSG
      *   WS4710.CBL FOR 4710-CALC-QPEANUT-LOSSG
      *   WS4715.CBL FOR 4715-CALC-DOLLAR-LOSSG
      *   WS4720.CBL FOR 4720-CALC-CITMAC-LOSSG
      *   WS4725.CBL FOR 4725-CALC-YLDDLR-LOSSG
      *   WS4730.CBL FOR 4730-CALC-GRP-LOSSG
      *   WS4735.CBL FOR 4735-CALC-GTOBACCO-LOSSG
      *   WS4740.CBL FOR 4740-CALC-QTOBACCO-LOSSG
      *   WS4745.CBL FOR 4745-CALC-CRC-LOSSG
      *   WS4750.CBL FOR 4750-CALC-FL-FRUIT-LOSSG
      *   WS4755.CBL FOR 4755-CALC-RA-LOSSG
      *   WS4760.CBL FOR 4760-CALC-IP-LOSSG
      *   WS4805.CBL FOR 4805-CALC-APH-INDEM
      *   WS4810.CBL FOR 4810-CALC-QPEANUT-INDEM
      *   WS4815.CBL FOR 4815-CALC-DOLLAR-INDEM
      *   WS4820.CBL FOR 4820-CALC-CITMAC-INDEM
      *   WS4825.CBL FOR 4825-CALC-YLDDLR-INDEM
      *   WS4830.CBL FOR 4830-CALC-GRP-INDEM
      *   WS4835.CBL FOR 4835-CALC-GTOBACCO-INDEM
      *   WS4840.CBL FOR 4840-CALC-QTOBACCO-INDEM
      *   WS4845.CBL FOR 4845-CALC-CRC-INDEM
      *   WS4850.CBL FOR 4850-CALC-FL-FRUIT-INDEM
      *   WS4855.CBL FOR 4855-CALC-RA-INDEM
      *   WS4860.CBL FOR 4860-CALC-IP-INDEM
      ***************************************************************

       COPY 'CALC/WS4105.CBL'.
       COPY 'CALC/WS4110.CBL'.
       COPY 'CALC/WS4115.CBL'.
       COPY 'CALC/WS4120.CBL'.
       COPY 'CALC/WS4200.CBL'.
       COPY 'CALC/WS4205.CBL'.
       COPY 'CALC/WS4210.CBL'.
       COPY 'CALC/WS4215.CBL'.
       COPY 'CALC/WS4220.CBL'.
       COPY 'CALC/WS4225.CBL'.
       COPY 'CALC/WS4230.CBL'.
       COPY 'CALC/WS4235.CBL'.
       COPY 'CALC/WS4240.CBL'.
       COPY 'CALC/WS4245.CBL'.
       COPY 'CALC/WS4250.CBL'.
       COPY 'CALC/WS4255.CBL'.
       COPY 'CALC/WS4260.CBL'.
       COPY 'CALC/WS4265.CBL'.

       COPY 'CALC/WS4305.CBL'.
       COPY 'CALC/WS4310.CBL'.
       COPY 'CALC/WS4315.CBL'.
       COPY 'CALC/WS4320.CBL'.
       COPY 'CALC/WS4325.CBL'.
       COPY 'CALC/WS4330.CBL'.
       COPY 'CALC/WS4335.CBL'.
       COPY 'CALC/WS4340.CBL'.
       COPY 'CALC/WS4345.CBL'.
       COPY 'CALC/WS4350.CBL'.
       COPY 'CALC/WS4355.CBL'.
       COPY 'CALC/WS4360.CBL'.
       COPY 'CALC/WS4365.CBL'.

       COPY 'CALC/WS4405.CBL'.
       COPY 'CALC/WS4410.CBL'.
       COPY 'CALC/WS4415.CBL'.
       COPY 'CALC/WS4420.CBL'.
       COPY 'CALC/WS4425.CBL'.
       COPY 'CALC/WS4430.CBL'.
       COPY 'CALC/WS4435.CBL'.
       COPY 'CALC/WS4440.CBL'.
       COPY 'CALC/WS4445.CBL'.
       COPY 'CALC/WS4450.CBL'.
       COPY 'CALC/WS4455.CBL'.
       COPY 'CALC/WS4465.CBL'.
       COPY 'CALC/WS4470.CBL'.

       COPY 'CALC/WS4510.CBL'.


       COPY 'CALC/WS4705.CBL'.
       COPY 'CALC/WS4710.CBL'.
       COPY 'CALC/WS4715.CBL'.
       COPY 'CALC/WS4720.CBL'.
       COPY 'CALC/WS4725.CBL'.
       COPY 'CALC/WS4730.CBL'.
       COPY 'CALC/WS4735.CBL'.
       COPY 'CALC/WS4740.CBL'.
       COPY 'CALC/WS4745.CBL'.
       COPY 'CALC/WS4750.CBL'.
       COPY 'CALC/WS4755.CBL'.
       COPY 'CALC/WS4760.CBL'.

       COPY 'CALC/WS4805.CBL'.
       COPY 'CALC/WS4810.CBL'.
       COPY 'CALC/WS4815.CBL'.
       COPY 'CALC/WS4820.CBL'.
       COPY 'CALC/WS4825.CBL'.
       COPY 'CALC/WS4830.CBL'.
       COPY 'CALC/WS4835.CBL'.
       COPY 'CALC/WS4840.CBL'.
       COPY 'CALC/WS4845.CBL'.
       COPY 'CALC/WS4850.CBL'.
       COPY 'CALC/WS4855.CBL'.
       COPY 'CALC/WS4860.CBL'.

