
      ******************************************************************
      *   File:    WS4430.CBL                                          *
      *   Author:  Laurie Viles                                        *
      *   Date:    06/12/96                                            *
      *   Purpose: Working Storage for 4430-CALC-GRP-PREMIUM           *
      ******************************************************************


       01 WS-4430-INPUT.
          05 WS-4430-CROP-YEAR              PIC 9(04).
          05 WS-4430-RATE-STATE             PIC 9(02).
          05 WS-4430-RATE-COUNTY            PIC 9(03).
          05 WS-4430-CROP-CD                PIC X(04).
          05 WS-4430-INS-PLAN               PIC 9(02).
          05 WS-4430-PRACTICE-CD            PIC X(03).
          05 WS-4430-TYPE-CD                PIC X(03).
          05 WS-4430-CVG-LVL-PCT            PIC 9(02).
          05 WS-4430-BASE-PREMIUM-RATE      PIC 9(05)V9(04).
          05 WS-4430-RATE-MAP-AREA-FCTR     PIC 9(01)V9(03).
          05 WS-4430-TYPE-PRACT-OPT-FCTR    PIC 9(01)V9(03).
          05 WS-4430-OPTION-FCTR            PIC 9(01)V9(03).
          05 WS-4430-EXPERIENCE-FCTR        PIC 9(01)V9(03).
          05 WS-4430-INPUT-TOTAL-PREMIUM    PIC 9(08).
          05 WS-4430-PREMIUM-LIABILITY      PIC 9(09).
          05 WS-4430-PREM-RATE-SURCHARGE    PIC X(01).

       01 WS-4430-LOCAL.
          05 WS-4430-ERROR-INTEGER          PIC 9(10).
          05 WS-4430-BASE-PREMIUM-RATE-X    PIC ZZZZ9.9999.
          05 WS-4430-PREMIUM-LIABILITY-x    PIC ZZZZZZZZ9.
          05 WS-4430-RATE-MAP-AREA-FCTR-X   PIC 9.999.
          05 WS-4430-TYPE-PRACT-OPT-FCTR-X  PIC 9.999.
          05 WS-4430-OPTION-FCTR-X          PIC 9.999.
          05 WS-4430-EXPERIENCE-FCTR-X      PIC 9.999.
          05 WS-4430-PREM-SURCHARGE-PCT     PIC 9(01)V9(02).
          05 WS-4430-PREM-SURCHARGE-PCT-X   PIC 9.99.
          05 WS-4430-GRP-UNSUBSIDIZED-RT    PIC 9(03)V9(02).
          05 WS-4430-GRP-UNSUBSIDIZED-RT-X  PIC ZZ9.99.

       01 WS-4430-OUTPUT.
          05 WS-4430-TOTAL-PREMIUM          PIC 9(08).
          05 WS-4430-CALC-ERROR             PIC X(01).
             88 CALC-ERROR-4430               VALUE 'Y'.


