      ******************************************************************
      *   File:    WS4705.CBL                                          *
      *   Author:  MIKE RAY                                            *
      *   Date:    05/15/97                                            *
      *   Purpose: Working Storage for 4705-CALC-APH-LOSSG             *
      ******************************************************************


       01 WS-4705-INPUT.
          05 WS-4705-STAGE-CD               PIC X(02).
          05 WS-4705-YIELD                  PIC 9(07)V9(01).
          05 WS-4705-CVG-LVL-PERCENT        PIC 9(02).
          05 WS-4705-GUAR-REDUCTION-FCTR    PIC 9(01)V9(03).
          05 WS-4705-STAGE-PCT-FCTR         PIC 9(01)V9(02).
          05 WS-4705-CROP-UNIT-OF-MEASURE   PIC 9(02).
          05 WS-4705-INPUT-STAGE-GPA        PIC 9(06)V9(02).
          05 WS-4705-CROP-MAX-REPLANT-GPA   PIC 9(03)V9(02).
          05 WS-4705-ACRES                  PIC 9(06)V9(02).
          05 WS-4705-LIABILITY-ADJ-FCTR     PIC 9(01)V9(03).

       01 WS-4705-LOCAL.
          05 WS-4705-YIELD-X                PIC ZZZZZZ9.9.
          05 WS-4705-GUAR-REDUCTION-FCTR-X  PIC 9.999.
          05 WS-4705-STAGE-PCT-FCTR-X       PIC 9.99.
          05 WS-4705-INPUT-STAGE-GPA-X      PIC ZZZZZ9.99.
          05 WS-4705-CROP-MAX-REPLANT-GPA-X PIC ZZ9.99.
          05 WS-4705-PREMIUM-GPA            PIC 9(09)V9(01).
          05 WS-4705-PREMIUM-GPA-LBS        PIC 9(09).
          05 WS-4705-PREMIUM-GPA-X          PIC ZZZZZZZZ9.9.
          05 WS-4705-GUARANTEE-PER-ACRE     PIC 9(09)V9(01).
          05 WS-4705-GUARANTEE-PER-ACRE-LBS PIC 9(09).
          05 WS-4705-GUARANTEE-PER-ACRE-X   PIC ZZZZZZZZ9.9.
          05 WS-4705-STAGE-GPA-LBS          PIC 9(09).
          05 WS-4705-STAGE-GPA-X            PIC ZZZZZZZZ9.9.
          05 WS-4705-ACRES-X                PIC ZZZZZ9.99.
          05 WS-4705-LIABILITY-ADJ-FCTR-X   PIC 9.999.
          05 WS-4705-LOSS-GUARANTEE-LBS     PIC 9(12).
          05 WS-4705-LOSS-GUARANTEE-X       PIC ZZZZZZZZZZZ9.9.

       01 WS-4705-OUTPUT.
          05 WS-4705-STAGE-GPA              PIC 9(09)V9(01).
          05 WS-4705-LOSS-GUARANTEE         PIC 9(12)V9(01).
          05 WS-4705-CALC-ERROR             PIC X(01).
             88 CALC-ERROR-4705               VALUE 'Y'.

