      ******************************************************************
      *   File:    WS4745.CBL                                          *
      *   Author:  MIKE RAY                                            *
      *   Date:    05/22/97                                            *
      *   Purpose: Working Storage for 4745-CALC-CRC-LOSSG             *
      ******************************************************************


       01 WS-4745-INPUT.
          05 WS-4745-STAGE-CD               PIC X(02).
          05 WS-4745-YIELD                  PIC 9(07)V9(01).
          05 WS-4745-CVG-LVL-PERCENT        PIC 9(02).
          05 WS-4745-GUAR-REDUCTION-FCTR    PIC 9(01)V9(03).
          05 WS-4745-CROP-UNIT-OF-MEASURE   PIC 9(02).
          05 WS-4745-INPUT-STAGE-GPA        PIC 9(06)V9(02).
          05 WS-4745-CROP-MAX-REPLANT-GPA   PIC 9(03)V9(02).
          05 WS-4745-ACRES                  PIC 9(06)V9(02).
          05 WS-4745-PRICE-ELECTION         PIC 9(04)V9(04).
          05 WS-4745-LIABILITY-ADJ-FCTR     PIC 9(01)V9(03).

       01 WS-4745-LOCAL.
          05 WS-4745-YIELD-X                PIC ZZZZZZ9.9.
          05 WS-4745-GUAR-REDUCTION-FCTR-X  PIC 9.999.
          05 WS-4745-INPUT-STAGE-GPA-X      PIC ZZZZZ9.99.
          05 WS-4745-CROP-MAX-REPLANT-GPA-X PIC ZZ9.99.
          05 WS-4745-PREMIUM-GPA            PIC 9(09)V9(01).
          05 WS-4745-PREMIUM-GPA-LBS        PIC 9(09).
          05 WS-4745-PREMIUM-GPA-X          PIC ZZZZZZZZ9.9.
          05 WS-4745-GUARANTEE-PER-ACRE     PIC 9(09)V9(01).
          05 WS-4745-GUARANTEE-PER-ACRE-LBS PIC 9(09).
          05 WS-4745-GUARANTEE-PER-ACRE-X   PIC ZZZZZZZZ9.9.
          05 WS-4745-INTERMEDIATE           PIC 9(09).
          05 WS-4745-STAGE-GPA-LBS          PIC 9(09).
          05 WS-4745-STAGE-GPA-X            PIC ZZZZZZZZ9.9.
          05 WS-4745-ACRES-X                PIC ZZZZZ9.99.
          05 WS-4745-PRICE-ELECTION-X       PIC ZZZ9.9999.
          05 WS-4745-LIABILITY-ADJ-FCTR-X   PIC 9.999.
          05 WS-4745-LOSS-GUARANTEE-LBS     PIC 9(12).
          05 WS-4745-OLD-WAY                PIC 9(12).
          05 WS-4745-LOSS-GUARANTEE-X       PIC ZZZZZZZZZZZ9.9.

       01 WS-4745-OUTPUT.
          05 WS-4745-STAGE-GPA              PIC 9(09)V9(01).
          05 WS-4745-LOSS-GUARANTEE         PIC 9(12)V9(01).
          05 WS-4745-CALC-ERROR             PIC X(01).
             88 CALC-ERROR-4745               VALUE 'Y'.

