      ******************************************************************
      *   File:    WS4755.CBL                                          *
      *   Author:  MIKE RAY                                            *
      *   Date:    05/22/97                                            *
      *   Purpose: Working Storage for 4755-CALC-RA-LOSSG              *
      ******************************************************************


       01 WS-4755-INPUT.
          05 WS-4755-STAGE-CD               PIC X(02).
          05 WS-4755-DOLLAR-AMT-INS         PIC 9(06)V9(02).
          05 WS-4755-GUAR-REDUCTION-FCTR    PIC 9(01)V9(03).
          05 WS-4755-INS-SHARE              PIC 9(01)V9(03).
          05 WS-4755-CROP-UNIT-OF-MEASURE   PIC 9(02).
          05 WS-4755-YIELD                  PIC 9(07)V9(01).
          05 WS-4755-RA-COVERAGE-LEVEL      PIC 9(01)V9(04).
          05 WS-4755-INPUT-STAGE-GPA        PIC 9(06)V9(02).
          05 WS-4755-CROP-MAX-REPLANT-GPA   PIC 9(03)V9(02).
          05 WS-4755-ACRES                  PIC 9(06)V9(02).
          05 WS-4755-LIABILITY-ADJ-FCTR     PIC 9(01)V9(03).

       01 WS-4755-LOCAL.
      *   *** INPUT DISPLAY FIELDS ***
          05 WS-4755-DOLLAR-AMT-INS-X       PIC ZZZZZ9.99.
          05 WS-4755-GUAR-REDUCTION-FCTR-X  PIC 9.999.
          05 WS-4755-INS-SHARE-X            PIC 9.999.
          05 WS-4755-INPUT-STAGE-GPA-X      PIC ZZZZZ9.99.
          05 WS-4755-CROP-MAX-REPLANT-GPA-X PIC ZZ9.99.
          05 WS-4755-YIELD-X                PIC ZZZZZZZ9.9.
          05 WS-4755-RA-COVERAGE-LEVEL-X    PIC 9.9999.
          05 WS-4755-ACRES-X                PIC ZZZZZ9.99.
          05 WS-4755-LIABILITY-ADJ-FCTR-X   PIC 9.999.
      *   *** REPLANT CALC FIELDS ***
          05 WS-4755-100-PCT-PREMIUM-GPA    PIC 9(06)V9(01).
          05 WS-4755-100-PCT-TOTAL-GPA      PIC 9(06)V9(01).
          05 WS-4755-MAX-STAGE-GPA          PIC 9(09)V9(01).
          05 WS-4755-REPLANT-LOSS-GUAR      PIC 9(12)V9(01).
      *   *** REPLANT DISPLAY FIELDS ***
          05 WS-4755-100-PCT-PREMIUM-GPA-X  PIC ZZZZZ9.9.
          05 WS-4755-100-PCT-TOTAL-GPA-X    PIC ZZZZZ9.9.
      *   *** INDEMNITY LOSS GUAR CALC FIELDS ***
          05 WS-4755-PREMIUM-GPA            PIC 9(09)V9(02).
          05 WS-4755-GUARANTEE-PER-ACRE     PIC 9(09)V9(02).
          05 WS-4755-INDEMNITY-LOSS-GUAR    PIC 9(12).
          05 WS-4755-PREMIUM-GPA-X          PIC ZZZZZZZZ9.99.
          05 WS-4755-GUARANTEE-PER-ACRE-X   PIC ZZZZZZZZ9.99.
      *   *** SHARED DISPLAY FIELDS ***
          05 WS-4755-STAGE-GPA-X            PIC ZZZZZZZZ9.99.
          05 WS-4755-LOSS-GUARANTEE-X       PIC ZZZZZZZZZZZ9.99.

       01 WS-4755-OUTPUT.
          05 WS-4755-STAGE-GPA              PIC 9(09)V9(02).
          05 WS-4755-LOSS-GUARANTEE         PIC 9(12)V9(02).
          05 WS-4755-CALC-ERROR             PIC X(01).
             88 CALC-ERROR-4755               VALUE 'Y'.

