      ***************************************************************
      * File:      M0300.CBL
      * Author:    Mike Ray
      * Date:      8/13/95
      * Purpose:
      *    This paragraph performs all deferred processing and cleanup
      *    logic at the end of an input file.
      ***************************************************************

       0300-END-RUN.

      $IF DEBUG-SW DEFINED
           DISPLAY '0300-ENDING RUN'
           UPON CONSOLE
      $END

           IF WS-0004-MULTI-PROCESSOR-SW <> WS-LITERAL-YES
              PERFORM 0770-LOG-ERROR-COUNTS
                 THRU 0770-LOG-ERROR-COUNTS-EXIT

              PERFORM 0953-WRITE-BATCH-ISAM
                 THRU 0953-WRITE-BATCH-ISAM-EXIT
           END-IF

           PERFORM 0930-CLOSE-FILES
              THRU 0930-CLOSE-FILES-EXIT

           IF WS-0004-USE-TMP-DIR-FLAG = WS-LITERAL-YES AND
              WS-0004-MULTI-PROCESSOR-SW <> WS-LITERAL-YES
              PERFORM 0934-SAVE-TEMP-FILES
                 THRU 0934-SAVE-TEMP-FILES-EXIT
           END-IF

           PERFORM 0932-DELETE-TEMP-FILES
              THRU 0932-DELETE-TEMP-FILES-EXIT.

       0300-END-RUN-EXIT.
           EXIT.

