      ***************************************************************
      * File:      M8006.CBL
      * Author:    Mike Ray
      * Date:      8/14/95
      * Purpose:
      *    This copy file contains the edits for the generic error
      *    fields which are employed for all types of errors.
      ***************************************************************

       8006-VAL-BASE-ERR-FLDS.

      $IF DEBUG-SW DEFINED
           DISPLAY '8006-VALIDATING BASE ERROR FIELDS'
           UPON CONSOLE
      $END

      *****************************************************
      *              GENERIC ERRROR FIELDS                *
      *                                                   *
      *            - SET ONCE PER TRANSACTION -           *
      *****************************************************


           IF WS-8000-BATCH-NO IS NOT NUMERIC
              DISPLAY '8006-BATCH NO NOT NUMERIC'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-BOOK-NO IS NOT NUMERIC
              DISPLAY '8006-BOOK NO NOT NUMERIC'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-FCIC-DATE IS NOT NUMERIC
              DISPLAY '8006-FCIC DATE NOT NUMERIC'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-FCIC-TIME IS NOT NUMERIC
              DISPLAY '8006-FCIC TIME NOT NUMERIC'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-BATCH-NO IS ZEROS
              DISPLAY '8006-BATCH NO = ZERO'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-INS-PROV = SPACES
              DISPLAY '8006-INS PROVIDER IS BLANK'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-BOOK-NO IS ZEROS
              DISPLAY '8006-BOOK NO = ZERO'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-FILE-NAME = SPACES
              DISPLAY '8006-FILE NAME = SPACES'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-FCIC-DATE IS ZEROS
              DISPLAY '8006-FCIC DATE IS ZERO'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-FCIC-TIME IS ZEROS
              DISPLAY '8006-FCIC TIME IS ZERO'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF


           IF WS-8000-REPORTING-ORG = SPACES
              DISPLAY '8006-RO IS SPACES'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-LOC-STATE = SPACES
              DISPLAY '8006-LOCATION STATE IS SPACES'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-COMPANY-COUNTY = SPACES
              DISPLAY '8006-COMPANY-COUNTY IS SPACES'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-POLICY-NUM = SPACES
              DISPLAY '8006-POLICY NUMBER IS ZERO'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF

           IF WS-8000-CROP-YEAR = SPACES
              DISPLAY '8006-CROP YEAR IS SPACES'
              UPON CONSOLE
              PERFORM 0800-ABORT-PROGRAM
                 THRU 0800-ABORT-PROGRAM-EXIT
           END-IF.



       8006-VAL-BASE-ERR-FLDS-EXIT.
           EXIT.



