      *************************************************************
      * File:      M0960.CBL
      * Author:    MIKE RAY
      * Date:      8/30/95
      * Purpose:   Sorts the Rejected transaction file so that the
      *            error report can be produced.
      *************************************************************

       0960-SORT-REJECT-FILE.

      $IF DEBUG-SW DEFINED
           DISPLAY '0960-SORTING REJECT FILE'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY '0960-CLOSING TEMP REJECT FILE'
           UPON CONSOLE
      $END

           CLOSE TEMP-REJECT-FILE
           MOVE WS-LITERAL-NO TO WS-0900-TEMP-REJECT-FILE-OPEN
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0960-STARTING SORT'
           UPON CONSOLE
      $END

           SORT TRAN-SORT-FILE
             ON ASCENDING KEY TRAN-SORT-TRAN-SEQ-NO
           WITH DUPLICATES IN ORDER
           USING TEMP-REJECT-FILE
           GIVING REJECTED-TRANSACTION-FILE.

      $IF DEBUG-SW DEFINED
           DISPLAY '0960-SORT COMPLETE'
           UPON CONSOLE.
      $END


       0960-SORT-REJECT-FILE-EXIT.
           EXIT.


