      *************************************************************
      * File:      M0965.CBL
      * Author:    MIKE RAY
      * Date:      8/30/95
      * Purpose:   Sorts the Error file so that the error report
      *            can be produced.
      *************************************************************

       0965-SORT-ERROR-FILE.

      $IF DEBUG-SW DEFINED
           DISPLAY '0965-SORTING ERROR FILE'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY '0965-CLOSING TEMP ERROR FILE'
           UPON CONSOLE
      $END
           CLOSE TEMP-ERROR-FILE
           MOVE WS-LITERAL-NO TO WS-0900-TEMP-ERR-FILE-OPEN
           SUBTRACT 1 FROM WS-0004-FILES-OPEN

      $IF DEBUG-SW DEFINED
           DISPLAY '0965-STARTING SORT'
           UPON CONSOLE
      $END

           SORT ERROR-SORT-FILE
             ON ASCENDING KEY ERR-SORT-TRAN-SEQ-NO
           WITH DUPLICATES IN ORDER
           USING TEMP-ERROR-FILE
           GIVING TEMP-ERROR-FILE.

      $IF DEBUG-SW DEFINED
           DISPLAY '0965-SORT COMPLETE'
           UPON CONSOLE.
      $END


       0965-SORT-ERROR-FILE-EXIT.
           EXIT.


