      *************************************************************
      * File:      M0980.CBL
      * Author:    Laura Dittamo
      * Date:      1/26/96
      * Purpose:   Writes a new record to the ISAM Type 11 Dates
      *            File.
      *************************************************************

       0980-WRITE-TYPE-11-DT-REC.

      $IF DEBUG-SW DEFINED
           DISPLAY '0980-WRITE TYPE 11 DATES RECORD'
           UPON CONSOLE
      $END

      ************************************************
      *             CHECK INPUT FIELDS               *
      ************************************************

           IF WS-0980-REPORTING-ORG IS EQUAL SPACES
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-RO TO WS-8020-FIELD-NAME
              MOVE WS-0980-REPORTING-ORG TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-RATE-STATE IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE WS-0980-RATE-STATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-RATE-STATE IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-STATE TO WS-8020-FIELD-NAME
              MOVE WS-0980-RATE-STATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-COMPANY-COUNTY IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0980-COMPANY-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-COMPANY-COUNTY IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0980-COMPANY-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-POLICY-NUM IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-POLICY-NO TO WS-8020-FIELD-NAME
              MOVE WS-0980-POLICY-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-POLICY-NUM IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-POLICY-NO TO WS-8020-FIELD-NAME
              MOVE WS-0980-POLICY-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-CROP-YEAR IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE WS-0980-CROP-YEAR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-CROP-YEAR IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-YR TO WS-8020-FIELD-NAME
              MOVE WS-0980-CROP-YEAR TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0980-CROP-CD IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-CD TO WS-8020-FIELD-NAME
              MOVE WS-0980-CROP-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-CROP-CD IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-CROP-CD TO WS-8020-FIELD-NAME
              MOVE WS-0980-CROP-CD TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0980-RATE-COUNTY IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-RT-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0980-RATE-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-RATE-COUNTY IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-RT-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0980-RATE-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-RATE-COUNTY IS EQUAL 999
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90048 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-RT-CNTY TO WS-8020-FIELD-NAME
              MOVE WS-0980-RATE-COUNTY TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-SEED-CYCLE IS EQUAL SPACES
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'WS-0980-SEED-CYCLE' TO WS-8020-FIELD-NAME
              MOVE WS-0980-SEED-CYCLE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ORIG-SUB-DATE IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUBMISSION DT' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ORIG-SUB-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ORIG-SUB-DATE IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUBMISSION DT' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ORIG-SUB-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ORIG-SUB-BATCH-NUM IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUB BATCH NUM' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ORIG-SUB-BATCH-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ORIG-SUB-BATCH-NUM IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUB BATCH NUM' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ORIG-SUB-BATCH-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ORIG-SUB-TRANS-SEQ-NUM IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUB TRANS SEQ NUM' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ORIG-SUB-TRANS-SEQ-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ORIG-SUB-TRANS-SEQ-NUM IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'ORIG SUB TRANS SEQ NUM' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ORIG-SUB-TRANS-SEQ-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-LATE-FILED-DATE IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'LATE FILED DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0980-LATE-FILED-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-LATE-FILED-DATE IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'LATE FILED DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0980-LATE-FILED-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-REDUCTION-WEEKS IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'REDUCTION WEEKS' TO WS-8020-FIELD-NAME
              MOVE WS-0980-REDUCTION-WEEKS TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ACREAGE-RPT-DATE IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACREAGE RPT DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ACREAGE-RPT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ACREAGE-RPT-DATE IS EQUAL ZEROS
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90003 TO WS-8020-INT-ERROR-NO
              MOVE 'ACREAGE RPT DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ACREAGE-RPT-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ACCEPTED-DATE IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACCEPTED DATE' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ACCEPTED-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ACCEPTED-TIME IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACCEPTED TIME' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ACCEPTED-TIME  TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-ACCEPTED-BATCH-NUM IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACCEPTED BATCH NUM' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ACCEPTED-BATCH-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF


           IF WS-0980-ACCEPTED-TRANS-SEQ-NUM IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'ACCEPTED TRANS SEQ NUM' TO WS-8020-FIELD-NAME
              MOVE WS-0980-ACCEPTED-TRANS-SEQ-NUM TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           IF WS-0980-OVERRIDE-DATE IS NOT NUMERIC
              MOVE 0980 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE 'OVERRIDE DATE' TO WS-8020-FIELD-NAME
              MOVE SPACES TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

      ************************************************
      *         WRITE TYPE 11 DATES REC              *
      ************************************************

           IF TYPE-11-DATES-FILE-OPEN

      $IF DEBUG-SW DEFINED
           display "WS-0980-INPUT-KEY "
               WS-0980-INPUT-KEY
           upon console
           PERFORM 0980-SHOW-INPUT
              THRU 0980-SHOW-INPUT-EXIT
      $END
              MOVE WS-0980-INPUT-KEY TO TYPE-11-DATES-REC-KEY
              READ TYPE-11-DATES-FILE
                 INVALID KEY
                    WRITE TYPE-11-DATES-RECORD FROM WS-0980-INPUT-REC
                       INVALID KEY
                          DISPLAY 'INVALID KEY ERROR - WRITE SKIPPED'
                          UPON CONSOLE
                          DISPLAY 'TYPE 11 DATES KEY: ',
                          WS-0980-INPUT-KEY UPON CONSOLE
                          DISPLAY ' '
                          UPON CONSOLE

                          MOVE 0980 TO WS-8020-PARAGRAPH-NO
                          MOVE 90029 TO WS-8020-INT-ERROR-NO
                          MOVE 'TYPE 11 DATES KEY' TO WS-8020-FIELD-NAME
                          MOVE WS-0980-INPUT-KEY TO WS-8020-BAD-DATA
                          MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                          PERFORM 8020-RECORD-INT-ERROR
                             THRU 8020-RECORD-INT-ERROR-EXIT

                       NOT INVALID KEY
                          ADD 1 TO WS-0008-11-DT-RECS-ADDED
                    END-WRITE

                 NOT INVALID KEY
                    REWRITE TYPE-11-DATES-RECORD FROM WS-0980-INPUT-REC
                       INVALID KEY
                          DISPLAY 'INVALID KEY ERROR - REWRITE SKIPPED'
                          UPON CONSOLE
                          DISPLAY 'TYPE 11 DATES KEY: ',
                          WS-0980-INPUT-KEY UPON CONSOLE
                          DISPLAY ' '
                          UPON CONSOLE

                          MOVE 0980 TO WS-8020-PARAGRAPH-NO
                          MOVE 90030 TO WS-8020-INT-ERROR-NO
                          MOVE 'TYPE 11 DATES KEY' TO WS-8020-FIELD-NAME
                          MOVE WS-0980-INPUT-KEY TO WS-8020-BAD-DATA
                          MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
                          PERFORM 8020-RECORD-INT-ERROR
                             THRU 8020-RECORD-INT-ERROR-EXIT

                       NOT INVALID KEY
                          ADD 1 TO WS-0008-11-DT-RECS-UPDATED

                    END-REWRITE
              END-READ

           ELSE
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0980 TO WS-8020-PARAGRAPH-NO
               MOVE 90013 TO WS-8020-INT-ERROR-NO
               MOVE 'TYPE 11 DATES FILE' TO WS-8020-FIELD-NAME
               MOVE SPACES TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF

           INITIALIZE WS-0980-INPUT-REC.



       0980-WRITE-TYPE-11-DT-REC-EXIT.
           EXIT.


      $IF DEBUG-SW DEFINED

       0980-SHOW-INPUT.
           DISPLAY 'REPORTING ORG    : ',
             WS-0980-REPORTING-ORG UPON CONSOLE
           DISPLAY 'LOCATION STATE   : ',
             WS-0980-RATE-STATE UPON CONSOLE
           DISPLAY 'COMPANY/COUNTY   : ',
             WS-0980-COMPANY-COUNTY UPON CONSOLE
           DISPLAY 'POLICY NUMBER    : ',
             WS-0980-POLICY-NUM UPON CONSOLE
           DISPLAY 'CROP YEAR        : ',
             WS-0980-CROP-YEAR UPON CONSOLE
           DISPLAY 'RATE COUNTY      : ',
             WS-0980-RATE-COUNTY UPON CONSOLE
           DISPLAY 'CROP CODE        : ',
             WS-0980-CROP-CD UPON CONSOLE
           DISPLAY 'INS PLAN         : ',
             WS-0980-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'SEED CYCLE       : ',
             WS-0980-SEED-CYCLE UPON CONSOLE
           DISPLAY '-----------------------------------'
             UPON CONSOLE
           DISPLAY 'LATE FILED DATE         : ',
             WS-0980-LATE-FILED-DATE UPON CONSOLE
           DISPLAY 'REDUCTION WEEKS         : ',
             WS-0980-REDUCTION-WEEKS UPON CONSOLE
           DISPLAY 'ORIG SUBMISSION DATE    : ',
             WS-0980-ORIG-SUB-DATE UPON CONSOLE
           DISPLAY 'ORIG SUB BATCH NUMBER   : ',
             WS-0980-ORIG-SUB-BATCH-NUM UPON CONSOLE
           DISPLAY 'ORIG SUB TRANS SEQ NUM  : ',
             WS-0980-ORIG-SUB-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'ACREAGE REPORTING DATE  : ',
             WS-0980-ACREAGE-RPT-DATE UPON CONSOLE
           DISPLAY 'ACCEPTED DATE           : ',
             WS-0980-ACCEPTED-DATE UPON CONSOLE
           DISPLAY 'ACCEPTED TIME           : ',
             WS-0980-ACCEPTED-TIME UPON CONSOLE
           DISPLAY 'ACCEPTED BATCH NUMBER   : ',
             WS-0980-ACCEPTED-BATCH-NUM UPON CONSOLE
           DISPLAY 'ACCEPTED TRANS SEQ NUM  : ',
             WS-0980-ACCEPTED-TRANS-SEQ-NUM UPON CONSOLE
           DISPLAY 'OVERRIDE APPROVAL CD    : ',
             WS-0980-OVERRIDE-APPROVAL-CD UPON CONSOLE
           DISPLAY 'OVERRIDE USER ID        : ',
             WS-0980-OVERRIDE-USER-ID UPON CONSOLE
           DISPLAY 'OVERRIDE DATE           : ',
             WS-0980-OVERRIDE-DATE UPON CONSOLE.


       0980-SHOW-INPUT-EXIT.
           EXIT.

      $END
