      *******************************************************************
      * File:      WS0975.CBL                                           *
      * Author:    Laura Dittamo                                        *
      * Date:      1/26/96                                              *
      *            Working storage for 0975-WRITE-TYPE-14-DT-REC        *
      *            These working storage variables are used to          *
      *            populate/store records in the Type 14 Dates ISAM file*
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-0975-INPUT-REC.
          05 WS-0975-INPUT-KEY.
             10 WS-0975-REPORTING-ORG          PIC X(02).
             10 WS-0975-LOCATION-STATE         PIC 9(02).
             10 WS-0975-COMPANY-COUNTY         PIC 9(03).
             10 WS-0975-POLICY-NUM             PIC 9(07).
             10 WS-0975-CROP-YEAR              PIC 9(04).
             10 WS-0975-LOCATION-COUNTY        PIC 9(03).
             10 WS-0975-CROP-CD                PIC 9(04).
             10 WS-0975-INSURANCE-PLAN-ID      PIC 9(02).
             10 WS-0975-CROP-POLICY-TYPE       PIC X(04).
             10 WS-0975-DUAL-CVG-FLG           PIC 9(01).
          05 WS-0975-INPUT-DATA.
             10 WS-0975-ASSIGNED-RISK          PIC 9(01).
             10 WS-0975-ORIG-SUB-DATE          PIC 9(08).
             10 WS-0975-ORIG-SUB-TIME          PIC 9(06).
             10 WS-0975-ORIG-SUB-BATCH-NUM     PIC 9(08).
             10 WS-0975-ORIG-SUB-TRANS-SEQ-NUM PIC 9(08).
             10 WS-0975-ASGD-RISK-CUTOFF-DATE  PIC 9(08).
             10 WS-0975-LAST-CHANGE-DATE       PIC 9(08).
             10 WS-0975-CHANGE-BATCH-NUM       PIC 9(08).
             10 WS-0975-CHANGE-TRANS-SEQ-NUM   PIC 9(08).
             10 WS-0975-ACCEPTED-DATE          PIC 9(08).
             10 WS-0975-ACCEPTED-TIME          PIC 9(06).
             10 WS-0975-ACCEPTED-BATCH-NUM     PIC 9(08).
             10 WS-0975-ACCEPTED-TRANS-SEQ-NUM PIC 9(08).
             10 WS-0975-OVERRIDE-APPROVAL-CD   PIC X(03).
             10 WS-0975-OVERRIDE-USER-ID       PIC X(09).
             10 WS-0975-OVERRIDE-DATE          PIC 9(08).



