      *******************************************************************
      * File:      WS0987.CBL                                           *
      * Author:    Mike Ray                                             *
      * Date:      04/02/97                                             *
      *            Working storage for 0987-WRITE-POL-STATS-REC         *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************
       01 WS-0987-INPUT.
          05 WS-0987-INPUT-PSTAT-REC.
             10 WS-0987-INPUT-POLICY-NO.
                15 WS-0987-IN-REPORTING-ORG       PIC X(02).
                15 WS-0987-IN-LOC-STATE           PIC X(02).
                15 WS-0987-IN-COMPANY-COUNTY      PIC X(03).
                15 WS-0987-IN-POLICY-NUM          PIC X(07).
                15 WS-0987-IN-CROP-YEAR           PIC X(04).
             10 WS-0987-INPUT-STATS.
                15 WS-0987-DELETE-FLAG            PIC X(01).
                15 WS-0987-LATEST-SUB-BATCH       PIC 9(04).
                15 WS-0987-LATEST-SUB-DATE        PIC 9(08).
                15 WS-0987-FIRST-SUB-BATCH        PIC 9(04).
                15 WS-0987-FIRST-SUB-DATE         PIC 9(08).
                15 WS-0987-ACCEPTED-ACRES         PIC 9(09)V9(02).
                15 WS-0987-ACCEPTED-LIABILITY     PIC 9(12).
                15 WS-0987-ACCEPTED-PREMIUM       PIC 9(11).
                15 WS-0987-ACCEPTED-PROD-PREMIUM  PIC 9(11).
                15 WS-0987-ACCEPTED-LOSSES        PIC S9(12).
             10 WS-0987-INPUT-BATCH-NO         PIC 9(04).
             10 WS-0987-INPUT-FCIC-DATE        PIC 9(08).


      *****************************************************
      *               WORK FIELDS                         *
      *****************************************************
       01 WS-0987-WORK.
          05 WS-0987-MATCH-FOUND            PIC X(01).
          05 WS-0987-ISAM-PSTATS.
             10 WS-0987-ISAM-KEY.
                15 WS-0987-ISAM-POLICY-NO.
                   20 WS-0987-ISAM-REPORTING-ORG     PIC X(02).
                   20 WS-0987-ISAM-LOC-STATE         PIC X(02).
                   20 WS-0987-ISAM-COMPANY-COUNTY    PIC X(03).
                   20 WS-0987-ISAM-POLICY-NUM        PIC X(07).
                   20 WS-0987-ISAM-CROP-YEAR         PIC X(04).
             10 WS-0987-ISAM-DATA.
                15 WS-0987-ISAM-DELETE-FLAG       PIC X(01).
                15 WS-0987-ISAM-LATEST-SUB-BATCH  PIC 9(04).
                15 WS-0987-ISAM-LATEST-SUB-DATE   PIC 9(08).
                15 WS-0987-ISAM-FIRST-SUB-BATCH   PIC 9(04).
                15 WS-0987-ISAM-FIRST-SUB-DATE    PIC 9(08).
                15 WS-0987-ISAM-LATEST-STATS.
                   20 WS-0987-ISAM-ACP-ACRES         PIC 9(09)V9(02).
                   20 WS-0987-ISAM-ACP-LIABILITY     PIC 9(12).
                   20 WS-0987-ISAM-ACP-PREMIUM       PIC 9(11).
                   20 WS-0987-ISAM-ACP-PROD-PREMIUM  PIC 9(11).
                   20 WS-0987-ISAM-ACP-LOSSES        PIC S9(12).

