      *************************************************************
      * FILE:      WS0997.CBL
      * AUTHOR:    LAURA DITTAMO
      * DATE:      4/18/96
      * PURPOSE:   WORKING STORAGE FOR 0997-RECORD-ACCEPTED-11
      *************************************************************

       01 WS-0997-11-REC.
          05 WS-0997-TRANS-REC.
             10 WS-0997-RECORD-TYPE            PIC 9(2).
             10 WS-0997-REPORTING-ORG          PIC X(2).
             10 WS-0997-LOC-STATE              PIC 9(2).
             10 WS-0997-COMPANY-COUNTY         PIC 9(3).
             10 WS-0997-POLICY-NUM             PIC 9(7).
             10 WS-0997-CROP-YEAR              PIC 9(4).
             10 WS-0997-CROP-CD                PIC 9(4).
             10 WS-0997-INSURANCE-PLAN-ID      PIC 9(2).
             10 WS-0997-LOCATION-COUNTY        PIC 9(3).
             10 WS-0997-UNIT-NUMBER            PIC 9(5).
             10 WS-0997-TYPE-CD                PIC X(3).
             10 WS-0997-RSERVD-PRACT-CODE      PIC 9(3).
             10 WS-0997-COVERAGE-FLG           PIC X.
             10 WS-0997-KEY-RSERVD             PIC X(32).
             10 WS-0997-FSA-SERVICE-STATE      PIC 9(2).
             10 WS-0997-RECORD-NUM             PIC 9(3).
             10 WS-0997-TYPE15-REC-NO          PIC 9(03).
             10 WS-0997-AGENT-ID-CODE          PIC X(09).
             10 WS-0997-RATE-CLASS             PIC X(03).
             10 WS-0997-MAP-AREA               PIC X(03).
             10 WS-0997-CRUSH-DISTRICT         PIC X(02).
             10 WS-0997-REFERENCE-CROP-YR      PIC X(04).
             10 WS-0997-NCS-FCIC-2-FL          PIC X(01).
             10 WS-0997-DATE-PLANTED           PIC 9(08).
             10 WS-0997-GUARANTEE-REDUCT-FLG   PIC X(01).
             10 WS-0997-YIELD                  PIC 9(07)V9(01).
             10 WS-0997-DOLLAR-AMT-INSUR       PIC 9(06)V9(02).
             10 WS-0997-QUOTA                  PIC 9(10).
             10 WS-0997-COVERAGE-LEVEL-PCT     PIC 9(02).
             10 WS-0997-GUARANTEE-PER-ACRE     PIC 9(06)V9(02).
             10 WS-0997-GUARANTEE-RED-PCT      PIC V9(03).
             10 WS-0997-REPORTED-ACRES         PIC 9(06)V9(02).
             10 WS-0997-TOTAL-GUARANTEE        PIC 9(08)V9(02).
             10 WS-0997-PRICE-ELECTION         PIC 9(04)V9(04).
             10 WS-0997-INSURED-SHARE          PIC 9(01)V9(03).
             10 WS-0997-LIABILITY              PIC 9(09).
             10 WS-0997-YIELD-CONVR-PCT-FCTR   PIC 9(01)V9(02).
             10 WS-0997-PERCENT-ELECTION REDEFINES
                WS-0997-YIELD-CONVR-PCT-FCTR   PIC 9(01)V9(02).
             10 WS-0997-YIELD-CONVR-PCT-FCTR-9 REDEFINES
                WS-0997-YIELD-CONVR-PCT-FCTR   PIC 9(03).
             10 WS-0997-BASE-PREM-RATE         PIC 9(04)V9(04).
             10 WS-0997-UNIT-OPT-CD            PIC X(02).
             10 WS-0997-ADD-OPT-CD             PIC X(06).
             10 WS-0997-TYPE-PRAC-OPT-CD       PIC X(08).
             10 WS-0997-EXPERIENCE-FACTOR      PIC 9(01)V9(02).
             10 WS-0997-PREM-RATE-SURCHARGE    PIC X(01).
             10 WS-0997-TOTAL-PREMIUM          PIC 9(08).
             10 WS-0997-PRODUCER-PREMIUM       PIC 9(08).
             10 WS-0997-PRIVATE-POLICY-CD      PIC X(03).
             10 WS-0997-INTENDED-ACREAGE-FLAG  PIC X(01).
             10 WS-0997-SEED-COMPANY-CD        PIC 9(03).
             10 WS-0997-RATE-STATE             PIC 9(02).
             10 WS-0997-RATE-COUNTY            PIC 9(03).
             10 WS-0997-FARM-SERIAL-NUM        PIC X(07).
             10 WS-0997-REVENUE-CVG-LEVEL-PCT   PIC 9(01)V9(04).
             10 WS-0997-NUMBER-OF-SECTIONS      PIC 9(02).
             10 WS-0997-UNIT-PREMIUM-ADJ-FCTR   PIC 9(01)V9(03).
             10 WS-0997-PARTIAL-PP-FLAG         PIC X(01).
             10 WS-0997-FILLER-2                PIC X(36).
             10 WS-0997-SEED-CYCLE-CODE         PIC X(01).
             10 WS-0997-CRC-APH-PREMIUM         PIC 9(08).
             10 WS-0997-CAT-65-100-PREMIUM      PIC 9(08).
             10 WS-0997-1996-CROP-CODE          PIC 9(03).
             10 WS-0997-1996-TYPE-CODE          PIC X(03).
             10 WS-0997-RM-DATA-RECEIPT-DATE    PIC 9(08).
             10 WS-0997-FILLER-3                PIC X(02).
             10 WS-0997-WEEKS-LATE              PIC 9(02).
             10 WS-0997-FIRST-SUBMISSION-FLG    PIC X(01).
             10 WS-0997-FILLER-4                PIC X(02).
             10 WS-0997-FSA-CONTROL-DATE        PIC 9(08).
          05 WS-0997-FCIC-CONTROL-TIME      PIC 9(08).
          05 WS-0997-FCIC-CONTROL-DATE      PIC 9(08).
          05 WS-0997-REINS-YR               PIC 9(04).
          05 WS-0997-BATCH-NO               PIC 9(04).
          05 WS-0997-TRAN-SEQ-NO            PIC 9(08).
          05 WS-0997-TRAN-REJECTED-FLAG     PIC X(01).
          05 WS-0997-TRAN-SOURCE-FLAG       PIC X(01).
          05 WS-0997-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-0997-FILLER-14              PIC X(14).

