      *************************************************************
      * File:      WS0998.CBL
      * Author:    Mike Ray
      * Date:      08/06/96
      * Purpose:   Working Storage for 0998-UPDATE-T11-LFA
      *************************************************************

       01 WS-0998-INPUT.
          05 WS-0998-IN-LATE-FILED-DT    PIC 9(08).
          05 WS-0998-IN-REDUCTION-WEEKS  PIC 9(02).
          05 WS-0998-IN-ACREAGE-RPT-DATE PIC 9(08).

       01 WS-0998-INPUT-T11-DATA.
          05 WS-0998-INPUT-TRANS-REC.
             10 WS-0998-IN-RECORD-TYPE         PIC 9(02).
             10 WS-0998-IN-REPORTING-ORG       PIC X(02).
             10 WS-0998-IN-LOC-STATE           PIC 9(02).
             10 WS-0998-IN-COMPANY-COUNTY      PIC 9(03).
             10 WS-0998-IN-POLICY-NUM          PIC 9(07).
             10 WS-0998-IN-CROP-YEAR           PIC 9(04).
             10 WS-0998-IN-CROP-CD             PIC 9(04).
             10 WS-0998-IN-INS-PLAN-ID         PIC 9(02).
             10 WS-0998-IN-LOCATION-COUNTY     PIC 9(03).
             10 WS-0998-IN-UNIT-NUMBER         PIC 9(05).
             10 WS-0998-IN-TYPE-CD             PIC X(03).
             10 WS-0998-IN-RSVD-PRACT-CODE     PIC 9(03).
             10 WS-0998-IN-COVERAGE-FLG        PIC X(01).
             10 WS-0998-IN-KEY-RSERVD          PIC X(32).
             10 WS-0998-IN-FSA-SVC-STATE       PIC 9(02).
             10 WS-0998-IN-RECORD-NUM          PIC 9(03).
             10 WS-0998-IN-TYPE15-REC-NO       PIC 9(03).
             10 WS-0998-IN-AGENT-ID-CODE       PIC X(09).
             10 WS-0998-IN-RATE-CLASS          PIC X(03).
             10 WS-0998-IN-MAP-AREA            PIC X(03).
             10 WS-0998-IN-CRUSH-DISTRICT      PIC X(02).
             10 WS-0998-IN-REFERENCE-CROP-YR   PIC X(04).
             10 WS-0998-IN-NCS-FCIC-2-FL       PIC X(01).
             10 WS-0998-IN-DATE-PLANTED        PIC 9(08).
             10 WS-0998-IN-GUAR-REDUCT-FLG     PIC X(01).
             10 WS-0998-IN-YIELD               PIC 9(07)V9(01).
             10 WS-0998-IN-DOLLAR-AMT-INSUR    PIC 9(06)V9(02).
             10 WS-0998-IN-QUOTA               PIC 9(10).
             10 WS-0998-IN-COVERAGE-LEVEL-PCT  PIC 9(02).
             10 WS-0998-IN-GUARANTEE-PER-ACRE  PIC 9(06)V9(02).
             10 WS-0998-IN-GUARANTEE-RED-PCT   PIC V9(03).
             10 WS-0998-IN-REPORTED-ACRES      PIC 9(06)V9(02).
             10 WS-0998-IN-TOTAL-GUARANTEE     PIC 9(08)V9(02).
             10 WS-0998-IN-PRICE-ELECTION      PIC 9(04)V9(04).
             10 WS-0998-IN-INSURED-SHARE       PIC 9(01)V9(03).
             10 WS-0998-IN-LIABILITY           PIC 9(09).
             10 WS-0998-IN-YIELD-CONVR-PCT     PIC 9(01)V9(02).
             10 WS-0998-IN-PERCENT-ELECTION REDEFINES
                WS-0998-IN-YIELD-CONVR-PCT     PIC 9(01)V9(02).
             10 WS-0998-IN-YIELD-CONVR-PCT-9 REDEFINES
                WS-0998-IN-YIELD-CONVR-PCT     PIC 9(03).
             10 WS-0998-IN-BASE-PREM-RATE      PIC 9(04)V9(04).
             10 WS-0998-IN-UNIT-OPT-CD         PIC X(02).
             10 WS-0998-IN-ADD-OPT-CD          PIC X(06).
             10 WS-0998-IN-TYPE-PRAC-OPT-CD    PIC X(08).
             10 WS-0998-IN-EXPERIENCE-FACTOR   PIC 9(01)V9(02).
             10 WS-0998-IN-PREM-RATE-SURCHARGE PIC X(01).
             10 WS-0998-IN-TOTAL-PREMIUM       PIC 9(08).
             10 WS-0998-IN-PRODUCER-PREMIUM    PIC 9(08).
             10 WS-0998-IN-PRIVATE-POLICY-CD   PIC X(03).
             10 WS-0998-IN-INTENDED-ACRE-FLG   PIC X(01).
             10 WS-0998-IN-SEED-COMPANY-CD     PIC 9(03).
             10 WS-0998-IN-RATE-STATE          PIC 9(02).
             10 WS-0998-IN-RATE-COUNTY         PIC 9(03).
             10 WS-0998-IN-FARM-SERIAL-NUM     PIC X(07).
             10 WS-0998-IN-REV-CVG-LEVEL-PCT   PIC 9(01)V9(04).
             10 WS-0998-IN-NUMBER-OF-SECTIONS  PIC 9(02).
             10 WS-0998-IN-UNIT-PREM-ADJ-FCTR  PIC 9(01)V9(03).
             10 WS-0998-IN-PARTIAL-PP-FLAG     PIC X(01).
             10 WS-0998-IN-FILLER-2            PIC X(36).
             10 WS-0998-IN-SEED-CYCLE-CODE     PIC X(01).
             10 WS-0998-IN-CRC-APH-PREMIUM     PIC 9(08).
             10 WS-0998-IN-CAT-65-100-PREMIUM  PIC 9(08).
             10 WS-0998-IN-1996-CROP-CODE      PIC 9(03).
             10 WS-0998-IN-1996-TYPE-CODE      PIC X(03).
             10 WS-0998-IN-RM-DATA-RECEIPT-DT  PIC 9(08).
             10 WS-0998-IN-FILLER-3            PIC X(02).
             10 WS-0998-IN-WEEKS-LATE          PIC 9(02).
             10 WS-0998-IN-FIRST-SUB-FLG       PIC X(01).
             10 WS-0998-IN-FILLER-4            PIC X(02).
             10 WS-0998-IN-FSA-CONTROL-DATE    PIC 9(08).
          05 WS-0998-IN-FCIC-CONTROL-TIME      PIC 9(08).
          05 WS-0998-IN-FCIC-CONTROL-DATE      PIC 9(08).
          05 WS-0998-IN-REINS-YR               PIC 9(04).
          05 WS-0998-IN-BATCH-NO               PIC 9(04).
          05 WS-0998-IN-TRAN-SEQ-NO            PIC 9(08).
          05 WS-0998-IN-TRAN-REJECTED-FLAG     PIC X(01).
          05 WS-0998-IN-TRAN-SOURCE-FLAG       PIC X(01).
          05 WS-0998-IN-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-0998-IN-FILLER-14              PIC X(14).


       01 WS-0998-T11-REC.
          05 WS-0998-INPUT-KEY.
             10 WS-0998-REPORTING-ORG          PIC X(02).
             10 WS-0998-LOCATION-STATE         PIC 9(02).
             10 WS-0998-COMPANY-COUNTY         PIC 9(03).
             10 WS-0998-POLICY-NUM             PIC 9(07).
             10 WS-0998-CROP-YEAR              PIC 9(04).
             10 WS-0998-LOCATION-COUNTY        PIC 9(03).
             10 WS-0998-CROP-CD                PIC 9(04).
             10 WS-0998-INSURANCE-PLAN-ID      PIC 9(02).
             10 WS-0998-SEED-CYCLE             PIC X(01).
          05 WS-0998-INPUT-DATA.
             10 WS-0998-LATE-FILED-DT          PIC 9(08).
             10 WS-0998-REDUCTION-WEEKS        PIC 9(02).
             10 WS-0998-ORIG-SUB-DATE          PIC 9(08).
             10 WS-0998-ORIG-SUB-BATCH-NUM     PIC 9(08).
             10 WS-0998-ORIG-SUB-TRANS-SEQ-NUM PIC 9(08).
             10 WS-0998-ACREAGE-RPT-DATE       PIC 9(08).
             10 WS-0998-ACCEPTED-DATE          PIC 9(08).
             10 WS-0998-ACCEPTED-TIME          PIC 9(06).
             10 WS-0998-ACCEPTED-BATCH-NUM     PIC 9(08).
             10 WS-0998-ACCEPTED-TRANS-SEQ-NUM PIC 9(08).
             10 WS-0998-OVERRIDE-APPROVAL-CD   PIC X(03).
             10 WS-0998-OVERRIDE-USER-ID       PIC X(09).
             10 WS-0998-OVERRIDE-DATE          PIC 9(08).

