      ***************************************************************
      * File:      FV1001.CBL
      * Author:    Gary Harvey
      * Date:      10/22/96
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    00 header record.
      *
      * Contains:
      *
      ***************************************************************


       1001-VALIDATE-T00.

      $IF DEBUG-SW DEFINED
           DISPLAY '1001-FIELD VALIDATING TYPE 00 RECORD'
           UPON CONSOLE
      $END

      *     *** WS-0004-FILE-DATE
      *     *** SET TO INPUT FILE DATE HERE
           IF WS-T00-FILE-DATE NUMERIC
               MOVE WS-T00-FILE-DATE
                  TO WS-0004-FCIC-PROC-DATE
                  WS-0935-LINE3-FCIC-PROC-DATE
              STRING WS-T00-FILE-MONTH
                  DELIMITED BY SIZE
                  WS-T00-FILE-DAY
                  DELIMITED BY SIZE
                  WS-T00-FILE-YEAR
                  DELIMITED BY SIZE
                  INTO WS-0004-FILE-DATE
              END-STRING

              MOVE WS-0004-FILE-DATE TO
                  WS-FCIC-CONTROL-DATE
                  WS-0755-L4-FCIC-DT
                  WS-0975-ORIG-SUB-DATE
                  WS-0980-ORIG-SUB-DATE
           ELSE
              MOVE WS-LITERAL-YES TO ERROR-INPUT-FILE-DATE
              MOVE 1001 TO WS-8020-PARAGRAPH-NO
              MOVE 90001 TO WS-8020-INT-ERROR-NO
              MOVE WS-LITERAL-INPUT-FILE-DATE TO WS-8020-FIELD-NAME
              MOVE WS-T00-FILE-DATE TO WS-8020-BAD-DATA
              MOVE WS-LITERAL-NO TO WS-8020-ABORT-PROGRAM
              PERFORM 8020-RECORD-INT-ERROR
                 THRU 8020-RECORD-INT-ERROR-EXIT
              GO TO 1001-VALIDATE-T00-EXIT
           END-IF

           MOVE WS-0004-SYS-DATE TO WS-0755-L4-SYS-DATE

           IF WS-T00-FILE-TIME NUMERIC
               MOVE WS-T00-FILE-TIME
                   TO WS-0004-FCIC-PROC-TIME
                   WS-FCIC-CONTROL-TIME
                   WS-0952-FCIC-CTRL-TIME
                   WS-0755-L4-FCIC-TIME
                   WS-0935-LINE3-FCIC-PROC-TIME
           END-IF

      ************************************************
      *           WRITE LINES TO LOG FILE            *
      * MOVED FROM M0935 WHEN HEADER TRXN INSTITUTED *
      ************************************************

           IF LOG-FILE-OPEN
              MOVE WS-0935-HEADER-LINE1 TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC BEFORE ADVANCING 1

              MOVE WS-0935-HEADER-LINE2 TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC BEFORE ADVANCING 1

              MOVE WS-0935-HEADER-LINE3 TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC BEFORE ADVANCING 1

              MOVE SPACES TO ERROR-LOG-REC
              WRITE ERROR-LOG-REC BEFORE ADVANCING 1
           ELSE
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0935 TO WS-8020-PARAGRAPH-NO
               MOVE 90013 TO WS-8020-INT-ERROR-NO
               MOVE 'ERROR-LOG-FILE' TO WS-8020-FIELD-NAME
               MOVE SPACES TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

          1001-VALIDATE-T00-EXIT.
           EXIT.
