      ***************************************************************
      * File:      FV1050.CBL
      * Author:    Cliff Walker
      * Date:      01/06/96
      * Purpose:
      *    This copy file contains the sequencing logic for the type
      *    50 record.
      *
      * Contains:
      *
      ***************************************************************

       1050-VALIDATE-T50.

      $IF DEBUG-SW DEFINED
           DISPLAY '1050-FIELD VALIDATING TYPE 50 RECORD'
           UPON CONSOLE
      $END

      * THE FOLLOWING FIELDS DO NOT HAVE FV EDITS.
      * THEY REQUIRE INTERFIELD VALIDATION INSTEAD.


      * NO VALIDATION REQUIRED FOR THE FOLLOWING FIELDS:
      * WS-T50-RO-CONTROL-DATE
      * WS-T50-POSITION-250

      * THE FOLLOWING FIELDS REQUIRE VALIDATION

      * WS-T50-REPORTING-ORG
           INITIALIZE WS-1200-REPORTING-ORG
           MOVE WS-T50-REPORTING-ORG TO WS-1200-REPORTING-ORG
           PERFORM 1200-VAL-REPORTING-ORG
              THRU 1200-VAL-REPORTING-ORG-EXIT

      * WS-T50-LOC-STATE
           INITIALIZE WS-1205-LOC-STATE
           MOVE WS-T50-LOC-STATE TO WS-1205-LOC-STATE
           PERFORM 1205-VAL-LOCATION-STATE
              THRU 1205-VAL-LOCATION-STATE-EXIT


      * WS-T50-COMPANY-COUNTY
           INITIALIZE WS-1210-COMPANY-COUNTY
           MOVE WS-T50-COMPANY-COUNTY TO WS-1210-COMPANY-COUNTY
           PERFORM 1210-VAL-COMPANY-COUNTY
              THRU 1210-VAL-COMPANY-COUNTY-EXIT


      * WS-T50-POLICY-NUM
           INITIALIZE WS-1215-POLICY-NO
           MOVE WS-T50-POLICY-NUM TO WS-1215-POLICY-NO
           PERFORM 1215-VAL-POLICY-NUMBER
              THRU 1215-VAL-POLICY-NUMBER-EXIT


      * WS-T50-CROP-YEAR
           INITIALIZE WS-1220-CROP-YEAR
           MOVE WS-T50-CROP-YEAR TO WS-1220-CROP-YEAR
           PERFORM 1220-VAL-CROP-YEAR
              THRU 1220-VAL-CROP-YEAR-EXIT

      *    *====================================================*
      *    *   END OF POLICY/CONTRACT NUMBER FIELDS             *
      *    *====================================================*


      * WS-T50-PRIVATE-POLICY-CD
           INITIALIZE WS-1866-PRIV-POLY-CD
           MOVE WS-T50-PRIVATE-POLICY-CD TO WS-1866-PRIV-POLY-CD
           PERFORM 1866-VAL-PRIV-POLY-CD
              THRU 1866-VAL-PRIV-POLY-CD-EXIT


      * WS-T50-DELETE-FLG
           INITIALIZE WS-1852-DELETE-FLG
           MOVE WS-T50-DELETE-FLG TO WS-1852-DELETE-FLG
           PERFORM 1852-VAL-DELETE-FLG
              THRU 1852-VAL-DELETE-FLG-EXIT


      * WS-T50-PRIVATE-POLCY-NUM
           INITIALIZE WS-1854-PRIVATE-POLICY-NO
           MOVE WS-T50-PRIVATE-POLICY-NUM TO WS-1854-PRIVATE-POLICY-NO
           PERFORM 1854-VAL-PRIV-POLY-NO
              THRU 1854-VAL-PRIV-POLY-NO-EXIT


      * WS-T50-CROP-CD
           INITIALIZE WS-1340-CROP-CODE
           MOVE WS-T50-CROP-CD TO WS-1340-CROP-CODE
           PERFORM 1340-VAL-CROP-CODE
              THRU 1340-VAL-CROP-CODE-EXIT


      * WS-T50-LOCATION-COUNTY
           INITIALIZE WS-1350-LOCATION-COUNTY
           MOVE WS-T50-LOCATION-COUNTY TO WS-1350-LOCATION-COUNTY
           PERFORM 1350-VAL-LOC-COUNTY
              THRU 1350-VAL-LOC-COUNTY-EXIT


      * WS-T50-ID-TYPE
           INITIALIZE WS-1295-ID-TYPE
           MOVE WS-T50-ID-TYPE TO WS-1295-ID-TYPE
           PERFORM 1295-VAL-ID-TYPE
              THRU 1295-VAL-ID-TYPE-EXIT


      * WS-T50-ID-NUM
           INITIALIZE WS-1300-ID-NUMBER
           MOVE WS-T50-ID-NUM TO WS-1300-ID-NUMBER
           PERFORM 1300-VAL-ID-NUMBER
              THRU 1300-VAL-ID-NUMBER-EXIT


      * WS-T50-COVERAGE-LVL-PCT
           INITIALIZE WS-1435-COVERAGE-LEVEL-PCT
           MOVE WS-T50-COVERAGE-LVL-PCT
               TO WS-1435-COVERAGE-LEVEL-PCT
           PERFORM 1435-VAL-CVG-LEVEL-PCT
              THRU 1435-VAL-CVG-LEVEL-PCT-EXIT


      * WS-T50-REPORTED-ACRES
           INITIALIZE WS-1445-REPORTED-ACRES
           MOVE WS-T50-REPORTED-ACRES TO WS-1445-REPORTED-ACRES
           PERFORM 1445-VAL-REPORTED-ACRES
              THRU 1445-VAL-REPORTED-ACRES-EXIT


      * WS-T50-LIABILITY
           INITIALIZE WS-1460-LIABILITY
           MOVE WS-T50-LIABILITY TO WS-1460-LIABILITY
           PERFORM 1460-VAL-LIABILITY
              THRU 1460-VAL-LIABILITY-EXIT


      * WS-T50-TOTAL-PREMIUM
           INITIALIZE WS-1475-TOTAL-PREMIUM
           MOVE WS-T50-TOTAL-PREMIUM TO WS-1475-TOTAL-PREMIUM
           PERFORM 1475-VAL-TOTAL-PREMIUM
              THRU 1475-VAL-TOTAL-PREMIUM-EXIT


      * WS-T50-TOTAL-INDEMNITY
           INITIALIZE WS-1830-TOTAL-INDEMNITY
           MOVE WS-T50-TOTAL-INDEMNITY TO WS-1830-TOTAL-INDEMNITY
           PERFORM 1830-VAL-TOTAL-INDEMNITY
              THRU 1830-VAL-TOTAL-INDEMNITY-EXIT.



       1050-VALIDATE-T50-EXIT.
           EXIT.
