

      *******************************************************************
      *    FILE:     FV1210.CBL                                         *
      *    AUTHOR:   C. B. O'NEILL                                      *
      *    DATE:     8/16/95                                            *
      *    PURPOSE:  1210-VAL-COMPANY-COUNTY                            *
      *              VALIDATES COMPANY/COUNTY.                          *
      *******************************************************************

       1210-VAL-COMPANY-COUNTY.

      $IF DEBUG-SW DEFINED
           DISPLAY '1210-VALIDATING COMPANY/COUNTY'
           UPON CONSOLE
      $END

      *******************************************************************
      *    BELOW:  ENSURE COMPANY/COUNTY IS NUMERIC.                    *
      *******************************************************************

           IF WS-1210-COMPANY-COUNTY NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-CPNY-CNTY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-CPNY-CNTY TO WS-8000-FIELD-NAME1
              MOVE WS-1210-COMPANY-COUNTY TO WS-8000-BAD-DATA1
              MOVE 1210 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

        1210-VAL-COMPANY-COUNTY-EXIT.
            EXIT.
