      *******************************************************************
      *    FILE:  FV1230.CBL                                            *
      *    AUTHOR:  C.B. O'NEILL                                        *
      *    DATE:    8/16/95                                             *
      *    PURPOSE:  1230-VAL-RECORD-NUMBER                             *
      *              VALIDATES RECORD NUMBER.                           *
      *******************************************************************
       1230-VAL-RECORD-NUMBER.

      $IF DEBUG-SW DEFINED
           DISPLAY '1230-VALIDATING RECORD NUMBER'
           UPON CONSOLE
      $END

      *******************************************************************
      *    BELOW:  ENSURE RECORD NUMBER IS NUMERIC                      *
      *******************************************************************

           IF WS-1230-RECORD-NO NOT NUMERIC
              MOVE WS-LITERAL-YES TO ERROR-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1230-RECORD-NO TO WS-8000-BAD-DATA1
              MOVE 1230 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1230-VAL-RECORD-NUMBER-EXIT
           END-IF

           IF WS-1230-RECORD-NO <= 0
              MOVE WS-LITERAL-YES TO ERROR-REC-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-REC-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1230-RECORD-NO TO WS-8000-BAD-DATA1
              MOVE 1230 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1230-VAL-RECORD-NUMBER-EXIT.
           EXIT.
