      ****************************************************************
      * File:      FV1290.CBL                                        *
      * Author:    Mike Ray                                          *
      * Date:      7/28/95                                           *
      * Purpose:   Validation for Zip Code Extension.                *
      ****************************************************************

       1290-VAL-ZIP-EXTENSION.

      $IF DEBUG-SW DEFINED
           DISPLAY '1290-VALIDATING ZIP EXTENSION'
           UPON CONSOLE
      $END

           IF WS-1290-ZIP-EXT IS EQUAL SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ZIP-EXT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ZIP-EXT TO WS-8000-FIELD-NAME1
              MOVE WS-1290-ZIP-EXT TO WS-8000-BAD-DATA1
              MOVE 1290 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1290-VAL-ZIP-EXTENSION-EXIT
           END-IF

           IF WS-1290-ZIP-EXT IS NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ZIP-EXT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ZIP-EXT TO WS-8000-FIELD-NAME1
              MOVE WS-1290-ZIP-EXT TO WS-8000-BAD-DATA1
              MOVE 1290 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1290-VAL-ZIP-EXTENSION-EXIT.
             EXIT.
