      ******************************************************************
      *  File:     FV1295.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     7/31/95                                             *
      *  Purpose:  Validate the id type field.  Valid values: 1, 2, 3, *
      *            4, and 5.                                           *
      ******************************************************************

       1295-VAL-ID-TYPE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1295-VALIDATING ID TYPE'
           UPON CONSOLE
      $END

           IF WS-1295-ID-TYPE IS NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ID-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-1295-ID-TYPE TO WS-8000-BAD-DATA1
              MOVE '1,2,3,4,5' TO WS-8000-CORR-DATA1
              MOVE 1295 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1295-VAL-ID-TYPE-EXIT
           END-IF

           EVALUATE WS-1295-ID-TYPE
               WHEN WS-LITERAL-SSN
                  CONTINUE
               WHEN WS-LITERAL-EIN
                  CONTINUE
               WHEN WS-LITERAL-OTHER-ID
                  CONTINUE
               WHEN WS-LITERAL-EIN-APPLIED-FOR
                  CONTINUE
               WHEN WS-LITERAL-BIA-NUM
                  CONTINUE
               WHEN OTHER
                  MOVE 10008 TO WS-8000-ERROR-CODE
                  MOVE WS-LITERAL-YES TO ERROR-ID-TYPE
                  MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                  MOVE WS-LITERAL-ID-TYPE TO WS-8000-FIELD-NAME1
                  MOVE WS-1295-ID-TYPE TO WS-8000-BAD-DATA1
                  MOVE '1,2,3,4,5' TO WS-8000-CORR-DATA1
                  MOVE 1295 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.

       1295-VAL-ID-TYPE-EXIT.
           EXIT.
