      ******************************************************************
      *  File:     FV1300.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     7/31/95                                             *
      *  Purpose:  Validate the id number field.  It must be numeric.  *
      ******************************************************************

       1300-VAL-ID-NUMBER.

      $IF DEBUG-SW DEFINED
           DISPLAY '1300-VALIDATING ID NUMBER'
           UPON CONSOLE
      $END

           IF WS-1300-ID-NUMBER IS NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ID-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ID-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1300-ID-NUMBER TO WS-8000-BAD-DATA1
              MOVE 1300 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.



       1300-VAL-ID-NUMBER-EXIT.
           EXIT.
