      ******************************************************************
      *  File:     FV1325.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the assigned risk field.  It must be       *
      *            numeric and contain a valid value {0, 1, 2, or 3}.  *
      ******************************************************************

       1325-VAL-ASGD-RISK.

      $IF DEBUG-SW DEFINED
           DISPLAY '1325-VALIDATING ASSIGNED RISK'
           UPON CONSOLE
      $END

           IF WS-0009-ASSIGNED-RISK IS NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ASSIGNED-RISK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ASSIGNED-RISK TO WS-8000-FIELD-NAME1
              MOVE WS-0009-ASSIGNED-RISK TO WS-8000-BAD-DATA1
              MOVE '0,1,2,3' TO WS-8000-CORR-DATA1
              MOVE 1325 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF NOT VALID-ASSIGNED-RISK
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-ASSIGNED-RISK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-ASSIGNED-RISK TO WS-8000-FIELD-NAME1
              MOVE WS-0009-ASSIGNED-RISK TO WS-8000-BAD-DATA1
              MOVE '0,1,2' TO WS-8000-CORR-DATA1
              MOVE 1325 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1325-VAL-ASGD-RISK-EXIT.
           EXIT.
