      ******************************************************************
      *  File:     FV1365.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the fee prepayment field.  Valid values    *
      *            are blank and P.                                    *
      ******************************************************************

       1365-VAL-FEE-PREPMT-FL.

      $IF DEBUG-SW DEFINED
           DISPLAY '1365-VALIDATING FEE PREPAYMENT FLAG'
           UPON CONSOLE
      $END

           IF WS-1365-FEE-PREPAYMENT-FLAG = SPACES
              GO TO 1365-VAL-FEE-PREPMT-FL-EXIT
           END-IF

           IF NOT PREPAID-FEE
              MOVE 14008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-PREPMT-FL
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-FEE-PREPMT-FL    TO WS-8000-FIELD-NAME1
              MOVE WS-1365-FEE-PREPAYMENT-FLAG TO WS-8000-BAD-DATA1
              MOVE 'BLANK OR P'  TO WS-8000-CORR-DATA1
              MOVE 1365 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1365-VAL-FEE-PREPMT-FL-EXIT.
           EXIT.
