      ******************************************************************
      *  File:     FV1370.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     8/09/95                                             *
      *  Purpose:  Validate the maximum fee cause field.  Valid values *
      *            are blank and M.                                    *
      ******************************************************************

       1370-VAL-MAX-FEE-CAUSE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1370-VALIDATING MAX FEE CAUSE'
           UPON CONSOLE
      $END

           IF WS-1370-MAX-FEE-CAUSE = SPACES
              GO TO 1370-VAL-MAX-FEE-CAUSE-EXIT
           END-IF

           IF NOT FEE-COLLECTED
              MOVE 14008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-MAX-FEE-CAUSE
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-MAX-FEE-CAUSE TO WS-8000-FIELD-NAME1
              MOVE WS-1370-MAX-FEE-CAUSE    TO WS-8000-BAD-DATA1
              MOVE 'BLANK OR M'   TO WS-8000-CORR-DATA1
              MOVE 1370 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1370-VAL-MAX-FEE-CAUSE-EXIT.
           EXIT.
