      ****************************************************************
      * FILE:      FV1425.CBL                                        *
      * AUTHOR:    MIKE RAY                                          *
      * DATE:      01/31/97                                          *
      * PURPOSE:   VALIDATION FOR UNIT NUMBER      .                 *
      *            MUST BE NUMERIC AND GREATER THAN ZERO.            *
      *                                                              *
      ****************************************************************

       1425-VAL-UNIT-NO.

      $IF DEBUG-SW DEFINED
           DISPLAY '1425-VALIDATING UNIT NO'
           UPON CONSOLE
      $END

           IF WS-1425-UNIT-NO NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-UNIT-NO
              MOVE WS-LITERAL-UNIT-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1425-UNIT-NO TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1425 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1425-VAL-UNIT-NO-EXIT
           END-IF

           IF WS-1425-UNIT-NO <= 0
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-UNIT-NO
              MOVE WS-LITERAL-UNIT-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1425-UNIT-NO TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1425 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1425-VAL-UNIT-NO-EXIT
           END-IF.


       1425-VAL-UNIT-NO-EXIT.
           EXIT.
