      ****************************************************************
      * FILE:      FV1435.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/08/95                                           *
      * PURPOSE:   VALIDATION FOR COVERAGE LEVEL PERCENT             *
      *            VALUE MUST BE NUMERIC                             *
      ****************************************************************

       1435-VAL-CVG-LEVEL-PCT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1435-VALIDATING CVG LEVEL PCT'
           UPON CONSOLE
      $END

           IF WS-1435-COVERAGE-LEVEL-PCT NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CVG-LVL-PCT
              MOVE WS-LITERAL-CVG-LVL-PCT TO WS-8000-FIELD-NAME1
              MOVE WS-1435-COVERAGE-LEVEL-PCT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1435 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1435-VAL-CVG-LEVEL-PCT-EXIT.
           EXIT.
