      ****************************************************************
      * FILE:      FV1445.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/08/95                                           *
      * PURPOSE:   VALIDATION FOR REPORTED ACRES                     *
      *            VALUE MUST BE NUMERIC                             *
      ****************************************************************

       1445-VAL-REPORTED-ACRES.

      $IF DEBUG-SW DEFINED
           DISPLAY '1445-VALIDATING REPORTED ACRES'
           UPON CONSOLE
      $END

           IF WS-1445-REPORTED-ACRES NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REPORTED-ACRES
              MOVE WS-LITERAL-REPORTED-ACRE TO WS-8000-FIELD-NAME1
              MOVE WS-1445-REPORTED-ACRES-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1445 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1445-VAL-REPORTED-ACRES-EXIT.
           EXIT.


