      *****************************************************************
      *  File:  FV1465.CBL
      *  Author: C. S. Davis
      *  Date:   09/12/95
      *  Purpose:  Validate the base premium rate field.  The data must
      *            be numeric.
      *****************************************************************

       1465-VAL-BASE-PREM-RATE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1465-VALIDATING BASE PREMIUM RATE'
      $END

           IF WS-1465-BASE-PREM-RATE NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-BASE-PREM-RT
              MOVE WS-LITERAL-BASE-PREM-RT TO WS-8000-FIELD-NAME1
              MOVE WS-1465-BASE-PREM-RATE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1465 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1465-VAL-BASE-PREM-RATE-EXIT.
           EXIT.
