      *****************************************************************
      *  File:  FV1475.CBL
      *  Author: C. S. Davis
      *  Date:   09/12/95
      *  Purpose:  Validate the Total premium field.  The data must
      *            be numeric.
      *****************************************************************

       1475-VAL-TOTAL-PREMIUM.
      $IF DEBUG-SW DEFINED
           DISPLAY '1475-VALIDATING TOTAL PREMIUM'
           UPON CONSOLE
      $END

           IF WS-1475-TOTAL-PREMIUM NOT NUMERIC
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-TOT-PREM
              MOVE WS-LITERAL-TOT-PREM TO WS-8000-FIELD-NAME1
              MOVE WS-1475-TOTAL-PREMIUM TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1475 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1475-VAL-TOTAL-PREMIUM-EXIT.
           EXIT.
