      *****************************************************************
      *  File:     FV1500.CBL
      *  Author:   Laura Dittamo
      *  Date:     9/11/95
      *  Purpose:  Validate the unit option code  Valid values are
      *            blank, BU, EU, and WU.
      *****************************************************************

       1500-VAL-UNIT-OPTION-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '1500-VALIDATING UNIT OPTION CODE'
           UPON CONSOLE
      $END


           EVALUATE WS-1500-UNIT-OPT-CD
               WHEN WS-LITERAL-BASIC-UNIT
                  CONTINUE
               WHEN WS-LITERAL-OPT-UNIT
                  CONTINUE
               WHEN WS-LITERAL-ENTERPRISE-UNIT
                  CONTINUE
               WHEN WS-LITERAL-WHOLE-FARM-UNIT
                  CONTINUE
               WHEN OTHER
                  MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                  MOVE 11008 TO WS-8000-ERROR-CODE
                  MOVE WS-LITERAL-YES TO ERROR-UNIT-OPT-CD
                  MOVE WS-LITERAL-UNIT-OPT-CD TO WS-8000-FIELD-NAME1
                  MOVE WS-1500-UNIT-OPT-CD TO WS-8000-BAD-DATA1
                  MOVE 'BLANK, BU, EU, WU' TO WS-8000-CORR-DATA1
                  MOVE 1500 TO WS-8000-PARAGRAPH-NO
                  PERFORM 8000-RECORD-TRAN-ERROR
                     THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-EVALUATE.


       1500-VAL-UNIT-OPTION-CD-EXIT.
           EXIT.
