      *****************************************************************
      *  File:     FV1505.CBL
      *  Author:   Mike Ray
      *  Date:     11/13/95
      *  Purpose:  Validate the option code. Must be left justified.
      *****************************************************************

       1505-VAL-OPTION-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '1505-VALIDATING OPTION CODE'
           UPON CONSOLE
      $END

           IF WS-1505-OPT-CD IS EQUAL TO SPACES
              GO TO 1505-VAL-OPTION-CD-EXIT
           END-IF

      *    ****  MAKE SURE IT'S LEFT JUSTIFIED! ****
           IF WS-1505-OPT-CD-POS1 IS EQUAL TO SPACES
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11003 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-OPT-CD
              MOVE WS-LITERAL-OPTION-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1505-OPT-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1505 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                  THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1505-VAL-OPTION-CD-EXIT
           END-IF

           MOVE WS-1505-OPT-CD-POS1-2 TO WS-0009-OPTION-CODES
           IF NOT VALID-OPTION-CD-0009
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              MOVE WS-LITERAL-OPTION-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1505-OPT-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1505 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1505-VAL-OPTION-CD-EXIT
           END-IF

           IF WS-1505-OPT-CD-POS3-4 IS EQUAL TO SPACES
              GO TO 1505-VAL-OPTION-CD-EXIT
           END-IF

           MOVE WS-1505-OPT-CD-POS3-4 TO WS-0009-OPTION-CODES
           IF NOT VALID-OPTION-CD-0009
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              MOVE WS-LITERAL-OPTION-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1505-OPT-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1505 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1505-VAL-OPTION-CD-EXIT
           END-IF


           IF WS-1505-OPT-CD-POS5-6 IS EQUAL TO SPACES
              GO TO 1505-VAL-OPTION-CD-EXIT
           END-IF

           MOVE WS-1505-OPT-CD-POS5-6 TO WS-0009-OPTION-CODES
           IF NOT VALID-OPTION-CD-0009
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-TYPE-PRACTICE-OPT-CD
              MOVE WS-LITERAL-OPTION-CD TO WS-8000-FIELD-NAME1
              MOVE WS-1505-OPT-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1505 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1505-VAL-OPTION-CD-EXIT
           END-IF.


       1505-VAL-OPTION-CD-EXIT.
           EXIT.
