      ****************************************************************
      * FILE:      FV1525.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      1/11/96                                           *
      * PURPOSE:   VALIDATION FOR PAYMENT TYPE                       *
      *            VALUE MUST BE NUMERIC                             *
      *            VALID VALUES ARE: '00' AND '04'                   *
      ****************************************************************

       1525-VAL-PMT-TYPE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1525-VALIDATING PAYMENT TYPE'
           UPON CONSOLE
      $END

           IF WS-1525-PAYMENT-TYPE NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PMT-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PMT-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-1525-PAYMENT-TYPE TO WS-8000-BAD-DATA1
              MOVE 1525 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1525-VAL-PMT-TYPE-EXIT
           END-IF

           IF (WS-1525-PAYMENT-TYPE <> 00) AND
              (WS-1525-PAYMENT-TYPE <> 04)
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PMT-TYPE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PMT-TYPE TO WS-8000-FIELD-NAME1
              MOVE WS-1525-PAYMENT-TYPE TO WS-8000-BAD-DATA1
              MOVE '00, 04' TO WS-8000-CORR-DATA1
              MOVE 1525 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1525-VAL-PMT-TYPE-EXIT.
           EXIT.
