      ****************************************************************
      * FILE:      FV1530.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR PAID AMOUNT                        *
      *            VALUES MUST BE NUMERIC                            *
      ****************************************************************

       1530-VAL-PAID-AMT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1530-VALIDATING PAID AMOUNT'
           UPON CONSOLE
      $END

           MOVE ZERO TO WS-1530-PAID-AMOUNT-9
           IF WS-1530-PAID-AMOUNT NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PAID-AMT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PAID-AMT TO WS-8000-FIELD-NAME1
              MOVE WS-1530-PAID-AMOUNT-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1530 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           ELSE
              MOVE WS-1530-PAID-AMOUNT
                TO WS-1530-PAID-AMOUNT-9
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'PAID AMT = ', WS-1530-PAID-AMOUNT-9
           UPON CONSOLE.
      $END

       1530-VAL-PAID-AMT-EXIT.
           EXIT.
