      ****************************************************************
      * FILE:      FV1545.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/23/95                                           *
      * PURPOSE:   VALIDATION FOR REINSURANCE YEAR                   *
      *            VALUES MUST BE NUMERIC AND EQUAL THE CURRENT      *
      *            REINSURANCE YEAR.                                 *
      ****************************************************************

       1545-VAL-REINSURE-YR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1545-VALIDATING REINSURANCE YEAR'
           UPON CONSOLE
      $END

           IF WS-1545-REINSURE-YR-YY NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REINSURE-YR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-REINS-YR TO WS-8000-FIELD-NAME1
              MOVE WS-1545-REINSURE-YR-YY TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1545 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1545-VAL-REINSURE-YR-EXIT
           END-IF

           IF WS-1545-REINSURE-YEAR NOT EQUAL TO WS-0004-REINS-YR
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-REINSURE-YR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-REINS-YR TO WS-8000-FIELD-NAME1
              MOVE WS-1545-REINSURE-YEAR TO WS-8000-BAD-DATA1
              MOVE WS-0004-REINS-YR TO WS-8000-CORR-DATA1
              MOVE 1545 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1545-VAL-REINSURE-YR-EXIT.
           EXIT.
