      ****************************************************************
      * FILE:      FV1565.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR 2ND ESCROW CHECK                   *
      *            VALUE MUST BE NUMERIC                             *
      ****************************************************************

       1565-VAL-2ND-ESCROW-CHK.

      $IF DEBUG-SW DEFINED
           DISPLAY '1565-VALIDATING 2ND ESCROW CHECK'
           UPON CONSOLE
      $END

           IF WS-1565-2ND-ESCROW-CHK NOT NUMERIC
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-2ND-ESCROW-CHK
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-2ND-ESCROW-CHK TO WS-8000-FIELD-NAME1
              MOVE WS-1565-2ND-ESCROW-CHK TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1565 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1565-VAL-2ND-ESCROW-CHK-EXIT.
           EXIT.

