      ****************************************************************
      * FILE:      FV1580.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/23/95                                           *
      * PURPOSE:   VALIDATION FOR 1ST TOTAL AMOUNT                   *
      *            VALUES MUST BE NUMERIC                            *
      ****************************************************************

       1580-VAL-1ST-TOT-AMT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1580-VALIDATING 1ST TOTAL AMOUNT'
           UPON CONSOLE
      $END

           IF WS-1580-1ST-TOTAL-AMOUNT NOT NUMERIC
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-1ST-TOT-AMT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-1ST-TOT-AMT TO WS-8000-FIELD-NAME1
              MOVE WS-1580-1ST-TOTAL-AMOUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1580 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1580-VAL-1ST-TOT-AMT-EXIT.
           EXIT.



