      ****************************************************************
      * FILE:      FV1590.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/25/95                                           *
      * PURPOSE:   VALIDATION FOR 3RD TOTAL AMOUNT                   *
      *            VALUES MUST BE NUMERIC                            *
      ****************************************************************

       1590-VAL-3RD-TOT-AMT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1580-VALIDATING 3RD TOTAL AMOUNT'
           UPON CONSOLE
      $END

           IF WS-1590-3RD-TOTAL-AMOUNT NOT NUMERIC
              MOVE 20002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-3RD-TOT-AMT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-3RD-TOT-AMT TO WS-8000-FIELD-NAME1
              MOVE WS-1590-3RD-TOTAL-AMOUNT TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1590 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1590-VAL-3RD-TOT-AMT-EXIT.
           EXIT.

