      ****************************************************************
      * FILE:      FV1610.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR DETERMINED ACRES                   *
      *            VALUE MUST BE NUMERIC AND GREATER THAN ZERO       *
      ****************************************************************

       1610-VAL-DETERM-ACRES.

      $IF DEBUG-SW DEFINED
           DISPLAY '1610-VALIDATING DETERMINED ACRES'
           UPON CONSOLE
      $END

           IF WS-1610-DETERMINED-ACRES NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DETERM-ACRES
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DETERM-ACRES TO WS-8000-FIELD-NAME1
              MOVE WS-1610-DETERMINED-ACRES-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1610 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1610-DETERMINED-ACRES = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-DETERM-ACRES
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DETERM-ACRES TO WS-8000-FIELD-NAME1
              MOVE WS-1610-DETERMINED-ACRES-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1610 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1610-VAL-DETERM-ACRES-EXIT.
           EXIT.

