      ****************************************************************
      * FILE:      FV1620.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR LOSS GUARANTEE                     *
      *            VALUE MUST BE NUMERIC                             *
      ****************************************************************

       1620-VAL-LOSS-GUAR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1620-VALIDATING LOSS GUARANTEE'
           UPON CONSOLE
      $END

           IF WS-1620-LOSS-GUARANTEE NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOSS-GUAR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOSS-GUAR TO WS-8000-FIELD-NAME1
              MOVE WS-1620-LOSS-GUARANTEE-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1620 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

           IF WS-1620-LOSS-GUARANTEE = ZEROS
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 005 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-LOSS-GUAR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-LOSS-GUAR TO WS-8000-FIELD-NAME1
              MOVE WS-1620-LOSS-GUARANTEE-X TO WS-8000-BAD-DATA1
              MOVE '> 00000000.00' TO WS-8000-CORR-DATA1
              MOVE 1620 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1620-VAL-LOSS-GUAR-EXIT.
           EXIT.

