      ****************************************************************
      * FILE:      FV1635.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR BENEFICIARY FLAG                   *
      *            VALID VALUES ARE: SPACE AND 'B'                   *
      *            *** FOR CFSA USE ONLY ***                         *
      ****************************************************************

       1635-VAL-BENEF-FLG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1635-VALIDATING BENEFICIARY FLAG'
           UPON CONSOLE
      $END

           IF WS-1635-BENEFICIARY-FLG EQUAL SPACES
              GO TO 1635-VAL-BENEF-FLG-EXIT
           END-IF

           IF WS-1635-BENEFICIARY-FLG NOT EQUAL 'B'
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-BENEF-FL
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-BENEF-FL TO WS-8000-FIELD-NAME1
              MOVE WS-1635-BENEFICIARY-FLG TO WS-8000-BAD-DATA1
              MOVE 'BLANK, B' TO WS-8000-CORR-DATA1
              MOVE 1635 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1635-VAL-BENEF-FLG-EXIT.
           EXIT.

