      ****************************************************************
      * FILE:      FV1685.CBL                                        *
      * AUTHOR:    MIKE RAY                                          *
      * DATE:      02/06/97                                          *
      * PURPOSE:   VALIDATION FOR PARTIAL PREVENTED PLANTING         *
      *            FLAG FOR REVENUE ASSURANCE.                       *
      ****************************************************************

       1685-VAL-PARTIAL-PP-FLAG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1685-VALIDATING PARTIAL PREVENTED PLANTING FLAG'
           UPON CONSOLE
      $END

           IF WS-1685-PARTIAL-PP-FLAG = SPACES
              GO TO 1685-VAL-PARTIAL-PP-FLAG-EXIT
           END-IF

           IF WS-1685-PARTIAL-PP-FLAG <> 'Y' AND
              WS-1685-PARTIAL-PP-FLAG <> 'N'
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-PARTIAL-PP-FLAG
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PARTIAL-PP-FLAG
                TO WS-8000-FIELD-NAME1
              MOVE WS-1685-PARTIAL-PP-FLAG
                TO WS-8000-BAD-DATA1
              MOVE 'BLANK, Y' TO WS-8000-CORR-DATA1
              MOVE 1685 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1685-VAL-PARTIAL-PP-FLAG-EXIT.
           EXIT.

