      ****************************************************************
      * FILE:      FV1700.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/25/95                                           *
      * PURPOSE:   VALIDATION FOR SUGAR FACTOR                        *
      *            VALUES MUST BE NUMERIC                            *
      ****************************************************************

       1700-VAL-SUGAR-FACTOR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1700-VALIDATING SUGAR FACTOR'
           UPON CONSOLE
      $END

           IF WS-1700-SUGAR-FACTOR NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-SUGAR-FCTR
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-SUGAR-FCTR TO WS-8000-FIELD-NAME1
              MOVE WS-1700-SUGAR-FACTOR-X TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1700 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1700-VAL-SUGAR-FACTOR-EXIT.
           EXIT.

