      ****************************************************************
      * FILE:      FV1710.CBL                                        *
      * AUTHOR:    CHERYL D. WOOD                                    *
      * DATE:      9/22/95                                           *
      * PURPOSE:   VALIDATION FOR NURSERY INSURANCE PLAN CODE        *
      *            VALUE MUST BE NUMERIC                             *
      *            VALID VALUE  IS '50'                              *
      ****************************************************************

       1710-VAL-NURSERY-INS-PLAN.

      $IF DEBUG-SW DEFINED
           DISPLAY '1710-VALIDATING NURSERY INSURANCE PLAN'
           UPON CONSOLE
      $END

           IF WS-0009-INSURANCE-PLAN NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8000-FIELD-NAME1
              MOVE WS-0009-INSURANCE-PLAN TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1710 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1710-VAL-NURSERY-INS-PLAN-EXIT
           END-IF

           IF WS-0009-INSURANCE-PLAN NOT EQUAL WS-LITERAL-DOLLAR-AMT
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 008 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-INSUR-PLAN-CD
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-INSURE-PLAN-CD TO WS-8000-FIELD-NAME1
              MOVE WS-0009-INSURANCE-PLAN TO WS-8000-BAD-DATA1
              MOVE '50' TO WS-8000-CORR-DATA1
              MOVE 1710 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1710-VAL-NURSERY-INS-PLAN-EXIT.
           EXIT.

