      ****************************************************************
      * FILE:      FV1725.CBL                                        *
      * AUTHOR:    STACY BRAY                                        *
      * DATE:      9/26/95                                           *
      * PURPOSE:   VALIDATION FOR NEW MARKET VALUE                   *
      *            VALUES MUST BE NUMERIC                            *
      ****************************************************************

       1725-VAL-NEW-MKT-VALUE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1725-VALIDATING NEW MARKET VALUE'
           UPON CONSOLE
      $END

           IF WS-1725-NEW-MARKET-VALUE NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-NEW-MKT-VALUE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-NEW-MKT-VALUE TO WS-8000-FIELD-NAME1
              MOVE WS-1725-NEW-MARKET-VALUE TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1725 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1725-VAL-NEW-MKT-VALUE-EXIT.
           EXIT.

