      ****************************************************************
      * FILE:           FV1750.CBL                                   *
      * AUTHOR:         STACY BRAY                                   *
      * DATE:           10/2/95                                      *
      * PURPOSE:        VALIDATION FOR AGGREGATE DEDUCTIBLE          *
      *                 VALUES MUST BE NUMERIC                       *
      ****************************************************************


       1750-VAL-AGGREGATE-DEDUCT.

      $IF DEBUG-SW DEFINED
           DISPLAY '1750-VALIDATING AGGREGATE DEDUCTIBLE'
           UPON CONSOLE
      $END

           IF WS-1750-AGGREGATE-DEDUCTIBLE NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-AGGREGATE-DEDUCT
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-AGGREGATE-DEDUCT TO WS-8000-FIELD-NAME1
              MOVE WS-1750-AGGREGATE-DEDUCTIBLE TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1750 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1750-VAL-AGGREGATE-DEDUCT-EXIT.
          EXIT.

