      *****************************************************************
      *  File:     FV1785.CBL
      *  Author:   Yo-I Tsui
      *  Date:     12/14/95
      *  Purpose:  VALIDATE THE PREMIUM RATE SURCHARGE
      *            IF BLANK THEN EXIT VALID VALUES Y, G, P
      *****************************************************************

       1785-VAL-PREM-RT-SURCHG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1785-VALIDATING PREMIUM RATE SURCHARGE'
           UPON CONSOLE
      $END

           IF WS-1785-PREM-RT-SURCHG IS EQUAL TO SPACES
              GO TO 1785-VAL-PREM-RT-SURCHG-EXIT
           END-IF

           IF WS-1785-PREM-RT-SURCHG <> 'Y' AND
              WS-1785-PREM-RT-SURCHG <> 'G' AND
              WS-1785-PREM-RT-SURCHG <> 'P'
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE 11008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-PREM-RT-SURCHG
              MOVE WS-LITERAL-PREM-RATE-SURCHG TO WS-8000-FIELD-NAME1
              MOVE WS-1785-PREM-RT-SURCHG TO WS-8000-BAD-DATA1
              MOVE 'Y, G, or P' TO WS-8000-CORR-DATA1
              MOVE 1785 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1785-VAL-PREM-RT-SURCHG-EXIT.
           EXIT.





