      *****************************************************************
      *  File:     FV1790.CBL
      *  Author:   Mike Ray
      *  Date:     03/15/96
      *  Purpose:  VALIDATE THE QUOTA FOR PEANUTS OR TOBACCO
      *****************************************************************

       1790-VAL-PNUT-QUOTA.

      $IF DEBUG-SW DEFINED
           DISPLAY '1790-VALIDATING PEANUT/TOBACCO QUOTA'
           UPON CONSOLE
      $END

      *    *** QUOTA FIELD CAN BE ZEROS FOR NON-QUOTA PEANUT
           IF WS-T11-INSUR-PLAN-CD = WS-LITERAL-PEANUTS-PLAN
              GO TO 1790-VAL-PNUT-QUOTA-EXIT
           END-IF

           IF WS-T11-INSUR-PLAN-CD = WS-LITERAL-QUOTA-TOBACCO OR
              WS-T11-INSUR-PLAN-CD = WS-LITERAL-FLORIDA-FRUIT
              IF WS-1790-PNUT-QUOTA NOT > ZEROS
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE  TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 005 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-QUOTA
                 MOVE WS-LITERAL-QUOTA TO WS-8000-FIELD-NAME1
                 MOVE WS-1790-PNUT-QUOTA TO WS-8000-BAD-DATA1
                 MOVE 'GREATER THAN ZEROS' TO WS-8000-CORR-DATA1
                 MOVE 1790   TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           ELSE
              IF WS-1790-PNUT-QUOTA NOT = ZEROS
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 007 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-QUOTA
                 MOVE WS-LITERAL-QUOTA TO WS-8000-FIELD-NAME1
                 MOVE WS-1790-PNUT-QUOTA TO WS-8000-BAD-DATA1
                 MOVE ZEROS TO WS-8000-CORR-DATA1
                 MOVE 1790  TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       1790-VAL-PNUT-QUOTA-EXIT.
           EXIT.

