      ****************************************************************
      * FILE:           FV1830.CBL                                   *
      * AUTHOR:         STACY BRAY                                   *
      * DATE:           10/3/95                                      *
      * PURPOSE:        VALIDATION FOR TOTAL INDEMNITY               *
      *                 VALUES MUST BE NUMERIC                       *
      ****************************************************************


       1830-VAL-TOTAL-INDEMNITY.

      $IF DEBUG-SW DEFINED
           DISPLAY '1830-VALIDATING TOTAL INDEMNITY'
           UPON CONSOLE
      $END


           IF WS-1830-TOTAL-INDEMNITY NOT NUMERIC
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 002 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-TOT-INDEMNITY
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-TOTAL-INDEMNITY TO WS-8000-FIELD-NAME1
              MOVE WS-1830-TOTAL-INDEMNITY TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 1830 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1830-VAL-TOTAL-INDEMNITY-EXIT.
          EXIT.

