      *******************************************************
      * FILE    : FV1835.CBL                                *
      * AUTHOR  : Yo-I Tsui                                *
      * DATE    : 11/09/95                                  *
      * PURPOSE : VAILDATION FOR 1ST TOTAL REINSURANCE YEAR *
      *           IF NOT BLANK, MUST BE NUMERIC             *
      *******************************************************

       1835-VAL-1ST-REINS-YR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1835-VALIDATING 1ST REINSURANCE YEAR'
           UPON CONSOLE
      $END
           IF WS-1835-1ST-REINS-YR = SPACES
              GO TO 1835-VAL-1ST-REINS-YR-EXIT
           ELSE
              IF WS-1835-1ST-REINS-YR NOT NUMERIC
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE 20002 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-1ST-TOT-REINSURE-YR
                 MOVE WS-LITERAL-1ST-TOT-REIN-YR
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-1835-1ST-REINS-YR TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1

                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
               END-IF
           END-IF.


       1835-VAL-1ST-REINS-YR-EXIT.
           EXIT.
