      *******************************************************
      * FILE    : FV1845.CBL                                *
      * AUTHOR  : Yo-I Tsui                                 *
      * DATE    : 11/09/95                                  *
      * PURPOSE : VAILDATION FOR 3RD TOTAL REINSURANCE YEAR *
      *           IF NOT BLANK, MUST BE NUMERIC             *
      *******************************************************

       1845-VAL-3RD-REINS-YR.

      $IF DEBUG-SW DEFINED
            DISPLAY '1845-VALIDATING 3RD REINSURANCE YEAR'
            UPON CONSOLE
      $END

           IF WS-1845-3RD-REINS-YR EQUAL SPACES
              GO TO 1845-VAL-3RD-REINS-YR-EXIT
           ELSE
              IF WS-1845-3RD-REINS-YR NOT NUMERIC
                 MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
                 MOVE 20002 TO WS-8000-ERROR-CODE
                 MOVE 1845 TO WS-8000-PARAGRAPH-NO
                 MOVE WS-LITERAL-YES TO ERROR-3RD-TOT-REINSURE-YR
                 MOVE WS-LITERAL-3RD-TOT-REIN-YR
                   TO WS-8000-FIELD-NAME1
                 MOVE WS-1845-3RD-REINS-YR TO WS-8000-BAD-DATA1
                 MOVE SPACES TO WS-8000-CORR-DATA1

                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       1845-VAL-3RD-REINS-YR-EXIT.
           EXIT.
