      ******************************************************************
      *  File:     FV1852.CBL
      *  Author:   Cliff Walker
      *  Date:     01/08/96
      *  Purpose:  Validate the record delete flag field.  It must be
      *            numeric and contain a valid value {0, 1}.
      ******************************************************************

       1852-VAL-DELETE-FLG.

      $IF DEBUG-SW DEFINED
           DISPLAY '1852-VALIDATING DELETE FLAG'
           UPON CONSOLE
      $END

           IF NOT WS-1852-DELETE-FLG NUMERIC
              MOVE 50002 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-DELETE-FLG
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DELETE-FLG TO WS-8000-FIELD-NAME1
              MOVE WS-1852-DELETE-FLG TO WS-8000-BAD-DATA1
              MOVE '0 OR 1' TO WS-8000-CORR-DATA1
              MOVE 1852 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
              GO TO 1852-VAL-DELETE-FLG-EXIT
           END-IF

           IF NOT VALID-DELETE-FLAGS-1852
              MOVE 50008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-DELETE-FLG
              MOVE WS-LITERAL-FV  TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-DELETE-FLG TO WS-8000-FIELD-NAME1
              MOVE WS-1852-DELETE-FLG TO WS-8000-BAD-DATA1
              MOVE '0 OR 1' TO WS-8000-CORR-DATA1
              MOVE 1852 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1852-VAL-DELETE-FLG-EXIT.
           EXIT.
