      ****************************************************************
      * File:      FV1854.CBL
      * Author:    Cliff Walker
      * Date:      01/08/96
      * Purpose:   Validation for Private Policy Number must not be
      *            blank.
      ****************************************************************

       1854-VAL-PRIV-POLY-NO.

      $IF DEBUG-SW DEFINED
           DISPLAY '1854-VALIDATING PRIVATE POLICY NUMBER'
           UPON CONSOLE
      $END

           IF WS-1854-PRIVATE-POLICY-NO = SPACES OR
              WS-1854-PRIVATE-POLICY-NO = ZEROS
              MOVE 50016 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-YES TO ERROR-PRIV-POLICY-NO
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-PRIV-POLICY-NO TO WS-8000-FIELD-NAME1
              MOVE WS-1854-PRIVATE-POLICY-NO TO WS-8000-BAD-DATA1
              MOVE 'MUST NOT BE BLANK' TO WS-8000-CORR-DATA1
              MOVE 1854 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.


       1854-VAL-PRIV-POLY-NO-EXIT.
           EXIT.
