      ****************************************************************
      * FILE:      FV1874.CBL
      * AUTHOR:    Cliff Walker
      * DATE:      01/22/96
      * PURPOSE:   VALIDATION FOR YIELD INDICATOR VALUE MUST BE
      *            ONE OF THE VALID YIELD TYPES.
      ****************************************************************

       1874-VAL-YIELD-INDICATOR.

      $IF DEBUG-SW DEFINED
           DISPLAY '1874-VALIDATING YIELD INDICATOR'
           UPON CONSOLE
      $END

           IF NOT VALID-YIELD-INDICATOR-1874
              MOVE 15008 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-YES TO ERROR-YLD-IND
              MOVE WS-LITERAL-YLD-IND TO WS-8000-FIELD-NAME1
              MOVE WS-1874-YIELD-INDICATOR TO WS-8000-BAD-DATA1
              MOVE 'SEE M-13' TO WS-8000-CORR-DATA1
              MOVE 1874 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.

       1874-VAL-YIELD-INDICATOR-EXIT.
           EXIT.
