      ******************************************************************
      *  File:     FV1920.CBL                                          *
      *  Author:   Angela Wall                                         *
      *  Date:     7/11/96                                             *
      *  Purpose:  Validate the Type of id Code.                       *
      *            Required for all records.                           *
      *            Must Be: A = Agent                                  *
      *                     U = Unlisted agent                         *
      ******************************************************************


       1920-VAL-TYPE-OF-ID-CODE.

      $IF DEBUG-SW DEFINED
           DISPLAY '1920-VALIDATING TYPE OF ID CODE'
           UPON CONSOLE
      $END

           IF WS-1920-TYPE-OF-ID-CODE = 'A' OR
	       WS-1920-TYPE-OF-ID-CODE = 'U'
		   GO TO 1920-VAL-TYPE-OF-ID-CODE-EXIT
           END-IF.

      ******************************************************************
      * The active flag is not 'A' or 'U', so produce error
      ******************************************************************

           MOVE WS-LITERAL-YES TO ERROR-TYPE-OF-ID-CODE.
           MOVE WS-LITERAL-FV TO WS-8000-ERROR-TYPE.
           MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE.
           MOVE 008 TO WS-8000-SHORT-ERROR.
           MOVE WS-LITERAL-TYPE-OF-ID-CODE TO WS-8000-FIELD-NAME1.
           MOVE WS-1920-TYPE-OF-ID-CODE TO WS-8000-BAD-DATA1.
           MOVE 1920 TO WS-8000-PARAGRAPH-NO.
           PERFORM 8000-RECORD-TRAN-ERROR
              THRU 8000-RECORD-TRAN-ERROR-EXIT.

       1920-VAL-TYPE-OF-ID-CODE-EXIT.
	    EXIT.
