      ******************************************************************
      *  File:     FV1950.CBL                                          *
      *  Author:   Angela Wall                                         *
      *  Date:     7/12/96                                             *
      *  Purpose:  Validate the city field.                            *
      *		    Required for all records.  Must not be blank.       *
      *            Must be left justified beginning in first position. *
      *            Must be valid for zip code submitted for record.    *
      ******************************************************************

       1950-VAL-AGENCY-CITY.

      $IF DEBUG-SW DEFINED
           DISPLAY '1950-VALIDATING AGENCY CITY'
           UPON CONSOLE
      $END

           IF WS-1950-CITY = SPACES
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 004 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CITY
              MOVE WS-LITERAL-FV      TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CITY TO WS-8000-FIELD-NAME1
              MOVE WS-1950-CITY TO WS-8000-BAD-DATA1
              MOVE 1950 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	      GO TO 1950-VAL-AGENCY-CITY-EXIT
           END-IF

	   IF WS-1950-1ST-CHAR = SPACE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 003 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES TO ERROR-CITY
              MOVE WS-LITERAL-FV     TO WS-8000-ERROR-TYPE
              MOVE WS-LITERAL-CITY TO WS-8000-FIELD-NAME1
              MOVE WS-1950-CITY TO WS-8000-BAD-DATA1
              MOVE 1950 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
	   END-IF.


       1950-VAL-AGENCY-CITY-EXIT.
           EXIT.



