      ******************************************************************
      *    FILE:     IF2237.CBL
      *    AUTHOR:   LAURA DITTAMO
      *    DATE:     11/02/95
      *    PURPOSE:  2237-VAL-CROP-CODE
      *              VERIFIES THAT THE INPUT CROP CODE IS VALID; IT
      *              MUST EXIST IN THE CROP LOOKUP TABLE.
      ******************************************************************

       2237-VAL-CROP-CODE.

      $IF DEBUG-SW DEFINED
           DISPLAY '2237-VALIDATING CROP CODE'
           UPON CONSOLE
      $END

           IF ERROR-CROP-CD = WS-LITERAL-YES OR
              ERROR-CROP-YR = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-CROP-CD
              GO TO 2237-VAL-CROP-CODE-EXIT
           END-IF


      $IF ISAM-SW DEFINED

           MOVE WS-2237-CROP-CD TO WS-7270-I-CROP
           PERFORM 7270-LOOKUP-CROP-TBL
              THRU 7270-LOOKUP-CROP-TBL-EXIT

           IF NOT MATCH-FOUND-7270
              MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
              MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
              MOVE 009 TO WS-8000-SHORT-ERROR
              MOVE WS-LITERAL-YES  TO ERROR-CROP-CD
              MOVE WS-LITERAL-CROP-CD TO WS-8000-FIELD-NAME1
              MOVE WS-2237-CROP-CD TO WS-8000-BAD-DATA1
              MOVE SPACES TO WS-8000-CORR-DATA1
              MOVE 'CROP.TXT' TO WS-8000-TABLE-NAME
              MOVE 2237 TO WS-8000-PARAGRAPH-NO
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF.
      $END

       2237-VAL-CROP-CODE-EXIT.
           EXIT.



