      *************************************************************
      * File   : IF2247.CBL
      * Author : Yo-I Tsui
      * Date   : 12/21/95
      * Purpose: VALIDATE FEE PREPAYMENT FLAG
      *          IF ADMIN FEE FLAG = F AND COVERAGE FLAG = C
      *             IF FEE PREPAYMENT FLAG = P RECORD AN ERROR
      *************************************************************

       2247-VAL-FEE-PREPMT-FL.

      $IF DEBUG-SW DEFINED
           DISPLAY '2247-VALIDATING FEE PREPAYMENT FLAG'
           UPON CONSOLE
      $END

      ************************************************
      *              CHECK PRE-CONDITIONS            *
      ************************************************

           IF ERROR-FEE-PREPMT-FL = WS-LITERAL-YES OR
              ERROR-ADMIN-FEE-FL = WS-LITERAL-YES OR
              ERROR-CVG-FL = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-FEE-PREPMT-FL
              GO TO 2247-VAL-FEE-PREPMT-FL-EXIT
           END-IF

      ************************************************
      *              NORMAL PROCESSING               *
      ************************************************

           IF WS-2247-ADMIN-FEE-FL = 'F' AND CAT-COVERAGE
              IF WS-2247-FEE-PREPMT-FL = 'P'
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE 14053 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-FEE-PREPMT-FL
                 MOVE WS-LITERAL-FEE-PREPMT-FL TO WS-8000-FIELD-NAME1
                 MOVE WS-2247-FEE-PREPMT-FL TO WS-8000-BAD-DATA1
                 MOVE 'BLANK' TO WS-8000-CORR-DATA1
                 MOVE 2247 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       2247-VAL-FEE-PREPMT-FL-EXIT.
           EXIT.



