      *****************************************************************
      * File:      IF2370.CBL
      * Author:    Laura Dittamo
      * Date:      03/15/96
      * Purpose:   This routine validates Rate Class for Group Crops.
      *            If the Insurance Plan is Group, the Rate Class must
      *            be 000.
      *****************************************************************

       2370-VAL-RATE-CLASS.

      $IF DEBUG-SW DEFINED
           DISPLAY '2370-VALIDATING RATE CLASS'
           UPON CONSOLE
      $END

           IF ERROR-INSUR-PLAN-CD = WS-LITERAL-YES OR
              ERROR-RATE-CLASS = WS-LITERAL-YES
              MOVE WS-LITERAL-YES TO ERROR-RATE-CLASS
              GO TO 2370-VAL-RATE-CLASS-EXIT
           END-IF

           IF WS-2370-INS-PLAN-CD = WS-LITERAL-GRP
              IF (WS-2370-RATE-CLASS <> '000') AND
                 (WS-2370-RATE-CLASS <> SPACES)
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE WS-TRAN-TYPE TO WS-8000-ERROR-TRAN-TYPE
                 MOVE 008 TO WS-8000-SHORT-ERROR
                 MOVE WS-LITERAL-YES TO ERROR-RATE-CLASS
                 MOVE WS-LITERAL-RT-CLASS TO WS-8000-FIELD-NAME1
                 MOVE WS-2370-RATE-CLASS TO WS-8000-BAD-DATA1
                 MOVE '000 or blank' TO WS-8000-CORR-DATA1
                 MOVE WS-LITERAL-INSURE-PLAN-CD
                   TO WS-8000-FIELD-NAME2
                 MOVE SPACES TO WS-8000-BAD-DATA2
                 MOVE 2370 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.


       2370-VAL-RATE-CLASS-EXIT.
           EXIT.

