      **********************************************************
      * FILE     : IF2440.CBL
      * AUTHOR   : Yo-I Tsui
      * DATE     : 11/16/95
      * PURPOSE  : VALIDATE INDEMNITY WITH FARM UNIT DEFICIENCY
      *            IF FARM UNIT DEFICIENCY <= 0
      *            INDEMNITY MUST BE <= 0 ELSE RECORD ERROR
      **********************************************************

       2440-VAL-INDEM-W-DEFICNY.

      $IF DEBUG-SW DEFINED
          DISPLAY '2440-VALIDATING INDEMNITY WITH FARM UNIT DEFICIENCY'
          UPON CONSOLE
      $END

      **********************************************************
      *                 CHECK PRE-CONDITION                    *
      **********************************************************

           IF ERROR-INDEM = WS-LITERAL-YES OR
              ERROR-FARM-UNIT-DEFICIENCY = WS-LITERAL-YES

              MOVE WS-LITERAL-YES TO ERROR-INDEM
              GO TO 2440-VAL-INDEM-W-DEFICNY-EXIT
           END-IF

      **********************************************************
      *                    NORMAL PROCESSING                   *
      **********************************************************

           IF WS-2440-FARM-UNIT-DEF <= ZEROS
              IF WS-2440-INDEMNITY > ZEROS
                 MOVE WS-LITERAL-IF TO WS-8000-ERROR-TYPE
                 MOVE 21050 TO WS-8000-ERROR-CODE
                 MOVE WS-LITERAL-YES TO ERROR-INDEM
                 MOVE WS-LITERAL-INDEM TO WS-8000-FIELD-NAME1
                 MOVE WS-2440-INDEMNITY TO WS-8000-BAD-DATA1
                 MOVE '< OR = 0' TO WS-8000-CORR-DATA1
                 MOVE 2440 TO WS-8000-PARAGRAPH-NO
                 PERFORM 8000-RECORD-TRAN-ERROR
                    THRU 8000-RECORD-TRAN-ERROR-EXIT
              END-IF
           END-IF.

       2440-VAL-INDEM-W-DEFICNY-EXIT.
           EXIT.

