
      ******************************************************************
      *  File:     WS2255.CBL                                          *
      *  Author:   Laura Dittamo/Mike Ray                              *
      *  Date:     10/04/95                                            *
      *  Purpose:  Working Storage for IF2255-DETERMINE-TRANS-LATE.    *
      *
      *  Modifications
      *
      *  11/05/97  Use RATE state & county instead of LOCATION for
      *            ADM3 lookup.  jlh.
      ******************************************************************
      * Uses: WS-0009-ASSIGNED-RISK              Assuming  PIC 9(01).
      *       WS-0009-LATE-PROCESS-FLAG                    PIC 9(01).


       01 WS-2255-INPUT-FIELDS.
          05 WS-2255-FCIC-CTRL-DT.
             10 WS-2255-FCIC-YEAR              PIC 9(04).
             10 WS-2255-FCIC-MONTH             PIC 9(02).
             10 WS-2255-FCIC-DAY               PIC 9(02).
          05 ws-2255-fcic-proc-time            pic 9(06).
          05 WS-2255-REPORTING-ORG          PIC X(02).
          05 WS-2255-LOC-STATE             PIC 9(02).
          05 WS-2255-LOC-COUNTY            PIC 9(03).
          05 WS-2255-RATE-STATE             PIC 9(02).
          05 WS-2255-RATE-COUNTY            PIC 9(03).
          05 WS-2255-COMPANY-COUNTY         PIC 9(03).
          05 WS-2255-POLICY-NUM             PIC 9(07).
          05 WS-2255-CROP-YEAR              PIC 9(04).
          05 WS-2255-CROP-CD                PIC 9(04).
          05 ws-2255-insurance-plan-id      pic 9(02).
          05 WS-2255-TYPE-CD                PIC X(03).
          05 WS-2255-DUAL-CVG-FLG           PIC 9(01).
          05 WS-2255-COVERAGE-FLAG          PIC X(01).
          05 WS-2255-INS-PLAN-CD            PIC 9(02).
          05 WS-2255-ASSIGNED-RISK          PIC 9(01).
          05 WS-2255-LATE-PROCESS-FLG       PIC 9(01).

       01 WS-2255-WORK.
          05 WS-2255-EXISTING-14-REC-FOUND  PIC X(01).
          05 WS-2255-EARLIEST-SLS-CLS-DT    PIC 9(08).
          05 WS-2255-EARLIEST-ACRG-RPT-DT   PIC 9(08).
          05 WS-2255-CROP-POLICY-TYPE       PIC X(04).
          05 WS-2255-NEW-LATE-DATE.
             10 WS-2255-LATE-YEAR              PIC 9(04).
             10 WS-2255-LATE-MONTH             PIC 9(02).
             10 WS-2255-LATE-DAY               PIC 9(02).

       01 WS-2255-TYPE-14-DATES-WORK.
          10 WS-2255-TYPE-14-DATES-KEY.
             15 WS-2255-WORK-REPORTING-ORG     PIC X(02).
             15 WS-2255-WORK-LOC-STATE         PIC 9(02).
             15 WS-2255-WORK-COMPANY-COUNTY    PIC 9(03).
             15 WS-2255-WORK-POLICY-NUM        PIC 9(07).
             15 WS-2255-WORK-CROP-YEAR         PIC 9(04).
             15 WS-2255-WORK-LOC-COUNTY       PIC 9(03).
             15 WS-2255-WORK-CROP-CD           PIC 9(04).
             15 ws-2255-work-insurance-plan    pic 9(02).
             15 WS-2255-WORK-CROP-POLICY-TYPE  PIC X(04).
             15 WS-2255-WORK-DUAL-CVG-FLG      PIC 9(01).
          10 WS-2255-TYPE-14-DATES.
             15 WS-2255-WORK-ASSIGNED-RISK     PIC 9(01).
             15 WS-2255-WORK-ORIG-SUB-DATE     PIC 9(08).
             15 ws-2255-work-orig-sub-time     pic 9(06).
             15 WS-2255-WORK-SUB-BATCH-NUM     PIC 9(08).
             15 WS-2255-WORK-SUB-TRANS-SEQ-NUM PIC 9(08).
             15 WS-2255-WORK-CUTOFF-DATE       PIC 9(08).
             15 WS-2255-WORK-CHG-DATE          PIC 9(08).
             15 WS-2255-WORK-CHG-BATCH-NUM     PIC 9(08).
             15 WS-2255-WORK-CHG-TRANS-SEQ-NUM PIC 9(08).
             15 WS-2255-WORK-ACPT-DATE         PIC 9(08).
             15 WS-2255-WORK-ACPT-TIME         PIC 9(06).
             15 WS-2255-WORK-ACPT-BATCH-NUM    PIC 9(08).
             15 WS-2255-WORK-ACPT-TRANS-NUM    PIC 9(08).
             15 WS-2255-WORK-OVERRIDE-APROV-CD PIC X(03).
             15 WS-2255-WORK-OVERRIDE-USER-ID  PIC X(09).
             15 WS-2255-WORK-OVERRIDE-DATE     PIC 9(08).




