      *****************************************************************
      *  FILE:     WS2292.CBL                                         *
      *  AUTHOR:   LAURA DITTAMO                                      *
      *  DATE:     10/19/95                                           *
      *  PURPOSE:  WORKING STORAGE FOR 2292-VAL-DOLLAR-AMT-INS        *
      *****************************************************************

       01 WS-2292-INPUT.
          05 WS-2292-CROP-CD                PIC X(04).
          05 WS-2292-INS-PLAN-CD            PIC 9(02).
          05 WS-2292-RATE-COUNTY            PIC 9(03).
          05 WS-2292-RATE-STATE             PIC 9(02).
          05 WS-2292-CROP-YEAR              PIC 9(04).
          05 WS-2292-TYPE-CD                PIC X(03).
          05 WS-2292-PRACTICE-CD            PIC X(03).
          05 WS-2292-CVG-LVL-PCT            PIC 9(02).
          05 WS-2292-RATE-CLASS             PIC X(03).
          05 WS-2292-YIELD                  PIC 9(07)V9(01).
          05 WS-2292-PRICE-ELECTION         PIC 9(04)V9(04).
          05 WS-2292-CVG-LVL-PERCENT        PIC 9(02).
          05 WS-2292-CROP-UNIT-OF-MEASURE   PIC 9(02).
          05 WS-2292-GUAR-REDUCTION-FCTR    PIC 9(01)V9(03).
          05 WS-2292-DOLLAR-AMT-INS         PIC 9(06)V9(02).
          05 WS-2292-UNIT-OPT-CD            PIC X(02).
          05 WS-2292-REVENUE-CVG-LVL-PCT    PIC 9(01)V9(04).

       01 WS-2292-WORK.
          05 WS-2292-GROUP-ID               PIC X(06).
          05 WS-2292-CAT-DOLLAR-AMT         PIC 9(07)V9(02).
      *      *** THIS IS THE 50% AMT
          05 WS-2292-MIN-DOLLAR-AMT         PIC 9(07)V9(02).
      *      *** THIS IS THE 75% AMT
          05 WS-2292-GRP-MIN-DOLLAR-AMT     PIC 9(07).
          05 WS-2292-MAX-DOLLAR-AMT         PIC 9(07)V9(02).
          05 WS-2292-ADJUSTED-MAX-DOL-AMT   PIC 9(07).
          05 WS-2292-ERROR-INTEGER          PIC 9(10).
          05 WS-2292-DOLLAR-AMT-INS-X       PIC ZZZZZZ9.99.
          05 WS-2292-DOLLAR-AMT-INS-2-X     PIC ZZZZZZ9.99.
          05 WS-2292-INTEGER-ERROR          PIC 9(09).
          05 WS-2292-REVENUE-CVG-LVL-PCT-X  PIC 9.9999.
          05 WS-2292-RA-DOLLAR-AMT          PIC 9(07).
          05 WS-2292-RA-DOLLAR-AMT-X        PIC ZZZZZZ9.
          05 WS-2292-YIELD-X                PIC ZZZZZZ9.9.
          05 WS-2292-PRICE-ELECTION-X       PIC ZZZ9.9999.


       01 WS-2292-OUTPUT.
          05 WS-2292-100-PCT-MAX-DOLLAR-AMT PIC 9(06)V9(02).
          05 WS-2292-GUARANTEE-PER-ACRE        PIC 9(09)V9(01).
          05 WS-2292-CAT-65-PCT-DOLLAR-AMT  PIC 9(06)V9(02).
          05 WS-2292-NEW-DOLLAR-AMT-INS     PIC 9(06)V9(02).
          05 WS-2292-UPDATE-DOLLAR-AMT-INS  PIC X(01).


