      ******************************************************************
      *  File:     WS2335.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     10/20/95                                            *
      *  Purpose:  Working Storage for 2335-VAL-BASE-PREM-RT           *
      ******************************************************************
      * POPULATE ALL INPUT FIELDS

       01 WS-2335-INPUT.
           05 WS-2335-100-PCT-RT-DIFF         PIC 9(01)V9(03).
           05 WS-2335-100-PCT-RT-DIFF-X       PIC 9.999.
           05 WS-2335-ELECT-RATE-DIFF         PIC 9(01)V9(03).
          05 WS-2335-CROP-CD                PIC X(04).
          05 WS-2335-INS-PLAN-CD            PIC 9(02).
          05 WS-2335-RATE-COUNTY            PIC 9(03).
          05 WS-2335-RATE-STATE             PIC 9(02).
          05 WS-2335-CROP-YEAR              PIC 9(04).
          05 WS-2335-TYPE-CD                PIC 9(03).
          05 WS-2335-PRACTICE-CD            PIC X(03).
          05 WS-2335-CVG-LVL-PCT            PIC 9(02).
          05 WS-2335-RATE-CLASS             PIC X(03).
          05 WS-2335-BASE-PREMIUM-RATE      PIC 9(05)V9(04).
          05 WS-2335-ID-TYPE                PIC 9(01).
          05 WS-2335-ID-NUM                 PIC 9(09).
          05 WS-2335-PRICE-ELECTION         PIC 9(04)V9(04).
          05 WS-2335-YIELD                  PIC 9(07)V9(01).
          05 WS-2335-REVENUE-CVG-LVL-PCT    PIC 9(01)V9(04).
          05 WS-2335-OPTION-CD              PIC X(08).
          05 WS-2335-MAP-FACTOR             PIC 9(01)V9(03).
          05 WS-2335-PARTIAL-PP-FLAG        PIC X(01).

       01 WS-2335-WORK.
           05 ws-2335-rate-times-factor       pic 9(05)v9999.
           05 WS-2335-rate-times-factor-x     PIC ZZZZ9.9999.
          05 WS-2335-BASE-PREMIUM-RATE-X    PIC ZZZZ9.9999.
          05 WS-2335-NCS-RATE-FOUND-FLAG    PIC X(01).
          05 WS-2335-NCS-RATE               PIC 9(01)V9(03).
          05 WS-2335-NCS-RATE-PCT           PIC 9(05)V9(03).
          05 WS-2335-NCS-RATE-PCT-X         PIC ZZZZ9.9999.
          05 WS-2335-ADMAR-RATE             PIC 9(01)V9(03).
          05 WS-2335-ADMAR-RATE-X           PIC 9.999.
          05 WS-2335-ADMIR-RATE             PIC 9(01)V9(03).
          05 WS-2335-ADMIR-RATE-X           PIC 9.999.
          05 WS-2335-ADM1G-RATE             PIC 9(03)V9(02).
          05 WS-2335-ADM1-RATE-PCT          PIC 9(05)V9(04).
          05 WS-2335-ADM1-RATE-PCT-X        PIC ZZZZ9.9999.
          05 WS-2335-FCIC2-RATE-PCT         PIC 9(05)V9(04).
          05 WS-2335-FCIC2-RATE-PCT-X       PIC ZZZZ9.9999.
          05 WS-2335-HIGHEST-RATE-FOUND     PIC 9(05)V9(04).
          05 WS-2335-HIGHEST-RATE-FOUND-X   PIC ZZZZ9.9999.
          05 WS-2335-RA-BASE-PREMIUM-RATE   PIC 9(04)V9(04).
          05 WS-2335-RA-BASE-PREMIUM-RATE-X PIC ZZZ9.9999.
          05 WS-2335-CAT-65-PCT-PREM-RATE-X PIC ZZZ9.9999.
          05 WS-2335-MAP-FACTOR-X           PIC 9.999.
          05 WS-2335-IP-50-PCT-PREM-RATE-X  PIC ZZZ9.9999.

       01 WS-2335-OUTPUT.
          05 WS-2335-CAT-65-PCT-PREM-RATE    PIC 9(04)V9(04).
          05 WS-2335-IP-50-PCT-PREM-RATE     PIC 9(04)V9(04).

