      ******************************************************************
      *  File:     WS2342.CBL                                          *
      *  Author:   Laura Dittamo                                       *
      *  Date:     03/15/96                                            *
      *  Purpose:  Working Storage for 2342-LOOKUP-YIELD-QTY           *
      ******************************************************************
      * POPULATE ALL INPUT FIELDS EXCEPT FOR REDEFINITIONS

       01 WS-2342-INPUT.
          05 WS-2342-CROP-CD                   PIC X(04).
          05 WS-2342-INS-PLAN-CD               PIC 9(02).
          05 WS-2342-RATE-COUNTY               PIC 9(03).
          05 WS-2342-RATE-STATE                PIC 9(02).
          05 WS-2342-CROP-YEAR                 PIC 9(04).
          05 WS-2342-TYPE-CD                   PIC X(03).
          05 WS-2342-PRACTICE-CD               PIC X(03).
          05 WS-2342-RATE-CLASS                PIC X(03).
          05 WS-2342-NCS-FCIC-2-FL             PIC X(02).
          05 WS-2342-ID-TYPE                   PIC 9(01).
          05 WS-2342-ID-NUM                    PIC 9(09).
          05 WS-2342-OPTION-CD                 PIC X(08).


       01 WS-2342-WORK.
          05 WS-2342-RATE-GROUP-ID             PIC X(06).
          05 WS-2342-NCS-YIELD-FACTOR          PIC 9(03)V9(02).
          05 WS-2342-INTEGER-ERROR             PIC 9(09).

       01 WS-2342-OUTPUT.
          05 WS-2342-UPDATE-MADE               PIC X(01).
             88 UPDATE-MADE-2342               VALUE WS-LITERAL-YES.
          05 WS-2342-LOW-YLD-QTY               PIC 9(07)V9(02).
          05 WS-2342-HIGH-YLD-QTY              PIC 9(07)V9(02).


