
      ******************************************************************
      *  FILE:     WS2500.CBL                                          *
      *  AUTHOR:   LAURA DITTAMO/MIKE RAY                              *
      *  DATE:     01/30/95                                            *
      *  PURPOSE:  WORKING STORAGE FOR IF2500-DETERMINE-WEEKS-LATE.
      *
      *  MODIFICATIONS
      *
      *  11/05/97  USE RATE STATE & COUNTY INSTEAD OF LOCATION.  JLH.
      ******************************************************************

       01 WS-2500-INPUT.
          05 WS-2500-FCIC-CTRL-DT.
             10 WS-2500-FCIC-YEAR               PIC 9(04).
             10 WS-2500-FCIC-MONTH              PIC 9(02).
             10 WS-2500-FCIC-DAY                PIC 9(02).
          05 WS-2500-REPORTING-ORG           PIC X(02).
          05 WS-2500-RATE-STATE              PIC 9(02).
          05 WS-2500-COMPANY-COUNTY          PIC 9(03).
          05 WS-2500-POLICY-NUM              PIC 9(07).
          05 WS-2500-CROP-YEAR               PIC 9(04).
          05 WS-2500-RECORD-TYPE             PIC 9(02).
          05 WS-2500-RATE-COUNTY             PIC 9(03).
          05 WS-2500-CROP-CD                 PIC 9(04).
          05 WS-2500-INSURANCE-PLAN-ID       PIC 9(02).
          05 WS-2500-TYPE-CD                 PIC X(03).
          05 WS-2500-PRACTICE-CD             PIC X(03).
          05 WS-2500-SEED-CYCLE              PIC X(01).



       01 WS-2500-WORK.
          05 WS-2500-LATEST-ARD              PIC 9(08).
          05 WS-2500-EXTENDED-ARD.
             10 WS-2500-EXT-ARD-YEAR         PIC 9(04).
             10 WS-2500-EXT-ARD-MONTH        PIC 9(02).
             10 WS-2500-EXT-ARD-DAY          PIC 9(02).
          05 WS-2500-JUL-FCIC-CTRL-DT.
             10 WS-2500-JUL-FCIC-YEAR        PIC 9(04).
             10 WS-2500-JUL-FCIC-DAY         PIC 9(03).
          05 WS-2500-JUL-EXTENDED-ARD.
             10 WS-2500-JUL-ARD-YEAR         PIC 9(04).
             10 WS-2500-JUL-ARD-DAY          PIC 9(03).
          05 WS-2500-DAYS-LATE               PIC 9(03).
          05 WS-2500-DAYS-IN-YEAR            PIC 9(03).
          05 WS-2500-TOT-DAYS-LATE           PIC S9(03).
          05 WS-2500-CROP-POLICY-TYPE        PIC X(04).
          05 WS-2500-REDUCTION-WEEKS         PIC 9(02).
          05 WS-2500-WORK-WEEKS-LATE-DEC     PIC 9(02)V9(02).
          05 WS-2500-WORK-WEEKS-LATE REDEFINES
             WS-2500-WORK-WEEKS-LATE-DEC.
             10  WS-2500-TOT-WEEKS-LATE      PIC 9(02).
             10  WS-2500-PARTIAL-WEEKS-LATE  PIC 9(02).

       01 WS-2500-OUTPUT.
          05 WS-2500-WEEKS-LATE              PIC 9(02).
          05 WS-2500-FIRST-SUBMISSION-FLG    PIC X(01).



       01 WS-2500-TYPE-11-DATES-WORK.
          10 WS-2500-TYPE-11-DATES-KEY.
             15 WS-2500-WORK-REPORTING-ORG     PIC X(02).
             15 WS-2500-WORK-RATE-STATE        PIC 9(02).
             15 WS-2500-WORK-COMPANY-COUNTY    PIC 9(03).
             15 WS-2500-WORK-POLICY-NUM        PIC 9(07).
             15 WS-2500-WORK-CROP-YEAR         PIC 9(04).
             15 WS-2500-WORK-RATE-COUNTY       PIC 9(03).
             15 WS-2500-WORK-CROP-CD           PIC 9(04).
             15 WS-2500-WORK-INSURANCE-PLAN    PIC 9(02).
             15 WS-2500-WORK-SEED-CYCLE        PIC X(01).
          10 WS-2500-TYPE-11-DATES-DATA.
             15 WS-2500-WORK-LATE-FILED-DATE   PIC 9(08).
             15 WS-2500-WORK-REDUCTION-WEEKS   PIC 9(02).
             15 WS-2500-WORK-ORIG-SUB-DATE     PIC 9(08).
             15 WS-2500-WORK-SUB-BATCH-NUM     PIC 9(08).
             15 WS-2500-WORK-SUB-TRANS-SEQ-NUM PIC 9(08).
             15 WS-2500-WORK-ACREAGE-RPT-DATE  PIC 9(08).
             15 WS-2500-WORK-ACPT-DATE         PIC 9(08).
             15 WS-2500-WORK-ACPT-TIME         PIC 9(06).
             15 WS-2500-WORK-ACPT-BATCH-NUM    PIC 9(08).
             15 WS-2500-WORK-ACPT-TRANS-NUM    PIC 9(08).
             15 WS-2500-WORK-OVRD-APPROVAL-CD  PIC X(03).
             15 WS-2500-WORK-OVRD-USER-ID      PIC X(09).
             15 WS-2500-WORK-OVRD-DATE         PIC 9(08).

