      ****************************************************
      * FILE:   WS2515.CBL
      * AUTHOR: Mike Ray
      * DATE:   02/12/96
      * PURPOSE: WORKING STORAGE FOR 2515-VAL-YIELD-TY-SEQ
      ****************************************************

       01 WS-2515-INPUT.
          05 WS-2515-NCS-FLAG                  PIC X(01).
          05 WS-2515-YIELD-INDICATOR           PIC X(01).
          05 WS-2515-YIELD-TYPES.
             10 WS-2515-YIELD-TYPE1            PIC X(01).
             10 WS-2515-YIELD-TYPE2            PIC X(01).
             10 WS-2515-YIELD-TYPE3            PIC X(01).
             10 WS-2515-YIELD-TYPE4            PIC X(01).
             10 WS-2515-YIELD-TYPE5            PIC X(01).
             10 WS-2515-YIELD-TYPE6            PIC X(01).
             10 WS-2515-YIELD-TYPE7            PIC X(01).
             10 WS-2515-YIELD-TYPE8            PIC X(01).
             10 WS-2515-YIELD-TYPE9            PIC X(01).
             10 WS-2515-YIELD-TYPE10           PIC X(01).
          05 WS-2515-YIELD-TYPE-TBL REDEFINES
             WS-2515-YIELD-TYPES.
             10 WS-2515-YIELD-TYPE-REC OCCURS 10 TIMES
                INDEXED BY WS-2515-YIELD-TYPE-INDEX.
                15 WS-2515-TBL-YIELD-TYPE         PIC X(01).

       01 WS-2515-LOCAL.
          05 WS-2515-YIELD-TYPE-INT-INDEX   PIC 9(02).
          05 WS-2515-COUNT-LIMIT            PIC 9(02).
          05 WS-2515-INTEGER-ERROR          PIC 9(02).
          05 WS-2515-ACTUAL-COUNT           PIC 9(02).
          05 WS-2515-SPECIAL-C-COUNT        PIC 9(02).
          05 WS-2515-80-PCT-E-COUNT         PIC 9(02).
          05 WS-2515-RSO-ASSIGNED-F-COUNT   PIC 9(02).
          05 WS-2515-TEMP-ACTUAL-J-COUNT    PIC 9(02).
          05 WS-2515-90-PCT-N-COUNT         PIC 9(02).
          05 WS-2515-75-PCT-P-COUNT         PIC 9(02).
          05 WS-2515-65-PCT-S-COUNT         PIC 9(02).
          05 WS-2515-TRANSITIONAL-COUNT     PIC 9(02).
          05 WS-2515-110-PCT-H-PILOT-COUNT  PIC 9(02).
          05 WS-2515-100-PCT-NEW-I-COUNT    PIC 9(02).
          05 WS-2515-SPECIAL-L-COUNT        PIC 9(02).
          05 WS-2515-80-PCT-NEW-X-COUNT     PIC 9(02).
          05 WS-2515-ZERO-ACRES-COUNT       PIC 9(02).
          05 WS-2515-BLANK-COUNT            PIC 9(02).
          05 WS-2515-HOLD-YIELD-TYPE        PIC X(01).

       01 WS-2515-OUTPUT.
          05 WS-2515-REFERENCE-UNIT-REQ     PIC X(01).

