      ****************************************************
      * FILE:   WS2530.CBL
      * AUTHOR: Yo-I Tsui
      * DATE:   2/13/96
      * PURPOSE: WORKING STORAGE VARIABLES FOR
      *          2530-VAL-TRANSITIONAL-YLD
      ****************************************************

       01  WS-2530-INPUT.
           05 WS-2530-CROP-UNIT-OF-MEASURE  PIC 9(02).
           05 WS-2530-CROP-YEAR             PIC 9(04).
           05 WS-2530-STATE                 PIC 9(02).
           05 WS-2530-COUNTY                PIC 9(03).
           05 WS-2530-CROP-CD               PIC 9(04).
           05 WS-2530-INSURANCE-PLAN-ID     PIC 9(02).
           05 WS-2530-PRACTICE-CD           PIC X(03).
           05 WS-2530-TYPE                  PIC X(03).
           05 WS-2530-TRANS-YIELD           PIC 9(05)V9(01).
           05 WS-2530-YLD-LMT-FLG           PIC 9(01).
           05 WS-2530-MAP-AREA              PIC X(03).
           05 WS-2530-CFSA-YIELD            PIC 9(05)V9(01).
           05 WS-2530-YIELD-TYPES.
              10 WS-2530-YIELD-TYPE1            PIC X(01).
              10 WS-2530-YIELD-TYPE2            PIC X(01).
              10 WS-2530-YIELD-TYPE3            PIC X(01).
              10 WS-2530-YIELD-TYPE4            PIC X(01).
              10 WS-2530-YIELD-TYPE5            PIC X(01).
              10 WS-2530-YIELD-TYPE6            PIC X(01).
              10 WS-2530-YIELD-TYPE7            PIC X(01).
              10 WS-2530-YIELD-TYPE8            PIC X(01).
              10 WS-2530-YIELD-TYPE9            PIC X(01).
              10 WS-2530-YIELD-TYPE10           PIC X(01).
           05 WS-2530-YIELD-TYPE-TBL REDEFINES
              WS-2530-YIELD-TYPES.
              10 WS-2530-YIELD-TYPE-REC OCCURS 10 TIMES
                 INDEXED BY WS-2530-YIELD-TYPE-INDEX.
                 15 WS-2530-TBL-YIELD-TYPE         PIC X(01).

       01  WS-2530-LOCAL.
           05 WS-2530-CFSA-YLD               PIC 9(05)V9(01).
           05 WS-2530-TRANS-YLD              PIC 9(05)V9(01).
           05 WS-2530-YIELD-TYPE-INT-INDEX   PIC 9(02).
           05 WS-2530-TRANS-YIELD-REQ        PIC X(01).
           05 WS-2530-T-YIELD                PIC 9(10)V9(01).
           05 WS-2530-T-YIELD-X              PIC ZZZZZZZZZ9.9.
           05 WS-2530-TRANS-YLD-X            PIC ZZZZ9.9.
           05 WS-2530-CFSA-YLD-X             PIC ZZZZ9.9.
           05 WS-2530-T-YIELD-WHOLE          PIC 9(10).
           05 WS-2530-T-YIELD-TENTHS         PIC 9(10)V9(01).


       01  WS-2530-OUTPUT.
           05 WS-2530-CFSA-YIELD-REQ         PIC X(01).


