      **********************************************************
      * FILE   : WS2630.CBL                                    *
      * AUTHOR : Mike Ray                                      *
      * DATE   : 05/23/97                                      *
      * PURPOSE: WORKING STORAGE FOR 2630-VAL-INDEMNITY        *
      **********************************************************

       01 WS-2630-INPUT.
      *   *** FIELDS USED BY THIS MODULE ***
          05 WS-2630-INPUT-INDEMNITY         PIC S9(08).
          05 WS-2630-INPUT-FARM-UNIT-DEF     PIC S9(08)V9(02).
          05 WS-2630-INS-PLAN-CD             PIC 9(02).
          05 WS-2630-CROP-CD                 PIC 9(04).
          05 WS-2630-STAGE-CD                PIC X(02).
      *   *** FIELDS PASSED TO CALCULATION MODULES ***
          05 WS-2630-CROP-UNIT-OF-MEASURE    PIC 9(02).
          05 WS-2630-LOSS-GUARANTEE          PIC 9(08)V9(02).
          05 WS-2630-PROD-TO-COUNT           PIC 9(08)V9(02).
          05 WS-2630-INSURED-SHARE           PIC 9(01)V9(03).
          05 WS-2630-PRICE-ELECTION          PIC 9(04)V9(04).
          05 WS-2630-PERCENT-ELECTION        PIC 9(01)V9(02).
          05 WS-2630-GRP-PAYMENT-FACTOR      PIC 9(01)V9(02).

       01 WS-2630-WORK.
          05 WS-2630-INPUT-INDEMNITY-X       PIC +ZZZZZZZ9.
          05 WS-2630-INPUT-FARM-UNIT-DEF-X   PIC +ZZZZZZZ9.99.
          05 WS-2630-CALC-INDEMNITY-X        PIC +ZZZZZZZ9.
          05 WS-2630-CALC-FARM-UNIT-DEF-X    PIC +ZZZZZZZ9.99.


       01 WS-2630-OUTPUT.
          05 WS-2630-CALC-FARM-UNIT-DEF      PIC S9(08)V9(02).
          05 WS-2630-CALC-INDEMNITY          PIC S9(08).

