      *****************************************************************
      * File:      IR3010.CBL
      * Author:    Laura Dittamo
      * Date:      8/31/95
      * Purpose:
      *    This file contains the inter-record validation modules
      *    for the current policy.
      *****************************************************************

       3010-VAL-POLICY.

      $IF DEBUG-SW DEFINED
           DISPLAY '3010-VALIDATING POLICY'
           UPON CONSOLE
      $END

           PERFORM 3300-CHECK-SBIS
              THRU 3300-CHECK-SBIS-EXIT

      * IF NO ERROR HAS BEEN RECORDED FOR THE TYPE 10 THEN CREATE
      * ONE.
           IF (WS-0005-REJECT-POLICY-FLAG = WS-LITERAL-YES) AND
              NOT (WS-0005-ERROR-RECORDED = WS-LITERAL-YES)
              MOVE WS-0005-TRAN-SEQ-NO TO WS-8000-TRAN-SEQ-NO
              MOVE 10034 TO WS-8000-ERROR-CODE
              MOVE WS-LITERAL-IR TO WS-8000-ERROR-TYPE
              MOVE 'TYPE 10' TO WS-8000-FIELD-NAME1
              MOVE 'REC ???' TO WS-8000-BAD-DATA1
              MOVE WS-0005-CURRENT-POLICY-NO
                TO WS-8000-POLICY-NO
              MOVE 3010 TO WS-8000-PARAGRAPH-NO
              MOVE WS-0005-RECORD-NUM TO WS-8000-RECORD-NUM
              PERFORM 8000-RECORD-TRAN-ERROR
                 THRU 8000-RECORD-TRAN-ERROR-EXIT
           END-IF

      * WRITE THE TYPE 10 POLICY TRANSACTION TO THE TEMPORARY HOLD FILE

           INITIALIZE WS-0940-HOLD-REC
           MOVE WS-0005-CURRENT-POLICY-RECORD TO WS-0940-HOLD-REC
           MOVE WS-0005-REJECT-POLICY-FLAG TO WS-0940-TRAN-REJECTED-FLAG
           MOVE WS-0005-POLICY-SOURCE-FLAG TO WS-0940-TRAN-SOURCE-FLAG

           PERFORM 7099-BUFFER-POLICY-RECORD
              THRU 7099-BUFFER-POLICY-RECORD-EXIT.


       3010-VAL-POLICY-EXIT.
           EXIT.
