      *****************************************************************
      * File:      IR3012.CBL
      * Author:    Yo-I Tsui
      * Date:      1/2/96
      * Purpose:
      *    This file contains the inter-record validation modules
      *    for the type 12 transaction table.
      *****************************************************************

       3012-VAL-T12-TABLE.

      $IF DEBUG-SW DEFINED
           DISPLAY '3012-VALIDATING T12 TABLE'
           UPON CONSOLE
      $END

      $IF DEBUG-SW DEFINED
           DISPLAY 'T12(01)= ', WS-0012-TBL-TYPE-12(1)
           UPON CONSOLE
           DISPLAY 'T12(02)= ', WS-0012-TBL-TYPE-12(2)
           UPON CONSOLE.
      $END

           IF WS-0012-T12-REC-COUNT = ZEROS
              GO TO 3012-VAL-T12-TABLE-EXIT
           END-IF

           PERFORM 3405-VAL-RECORD-NUMBER
              THRU 3405-VAL-RECORD-NUMBER-EXIT

           PERFORM 3410-VAL-PREPAYMENT-FLG
              THRU 3410-VAL-PREPAYMENT-FLG-EXIT

           PERFORM 3420-VAL-PAID-AMOUNT
              THRU 3420-VAL-PAID-AMOUNT-EXIT

           PERFORM 3450-VAL-T14-CVG-FLAG
              THRU 3450-VAL-T14-CVG-FLAG-EXIT.


       3012-VAL-T12-TABLE-EXIT.
           EXIT.



