      *****************************************************************
      * File:      IR3014.CBL
      * Author:    Laura Dittamo
      * Date:      8/28/95
      * Purpose:
      *    This file contains the inter-record validation modules
      *    for the type 14 transaction table.
      *****************************************************************

       3014-VAL-T14-TABLE.

      $IF DEBUG-SW DEFINED
           DISPLAY '3014-VALIDATING T14 TABLE'
           UPON CONSOLE
      $END

           IF WS-0014-T14-REC-COUNT = ZEROS
              GO TO 3014-VAL-T14-TABLE-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'T14(01)= ', WS-0014-TBL-TYPE-14(1)
           UPON CONSOLE
           DISPLAY 'T14(02)= ', WS-0014-TBL-TYPE-14(2)
           UPON CONSOLE
           DISPLAY 'T14(03)= ', WS-0014-TBL-TYPE-14(3)
           UPON CONSOLE
           DISPLAY 'T14(04)= ', WS-0014-TBL-TYPE-14(4)
           UPON CONSOLE
           DISPLAY 'T14(05)= ', WS-0014-TBL-TYPE-14(5)
           UPON CONSOLE
      $END

           PERFORM 3330-CHECK-ENTITY-TYPE
              THRU 3330-CHECK-ENTITY-TYPE-EXIT

           PERFORM 3350-LIMIT-NO-OF-TYPE-14
              THRU 3350-LIMIT-NO-OF-TYPE-14-EXIT

           PERFORM 3360-DETERMINE-VAL-REFUND
              THRU 3360-DETERMINE-VAL-REFUND-EXIT.



       3014-VAL-T14-TABLE-EXIT.
           EXIT.

