      *****************************************************************
      * File:      IR3015.CBL
      * Author:    Mike Ray
      * Date:      3/01/96
      * Purpose:
      *    This file contains the inter-record validation modules
      *    for the type 15 transaction table.
      *****************************************************************

       3015-VAL-T15-TABLE.

      $IF DEBUG-SW DEFINED
           DISPLAY '3015-VALIDATING T15 TABLE'
           UPON CONSOLE
      $END

           IF WS-0015-T15-REC-COUNT = ZEROS
              GO TO 3015-VAL-T15-TABLE-EXIT
           END-IF.

      $IF DEBUG-SW DEFINED
           DISPLAY 'T15(01)= ', WS-0015-TBL-TYPE-15(1)
           UPON CONSOLE
           DISPLAY 'T15(02)= ', WS-0015-TBL-TYPE-15(2)
           UPON CONSOLE
           DISPLAY 'T15(03)= ', WS-0015-TBL-TYPE-15(3)
           UPON CONSOLE
           DISPLAY 'T15(04)= ', WS-0015-TBL-TYPE-15(4)
           UPON CONSOLE
           DISPLAY 'T15(05)= ', WS-0015-TBL-TYPE-15(5)
           UPON CONSOLE.
      $END.

           PERFORM 3430-FIND-T14-FOR-T15
              THRU 3430-FIND-T14-FOR-T15-EXIT

           PERFORM 3355-FIND-REF-UNITS
              THRU 3355-FIND-REF-UNITS-EXIT.


       3015-VAL-T15-TABLE-EXIT.
           EXIT.


