      *****************************************************************
      * File:      IR3020.CBL
      * Author:    Laura Dittamo
      * Date:      1/03/96
      * Purpose:
      *    This copy file contains the inter-record validation modules
      *    for the Type 20 Table.
      *****************************************************************

       3020-VAL-T20-TABLE.

      $IF DEBUG-SW DEFINED
           DISPLAY '3020-VALIDATING T20 TABLE'
           UPON CONSOLE
      $END

           IF WS-0020-T20-REC-COUNT = ZEROS
              GO TO 3020-VAL-T20-TABLE-EXIT
           END-IF

      $IF DEBUG-SW DEFINED
           DISPLAY 'T20(01)= ', WS-0020-TBL-TYPE-20(1)
           UPON CONSOLE
           DISPLAY 'T20(02)= ', WS-0020-TBL-TYPE-20(2)
           UPON CONSOLE
           DISPLAY 'T20(03)= ', WS-0020-TBL-TYPE-20(3)
           UPON CONSOLE
           DISPLAY 'T20(04)= ', WS-0020-TBL-TYPE-20(4)
           UPON CONSOLE
           DISPLAY 'T20(05)= ', WS-0020-TBL-TYPE-20(5)
           UPON CONSOLE.
      $END

           PERFORM 3495-COMP-TOTALS-20-21
              THRU 3495-COMP-TOTALS-20-21-EXIT

           PERFORM 3500-REJECT-CLAIM-NO
              THRU 3500-REJECT-CLAIM-NO-EXIT.

      * ONCE THE DATABASE HAS BEEN ESTABLISHED WE WILL CODE
      * 3480-VAL-P-CR-MEMO-POL-NO

       3020-VAL-T20-TABLE-EXIT.
           EXIT.
