      ***************************************************************
      * File:      WS3000.CBL
      * Author:    Mike Ray
      * Date:      01/17/96
      * Purpose:
      *    This copy file contains the working storage for the
      *    inter-record validation modules.
      *
      * Contains:
      *    WS3100.CBL  3100-PROCESS-HELD-CROP
      *    WS3200.CBL  3200-PROCESS-HELD-POLICY
      *
      * Policy Edits:
      *    WS3300.CBL  3300-CHECK-SBIS
      *
      * SBI Edits:
      *
      * Type 11 Edits:
      *    WS3335.CBL  3335-VAL-RA-WFARM-DISCNT
      *    WS3365.CBL  3365-VAL-RA-COVERAGE
      *    WS3370.CBL  3370-SAME-CVG-LVL-PCT-T11
      *    WS3375.CBL  3375-VAL-RELATED-TYPE-15
      *    WS3385.CBL  3385-VAL-TYPE-10-ID-TYPE
      *    WS3390.CBL  3390-VAL-UNIQUE-FSN-UNIT
      *    WS3395.CBL  3395-VAL-PP-ACRES
      *    WS3410.CBL  3410-VAL-PREPAYMENT-FLG
      *    WS3440.CBL  3440-VAL-UNIT-DISCOUNT
      *    WS3445.CBL  3445-VAL-MALT-BARLEY-RATE
      *
      * Type 12 Edits:
      *    WS3405.CBL  3405-VAL-RECORD-NUMBER
      *    WS3420.CBL  3420-VAL-PAID-AMOUNT
      *
      * Type 14 Edits:
      *    WS3330.CBL  3330-CHECK-ENTITY-TYPE
      *    WS3340.CBL  3340-SAME-ASGD-RISK
      *    WS3345.CBL  3345-SAME-ASGD-RISK
      *    WS3350.CBL  3350-LIMIT-NO-OF-TYPE-14
      *    WS3360.CBL  3360-DETERMINE-VAL-REFUND
      *    WS3380.CBL  3380-VAL-RELATED-TYPE-14
      *
      * Type 15 Edits:
      *    WS3430.CBL  3430-FIND-T14-FOR-T15
      *    WS3355.CBL  3355-FIND-REF-UNITS
      *
      * Type 16 Edits:
      *
      * Type 20 Edits:
      *    WS3495.CBL  3495-COMP-TOTALS-20-21
      *    WS3510.CBL  3510-GENERATE-PCR-MEMOS
      *
      * Type 21 Edits:
      *    WS3400.CBL  3400-VAL-RELATE-TYPE-20
      *    WS3425.CBL  3425-VAL-RELATED-TYPE-11
      *    WS3435.CBL  3435-VAL-SIMPLIFIED-CLAIM
      *    WS3485.CBL  3485-COMP-UNIT-TOT-21-11
      *    WS3505.CBL  3505-COMP-CROP-TOT-21-11
      *
      * Type 50 Edits:
      *
      ***************************************************************

       COPY 'IR/WS3200.CBL'.
       COPY 'IR/WS3300.CBL'.
       COPY 'IR/WS3330.CBL'.
       COPY 'IR/WS3335.CBL'.
       COPY 'IR/WS3340.CBL'.
       COPY 'IR/WS3345.CBL'.
       COPY 'IR/WS3350.CBL'.
       COPY 'IR/WS3355.CBL'.
       COPY 'IR/WS3360.CBL'.
       COPY 'IR/WS3365.CBL'.
       COPY 'IR/WS3370.CBL'.
       COPY 'IR/WS3375.CBL'.
       COPY 'IR/WS3380.CBL'.
       COPY 'IR/WS3385.CBL'.
       COPY 'IR/WS3390.CBL'.
       COPY 'IR/WS3395.CBL'.
       COPY 'IR/WS3400.CBL'.
       COPY 'IR/WS3405.CBL'.
       COPY 'IR/WS3410.CBL'.
       COPY 'IR/WS3420.CBL'.
       COPY 'IR/WS3425.CBL'.
       COPY 'IR/WS3430.CBL'.
       COPY 'IR/WS3435.CBL'.
       COPY 'IR/WS3440.CBL'.
       COPY 'IR/WS3445.CBL'.
       COPY 'IR/WS3485.CBL'.
       COPY 'IR/WS3495.CBL'.
       COPY 'IR/WS3505.CBL'.
       COPY 'IR/WS3510.CBL'.

