      ****************************************************
      * FILE:    WS3510.CBL
      * AUTHOR:  Mike Ray
      * DATE:    07/02/97
      * PURPOSE: Working Storage for 3510-GENERATE-PCR-MEMOS
      ****************************************************

       01 WS-3510-INPUT.
          05 WS-3510-TYPE-20.
             10 WS-3510-REC-TYPE               PIC 9(02).
             10 WS-3510-T20-POLICY-NO.
                15 WS-3510-RO                     PIC X(02).
                15 WS-3510-LOCATION-STATE         PIC 9(02).
                15 WS-3510-COMPANY-COUNTY         PIC 9(03).
                15 WS-3510-POLICY-NUMBER          PIC 9(07).
                15 WS-3510-T20-CROP-YR            PIC 9(04).
             10 WS-3510-KEY-RESERVE-1          PIC X(21).
             10 WS-3510-CLAIM-NUM              PIC 9(08).
             10 WS-3510-REINSURE-YR            PIC 9(04).
             10 WS-3510-KEY-RESERVE-2          PIC X(20).
             10 WS-3510-FILLER-1               PIC X(02).
             10 WS-3510-T20-RECORD-NUM         PIC 9(03).
             10 WS-3510-1ST-TOT-REINS-YR       PIC X(04).
             10 WS-3510-1ST-TOT-P-CR-M-CO      PIC 9(03).
             10 WS-3510-1ST-TOTAL              PIC X(01).
             10 WS-3510-1ST-ESCROW-CHK         PIC 9(09).
             10 WS-3510-MEMO1 REDEFINES
                WS-3510-1ST-ESCROW-CHK.
                15 WS-3510-P-CR-MEMO1-ST          PIC 9(02).
                15 WS-3510-P-CR-MEMO1-POL         PIC 9(07).
             10 WS-3510-1ST-TOT-DT-DRFT-IS     PIC 9(08).
             10 WS-3510-1ST-TOTAL-AMOUNT       PIC S9(08)
                SIGN IS TRAILING.
             10 WS-3510-2ND-TOT-REINS-YR       PIC X(04).
             10 WS-3510-2ND-TOT-P-CR-M-CO      PIC 9(03).
             10 WS-3510-2ND-TOTAL              PIC X(01).
             10 WS-3510-2ND-ESCROW-CHK         PIC 9(09).
             10 WS-3510-MEMO2 REDEFINES
                WS-3510-2ND-ESCROW-CHK.
                15 WS-3510-P-CR-MEMO2-ST          PIC 9(02).
                15 WS-3510-P-CR-MEMO2-POL         PIC 9(07).
             10 WS-3510-2ND-TOT-DT-DRFT-IS     PIC 9(08).
             10 WS-3510-2ND-TOTAL-AMOUNT       PIC S9(08)
                SIGN IS TRAILING.
             10 WS-3510-3RD-TOT-REINS-YR       PIC X(04).
             10 WS-3510-3RD-TOT-P-CR-M-CO      PIC 9(03).
             10 WS-3510-3RD-TOTAL              PIC X(01).
             10 WS-3510-3RD-ESCROW-CHK         PIC 9(09).
             10 WS-3510-MEMO3 REDEFINES
                WS-3510-3RD-ESCROW-CHK.
                15 WS-3510-P-CR-MEMO3-ST          PIC 9(02).
                15 WS-3510-P-CR-MEMO3-POL         PIC 9(07).
             10 WS-3510-3RD-TOT-DT-DRFT-IS     PIC 9(08).
             10 WS-3510-3RD-TOTAL-AMOUNT       PIC S9(08)
                SIGN IS TRAILING.
             10 WS-3510-4TH-TOT-REINS-YR       PIC X(04).
             10 WS-3510-4TH-TOT-P-CR-M-CO      PIC 9(03).
             10 WS-3510-4TH-TOTAL              PIC X(01).
             10 WS-3510-4TH-ESCROW-CHK         PIC 9(09).
             10 WS-3510-MEMO4 REDEFINES
                WS-3510-4TH-ESCROW-CHK.
                15 WS-3510-P-CR-MEMO4-ST          PIC 9(02).
                15 WS-3510-P-CR-MEMO4-POL         PIC 9(07).
             10 WS-3510-4TH-TOT-DT-DRFT-IS     PIC 9(08).
             10 WS-3510-4TH-TOTAL-AMOUNT       PIC S9(08)
                SIGN IS TRAILING.
             10 WS-3510-FILLER-2               PIC X(123).
             10 WS-3510-VALID-FOR-ESCROW       PIC X(01).
             10 WS-3510-T20-DATA-RECEIPT-DATE  PIC 9(08).
             10 WS-3510-FSA-CONTROL-DATE       PIC 9(08).
             10 WS-3510-T20-FCIC-CONTROL-TIME  PIC 9(08).
             10 WS-3510-T20-FCIC-CONTROL-DATE  PIC 9(08).
             10 WS-3510-T20-REINS-YR           PIC 9(04).
             10 WS-3510-T20-BATCH-NO           PIC 9(04).
             10 WS-3510-T20-TRAN-SEQ-NO        PIC 9(08).
             10 WS-3510-T20-TRAN-REJECTED-FLAG PIC X(01).
             10 WS-3510-T20-TRAN-SOURCE-FLAG   PIC X(01).
             10 WS-3510-T20-MDAS-PROCESS-NO    PIC 9(02).
             10 WS-3510-FILLER-3               PIC X(14).



       01 WS-3510-PCR-T12.
          05 WS-3510-RECORD-TYPE            PIC X(02).
          05 WS-3510-POLICY-NO.
             10 WS-3510-REPORTING-ORG          PIC X(02).
             10 WS-3510-LOC-STATE              PIC X(02).
             10 WS-3510-COMPANY                PIC X(03).
             10 WS-3510-POLICY-NUM             PIC X(07).
             10 WS-3510-CROP-YEAR              PIC X(04).
          05 WS-3510-KEY-RESERVE            PIC X(55).
          05 WS-3510-RECORD-NUM             PIC X(03).
          05 WS-3510-PAYMENT-TYPE           PIC X(02).
          05 WS-3510-PAID-AMOUNT            PIC S9(08)V9(02).
          05 WS-3510-PREPAYMENT-FLG         PIC X(01).
          05 WS-3510-PAID-DATE              PIC X(08).
          05 WS-3510-FILLER-1               PIC X(201).
          05 WS-3510-PMEMO-PARENT-CLAIM-NO  PIC 9(08).
          05 WS-3510-PMEMO-PARENT-TSEQ-NO   PIC 9(08).
          05 WS-3510-PMEMO-CONTRACT-NUMBER  PIC X(18).
          05 WS-3510-RM-DATA-RECEIPT-DATE   PIC 9(08).
          05 WS-3510-FILLER-2               PIC X(08).
          05 WS-3510-FCIC-CONTROL-TIME      PIC 9(08).
          05 WS-3510-FCIC-CONTROL-DATE      PIC 9(08).
          05 WS-3510-REINS-YR               PIC 9(04).
          05 WS-3510-BATCH-NO               PIC 9(04).
          05 WS-3510-TRAN-SEQ-NO            PIC 9(08).
          05 WS-3510-TRAN-REJ-FLAG          PIC X(01).
          05 WS-3510-TRAN-SOURCE-FLAG       PIC X(01).
          05 WS-3510-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-3510-FILLER-14              PIC X(14).

