       IDENTIFICATION DIVISION.
       PROGRAM-ID. LOAD2.
       AUTHOR. DAS DEVELOPMENT TEAM.
       DATE-WRITTEN. JAN 30, 1997.
       DATE-COMPILED.

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. IFXSUN.
       OBJECT-COMPUTER. IFXSUN.

       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT INPUT-FILE
                  ASSIGN TO DYNAMIC WS-INPUT-FILE
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL
                  FILE STATUS IS FILE-STAT.

      $IF PC-SW DEFINED
      $SET DATACOMPRESS "1"
      $SET KEYCOMPRESS "6"
      $END

           SELECT ISAM-FILE
                  ASSIGN TO 'isam/97ADM2.ISM'
                  ORGANIZATION IS INDEXED
                  ACCESS IS RANDOM
                  RECORD ADM2-REC-KEY.

      $IF PC-SW DEFINED
      $SET NOKEYCOMPRESS
      $SET NODATACOMPRESS
      $END

           SELECT ERROR-FILE
                  ASSIGN TO '97ADM2.ERR'
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS IS SEQUENTIAL.


       FD  ERROR-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS ERROR-RECORD.
       01  ERROR-RECORD                   PIC X(175).


       FD  INPUT-FILE
           RECORD CONTAINS 175 CHARACTERS
           DATA RECORD IS INPUT-RECORD.
       01  INPUT-RECORD                   PIC X(175).



       FD  ISAM-FILE
           DATA RECORD IS ADM2-RECORD.

      *                                       TOTAL = 175
       01  ADM2-RECORD.
           05 ADM2-REC-KEY                    PIC X(21).
           05 ADM2-REC-DATA                   PIC X(154).


       WORKING-STORAGE SECTION.

       01  FILE-STAT.
           03  F-STAT-1    PIC X.
           03  F-STAT-2    PIC X.
           03  F-STAT-2-BIN REDEFINES F-STAT-2
                           PIC 9(2) COMP-X.
       01  STAT-DISP.
           03  DISP1       PIC X.
           03  FILLER      PIC X.
           03  DISP2       PIC 9(3).

       01  WS-INPUT-FILE.
           05 WS-INPUT-FILE-PATH             PIC X(06)
                                              VALUE 'input/'.
           05 WS-INPUT-FILE-NAME             PIC X(20).

       01  WS-OUTPUT-SW                   PIC X(01).

       01  WS-COUNTERS.
           05 WS-RECORD-COUNT                PIC 9(10).
           05 WS-RECORDS-ADDED               PIC 9(10).
           05 WS-RECORDS-SKIPPED             PIC 9(10).

       01  WS-INPUT-FILE-REC.
           05 WS-INPUT-REC.
              10 WS-INPUT-KEY.
                 15 WS-RECORD-TYPE-CD           PIC X(01).
                 15 WS-RECORD-TYPE-SFX          PIC X(01).
                 15 WS-CROP-YEAR                PIC 9(02).
                 15 WS-STATE-CD                 PIC 9(02).
                 15 WS-COUNTY-CD                PIC 9(03).
                 15 WS-CROP-CD                  PIC X(04).
                 15 WS-INSURANCE-PLAN-ID        PIC 9(02).
                 15 WS-PRACTICE-CD              PIC X(03).
                 15 WS-TYPE-CD                  PIC X(03).
              10 WS-INPUT-DATA.
                 15 WS-ALLOWABLE-COST           PIC 9(02)V9(02).
                 15 WS-PERCENT-SUCROSE REDEFINES
                    WS-ALLOWABLE-COST           PIC 9(02)V9(02).
                 15 WS-YIELD-FLG                PIC X(02).
                 15 WS-MAP-FLG                  PIC 9(01).
                 15 WS-PROD-PREM-PCT-TBL-NUM    PIC X(04).
                 15 WS-COVERAGE-LVL1            PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL1       PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL2            PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL2       PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL3            PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL3       PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL4            PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL4       PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL5            PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL5       PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL6            PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL6       PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL7            PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL7       PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL8            PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL8       PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL9            PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL9       PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL10           PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL10      PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL11           PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL11      PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL12           PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL12      PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL13           PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL13      PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL14           PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL14      PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL15           PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL15      PIC 9(01)V9(02).
                 15 WS-COVERAGE-LVL16           PIC 9(02).
                 15 WS-RATE-DIFFERENTIAL16      PIC 9(01)V9(02).
                 15 WS-CRC-APH-FLAG             PIC X(01).
                 15 WS-BIG-FILLER               PIC X(44).
                 15 WS-DATE-LAST-RELEASED       PIC 9(06).
                 15 WS-DATE-LAST-UPDATED        PIC 9(06).
                 15 WS-DATE-FILED               PIC 9(06).

       01  WS-ISAM-FILE-REC.
           05 WS-ISAM-REC.
              10 WS-ISAM-KEY.
                 15 WS-ISAM-RECORD-TYPE-CD         PIC X(01).
                 15 WS-ISAM-RECORD-TYPE-SFX        PIC X(01).
                 15 WS-ISAM-CROP-YEAR              PIC 9(02).
                 15 WS-ISAM-STATE-CD               PIC 9(02).
                 15 WS-ISAM-COUNTY-CD              PIC 9(03).
                 15 WS-ISAM-CROP-CD                PIC X(04).
                 15 WS-ISAM-INSURANCE-PLAN-ID      PIC 9(02).
                 15 WS-ISAM-TYPE-CD                PIC X(03).
                 15 WS-ISAM-PRACTICE-CD            PIC X(03).
              10 WS-ISAM-INPUT-DATA.
                 15 WS-ISAM-ALLOWABLE-COST         PIC 9(02)V9(02).
                 15 WS-ISAM-PERCENT-SUCROSE REDEFINES
                    WS-ISAM-ALLOWABLE-COST         PIC 9(02)V9(02).
                 15 WS-ISAM-YIELD-FLG              PIC X(02).
                 15 WS-ISAM-MAP-FLG                PIC 9(01).
                 15 WS-ISAM-PROD-PREM-PCT-TBL-NUM  PIC X(04).
                 15 WS-ISAM-COVERAGE-LVL1          PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL1     PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL2          PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL2     PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL3          PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL3     PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL4          PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL4     PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL5          PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL5     PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL6          PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL6     PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL7          PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL7     PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL8          PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL8     PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL9          PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL9     PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL10         PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL10    PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL11         PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL11    PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL12         PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL12    PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL13         PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL13    PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL14         PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL14    PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL15         PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL15    PIC 9(01)V9(02).
                 15 WS-ISAM-COVERAGE-LVL16         PIC 9(02).
                 15 WS-ISAM-RATE-DIFFERENTIAL16    PIC 9(01)V9(02).
                 15 WS-ISAM-CRC-APH-FLAG           PIC X(01).
                 15 WS-ISAM-BIG-FILLER             PIC X(44).
                 15 WS-ISAM-DATE-LAST-RELEASED     PIC 9(06).
                 15 WS-ISAM-DATE-LAST-UPDATED      PIC 9(06).
                 15 WS-ISAM-DATE-FILED             PIC 9(06).

       01  WS-INFILE-EOF                     PIC X(01)
                                              VALUE 'N'.


       PROCEDURE DIVISION.
       DECLARATIVES.
       DEC-LARATIVES SECTION.
       USE AFTER STANDARD ERROR PROCEDURE ON INPUT-FILE.
           EVALUATE F-STAT-1
               WHEN '0'
                  EVALUATE F-STAT-2
                   WHEN '4'
                     DISPLAY 'INVALID RECORD LENGTH!'
                     UPON CONSOLE
                   WHEN '5'
                     DISPLAY 'OPEN FAILED!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '1'
                  EVALUATE F-STAT-2
                   WHEN '0'
                     DISPLAY 'END-OF-FILE'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'RELATIVE FILE KEY VALUE OVERFLOW'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '2'
                  EVALUATE F-STAT-2
                   WHEN '2'
                     DISPLAY 'INDEXED FILE - DUPLICATE KEY ERROR!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'INDEXED FILE - RECORD NOT FOUND!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'FILE SIZE OR RELATIVE FILE KEY OVERFLOW!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '3'
                  EVALUATE F-STAT-2
                   WHEN '5'
                     DISPLAY 'OPEN FAILED - FILE NOT FOUND!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'OPEN FAILED - INVALID FILE MODE!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'OPEN FAILED - FILE IS LOCKED!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'OPEN FAILED - FILE ATTRIBUTE CONFLICT!'
                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN '4'
                  EVALUATE F-STAT-2
                   WHEN '1'
                     DISPLAY 'OPEN FAILED - FILE ALREADY OPEN!'
                     UPON CONSOLE
                   WHEN '2'
                     DISPLAY 'CLOSE FAILED - FILE ALREADY CLOSED!'
                     UPON CONSOLE
                   WHEN '3'
                     DISPLAY 'REWRITE FAILED - RECORD NOT LOCKED!'
                     UPON CONSOLE
                   WHEN '4'
                     DISPLAY 'BOUNDARY VIOLATION!'
                     UPON CONSOLE
                   WHEN '6'
                     DISPLAY 'READ FAILED - NEXT RECORD UNDEFINED!'
                     UPON CONSOLE
                   WHEN '7'
                     DISPLAY 'READ FAILED - FILE NOT OPENED FOR INPUT!'
                     UPON CONSOLE
                   WHEN '8'
                     DISPLAY 'WRITE FAILED - FILE NOT OPEN FOR OUTPUT!'
                     UPON CONSOLE
                   WHEN '9'
                     DISPLAY 'DELETE/REWRITE FAILED - NOT OPEN FOR I-O!'

                     UPON CONSOLE
                   WHEN OTHER
                     CONTINUE
                  END-EVALUATE
               WHEN OTHER
                  CONTINUE
           END-EVALUATE
           MOVE F-STAT-1 TO DISP1
           IF F-STAT-1 = "9"
               MOVE F-STAT-2-BIN TO DISP2
           ELSE
               MOVE F-STAT-2 TO DISP2
           END-IF
           DISPLAY "FILE STATUS :" , STAT-DISP
           UPON CONSOLE
           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE
           STOP RUN.
       END DECLARATIVES.

      ****************************************************************
      *     THIS IS THE MAINLINE MODULE.  IT WILL CONTROL THE HIGH  *
      *     LEVEL PROCESSING FLOW OF THIS PROGRAM.                  *
      ***************************************************************

       0000-MAINLINE.

           INITIALIZE WS-COUNTERS

           DISPLAY 'ADM2 (RATE FACTORS) LOAD PROGRAM'
           UPON CONSOLE


           DISPLAY 'INFILE' UPON ENVIRONMENT-NAME
           ACCEPT WS-INPUT-FILE-NAME FROM ENVIRONMENT-VALUE
           DISPLAY 'LOG' UPON ENVIRONMENT-NAME
           ACCEPT WS-OUTPUT-SW FROM ENVIRONMENT-VALUE

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'ENTER INPUT FILE NAME: '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-INPUT-FILE-NAME FROM CONSOLE
              DISPLAY 'SHOW OUTPUT (N/Y)    : '
              UPON CONSOLE WITH NO ADVANCING
              ACCEPT WS-OUTPUT-SW FROM CONSOLE
           END-IF

           IF WS-INPUT-FILE-NAME IS EQUAL SPACES
              DISPLAY 'INFILE PARAMETER NOT SET - ABORTING PROGRAM!'
              UPON CONSOLE
              GO TO 0000-MAINLINE-EXIT
           END-IF

           DISPLAY 'OPENING INPUT FILE = ', WS-INPUT-FILE-NAME
           UPON CONSOLE

           OPEN INPUT INPUT-FILE

           DISPLAY 'OPENING ERROR FILE'
           UPON CONSOLE

           OPEN EXTEND ERROR-FILE

           DISPLAY 'OPENING ISAM FILE FOR EXTENSION'
           UPON CONSOLE

           OPEN I-O ISAM-FILE

           PERFORM 0100-LOAD-ISAM
              THRU 0100-LOAD-ISAM-EXIT
             UNTIL WS-INFILE-EOF = 'Y'

           DISPLAY 'PROCESSED ', WS-RECORD-COUNT, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'ADDED     ', WS-RECORDS-ADDED, ' RECORDS'
           UPON CONSOLE
           DISPLAY 'SKIPPED   ', WS-RECORDS-SKIPPED, ' RECORDS'
           UPON CONSOLE

           DISPLAY 'CLOSING INPUT FILE'
           UPON CONSOLE

           CLOSE INPUT-FILE

           DISPLAY 'CLOSING ERROR FILE'
           UPON CONSOLE

           MOVE SPACES TO ERROR-RECORD
           WRITE ERROR-RECORD
           CLOSE ERROR-FILE

           DISPLAY 'CLOSING ISAM FILE'
           UPON CONSOLE

           CLOSE ISAM-FILE.



       0000-MAINLINE-EXIT.
           STOP RUN.


       0100-LOAD-ISAM.

           READ INPUT-FILE INTO WS-INPUT-FILE-REC
               AT END
                  MOVE 'Y' TO WS-INFILE-EOF
                  GO TO 0100-LOAD-ISAM-EXIT
               NOT AT END
                  ADD 1 TO WS-RECORD-COUNT
           END-READ

           IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
              PERFORM 0200-SHOW-OUTPUT
                 THRU 0200-SHOW-OUTPUT-EXIT
           END-IF

           PERFORM 0300-FORMAT-RECORD
              THRU 0300-FORMAT-RECORD-EXIT

           WRITE ADM2-RECORD FROM WS-ISAM-REC
                 INVALID KEY
                    IF WS-OUTPUT-SW = 'Y' OR WS-OUTPUT-SW = 'y'
                       DISPLAY 'INVALID KEY ERROR - RECORD SKIPPED'
                       UPON CONSOLE
                    END-IF
                    ADD 1 TO WS-RECORDS-SKIPPED
                    WRITE ERROR-RECORD FROM WS-INPUT-REC
                    GO TO 0100-LOAD-ISAM-EXIT
                 NOT INVALID KEY
                    CONTINUE
           END-WRITE

           ADD 1 TO WS-RECORDS-ADDED.

       0100-LOAD-ISAM-EXIT.
           EXIT.


       0200-SHOW-OUTPUT.

           DISPLAY 'RECORD TYPE CODE: ',
              WS-ISAM-RECORD-TYPE-CD UPON CONSOLE
           DISPLAY 'RECORD TYPE SFX : ',
             WS-ISAM-RECORD-TYPE-SFX UPON CONSOLE
           DISPLAY 'CROP YEAR       : ',
             WS-ISAM-CROP-YEAR UPON CONSOLE
           DISPLAY 'STATE CODE      : ',
             WS-ISAM-STATE-CD UPON CONSOLE
           DISPLAY 'COUNTY CODE     : ',
             WS-ISAM-COUNTY-CD UPON CONSOLE
           DISPLAY 'CROP CODE       : ',
             WS-ISAM-CROP-CD UPON CONSOLE
           DISPLAY 'INSURANCE PLAN  : ',
             WS-ISAM-INSURANCE-PLAN-ID UPON CONSOLE
           DISPLAY 'TYPE CODE       : ',
             WS-ISAM-TYPE-CD UPON CONSOLE
           DISPLAY 'PRACTICE CODE   : ',
             WS-ISAM-PRACTICE-CD UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'ALLOWABLE COST  : '
             WS-ISAM-ALLOWABLE-COST UPON CONSOLE
           DISPLAY 'YIELD FLAG           : ',
             WS-ISAM-YIELD-FLG UPON CONSOLE
           DISPLAY 'MAP FLAG             : ',
             WS-ISAM-MAP-FLG UPON CONSOLE
           DISPLAY 'PRODUCER PREM TBL NUM: ',
             WS-ISAM-PROD-PREM-PCT-TBL-NUM UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 1     : ',
             WS-ISAM-COVERAGE-LVL1 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 1  : ',
             WS-ISAM-RATE-DIFFERENTIAL1 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 2     : ',
             WS-ISAM-COVERAGE-LVL2 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 2  : ',
             WS-ISAM-RATE-DIFFERENTIAL1 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 3     : ',
             WS-ISAM-COVERAGE-LVL3 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 3  : ',
             WS-ISAM-RATE-DIFFERENTIAL3 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 4     : ',
             WS-ISAM-COVERAGE-LVL4 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 4  : ',
             WS-ISAM-RATE-DIFFERENTIAL4 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 5     : ',
             WS-ISAM-COVERAGE-LVL5 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 5  : ',
             WS-ISAM-RATE-DIFFERENTIAL5 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 6     : ',
             WS-ISAM-COVERAGE-LVL6 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 6  : ',
             WS-ISAM-RATE-DIFFERENTIAL6 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 7     : ',
             WS-ISAM-COVERAGE-LVL7 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 7  : ',
             WS-ISAM-RATE-DIFFERENTIAL7 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 8     : ',
             WS-ISAM-COVERAGE-LVL8 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 8  : ',
             WS-ISAM-RATE-DIFFERENTIAL8 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 9     : ',
             WS-ISAM-COVERAGE-LVL9 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 9  : ',
             WS-ISAM-RATE-DIFFERENTIAL9 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 10    : ',
             WS-ISAM-COVERAGE-LVL10 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 10 : ',
             WS-ISAM-RATE-DIFFERENTIAL10 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 11    : ',
             WS-ISAM-COVERAGE-LVL11 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 11 : ',
             WS-ISAM-RATE-DIFFERENTIAL11 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 12    : ',
             WS-ISAM-COVERAGE-LVL12 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 12 : ',
             WS-ISAM-RATE-DIFFERENTIAL12 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 13    : ',
             WS-ISAM-COVERAGE-LVL13 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 13 : ',
             WS-ISAM-RATE-DIFFERENTIAL13 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 14    : ',
             WS-ISAM-COVERAGE-LVL14 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 14 : ',
             WS-ISAM-RATE-DIFFERENTIAL14 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 15    : ',
             WS-ISAM-COVERAGE-LVL15 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 15 : ',
             WS-ISAM-RATE-DIFFERENTIAL15 UPON CONSOLE
           DISPLAY 'COVERAGE LEVEL 16    : ',
             WS-ISAM-COVERAGE-LVL16 UPON CONSOLE
           DISPLAY 'RATE DIFFERENTIAL 16 : ',
             WS-ISAM-RATE-DIFFERENTIAL16 UPON CONSOLE
           DISPLAY 'CRC APH FLAG         : ',
             WS-ISAM-CRC-APH-FLAG UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'FILLER               : ',
             WS-ISAM-BIG-FILLER UPON CONSOLE
           DISPLAY '---------------------------'
             UPON CONSOLE
           DISPLAY 'DATE LAST RELEASED: ',
             WS-ISAM-DATE-LAST-RELEASED UPON CONSOLE
           DISPLAY 'DATE LAST UPDATED : ',
             WS-ISAM-DATE-LAST-UPDATED UPON CONSOLE
           DISPLAY 'DATE FILED        : ',
             WS-ISAM-DATE-FILED UPON CONSOLE
           DISPLAY ' ' UPON CONSOLE.

       0200-SHOW-OUTPUT-EXIT.
           EXIT.



       0300-FORMAT-RECORD.

           INITIALIZE WS-ISAM-FILE-REC
           MOVE WS-INPUT-FILE-REC TO WS-ISAM-FILE-REC
           MOVE WS-PRACTICE-CD TO WS-ISAM-PRACTICE-CD
           MOVE WS-TYPE-CD TO WS-ISAM-TYPE-CD.


       0300-FORMAT-RECORD-EXIT.
           EXIT.
