      *****************************************************************
      * File:      WS0707.CBL                                         *
      * Author:    Mike Ray                                           *
      * Date:      03/19/96                                           *
      * Purpose:                                                      *
      *    This file contains the working storage for                 *
      *    0707-PRODUCE-ERROR-RPT                                     *
      *****************************************************************


       01 WS-0707-OPTIONS.
          05 WS-0707-PAGE-LENGTH            PIC 9(03).
          05 WS-0707-ERROR-MESSAGE-FLAG     PIC X(01).
          05 WS-0707-PARAGRAPH-NO-FLAG      PIC X(01).
          05 WS-0707-REMOVE-ID-FLAG         PIC X(01).
          05 WS-0707-RERUN-INDICATOR        PIC X(01).

       01 WS-0707-STATUS.
          05 WS-0707-TRAN-EOF               PIC X(01).
          05 WS-0707-ERROR-EOF              PIC X(01).
          05 WS-0707-NEXT-TRAN-FLAG         PIC X(01).
          05 WS-0707-ERROR-HELD-FLAG        PIC X(01).
          05 WS-0707-HELD-ERROR-TRAN-NO     PIC 9(08).
          05 WS-0707-CURRENT-LINE-COUNT     PIC 9(03).
          05 WS-0707-CURRENT-TRAN-TYPE      PIC 9(02).
          05 WS-0707-CURRENT-POLICY-NO.
             10 WS-0707-REPORTING-ORG          PIC X(02).
             10 WS-0707-LOC-STATE              PIC X(02).
             10 WS-0707-COMPANY-COUNTY         PIC X(03).
             10 WS-0707-POLICY-NUM             PIC X(07).
             10 WS-0707-CROP-YEAR              PIC X(04).
          05 WS-0707-CURRENT-PAGE-NO        PIC 9(04).

      ******************************************************
      *                   ERROR RECORD                     *
      ******************************************************

       01 WS-0707-ERROR-REC.
          05 WS-0707-BATCH-NO               PIC 9(04).
          05 WS-0707-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-0707-FCIC-DATE              PIC 9(08).
          05 WS-0707-TRAN-SEQ-NO            PIC 9(08).
          05 WS-0707-ERR-SEQ-NO             PIC 9(12).
          05 WS-0707-ERROR-TYPE             PIC X(02).
          05 WS-0707-ERROR-CODE             PIC X(05).
          05 WS-0707-TRAN-TYPE              PIC 9(02).
          05 WS-0707-POLICY-NO.
             10 WS-0707-ERR-REPORTING-ORG       PIC X(02).
             10 WS-0707-ERR-LOC-STATE           PIC X(02).
             10 WS-0707-ERR-COMPANY-COUNTY      PIC X(03).
             10 WS-0707-ERR-POLICY-NUM          PIC X(07).
             10 WS-0707-ERR-CROP-YEAR           PIC X(04).
          05 WS-0707-CROP-CD                PIC X(04).
          05 WS-0707-FIELD-NAME1            PIC X(15).
          05 WS-0707-FIELD-NAME2            PIC X(15).
          05 WS-0707-FIELD-NAME3            PIC X(15).
          05 WS-0707-BAD-DATA1              PIC X(15).
          05 WS-0707-BAD-DATA2              PIC X(15).
          05 WS-0707-BAD-DATA3              PIC X(15).
          05 WS-0707-CORR-DATA1             PIC X(40).
          05 WS-0707-CORR-DATA2             PIC X(15).
          05 WS-0707-CORR-DATA3             PIC X(15).
          05 WS-0707-TABLE-NAME             PIC X(20).
          05 WS-0707-PARAGRAPH-NO           PIC 9(04).
          05 WS-0707-INSURANCE-PLAN-CD      PIC X(02).
          05 WS-0707-LOC-COUNTY             PIC X(03).
          05 WS-0707-RECORD-NUM             PIC X(03).
          05 WS-0707-FILLER                 PIC X(05).



      ******************************************************
      *                   REPORT HEADER                    *
      ******************************************************

       01 WS-0707-HEADER-LN1.
          05 FILLER                         PIC X(01)
                                            VALUE '1'.
          05 FILLER                         PIC X(04).
          05 FILLER                         PIC X(04)
                  VALUE 'RO: '.
          05 WS-0707-REP-ORG                PIC X(26).
          05 FILLER                         PIC X(10).
          05 FILLER                         PIC X(16)
                  VALUE ' Reinsurance Yr '.
          05 WS-0707-REINS-YR               PIC X(04).
          05 FILLER                         PIC X(21)
                  VALUE ' Error Listing Report'.
          05 FILLER                         PIC X(30).
          05 FILLER                         PIC X(06)
                  VALUE 'Page: '.
          05 WS-0707-PRINT-PAGE-NO          PIC ZZZZ9.
          05 FILLER                         PIC X(05).

       01 WS-0707-HEADER-LN2.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(13)
                  VALUE 'Report Date: '.
          05 WS-0707-REPT-DATE              PIC X(08).
          05 FILLER                         PIC X(20).
          05 WS-0707-RERUN-BANNER           PIC X(40).
          05 FILLER                         PIC X(22).
          05 FILLER                         PIC X(13)
                  VALUE 'Report Time: '.
          05 WS-0707-REPT-TIME              PIC X(06).
          05 FILLER                         PIC X(05).

       01 WS-0707-HEADER-LN3.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(13)
                  VALUE 'File Name  : '.
          05 WS-0707-REPT-FILE-NAME         PIC X(12).
          05 FILLER                         PIC X(25).
          05 FILLER                        PIC X(15)
                                           VALUE "Rec'd Dt/Time: ".
          05 WS-0707-REPT-FCIC-DT            PIC X(08)
                                           VALUE SPACE.
          05 FILLER                        PIC X(01)
                                           VALUE SPACE.
          05 WS-0707-REPT-FCIC-TIME          PIC X(28)
                                           VALUE SPACE.
          05 FILLER                         PIC X(10)
                  VALUE 'Batch No: '.
          05 WS-0707-REPT-BATCH-NO-RO       PIC X(02).
          05 WS-0707-REPT-BATCH-NO-YR       PIC X(04).
          05 WS-0707-REPT-BATCH-NO          PIC X(04).
          05 FILLER                         PIC X(05).

      ******************************************************
      *                   POLICY HEADER                    *
      ******************************************************

       01 WS-0707-POLICY-LN1.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(10)
                  VALUE 'Policy #: '.
          05 WS-0707-POLICY-RO              PIC X(02).
          05 FILLER                         PIC X(01)
                  VALUE '-'.
          05 WS-0707-POLICY-LOC-STATE       PIC X(02).
          05 FILLER                         PIC X(01)
                  VALUE '-'.
          05 WS-0707-POLICY-COMPANY         PIC X(03).
          05 FILLER                         PIC X(01)
                  VALUE '-'.
          05 WS-0707-POLICY-NUMBER          PIC X(07).
          05 FILLER                         PIC X(01)
                  VALUE '-'.
          05 WS-0707-POLICY-CROP-YEAR       PIC X(04).
          05 FILLER                         PIC X(96).

      ******************************************************
      *                   ERROR LINES                      *
      ******************************************************

       01 WS-0707-ERROR-LN1A.
          05 FILLER                         PIC X(11).
          05 FILLER                         PIC X(06)
                  VALUE 'Para: '.
          05 WS-0707-ERR1A-PARAGRAPH-NO     PIC X(04).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(07)
                  VALUE 'Error: '.
          05 WS-0707-ERR1A-ERROR-CODE       PIC X(05).
          05 FILLER                         PIC X(02).
          05 WS-0707-ERR1A-FIELD-NAME       PIC X(15).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Data: '.
          05 WS-0707-ERR1A-BAD-DATA         PIC X(15).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(10)
                  VALUE 'Expected: '.
          05 WS-0707-ERR1A-EXPECTED         PIC X(40).
          05 FILLER                         PIC X(05).


       01 WS-0707-ERROR-LN1B.
          05 FILLER                         PIC X(11).
          05 FILLER                         PIC X(07)
                  VALUE 'Error: '.
          05 WS-0707-ERR1B-ERROR-CODE       PIC X(05).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(07)
                  VALUE 'Field: '.
          05 WS-0707-ERR1B-FIELD-NAME       PIC X(15).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Data: '.
          05 WS-0707-ERR1B-BAD-DATA         PIC X(15).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(10)
                  VALUE 'Expected: '.
          05 WS-0707-ERR1B-EXPECTED         PIC X(40).
          05 FILLER                         PIC X(10).

       01 WS-0707-ERROR-LN2.
          05 FILLER                         PIC X(11).
          05 FILLER                         PIC X(05).
          05 WS-0707-ERROR-MESSAGE          PIC X(80).
          05 FILLER                         PIC X(36).


      ******************************************************
      *                TRANSACTION LINES                   *
      ******************************************************

      *******************************************
      *                TYPE 10                  *
      *******************************************

       01 WS-0707-TYPE-10-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Rec No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Name'.
          05 FILLER                         PIC X(28).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Entity Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(14)
                  VALUE 'Id Type/Number'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(39).

       01 WS-0707-TYPE-10-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T10-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T10-REC-NO             PIC X(03).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T10-NAME               PIC X(32).
          05 FILLER                         PIC X(02).
          05 WS-0707-T10-ENTITY-TYPE        PIC X(01).
          05 FILLER                         PIC X(12).
          05 WS-0707-T10-ID-TYPE            PIC X(01).
          05 FILLER                         PIC X(02).
          05 WS-0707-T10-ID-NUMBER          PIC X(09).
          05 FILLER                         PIC X(04).
          05 WS-0707-T10-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(34).

      *******************************************
      *                TYPE 11                  *
      *******************************************

       01 WS-0707-TYPE-11-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Rec No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Loc Cnty'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Ins Plan'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Crop'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(05)
                  VALUE 'Pract'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Unit'.
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(03)
                  VALUE 'Cvg'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(07)
                  VALUE 'Premium'.
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(42).

       01 WS-0707-TYPE-11-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T11-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T11-REC-NO             PIC X(03).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T11-LOC-CNTY           PIC X(03).
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(02).
          05 WS-0707-T11-INS-PLAN           PIC X(02).
          05 FILLER                         PIC X(06).
          05 FILLER                         PIC X(02).
          05 WS-0707-T11-CROP               PIC X(04).
          05 FILLER                         PIC X(02).
          05 WS-0707-T11-CROP-TYPE          PIC X(03).
          05 FILLER                         PIC X(01).
          05 FILLER                         PIC X(02).
          05 WS-0707-T11-PRACTICE           PIC X(03).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T11-UNIT               PIC X(05).
          05 FILLER                         PIC X(02).
          05 WS-0707-T11-CVG-CODE           PIC X(01).
          05 FILLER                         PIC X(04).
          05 WS-0707-T11-TOTAL-PREMIUM      PIC ZZZZZZZ9.
          05 FILLER                         PIC X(02).
          05 WS-0707-T11-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(45).

      *******************************************
      *                TYPE 12                  *
      *******************************************

       01 WS-0707-TYPE-12-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Rec No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Date'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Amount'.
          05 FILLER                         PIC X(06).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(07)
                  VALUE 'Pre-Pay'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(65).

       01 WS-0707-TYPE-12-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T12-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T12-REC-NO             PIC X(03).
          05 FILLER                         PIC X(03).
          05 WS-0707-T12-PAYMENT-DATE       PIC X(08).
          05 FILLER                         PIC X(02).
          05 WS-0707-T12-PAYMENT-TYPE       PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T12-PAYMENT-AMOUNT     PIC -ZZZZZZZ9.99.
          05 FILLER                         PIC X(02).
          05 WS-0707-T12-PREPAY-FLAG        PIC X(01).
          05 FILLER                         PIC X(06).
          05 FILLER                         PIC X(02).
          05 WS-0707-T12-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(65).

      *******************************************
      *                TYPE 14                  *
      *******************************************

       01 WS-0707-TYPE-14-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Rec No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Loc Cnty'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Crop'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Ins Plan'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(03)
                  VALUE 'Cvg'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(65).

       01 WS-0707-TYPE-14-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T14-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T14-REC-NO             PIC X(03).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T14-LOC-CNTY           PIC X(03).
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(02).
          05 WS-0707-T14-CROP               PIC X(04).
          05 FILLER                         PIC X(02).
          05 WS-0707-T14-insurance-plan-id  PIC X(03).
          05 FILLER                         PIC X(07).
          05 WS-0707-T14-CROP-TYPE          PIC X(03).
          05 FILLER                         PIC X(01).
          05 FILLER                         PIC X(02).
          05 WS-0707-T14-CVG-CODE           PIC X(01).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T14-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(65).

      *******************************************
      *                TYPE 15                  *
      *******************************************

       01 WS-0707-TYPE-15-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Rec No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Loc Cnty'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Ins Plan'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Crop'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(05)
                  VALUE 'Pract'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(05)
                  VALUE 'Basic'.
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(08)
                  VALUE 'Opt Unit'.
          05 FILLER                         PIC X(01).
          05 FILLER                         PIC X(03)
                  VALUE 'Cvg'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Dual Cvg'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(33).

       01 WS-0707-TYPE-15-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T15-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-REC-NO             PIC X(03).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-LOC-CNTY           PIC X(03).
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-INS-PLAN           PIC X(02).
          05 FILLER                         PIC X(06).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-CROP               PIC X(04).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-CROP-TYPE          PIC X(03).
          05 FILLER                         PIC X(01).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-PRACTICE           PIC X(03).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-BASIC-UNIT         PIC X(03).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(03).
          05 WS-0707-T15-OPT-UNIT           PIC X(02).
          05 FILLER                         PIC X(06).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-CVG-CODE           PIC X(01).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-DUAL-CVG           PIC X(01).
          05 FILLER                         PIC X(07).
          05 FILLER                         PIC X(02).
          05 WS-0707-T15-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(33).

      *******************************************
      *                TYPE 16                  *
      *******************************************

       01 WS-0707-TYPE-16-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Rec No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Loc Cnty'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Name'.
          05 FILLER                         PIC X(28).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(14)
                  VALUE 'Id Type/Number'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(42).

       01 WS-0707-TYPE-16-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T16-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T16-REC-NO             PIC X(03).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T16-LOC-CNTY           PIC X(03).
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(02).
          05 WS-0707-T16-NAME               PIC X(32).
          05 FILLER                         PIC X(02).
          05 WS-0707-T16-ID-TYPE            PIC X(01).
          05 FILLER                         PIC X(01).
          05 WS-0707-T16-ID-NUMBER          PIC X(09).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T16-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(42).

      *******************************************
      *                TYPE 20                  *
      *******************************************

       01 WS-0707-TYPE-20-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Rec No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Claim No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(92).

       01 WS-0707-TYPE-20-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T20-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T20-REC-NO             PIC X(03).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T20-CLAIM-NO           PIC X(08).
          05 FILLER                         PIC X(02).
          05 WS-0707-T20-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(92).

      *******************************************
      *                TYPE 21                  *
      *******************************************

       01 WS-0707-TYPE-21-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Rec No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Claim No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Loc Cnty'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Crop'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Dual Cvg'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(05)
                  VALUE 'Pract'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(05)
                  VALUE 'Basic'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Opt Unit'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(03)
                  VALUE 'Cvg'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(31).

       01 WS-0707-TYPE-21-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T21-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-REC-NO             PIC X(03).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-CLAIM-NO           PIC X(08).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-LOC-CNTY           PIC X(03).
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-CROP               PIC X(04).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-DUAL-CVG           PIC X(01).
          05 FILLER                         PIC X(07).
          05 WS-0707-T21-CROP-TYPE          PIC X(03).
          05 FILLER                         PIC X(01).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-PRACTICE           PIC X(03).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-BASIC-UNIT         PIC X(02).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-OPT-UNIT           PIC X(02).
          05 FILLER                         PIC X(06).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-CVG-CODE           PIC X(01).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T21-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(31).


      *******************************************
      *                TYPE 33                  *
      *******************************************

       01 WS-0707-TYPE-33-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(06)
                  VALUE 'Rec No'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Crop'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Est Premium'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(09)
                  VALUE 'Est Loss'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(70).

       01 WS-0707-TYPE-33-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T33-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T33-REC-NO             PIC X(03).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T33-CROP               PIC X(04).
          05 FILLER                         PIC X(02).
          05 WS-0707-T33-EST-PREMIUM        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T33-EST-LOSS           PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T33-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(70).

      *******************************************
      *                TYPE 49                  *
      *******************************************

       01 WS-0707-TYPE-49-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(113).

       01 WS-0707-TYPE-49-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T49-TYPE               PIC X(02).
          05 FILLER                         PIC X(04).
          05 WS-0707-T49-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(113).

      *******************************************
      *                TYPE 50                  *
      *******************************************

       01 WS-0707-TYPE-50-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Policy Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Policy #'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Loc Cnty'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(04)
                  VALUE 'Crop'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(05)
                  VALUE 'Cvg %'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(05)
                  VALUE 'Acres'.
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(09)
                  VALUE 'Liability'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(07)
                  VALUE 'Premium'.
          05 FILLER                         PIC X(01).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(09)
                  VALUE 'Indemnity'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(22).

       01 WS-0707-TYPE-50-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T50-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-POLICY-TYPE        PIC X(03).
          05 FILLER                         PIC X(08).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-POLICY-NO          PIC X(07).
          05 FILLER                         PIC X(01).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-LOC-CNTY           PIC X(03).
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-CROP               PIC X(04).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-COVERAGE-PCT       PIC X(02).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-ACRES              PIC X(08).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-LIABILITY          PIC X(09).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-PREMIUM            PIC X(08).
          05 FILLER                         PIC X(01).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-INDEMNITY          PIC X(07).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T50-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(22).

      *******************************************
      *                TYPE 55                  *
      *******************************************

       01 WS-0707-TYPE-55-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(10)
                  VALUE 'Agent Name'.
          05 FILLER                         PIC X(22).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(14)
                  VALUE 'Id Type/Number'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Agency Name'.
          05 FILLER                         PIC X(24).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Phone No'.
          05 FILLER                         PIC X(04).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(09).

       01 WS-0707-TYPE-55-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T55-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T55-AGENT-NAME         PIC X(32).
          05 FILLER                         PIC X(02).
          05 WS-0707-T55-ID-TYPE            PIC X(01).
          05 FILLER                         PIC X(01).
          05 WS-0707-T55-ID-NUMBER          PIC X(09).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(02).
          05 WS-0707-T55-AGENCY-NAME        PIC X(35).
          05 FILLER                         PIC X(02).
          05 WS-0707-T55-PHONE-NUMBER       PIC X(12).
          05 FILLER                         PIC X(02).
          05 WS-0707-T55-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(09).

      *******************************************
      *                TYPE 56                  *
      *******************************************

       01 WS-0707-TYPE-56-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(13)
                  VALUE 'Adjuster Name'.
          05 FILLER                         PIC X(19).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(09)
                  VALUE 'Id Number'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(03)
                  VALUE 'SSN'.
          05 FILLER                         PIC X(06).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(54).

       01 WS-0707-TYPE-56-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T56-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T56-ADJUSTER-NAME      PIC X(32).
          05 FILLER                         PIC X(02).
          05 WS-0707-T56-ID-NUMBER          PIC X(09).
          05 FILLER                         PIC X(02).
          05 WS-0707-T56-SSN                PIC X(09).
          05 FILLER                         PIC X(02).
          05 WS-0707-T56-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(54).

      *******************************************
      *                TYPE 65                  *
      *******************************************

       01 WS-0707-TYPE-65-HDR.
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(04)
                  VALUE 'Type'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(08)
                  VALUE 'Loc Cnty'.
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(11)
                  VALUE 'Trans Seq #'.
          05 FILLER                         PIC X(100).

       01 WS-0707-TYPE-65-DTL.
          05 FILLER                         PIC X(05).
          05 WS-0707-T65-TYPE               PIC X(02).
          05 FILLER                         PIC X(02).
          05 FILLER                         PIC X(02).
          05 WS-0707-T65-LOC-CNTY           PIC X(03).
          05 FILLER                         PIC X(05).
          05 FILLER                         PIC X(02).
          05 WS-0707-T65-TRAN-SEQ-NO        PIC X(08).
          05 FILLER                         PIC X(03).
          05 FILLER                         PIC X(100).

