      *************************************************************
      * File:      M0130.CBL
      * Author:    Mike Ray
      * Date:      8/9/95
      * Purpose:   Initialize the current transaction record
      *            in working storage.
      *
      *************************************************************

       0130-INITIALIZE-TRAN.

      $IF DEBUG-SW DEFINED
           DISPLAY
           '0130-INITIALIZING INPUT TRAN, 88-LEVELS & ERROR FLAGS'
           UPON CONSOLE
      $END

           INITIALIZE WS-TRAN-400
           INITIALIZE WS-0002-ERROR-FIELD-FLAGS
           INITIALIZE WS-0009-CROP-YEAR
           INITIALIZE WS-0009-CFSA-COMP-EMPL
           INITIALIZE WS-0009-ASSIGNED-RISK
           INITIALIZE WS-0009-LATE-PROCESS-FLG
           INITIALIZE WS-0009-DUAL-COVERAGE-FLG
           INITIALIZE WS-0009-COVERAGE-FLG
           INITIALIZE WS-0009-ADMIN-FEE-FLG
           INITIALIZE WS-0009-REFUND-CANCEL-FLG
           INITIALIZE WS-0009-NCS-FCIC-2-FLG
           INITIALIZE WS-0009-INSURANCE-PLAN
           INITIALIZE WS-0009-CROP-CATEGORIES
           INITIALIZE WS-0009-PAYMENT-TYPE
           INITIALIZE WS-0009-PEANUT-FLAG
           INITIALIZE WS-0007-CURRENT-TRANSACTION
           MOVE WS-LITERAL-NO TO WS-0007-REJECT-TRANSACTION
           MOVE WS-LITERAL-NO TO WS-0007-SUSPEND-TRANSACTION
           MOVE WS-LITERAL-NO TO WS-0007-POLICY-NO-ERROR
           MOVE WS-LITERAL-INPUT TO WS-0007-TRANSACTION-SOURCE
           MOVE WS-LITERAL-NO TO WS-0007-NUMERIC-ERROR.

      ********************************************
      * Initializes the transaction that is
      * re-defined (WS-TRAN-400) because this routine
      * is also called before each transaction is
      * read.
      ********************************************


       0130-INITIALIZE-TRAN-EXIT.
           EXIT.


