      *************************************************************
      * File:      M0140.CBL
      * Author:    Mike Ray
      * Date:      8/9/95
      * Purpose:   Gets the current date and time from the operating
      *            system and stores them in the current batch
      *            section of working storage.  Any other OS data that
      *            is needed can be retrieved here as well.
      *************************************************************

       0140-GET-SYSTEM-DATA.

      $IF DEBUG-SW DEFINED
           DISPLAY '0140-GETTING SYSTEM DATE/TIME'
           UPON CONSOLE
      $END

           PERFORM 0540-GET-DATE-TIME
              THRU 0540-GET-DATE-TIME-EXIT

           MOVE WS-0540-DATE TO WS-0004-SYS-DATE
           MOVE WS-0540-FULL-TIME TO WS-0004-SYS-TIME
           MOVE ZEROS TO WS-0004-SYS-MICROSECONDS.


       0140-GET-SYSTEM-DATA-EXIT.
           EXIT.


