      *****************************************************************
      * FILE:      M7240.CBL                                          *
      * AUTHOR:    K. THOW                                            *
      * DATE:      8/06/97                                            *
      * PURPOSE:                                                      *
      *   LOADS THE EXTENDED FINAL PLANTING DATE EXCEPTION INTO TABLE *
      *   FOR TEXAS COTTONS & WASHINGTON WHEAT.      (T11 PROCESSING) *
      *---------------------------------------------------------------*
      * TABLE LAYOUT:                                                 *
      *   POS 1-2   =STATE; POS 3-5   =COUNTY;   POS 6-9   =CROP;     *
      *   POS 10-12 =TYPE;  POS 13-15 =PRACTICE, POS 16-19 =DATE(MMDD)*
      * NOTE: THE CROP YEAR IS SUPPLIED FROM THE CROP_YEAR_11 FIELD.  *
      *****************************************************************

       7240-LOAD-TXWA-FINAL-DATE-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7240-LOADING EXTENDED FINAL PLANTING DATE TABLE'
           UPON CONSOLE
      $END

           MOVE '480450021      0620' TO WS-7240-FINAL-DATE-TABLES(1).
           MOVE '481250021      0620' TO WS-7240-FINAL-DATE-TABLES(2).
           MOVE '481530021      0620' TO WS-7240-FINAL-DATE-TABLES(3).
           MOVE '5300100110120020430' TO WS-7240-FINAL-DATE-TABLES(4).
           MOVE '5300100110120030430' TO WS-7240-FINAL-DATE-TABLES(5).
           MOVE '5302500110120020515' TO WS-7240-FINAL-DATE-TABLES(6).
           MOVE '5302500110120030515' TO WS-7240-FINAL-DATE-TABLES(7).
           MOVE '5303900110100020301' TO WS-7240-FINAL-DATE-TABLES(8).
           MOVE '5303900110100040301' TO WS-7240-FINAL-DATE-TABLES(9).
           MOVE '5303900110100050301' TO WS-7240-FINAL-DATE-TABLES(10).
           MOVE '5303900110110020301' TO WS-7240-FINAL-DATE-TABLES(11).
           MOVE '5303900110110040301' TO WS-7240-FINAL-DATE-TABLES(12).
           MOVE '5303900110110050301' TO WS-7240-FINAL-DATE-TABLES(13).
           MOVE '5303900110120020515' TO WS-7240-FINAL-DATE-TABLES(14).
           MOVE '5303900110120030515' TO WS-7240-FINAL-DATE-TABLES(15).
           MOVE '5304300110120020515' TO WS-7240-FINAL-DATE-TABLES(16).
           MOVE '5304300110120030515' TO WS-7240-FINAL-DATE-TABLES(17).
           MOVE '5306300110120020430' TO WS-7240-FINAL-DATE-TABLES(18).
           MOVE '5306300110120030430' TO WS-7240-FINAL-DATE-TABLES(19).
           MOVE '5307500110120020515' TO WS-7240-FINAL-DATE-TABLES(20).
           MOVE '5307500110120030515' TO WS-7240-FINAL-DATE-TABLES(21).
           MOVE '5307700110100020301' TO WS-7240-FINAL-DATE-TABLES(22).
           MOVE '5307700110100050301' TO WS-7240-FINAL-DATE-TABLES(23).
           MOVE '5307700110110020301' TO WS-7240-FINAL-DATE-TABLES(24).
           MOVE '5307700110110050301' TO WS-7240-FINAL-DATE-TABLES(25).
           MOVE '5307700110120020515' TO WS-7240-FINAL-DATE-TABLES(26).
           MOVE '5307700110120030515' TO WS-7240-FINAL-DATE-TABLES(27).
           MOVE '5307700110120050430' TO WS-7240-FINAL-DATE-TABLES(28).

       7240-LOAD-TXWA-FINAL-DATE-EXIT.
           EXIT.

