      *****************************************************************
      * File:      M7285.CBL                                          *
      * Author:    Mike Ray/C.B.O.                                    *
      * Date:      8/23/95                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    ws-7008-error-msg-tbl to look up error message.            *
      * Assumptions:                                                  *
      *    A check for zero or blank in any of the input fields is    *
      *    made outside of this routine.                              *
      *****************************************************************

       7285-LOOKUP-ERROR-MSG-TBL.

      $IF DEBUG-SW DEFINED
           DISPLAY '7285-LOOKING UP ERROR MESSAGE'
           UPON CONSOLE
      $END

           MOVE WS-LITERAL-NO TO WS-7285-FOUND-FLG
           INITIALIZE WS-7285-ERROR-MSG-REC
           SET WS-7008-ERROR-MSG-INDEX TO 1

           SEARCH WS-7008-ERROR-MSG-REC
              VARYING WS-7008-ERROR-MSG-INDEX
              AT END
                   INITIALIZE WS-7285-ERROR-NO
              WHEN WS-7285-ERROR-NO IS EQUAL TO
                   WS-7008-ERROR-NO(WS-7008-ERROR-MSG-INDEX)
                   MOVE WS-LITERAL-YES TO WS-7285-FOUND-FLG
                   MOVE WS-7008-ERROR-NO(WS-7008-ERROR-MSG-INDEX)
                     TO WS-7285-OUTPUT-ERROR-NO
                   MOVE WS-7008-ERROR-MSG(WS-7008-ERROR-MSG-INDEX)
                     TO WS-7285-ERROR-MSG
                   MOVE WS-7008-ERROR-COUNT(WS-7008-ERROR-MSG-INDEX)
                     TO WS-7285-ERROR-COUNT
                   INITIALIZE WS-7285-ERROR-NO
           END-SEARCH.

       7285-LOOKUP-ERROR-MSG-TBL-EXIT.
           EXIT.

