      *****************************************************************
      * File:      M7365.CBL                                          *
      * Author:    Laura Dittamo                                      *
      * Date:      7/10/96                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    WS-7017-STAGE-TBL to look up the allowable stage codes.    *
      *****************************************************************

       7365-LOOKUP-STAGE-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '7365-LOOKING UP STAGE CODE'
           UPON CONSOLE
      $END

           MOVE WS-LITERAL-NO TO WS-7365-FOUND-FLG
           INITIALIZE WS-7365-O-STAGE-REC

           SET WS-7017-STAGE-INDEX TO 1

           SEARCH WS-7017-STAGE-REC
              VARYING WS-7017-STAGE-INDEX
              AT END INITIALIZE WS-7365-I-STAGE-CD
              WHEN WS-7365-I-STAGE-CD IS EQUAL TO
                   WS-7017-STAGE-CD(WS-7017-STAGE-INDEX)
                   MOVE WS-LITERAL-YES TO WS-7365-FOUND-FLG
                   MOVE WS-7017-STAGE-REC(WS-7017-STAGE-INDEX)
                     TO WS-7365-O-STAGE-REC
                   INITIALIZE WS-7365-I-STAGE-CD
           END-SEARCH.


       7365-LOOKUP-STAGE-CD-EXIT.
           EXIT.

