      *****************************************************************
      * File:      M7375.CBL                                          *
      * Author:    Laura Dittamo                                      *
      * Date:      7/10/96                                            *
      * Purpose:                                                      *
      *    This routine uses a serial search against the              *
      *    WS-7013-LOSS-CAUSE-TBL to look up the allowable loss cause *
      *    codes.                                                     *
      *****************************************************************

       7375-LOOKUP-LOSS-CAUSE-CD.

      $IF DEBUG-SW DEFINED
           DISPLAY '7375-LOOKING UP LOSS CAUSE CODE'
           UPON CONSOLE
      $END

           MOVE WS-LITERAL-NO TO WS-7375-FOUND-FLG
           INITIALIZE WS-7375-O-LOSS-CAUSE-REC

           SET WS-7013-LOSS-CAUSE-INDEX TO 1

           SEARCH WS-7013-LOSS-CAUSE-REC
              VARYING WS-7013-LOSS-CAUSE-INDEX
              AT END INITIALIZE WS-7375-I-LOSS-CAUSE-CD
              WHEN WS-7375-I-LOSS-CAUSE-CD IS EQUAL TO
                   WS-7013-LOSS-CAUSE-CD(WS-7013-LOSS-CAUSE-INDEX)
                   MOVE WS-LITERAL-YES TO WS-7375-FOUND-FLG
                   MOVE WS-7013-LOSS-CAUSE-REC(WS-7013-LOSS-CAUSE-INDEX)
                     TO WS-7375-O-LOSS-CAUSE-REC
                   INITIALIZE WS-7375-I-LOSS-CAUSE-CD
           END-SEARCH.


       7375-LOOKUP-LOSS-CAUSE-CD-EXIT.
           EXIT.

