      ***************************************************************
      * File:      WS7020.CBL                                       *
      * Author:    Mike Ray and Cheryl D. Wood                      *
      * Date:      9/13/95                                          *
      * Purpose:                                                    *
      *    Working Storage for the T15 record to be added to the T15*
      *    table BY 7020-ADD-T15-RECORD.                            *
      ***************************************************************

       01 WS-7020-INPUT.
          05 WS-7020-AVG-APH-YIELD          PIC 9(05)V9(01).
          05 WS-7020-CROP-POLICY-TYPE       PIC X(04).
          05 WS-7020-ACTUAL-YEARS           PIC 9(02).
          05 WS-7020-REF-YEARS-REQ          PIC 9(01).
          05 WS-7020-FARM-APR-AVG-REV       PIC 9(06)V9(02).

      ****************************************************************
      *  THE INCOMING TRANSACTION WILL BE MOVED TO THIS AREA         *
      ****************************************************************

       01 WS-7020-TYPE-15.
          05 WS-7020-RECORD-TYPE            PIC X(02).
          05 WS-7020-POLICY-NO.
             10 WS-7020-REPORTING-ORG          PIC X(02).
             10 WS-7020-LOC-STATE              PIC X(02).
             10 WS-7020-COMPANY-COUNTY         PIC X(03).
             10 WS-7020-POLICY-NUM             PIC X(07).
             10 WS-7020-CROP-YEAR              PIC X(04).
          05 WS-7020-CROP-CD                PIC X(04).
          05 WS-7020-INS-PLAN-CD            PIC X(02).
          05 WS-7020-LOCATION-COUNTY        PIC X(03).
          05 WS-7020-UNIT-NUMBER            PIC X(05).
          05 WS-7020-UNIT-NUMBER-X REDEFINES
             WS-7020-UNIT-NUMBER.
             10 WS-7020-BASIC-UNIT-NUM         PIC 9(03).
             10 WS-7020-BASIC-UNIT-NUM-X REDEFINES
                WS-7020-BASIC-UNIT-NUM         PIC X(03).
             10 WS-7020-OPTIONAL-UNIT          PIC 9(02).
             10 WS-7020-OPTIONAL-UNIT-X REDEFINES
                WS-7020-OPTIONAL-UNIT          PIC X(02).
          05 WS-7020-TYPE-CD                PIC X(03).
          05 WS-7020-PRACTICE-CD            PIC X(03).
          05 WS-7020-COVERAGE-FLG           PIC X(01).
          05 WS-7020-KEY-RESERVE            PIC X(32).
          05 WS-7020-FILLER-1               PIC X(02).
          05 WS-7020-RECORD-NUMBER          PIC X(03).
          05 WS-7020-MAP-AREA               PIC X(03).
          05 WS-7020-NCS-EXCEPTION-FLAG     PIC X(01).
          05 WS-7020-NCS-YIELD-FACTOR       PIC X(03).
          05 WS-7020-REVIEW-FLG             PIC X(02).
          05 WS-7020-YIELD-INDICATOR        PIC X(01).
          05 WS-7020-TRANSITIONAL-YIELD     PIC X(06).
          05 WS-7020-CFSA-YIELD             PIC X(06).
          05 WS-7020-APPROVED-YIELD         PIC X(06).
          05 WS-7020-PREV-APPROV-YIELD      PIC X(06).
          05 WS-7020-YIELD-YEAR1            PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR1       PIC X(01).
          05 WS-7020-ANNUAL-YIELD1          PIC X(06).
          05 WS-7020-YIELD-ACRE1            PIC X(07).
          05 WS-7020-YIELD-YEAR2            PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR2       PIC X(01).
          05 WS-7020-ANNUAL-YIELD2          PIC X(06).
          05 WS-7020-YIELD-ACRE2            PIC X(07).
          05 WS-7020-YIELD-YEAR3            PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR3       PIC X(01).
          05 WS-7020-ANNUAL-YIELD3          PIC X(06).
          05 WS-7020-YIELD-ACRE3            PIC X(07).
          05 WS-7020-YIELD-YEAR4            PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR4       PIC X(01).
          05 WS-7020-ANNUAL-YIELD4          PIC X(06).
          05 WS-7020-YIELD-ACRE4            PIC X(07).
          05 WS-7020-YIELD-YEAR5            PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR5       PIC X(01).
          05 WS-7020-ANNUAL-YIELD5          PIC X(06).
          05 WS-7020-YIELD-ACRE5            PIC X(07).
          05 WS-7020-YIELD-YEAR6            PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR6       PIC X(01).
          05 WS-7020-ANNUAL-YIELD6          PIC X(06).
          05 WS-7020-YIELD-ACRE6            PIC X(07).
          05 WS-7020-YIELD-YEAR7            PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR7       PIC X(01).
          05 WS-7020-ANNUAL-YIELD7          PIC X(06).
          05 WS-7020-YIELD-ACRE7            PIC X(07).
          05 WS-7020-YIELD-YEAR8            PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR8       PIC X(01).
          05 WS-7020-ANNUAL-YIELD8          PIC X(06).
          05 WS-7020-YIELD-ACRE8            PIC X(07).
          05 WS-7020-YIELD-YEAR9            PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR9       PIC X(01).
          05 WS-7020-ANNUAL-YIELD9          PIC X(06).
          05 WS-7020-YIELD-ACRE9            PIC X(07).
          05 WS-7020-YIELD-YEAR10           PIC X(02).
          05 WS-7020-YIELD-TYPE-YEAR10      PIC X(01).
          05 WS-7020-ANNUAL-YIELD10         PIC X(06).
          05 WS-7020-YIELD-ACRE10           PIC X(07).
          05 WS-7020-RATE-STATE             PIC X(02).
          05 WS-7020-RATE-COUNTY            PIC X(03).
          05 WS-7020-FARM-SERIAL-NUM        PIC X(07).
          05 WS-7020-YIELD-LIM-FLAG         PIC X(01).
          05 WS-7020-FILLER-2               PIC X(65).
          05 WS-7020-FCIC-CONTROL-TIME      PIC X(08).
          05 WS-7020-FCIC-CONTROL-DATE      PIC X(08).
          05 WS-7020-REINS-YR               PIC X(04).
          05 WS-7020-BATCH-NO               PIC X(04).
          05 WS-7020-TRAN-SEQ-NO            PIC X(08).
          05 WS-7020-TRAN-REJECTED-FLAG     PIC X(01).
          05 WS-7020-TRAN-SOURCE-FLAG       PIC X(01).
          05 WS-7020-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-7020-FILLER-3               PIC X(14).

