      ***************************************************************
      * File:      WS7030.CBL                                       *
      * Author:    Mike Ray and Cheryl D. Wood                      *
      * Date:      9/13/95                                          *
      * Purpose:                                                    *
      *    Working Storage for the T20 record to be added to the T20*
      *    table BY 7030-ADD-T20-RECORD.                            *
      ***************************************************************


       01 WS-7030-TOT-T20-INDEMNITY      PIC S9(10)
                                         SIGN IS TRAILING.

      ****************************************************************
      *  THE INCOMING TRANACTION WILL BE MOVED TO THIS AREA          *
      ****************************************************************

       01 WS-7030-TYPE-20.
          05 WS-7030-RECORD-TYPE            PIC 9(02).
          05 WS-7030-POLICY-NO.
             10 WS-7030-REPORTING-ORG          PIC X(02).
             10 WS-7030-LOC-STATE              PIC 9(02).
             10 WS-7030-COMPANY-COUNTY         PIC 9(03).
             10 WS-7030-POLICY-NUM             PIC 9(07).
             10 WS-7030-CROP-YEAR              PIC 9(04).
          05 WS-7030-KEY-RESERVE-01         PIC X(21).
          05 WS-7030-CLAIM-NUM              PIC 9(08).
          05 WS-7030-REINSURE-YR            PIC 9(04).
          05 WS-7030-KEY-RESERVE-02         PIC X(20).
          05 WS-7030-FILLER-1               PIC X(02).
          05 WS-7030-RECORD-NUM             PIC 9(03).
          05 WS-7030-1ST-TOT-REINS-YR       PIC X(04).
          05 WS-7030-1ST-TOT-P-CR-MEMO-CO   PIC 9(03).
          05 WS-7030-1ST-TOTAL              PIC X(01).
          05 WS-7030-1ST-ESCROW-CHK         PIC 9(09).
          05 WS-7030-MEMO1 REDEFINES WS-7030-1ST-ESCROW-CHK.
             10 WS-7030-P-CR-MEMO1-ST         PIC 9(02).
             10 WS-7030-P-CR-MEMO1-POL        PIC 9(07).
          05 WS-7030-1ST-TOT-DATE-DRAFT-ISU PIC 9(08).
          05 WS-7030-1ST-TOTAL-AMOUNT       PIC S9(08)
              SIGN IS TRAILING.
          05 WS-7030-2ND-TOT-REINS-YR       PIC X(04).
          05 WS-7030-2ND-TOT-P-CR-MEMO-CO   PIC 9(03).
          05 WS-7030-2ND-TOTAL              PIC X(01).
          05 WS-7030-2ND-ESCROW-CHK         PIC 9(09).
          05 WS-7030-MEMO2 REDEFINES WS-7030-2ND-ESCROW-CHK.
             10 WS-7030-P-CR-MEMO2-ST          PIC 9(02).
             10 WS-7030-P-CR-MEMO2-POL         PIC 9(07).
          05 WS-7030-2ND-TOT-DATE-DRAFT-ISU PIC 9(08).
          05 WS-7030-2ND-TOTAL-AMOUNT       PIC S9(08)
              SIGN IS TRAILING.
          05 WS-7030-3RD-TOT-REINS-YR       PIC X(04).
          05 WS-7030-3RD-TOT-P-CR-MEMO-CO   PIC 9(03).
          05 WS-7030-3RD-TOTAL              PIC X(01).
          05 WS-7030-3RD-ESCROW-CHK         PIC 9(09).
          05 WS-7030-MEMO3 REDEFINES WS-7030-3RD-ESCROW-CHK.
             10 WS-7030-P-CR-MEMO3-ST          PIC 9(02).
             10 WS-7030-P-CR-MEMO3-POL         PIC 9(07).
          05 WS-7030-3RD-TOT-DATE-DRAFT-ISU PIC 9(08).
          05 WS-7030-3RD-TOTAL-AMOUNT       PIC S9(08)
              SIGN IS TRAILING.
          05 WS-7030-4TH-TOT-REINS-YR       PIC X(04).
          05 WS-7030-4TH-TOT-P-CR-MEMO-CO   PIC 9(03).
          05 WS-7030-4TH-TOTAL              PIC X(01).
          05 WS-7030-4TH-ESCROW-CHK         PIC 9(09).
          05 WS-7030-MEMO4 REDEFINES WS-7030-4TH-ESCROW-CHK.
             10 WS-7030-P-CR-MEMO4-ST          PIC 9(02).
             10 WS-7030-P-CR-MEMO4-POL         PIC 9(07).
          05 WS-7030-4TH-TOT-DATE-DRAFT-ISU PIC 9(08).
          05 WS-7030-4TH-TOTAL-AMOUNT       PIC S9(08)
              SIGN IS TRAILING.
          05 WS-7030-FILLER-2               PIC X(123).
          05 WS-7030-VALID-FOR-ESCROW       PIC X(01).
          05 WS-7030-RM-DATA-RECEIPT-DATE   PIC 9(08).
          05 WS-7030-FSA-CONTROL-DATE       PIC 9(08).
          05 WS-7030-FCIC-CONTROL-TIME      PIC X(08).
          05 WS-7030-FCIC-CONTROL-DATE      PIC X(08).
          05 WS-7030-REINS-YR               PIC 9(04).
          05 WS-7030-BATCH-NO               PIC 9(04).
          05 WS-7030-TRAN-SEQ-NO            PIC 9(08).
          05 WS-7030-TRAN-REJ-FLAG          PIC X(01).
          05 WS-7030-TRAN-SOURCE-FLAG       PIC X(01).
          05 WS-7030-MDAS-PROCESS-NO        PIC 9(02).
          05 WS-7030-FILLER-3               PIC X(14).

