      ****************************************************************
      *TYPE 11 RECORD PROCESSING:                                    *
      *    TABLE TO STORE FINAL PLANTING DATE EXCEPTION FOR COTTONS  *
      *    IN TEXAS & WHEAT IN WASHINGTON STATE WHERE THERE ARE TWO  *
      *    FINAL PLANTING DATES.                                     *
      *                                                              *
      *     FILE  : WS7240.CBL                                       *
      *     AUTHOR: K. THOW                                          *
      *     DATE  : 08-06-97                                         *
      ****************************************************************

       01  WS-7240-TXWA-EXDATE-KEY.
           05  WS-7240-TXWA-EXDATE-STATE            PIC X(02).
           05  WS-7240-TXWA-EXDATE-CNTY             PIC X(03).
           05  WS-7240-TXWA-EXDATE-CROP             PIC X(04).
           05  WS-7240-TXWA-EXDATE-TYPE             PIC X(03).
           05  WS-7240-TXWA-EXDATE-PRAC             PIC X(03).

       01  WS-7240-FINAL-DATE-TABLE.
           05  WS-7240-FINAL-DATE-TABLES OCCURS 28 TIMES INDEXED
               BY EXDATE ASCENDING KEY IS WS-7240-FINAL-DATE-KEY.
               10 WS-7240-FINAL-DATE-KEY            PIC X(15).
               10 WS-7240-FINAL-DATE-MM             PIC 9(02).
               10 WS-7240-FINAL-DATE-DD             PIC 9(02).

       01  WS-7240-TXWA-EXDATE.
           05  WS-7240-TXWA-EXDATE-YY               PIC 9(4).
           05  WS-7240-TXWA-EXDATE-MM               PIC 9(2).
           05  WS-7240-TXWA-EXDATE-DD               PIC 9(2).

       01  WS-7240-TXWA-EXDATE-FOUND-FLAG           PIC X(01).
       01  WS-7240-TXWA-EXDATE-2PASS-FLAG           PIC X(01).

