      *******************************************************************
      *   FILE:    WS7515.CBL                                           *
      *   AUTHOR:  MIKE RAY                                             *
      *   DATE:    10/25/95                                             *
      *   PURPOSE:                                                      *
      *            WORKING STORAGE FOR 7515-LOOKUP-ADM3                 *
      *            THESE WORKING STORAGE VARIABLES ARE USED FOR         *
      *            LOOKUP OF RECORDS IN THE ADM TYPE 3 ISAM FILE        *
      *            THIS FILE CONTAINS:                                  *
      *                        DATES                                    *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7515-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE '3'.
           05 FILLER                         PIC X(01) VALUE SPACES.
           05 WS-7515-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7515-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7515-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7515-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7515-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
           05 WS-7515-INPUT-PRACTICE-CD.
              10 WS-7515-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
              10 WS-7515-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
           05 WS-7515-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.



      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************

       01 WS-7515-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7515                VALUE 'Y'.

       01 WS-7515-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7515               VALUE 'Y'.

       01 WS-7515-ADM3-REC.
          10 WS-7515-ADM3-KEY.
             15 WS-7515-RECORD-TYPE-CD         PIC X(01).
             15 WS-7515-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7515-CROP-YEAR              PIC 9(02).
             15 WS-7515-STATE-CD               PIC 9(02).
             15 WS-7515-COUNTY-CD              PIC 9(03).
             15 WS-7515-CROP-CD                PIC 9(04).
             15 WS-7515-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7515-PRACTICE-CD            PIC X(03).
             15 WS-7515-TYPE-CD                PIC 9(03).
          10 WS-7515-ADM3-DATA.
             15 WS-7515-FILING-DATE            PIC 9(08).
             15 WS-7515-SALES-CLOSING          PIC 9(08).
             15 WS-7515-MOD-SALES-CLOSING      PIC 9(08).
             15 WS-7515-EXT-SALES-CLOSING      PIC 9(08).
             15 WS-7515-FINAL-PLANTING         PIC 9(08).
             15 WS-7515-EXT-FINAL-PLANTING     PIC 9(08).
             15 WS-7515-ACREAGE-REPORTING      PIC 9(08).
             15 WS-7515-MOD-ACREAGE-REPORTING  PIC 9(08).
             15 WS-7515-BILLING-DATE           PIC 9(08).
             15 WS-7515-END-OF-INSURANCE       PIC 9(08).
             15 WS-7515-CANCELLATION-DATE      PIC 9(08).
             15 WS-7515-MOD-CANCELLATION-DATE  PIC 9(08).
             15 WS-7515-TERMINATION-DATE       PIC 9(08).
             15 WS-7515-CRC-APH-FLAG           PIC X(01).
             15 FILLER                         PIC X(31).
             15 WS-7515-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7515-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7515-DATE-FILED             PIC 9(06).

