      *******************************************************************
      *   File:    WS7545.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    06/09/97                                             *
      *   Purpose: Working storage for 7545-LOOKUP-ADMAC                *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7545-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE 'A'.
           05 FILLER                         PIC X(01) VALUE 'C'.
           05 WS-7545-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7545-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7545-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7545-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7545-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
           05 WS-7545-INPUT-PRACTICE-CD.
              10 WS-7545-INPUT-PRACTICE-POS1    PIC X(01) VALUE SPACES.
              10 WS-7545-INPUT-PRACTICE-POS2-3  PIC X(02) VALUE SPACES.
           05 WS-7545-INPUT-TYPE-CD          PIC 9(03) VALUE ZEROS.

      *****************************************************
      *               WORK/DISPLAY FIELDS                 *
      *****************************************************
       01 WS-7545-WORK.
          05 WS-7545-PRICE-X                PIC Z9.99.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************
       01 WS-7545-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7545                VALUE 'Y'.

       01 WS-7545-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7545               VALUE 'Y'.

       01 WS-7545-ADMAC-REC.
          10 WS-7545-ADMAC-KEY.
             15 WS-7545-RECORD-TYPE-CD         PIC X(01).
             15 WS-7545-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7545-CROP-YEAR              PIC 9(02).
             15 WS-7545-STATE-CD               PIC 9(02).
             15 WS-7545-COUNTY-CD              PIC 9(03).
             15 WS-7545-CROP-CD                PIC 9(04).
             15 WS-7545-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7545-PRACTICE-CD            PIC X(03).
             15 WS-7545-TYPE-CD                PIC 9(03).
          10 WS-7545-ADMAC-DATA1.
             15 WS-7545-LONG-TERM-AVG-REVENUE  PIC 9(07).
          10 WS-7545-ADMAC-REVENUE-TBL.
             15 WS-7545-REVENUE-CROP-YEAR1     PIC 9(02).
             15 WS-7545-COUNTY-REVENUE1        PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE1      PIC 9(02)V9(02).
             15 WS-7545-REVENUE-CROP-YEAR2     PIC 9(02).
             15 WS-7545-COUNTY-REVENUE2        PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE2      PIC 9(02)V9(02).
             15 WS-7545-REVENUE-CROP-YEAR3     PIC 9(02).
             15 WS-7545-COUNTY-REVENUE3        PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE3      PIC 9(02)V9(02).
             15 WS-7545-REVENUE-CROP-YEAR4     PIC 9(02).
             15 WS-7545-COUNTY-REVENUE4        PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE4      PIC 9(02)V9(02).
             15 WS-7545-REVENUE-CROP-YEAR5     PIC 9(02).
             15 WS-7545-COUNTY-REVENUE5        PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE5      PIC 9(02)V9(02).
             15 WS-7545-REVENUE-CROP-YEAR6     PIC 9(02).
             15 WS-7545-COUNTY-REVENUE6        PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE6      PIC 9(02)V9(02).
             15 WS-7545-REVENUE-CROP-YEAR7     PIC 9(02).
             15 WS-7545-COUNTY-REVENUE7        PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE7      PIC 9(02)V9(02).
             15 WS-7545-REVENUE-CROP-YEAR8     PIC 9(02).
             15 WS-7545-COUNTY-REVENUE8        PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE8      PIC 9(02)V9(02).
             15 WS-7545-REVENUE-CROP-YEAR9     PIC 9(02).
             15 WS-7545-COUNTY-REVENUE9        PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE9      PIC 9(02)V9(02).
             15 WS-7545-REVENUE-CROP-YEAR10    PIC 9(02).
             15 WS-7545-COUNTY-REVENUE10       PIC 9(06).
             15 WS-7545-SEASON-AVG-PRICE10     PIC 9(02)V9(02).
             15 WS-7545-BIG-FILLER             PIC X(22).
             15 WS-7545-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7545-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7545-DATE-FILED             PIC 9(06).

