      *******************************************************************
      *   File:    WS7550.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    06/09/97                                             *
      *   Purpose: Working storage for 7550-LOOKUP-ADMAR                *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7550-INPUT-KEY.
           05 FILLER                         PIC X(01) VALUE 'A'.
           05 FILLER                         PIC X(01) VALUE 'R'.
           05 WS-7550-INPUT-CROP-YR          PIC 9(02) VALUE ZEROS.
           05 WS-7550-INPUT-STATE-CD         PIC 9(02) VALUE ZEROS.
           05 WS-7550-INPUT-COUNTY-CD        PIC 9(03) VALUE ZEROS.
           05 WS-7550-INPUT-CROP-CD          PIC 9(04) VALUE ZEROS.
           05 WS-7550-INPUT-INSURANCE-PLAN   PIC 9(02) VALUE ZEROS.
           05 WS-7550-INPUT-PRACTICE-CD      PIC X(03) VALUE SPACES.
           05 WS-7550-INPUT-TYPE-CD          PIC X(03) VALUE SPACES.
           05 WS-7550-INPUT-RATE-CLASS       PIC X(03) VALUE SPACES.

      *****************************************************
      *               WORK/DISPLAY FIELDS                 *
      *****************************************************
       01 WS-7550-WORK.
          05 WS-7550-BASE-PREM-RATE-X        PIC 9.999.

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************
       01 WS-7550-FOUND-FLG              PIC X(01).
          88 MATCH-FOUND-7550                VALUE 'Y'.

       01 WS-7550-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7550               VALUE 'Y'.

       01 WS-7550-ADMAR-REC.
          10 WS-7550-ADMAR-KEY.
             15 WS-7550-RECORD-TYPE-CD         PIC X(01).
             15 WS-7550-RECORD-TYPE-SFX        PIC X(01).
             15 WS-7550-CROP-YEAR              PIC 9(02).
             15 WS-7550-STATE-CD               PIC 9(02).
             15 WS-7550-COUNTY-CD              PIC 9(03).
             15 WS-7550-CROP-CD                PIC 9(04).
             15 WS-7550-INSURANCE-PLAN-ID      PIC 9(02).
             15 WS-7550-PRACTICE-CD            PIC X(03).
             15 WS-7550-TYPE-CD                PIC 9(03).
             15 WS-7550-RATE-CLASS             PIC X(03).
          10 WS-7550-ADMAR-DATA.
             15 WS-7550-LOW-APPROVED-AVG-REV   PIC 9(07).
             15 WS-7550-HIGH-APPROVED-AVG-REV  PIC 9(07).
             15 WS-7550-CVG-LVL-01             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-01        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-02             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-02        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-03             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-03        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-04             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-04        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-05             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-05        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-06             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-06        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-07             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-07        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-08             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-08        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-09             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-09        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-10             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-10        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-11             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-11        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-12             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-12        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-13             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-13        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-14             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-14        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-15             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-15        PIC 9(01)V9(03).
             15 WS-7550-CVG-LVL-16             PIC 9(02).
             15 WS-7550-BASE-PREM-RT-16        PIC 9(01)V9(03).
             15 WS-7550-BIG-FILLER             PIC X(23).
             15 WS-7550-DATE-LAST-RELEASED     PIC 9(06).
             15 WS-7550-DATE-LAST-UPDATED      PIC 9(06).
             15 WS-7550-DATE-FILED             PIC 9(06).

