      *******************************************************************
      *   File:    WS7605.CBL                                           *
      *   Author:  Mike Ray                                             *
      *   Date:    03/21/97                                             *
      *   Purpose:                                                      *
      *            Working storage for 7605-LOOKUP-AGENT-ID             *
      *******************************************************************


      *****************************************************
      *               INPUT FIELDS                        *
      *****************************************************

       01 WS-7605-INPUT-KEY.
          05 WS-7605-INPUT-AGENT-ID         PIC X(09).

      *****************************************************
      *               LOCAL FIELDS                        *
      *****************************************************

      *****************************************************
      *               OUTPUT FIELDS                       *
      *****************************************************
       01 WS-7605-MATCH-FOUND            PIC X(01).
          88 MATCH-FOUND-7605              VALUE 'Y'.

       01 WS-7605-INPUT-ERROR            PIC X(01).
          88 INPUT-ERROR-7605               VALUE 'Y'.

       01 WS-7605-OUTPUT.
          05 WS-7605-ISAM-T55.
             10 WS-7605-ISAM-KEY.
                15 WS-7605-ISAM-AGENT-ID          PIC X(09).
             10 WS-7605-ISAM-DATA.
                15 WS-7605-ISAM-REJECT-FLAG       PIC X(01).
                15 WS-7605-ISAM-LATEST-SUB-BATCH  PIC 9(04).
                15 WS-7605-ISAM-LATEST-SUB-DATE   PIC 9(08).
                15 WS-7605-ISAM-FIRST-SUB-BATCH   PIC 9(04).
                15 WS-7605-ISAM-FIRST-SUB-DATE    PIC 9(08).
                15 WS-7605-ISAM-LATEST-RECORD.
                   20 WS-7605-RECORD-TYPE             PIC 9(02).
                   20 WS-7605-REPORTING-ORG           PIC X(02).
                   20 WS-7605-SERV-STATE              PIC 9(02).
                   20 WS-7605-ACTIVE-FLG              PIC X(01).
                   20 WS-7605-INACTIVE-DATE           PIC X(08).
                   20 WS-7605-FILLER-1                PIC X(02).
                   20 WS-7605-CROP-YEAR               PIC 9(04).
                   20 WS-7605-TYPE-OF-ID-CODE         PIC X(01).
                   20 WS-7605-AGENT-ID                PIC X(09).
                   20 WS-7605-AGENT-LAST-NAME         PIC X(20).
                   20 WS-7605-AGENT-FIRST-NAME        PIC X(12).
                   20 WS-7605-AGENT-MID-NAME          PIC X(10).
                   20 WS-7605-AGENT-SUFFIX            PIC X(05).
                   20 WS-7605-AGENT-TITLE             PIC X(04).
                   20 WS-7605-AGENCY-NAME             PIC X(35).
                   20 WS-7605-BUSINESS-ADDRESS        PIC X(35).
                   20 WS-7605-CITY                    PIC X(35).
                   20 WS-7605-COUNTY                  PIC 9(03).
                   20 WS-7605-ADDRESS-STATE           PIC X(02).
                   20 WS-7605-ZIP-CODE                PIC 9(05).
                   20 WS-7605-ZIP-EXTEN               PIC 9(04).
                   20 WS-7605-FILLER-2                PIC X(06).
                   20 WS-7605-PHONE-NUM               PIC 9(10).
                   20 WS-7605-PHONE-EXTEN             PIC X(06).
                   20 WS-7605-FILLER-3                PIC X(26).
                   20 WS-7605-SOC-SEC-NUM             PIC 9(09).
                   20 WS-7605-FILLER-4                PIC X(84).
                   20 WS-7605-CONTROL-DATE            PIC X(08).
                   20 WS-7605-FCIC-CONTROL-TIME       PIC 9(08).
                   20 WS-7605-FCIC-CONTROL-DATE       PIC 9(08).
                   20 WS-7605-REINS-YR                PIC 9(04).
                   20 WS-7605-BATCH-NO                PIC 9(04).
                   20 WS-7605-TRAN-SEQ-NO             PIC 9(08).
                   20 WS-7605-TRAN-REJ-FLAG           PIC X(01).
                   20 WS-7605-TRAN-SOURCE-FLAG        PIC X(01).
                   20 FILLER                          PIC X(16).

