      ***************************************************************
      * File:      M0510.CBL
      * Author:    Mike Ray
      * Date:      8/31/95
      * Purpose:
      *    This paragraph converts a six position date to a 8 position
      *    date.
      ***************************************************************

       0510-CONVERT-TO-MMDDCCYY.

      * INITIALIZE
           INITIALIZE WS-0510-CONVERTED-DATE.
           INITIALIZE WS-0510-SYSTEM-DATE.

           MOVE WS-0004-SYS-DATE TO WS-0510-SYSTEM-DATE.

      * CHECK PRECONDITIONS
           IF WS-0510-SYSTEM-DATE = SPACES
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0510 TO WS-8020-PARAGRAPH-NO
               MOVE 90003 TO WS-8020-INT-ERROR-NO
               MOVE 'WS-0510-SYSTEM-DATE' TO WS-8020-FIELD-NAME
               MOVE WS-0510-SYSTEM-DATE TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

           IF WS-0510-INPUT-DATE = SPACES
               MOVE WS-LITERAL-YES TO WS-8020-ABORT-PROGRAM
               MOVE 0510 TO WS-8020-PARAGRAPH-NO
               MOVE 90003 TO WS-8020-INT-ERROR-NO
               MOVE 'WS-0510-INPUT-DATE' TO WS-8020-FIELD-NAME
               MOVE WS-0510-INPUT-DATE TO WS-8020-BAD-DATA
               PERFORM 8020-RECORD-INT-ERROR
                   THRU 8020-RECORD-INT-ERROR-EXIT
           END-IF.

           MOVE WS-0510-INPUT-DT-MONTH TO WS-0510-CONVERTED-DT-MONTH.
           MOVE WS-0510-INPUT-DT-DAY TO WS-0510-CONVERTED-DT-DAY.
           MOVE WS-0510-SYS-DT-CENTURY TO WS-0510-CONVERTED-DT-CENTURY.
           MOVE WS-0510-INPUT-DT-YEAR TO WS-0510-CONVERTED-DT-YEAR.

      * INITIALIZE INPUT FIELDS
           INITIALIZE WS-0510-INPUT-DATE.

       0510-CONVERT-TO-MMDDCCYY-EXIT.
           EXIT.



