      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS THE ERROR FLAGS    *
      *     THAT ARE SET, WHEN A TRANSACTION RECORD TYPE FAILS       *
      *     VALIDATION. ALL DATA FIELDS FOR:                         *
      *     RECORD TYPES 10, 11, 12, 14, 15, 20 AND 21 ARE COVERED   *
      *     WITH NO DUPLICATION OF COMMON FIELDS ACROSS RECORD TYPES.*
      *                                                              *
      *     REVISED AUGUST 18, 1995 TO REFLECT NEW 1996 MANUAL 13,   *
      *     DAS HANDBOOK DIRECTIVES.                                 *
      *                                                              *
      *                                                              *
      *     FILE  : WS0002.CBL                                       *
      *     AUTHOR: CHERYL D. WOOD                                   *
      *     DATE  : AUGUST 18, 1995                                  *
      ****************************************************************


       01  WS-0002-ERROR-FIELD-FLAGS.
           05  ERROR-100-PCT-REPLANT-FL           PIC X(01).
           05  ERROR-1ST-ESCROW-CHK               PIC X(01).
           05  ERROR-1ST-TOT                      PIC X(01).
           05  ERROR-1ST-TOT-AMT                  PIC X(01).
           05  ERROR-1ST-TOT-LOC-STATE            PIC X(01).
           05  ERROR-1ST-TOT-POLICY-NO            PIC X(01).
           05  ERROR-1ST-TOT-REINSURE-YR          PIC X(01).
           05  ERROR-2ND-ESCROW-CHK               PIC X(01).
           05  ERROR-2ND-TOT                      PIC X(01).
           05  ERROR-2ND-TOT-AMT                  PIC X(01).
           05  ERROR-2ND-TOT-LOC-STATE            PIC X(01).
           05  ERROR-2ND-TOT-POLICY-NO            PIC X(01).
           05  ERROR-2ND-TOT-REINSURE-YR          PIC X(01).
           05  ERROR-3RD-ESCROW-CHK               PIC X(01).
           05  ERROR-3RD-TOT                      PIC X(01).
           05  ERROR-3RD-TOT-AMT                  PIC X(01).
           05  ERROR-3RD-TOT-LOC-STATE            PIC X(01).
           05  ERROR-3RD-TOT-POLICY-NO            PIC X(01).
           05  ERROR-3RD-TOT-REINSURE-YR          PIC X(01).
           05  ERROR-4TH-ESCROW-CHK               PIC X(01).
           05  ERROR-4TH-TOT                      PIC X(01).
           05  ERROR-4TH-TOT-AMT                  PIC X(01).
           05  ERROR-4TH-TOT-LOC-STATE            PIC X(01).
           05  ERROR-4TH-TOT-POLICY-NO            PIC X(01).
           05  ERROR-4TH-TOT-REINSURE-YR          PIC X(01).
           05  ERROR-ACCUM-DEDUCT                 PIC X(01).
           05  ERROR-ACREAGE-REC-NO               PIC X(01).
           05  ERROR-ACREAGE-RPT-DT               PIC X(01).
           05  ERROR-ACREAGE-TRAN-FL              PIC X(01).
           05  ERROR-ACTIVE-FLG                   PIC X(01).
           05  ERROR-ADDRESS                      PIC X(01).
           05  ERROR-ADDRESS-STATE                PIC X(01).
           05  ERROR-ADJUSTER-ID-CD               PIC X(01).
           05  ERROR-ADJUSTER-SIG-DT              PIC X(01).
           05  ERROR-ADMIN-FEE-FL                 PIC X(01).
           05  ERROR-AGENCY-NAME                  PIC X(01).
           05  ERROR-AGENT-ID-NO                  PIC X(01).
           05  ERROR-AGGREGATE-DEDUCT             PIC X(01).
           05  ERROR-ANNUAL-YLD1                  PIC X(01).
           05  ERROR-ANNUAL-YLD10                 PIC X(01).
           05  ERROR-ANNUAL-YLD2                  PIC X(01).
           05  ERROR-ANNUAL-YLD3                  PIC X(01).
           05  ERROR-ANNUAL-YLD4                  PIC X(01).
           05  ERROR-ANNUAL-YLD5                  PIC X(01).
           05  ERROR-ANNUAL-YLD6                  PIC X(01).
           05  ERROR-ANNUAL-YLD7                  PIC X(01).
           05  ERROR-ANNUAL-YLD8                  PIC X(01).
           05  ERROR-ANNUAL-YLD9                  PIC X(01).
           05  ERROR-APPROVED-YLD                 PIC X(01).
           05  ERROR-ASSIGNED-RISK                PIC X(01).
           05  ERROR-ASSIGNED-RISK-CNT            PIC X(01).
           05  ERROR-AUDIT-CORRECTION             PIC X(01).
           05  ERROR-AVG-MONTHLY                  PIC X(01).
           05  ERROR-AVG-MONTHLY-MKT-VALUE        PIC X(01).
           05  ERROR-AVG-YIELD                    PIC X(01).
           05  ERROR-BARLEY-EXTENSION-FLG         PIC X(01).
           05  ERROR-BASE-PREM-RT                 PIC X(01).
           05  ERROR-BENEF-FL                     PIC X(01).
           05  ERROR-BRNCH-OFF-STATE-CD           PIC X(01).
           05  ERROR-BUSINESS-ADDRESS             PIC X(01).
           05  ERROR-CAUSE-OF-LOSS-CD             PIC X(01).
           05  ERROR-CAUSE-OF-LOSS-MONTH          PIC X(01).
           05  ERROR-CFSA-CPNY-EMP                PIC X(01).
           05  ERROR-CFSA-YLD                     PIC X(01).
           05  ERROR-CFSA-YLD-INQ                 PIC X(01).
           05  ERROR-CITY                         PIC X(01).
           05  ERROR-CLAIM-NO                     PIC X(01).
           05  ERROR-CNTY-AVG-REVENUE             PIC X(01).
           05  ERROR-COLLATERAL-FL                PIC X(01).
           05  ERROR-COMPUTE-INTEREST-CD          PIC X(01).
           05  ERROR-CONSERV-COMPLY-INQ           PIC X(01).
           05  ERROR-CPNY-CNTY                    PIC X(01).
           05  ERROR-CROP-CD                      PIC X(01).
           05  ERROR-CROP-MAX-REPLANT-QTY         PIC X(01).
           05  ERROR-CROP-TYPE                    PIC X(01).
           05  ERROR-CROP-YR                      PIC X(01).
           05  ERROR-CROP-YR1                     PIC X(01).
           05  ERROR-CROP-YR2                     PIC X(01).
           05  ERROR-CROP-YR3                     PIC X(01).
           05  ERROR-CRUSH-DISTRICT               PIC X(01).
           05  ERROR-CVG-AREA-PCT                 PIC X(01).
           05  ERROR-CVG-FL                       PIC X(01).
           05  ERROR-CVG-LVL-PCT                  PIC X(01).
           05  ERROR-DAYS-LATE                    PIC X(01).
           05  ERROR-DELETE-CNT                   PIC X(01).
           05  ERROR-DELETE-FLG                   PIC X(01).
           05  ERROR-DETERM-ACRES                 PIC X(01).
           05  ERROR-DOLLAR-AMT-INSUR             PIC X(01).
           05  ERROR-DT-DRAFT-ISSUED              PIC X(01).
           05  ERROR-DT-PLANTED                   PIC X(01).
           05  ERROR-DUAL-CVG-FL                  PIC X(01).
           05  ERROR-ENDORSEMENT-ID               PIC X(01).
           05  ERROR-ENTITY-TYPE                  PIC X(01).
           05  ERROR-EXPER-FCTR                   PIC X(01).
           05  ERROR-EXPER-INQ                    PIC X(01).
           05  ERROR-FARM-SER-NO                  PIC X(01).
           05  ERROR-FARM-UNIT-DEFICIENCY         PIC X(01).
           05  ERROR-FCIC-CTRL-DT                 PIC X(01).
           05  ERROR-FEE-PREPMT-FL                PIC X(01).
           05  ERROR-FIELD-MKT-VALUE              PIC X(01).
           05  ERROR-FIRST-NAME                   PIC X(01).
           05  ERROR-GRP-PMT-CALC-FCTR            PIC X(01).
           05  ERROR-GUAR-RED-FLG                 PIC X(01).
           05  ERROR-GUAR-RED-PCT                 PIC X(01).
           05  ERROR-GUARANTEE-PER-ACRE           PIC X(01).
           05  ERROR-HARDINESS-ZONE               PIC X(01).
           05  ERROR-HARVESTED-PRODUCTION         PIC X(01).
           05  ERROR-ID-NO                        PIC X(01).
           05  ERROR-ID-TYPE                      PIC X(01).
           05  ERROR-IN-CARE-OF-NAME              PIC X(01).
           05  ERROR-INACTIVE-DATE                PIC X(01).
           05  ERROR-INDEM                        PIC X(01).
           05  ERROR-INPUT-FILE-DATE              PIC X(01).
           05  ERROR-INSUR-PLAN-CD                PIC X(01).
           05  ERROR-INSURED-SHARE                PIC X(01).
           05  ERROR-INSURED-SIG-DT               PIC X(01).
           05  ERROR-INTENDED-ACREAGE-FLAG        PIC X(01).
           05  ERROR-IP-COUNTY-AVG-YIELD          PIC X(01).
           05  ERROR-LAST-NAME                    PIC X(01).
           05  ERROR-LATE-PROCESS-FL              PIC X(01).
           05  ERROR-LIAB                         PIC X(01).
           05  ERROR-LIAB-FCTR                    PIC X(01).
           05  ERROR-LOC-CNTY                     PIC X(01).
           05  ERROR-LOC-STATE                    PIC X(01).
           05  ERROR-LONGTRM-CNTY-AVG             PIC X(01).
           05  ERROR-LOSS-FROM-ANNUAL             PIC X(01).
           05  ERROR-LOSS-FROM-AVG                PIC X(01).
           05  ERROR-LOSS-GUAR                    PIC X(01).
           05  ERROR-LOSS-LINE-CNT                PIC X(01).
           05  ERROR-LOSS-TOT-CNT                 PIC X(01).
           05  ERROR-LOSS-TRAN-FL                 PIC X(01).
           05  ERROR-LOSS-USED                    PIC X(01).
           05  ERROR-MAP-AREA                     PIC X(01).
           05  ERROR-MAX-FEE-CAUSE                PIC X(01).
           05  ERROR-MIDDLE-NAME                  PIC X(01).
           05  ERROR-NAME-SUFFIX                  PIC X(01).
           05  ERROR-NATIVE-AMER-FL               PIC X(01).
           05  ERROR-NBR-OF-SECTIONS              PIC X(01).
           05  ERROR-NCS-EXCEPTION-FLAG           PIC X(01).
           05  ERROR-NCS-FCIC-2-FL                PIC X(01).
           05  ERROR-NCS-YLD-FCTR                 PIC X(01).
           05  ERROR-NEW-MKT-VALUE                PIC X(01).
           05  ERROR-OPT-CD                       PIC X(01).
           05  ERROR-OTHR-REC-TYPE-CNT            PIC X(01).
           05  ERROR-P-CR-MEMO-CPNY               PIC X(01).
           05  ERROR-P-CR-MEMO-CROP-YR            PIC X(01).
           05  ERROR-P-CR-MEMO-RO                 PIC X(01).
           05  ERROR-PAID-AMT                     PIC X(01).
           05  ERROR-PAID-DT                      PIC X(01).
           05  ERROR-PARTIAL-PP-FLAG              PIC X(01).
           05  ERROR-PAYMNT-CNT                   PIC X(01).
           05  ERROR-PCR-MEMO-CPNY1               PIC X(01).
           05  ERROR-PCR-MEMO-CPNY2               PIC X(01).
           05  ERROR-PCR-MEMO-CPNY3               PIC X(01).
           05  ERROR-PCR-MEMO-CPNY4               PIC X(01).
           05  ERROR-PCR-MEMO-POLICY1             PIC X(01).
           05  ERROR-PCR-MEMO-POLICY2             PIC X(01).
           05  ERROR-PCR-MEMO-POLICY3             PIC X(01).
           05  ERROR-PCR-MEMO-POLICY4             PIC X(01).
           05  ERROR-PCR-MEMO-STATE1              PIC X(01).
           05  ERROR-PCR-MEMO-STATE2              PIC X(01).
           05  ERROR-PCR-MEMO-STATE3              PIC X(01).
           05  ERROR-PCR-MEMO-STATE4              PIC X(01).
           05  ERROR-PHONE-EXTEN                  PIC X(01).
           05  ERROR-PHONE-NO                     PIC X(01).
           05  ERROR-PMT-TYPE                     PIC X(01).
           05  ERROR-POLICY-NO                    PIC X(01).
           05  ERROR-POLICY-STATUS                PIC X(01).
           05  ERROR-POSITION-250                 PIC X(01).
           05  ERROR-PRACTICE-CD                  PIC X(01).
           05  ERROR-PREM-HEADER-CNT              PIC X(01).
           05  ERROR-PREM-LINES-CNT               PIC X(01).
           05  ERROR-PREM-RT-SURCHG               PIC X(01).
           05  ERROR-PREPMT-FL                    PIC X(01).
           05  ERROR-PREV-APPROV-YLD              PIC X(01).
           05  ERROR-PREV-CAUSE-CD                PIC X(01).
           05  ERROR-PREV-CAUSE-MONTH             PIC X(01).
           05  ERROR-PREV-POLICY                  PIC X(01).
           05  ERROR-PREV-RO                      PIC X(01).
           05  ERROR-PRICE-ELECTION               PIC X(01).
           05  ERROR-PRIMARY-CAUSE                PIC X(01).
           05  ERROR-PRIMARY-MONTH                PIC X(01).
           05  ERROR-PRIMARY-PCT                  PIC X(01).
           05  ERROR-PRIV-POLICY-CD               PIC X(01).
           05  ERROR-PRIV-POLICY-NO               PIC X(01).
           05  ERROR-PROD-BUS-NAME                PIC X(01).
           05  ERROR-PROD-PREM                    PIC X(01).
           05  ERROR-PRODUCTION-TO-COUNT          PIC X(01).
           05  ERROR-PEANUT-QUOTA                 PIC X(01).
           05  ERROR-TOBACCO-QUOTA                PIC X(01).
           05  ERROR-QUOTA                        PIC X(01).
           05  ERROR-RANGE                        PIC X(01).
           05  ERROR-RATE-CLASS                   PIC X(01).
           05  ERROR-RATE-COUNTY                  PIC X(01).
           05  ERROR-RATE-STATE                   PIC X(01).
           05  ERROR-REC-NO                       PIC X(01).
           05  ERROR-REC-TYPE                     PIC X(01).
           05  ERROR-REFERENCE-CROP-YR            PIC X(01).
           05  ERROR-REINSURE-YR                  PIC X(01).
           05  ERROR-REPORTED-ACRES               PIC X(01).
           05  ERROR-REVENUE-CVG-LVL              PIC X(01).
           05  ERROR-REVIEW-FL                    PIC X(01).
           05  ERROR-RFND-CNCL-FL                 PIC X(01).
           05  ERROR-RO                           PIC X(01).
           05  ERROR-RO-CTRL-DT                   PIC X(01).
           05  ERROR-SALES-CLOSING-DT             PIC X(01).
           05  ERROR-SECONDARY-CAUSE              PIC X(01).
           05  ERROR-SECONDARY-MONTH              PIC X(01).
           05  ERROR-SECTION                      PIC X(01).
           05  ERROR-SEED-CPNY-CD                 PIC X(01).
           05  ERROR-SIMPLIFIED-CLM               PIC X(01).
           05  ERROR-SOC-SEC-NUM                  PIC X(01).
           05  ERROR-STAGE-CD                     PIC X(01).
           05  ERROR-STAGE-GPA                    PIC X(01).
           05  ERROR-STAGE-GUARANTEE              PIC X(01).
           05  ERROR-SUGAR-FCTR                   PIC X(01).
           05  ERROR-TITLE                        PIC X(01).
           05  ERROR-TOT-ACRES1                   PIC X(01).
           05  ERROR-TOT-ACRES2                   PIC X(01).
           05  ERROR-TOT-ACRES3                   PIC X(01).
           05  ERROR-TOT-INDEMNITY                PIC X(01).
           05  ERROR-TOT-LIAB1                    PIC X(01).
           05  ERROR-TOT-LIAB2                    PIC X(01).
           05  ERROR-TOT-LIAB3                    PIC X(01).
           05  ERROR-TOT-LOSSES1                  PIC X(01).
           05  ERROR-TOT-LOSSES2                  PIC X(01).
           05  ERROR-TOT-LOSSES3                  PIC X(01).
           05  ERROR-TOT-PAID1                    PIC X(01).
           05  ERROR-TOT-PAID2                    PIC X(01).
           05  ERROR-TOT-PAID3                    PIC X(01).
           05  ERROR-TOT-PREM                     PIC X(01).
           05  ERROR-TOT-PREM1                    PIC X(01).
           05  ERROR-TOT-PREM2                    PIC X(01).
           05  ERROR-TOT-PREM3                    PIC X(01).
           05  ERROR-TOT-PROD-PREM1               PIC X(01).
           05  ERROR-TOT-PROD-PREM2               PIC X(01).
           05  ERROR-TOT-PROD-PREM3               PIC X(01).
           05  ERROR-TOTAL-GUARANTEE              PIC X(01).
           05  ERROR-TOWNSHIP                     PIC X(01).
           05  ERROR-TRAN-RGHT-INDEM              PIC X(01).
           05  ERROR-TRANSITIONAL-YIELD           PIC X(01).
           05  ERROR-TYPE-15-REC-NO               PIC X(01).
           05  ERROR-TYPE-OF-ID-CODE              PIC X(01).
           05  ERROR-TYPE-PRACTICE-OPT-CD         PIC X(01).
           05  ERROR-UNIT-NO                      PIC X(01).
           05  ERROR-UNIT-OF-MEASURE              PIC X(01).
           05  ERROR-UNIT-OPT-CD                  PIC X(01).
           05  ERROR-UNIT-PREM-ADJ-FACTOR         PIC X(01).
           05  ERROR-WEEKS-LATE                   PIC X(01).
           05  ERROR-WHOLE-FARM-DISCOUNT-FCTR     PIC X(01).
           05  ERROR-YLD-ACRE1                    PIC X(01).
           05  ERROR-YLD-ACRE10                   PIC X(01).
           05  ERROR-YLD-ACRE2                    PIC X(01).
           05  ERROR-YLD-ACRE3                    PIC X(01).
           05  ERROR-YLD-ACRE4                    PIC X(01).
           05  ERROR-YLD-ACRE5                    PIC X(01).
           05  ERROR-YLD-ACRE6                    PIC X(01).
           05  ERROR-YLD-ACRE7                    PIC X(01).
           05  ERROR-YLD-ACRE8                    PIC X(01).
           05  ERROR-YLD-ACRE9                    PIC X(01).
           05  ERROR-YLD-CNT                      PIC X(01).
           05  ERROR-YLD-CONVER-FCTR              PIC X(01).
           05  ERROR-YLD-IND                      PIC X(01).
           05  ERROR-YLD-LIMIT-FL                 PIC X(01).
           05  ERROR-YLD-QUOTA                    PIC X(01).
           05  ERROR-YLD-TYPE-YR1                 PIC X(01).
           05  ERROR-YLD-TYPE-YR10                PIC X(01).
           05  ERROR-YLD-TYPE-YR2                 PIC X(01).
           05  ERROR-YLD-TYPE-YR3                 PIC X(01).
           05  ERROR-YLD-TYPE-YR4                 PIC X(01).
           05  ERROR-YLD-TYPE-YR5                 PIC X(01).
           05  ERROR-YLD-TYPE-YR6                 PIC X(01).
           05  ERROR-YLD-TYPE-YR7                 PIC X(01).
           05  ERROR-YLD-TYPE-YR8                 PIC X(01).
           05  ERROR-YLD-TYPE-YR9                 PIC X(01).
           05  ERROR-YLD-YR1                      PIC X(01).
           05  ERROR-YLD-YR10                     PIC X(01).
           05  ERROR-YLD-YR2                      PIC X(01).
           05  ERROR-YLD-YR3                      PIC X(01).
           05  ERROR-YLD-YR4                      PIC X(01).
           05  ERROR-YLD-YR5                      PIC X(01).
           05  ERROR-YLD-YR6                      PIC X(01).
           05  ERROR-YLD-YR7                      PIC X(01).
           05  ERROR-YLD-YR8                      PIC X(01).
           05  ERROR-YLD-YR9                      PIC X(01).
           05  ERROR-ZIP-CD                       PIC X(01).
           05  ERROR-ZIP-EXT                      PIC X(01).
