      ****************************************************************
      *     THIS AREA OF WORKING STORAGE CONTAINS VARIABLES          *
      *     FOR THE ENTIRE PROGRAM IN THE FOLLOWING CATEGORIES:      *
      *                  - STATISTICS                                *
      *                                                              *
      *     FILE  : WS0008.CBL                                       *
      *     AUTHOR: MIKE RAY                                         *
      *     DATE  : AUG 12, 1995                                     *
      ****************************************************************

       01 WS-0008-STATISTICS.
          05 WS-0008-TRAN-TOTALS.
             10 WS-0008-ACCEPTED-TRANSACTIONS  PIC 9(07).
             10 WS-0008-REJECTED-TRANSACTIONS  PIC 9(07).
             10 WS-0008-SUSPENDED-TRANSACTIONS PIC 9(07).
             10 WS-0008-ESCROW-TRANSACTIONS    PIC 9(07).
             10 WS-0008-PCR-MEMO-TRANSACTIONS  PIC 9(07).
          05 WS-0008-ERROR-STATS.
             10 WS-0008-FIELD-VAL-ERRORS       PIC 9(10).
             10 WS-0008-INTER-FIELD-VAL-ERRORS PIC 9(10).
             10 WS-0008-INTER-REC-VAL-ERRORS   PIC 9(10).
             10 WS-0008-PROGRAMMER-ERRORS      PIC 9(10).
          05 WS-0008-FILE-STATS.
             10 WS-0008-MAX-FILES-OPENED       PIC 9(03).
             10 WS-0008-11-DT-RECS-ADDED       PIC 9(07).
             10 WS-0008-11-DT-RECS-UPDATED     PIC 9(07).
             10 WS-0008-14-DT-RECS-ADDED       PIC 9(07).
             10 WS-0008-14-DT-RECS-UPDATED     PIC 9(07).
          05 WS-0008-TABLE-STATS.
             10 WS-0008-SBI-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-T11-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-T12-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-T14-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-T15-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-T16-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-T20-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-T21-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-T50-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-T99-MAX-TABLE-SIZE     PIC 9(03).
             10 WS-0008-ASGD-RISK-MAX-TBL-SIZE PIC 9(03).
             10 WS-0008-T11-UNIT-MAX-TBL-SIZE  PIC 9(03).
             10 WS-0008-T20-CLAIM-MAX-TBL-SIZE PIC 9(03).
             10 WS-0008-T21-UNIT-MAX-TBL-SIZE  PIC 9(03).
             10 WS-0008-T21-CROP-MAX-TBL-SIZE  PIC 9(03).
          05 WS-0008-INFILE-STATS.
             10 WS-0008-INFILE-TOTAL-RECS      PIC 9(07).
             10 WS-0008-INFILE-POLICY-RECS     PIC 9(07).
             10 WS-0008-INFILE-SBI-RECS        PIC 9(07).
             10 WS-0008-INFILE-T11-RECS        PIC 9(07).
             10 WS-0008-INFILE-T12-RECS        PIC 9(07).
             10 WS-0008-INFILE-T14-RECS        PIC 9(07).
             10 WS-0008-INFILE-T15-RECS        PIC 9(07).
             10 WS-0008-INFILE-T16-RECS        PIC 9(07).
             10 WS-0008-INFILE-T20-RECS        PIC 9(07).
             10 WS-0008-INFILE-T21-RECS        PIC 9(07).
             10 WS-0008-INFILE-T33-RECS        PIC 9(07).
             10 WS-0008-INFILE-T49-RECS        PIC 9(07).
             10 WS-0008-INFILE-T50-RECS        PIC 9(07).
             10 WS-0008-INFILE-T55-RECS        PIC 9(07).
             10 WS-0008-INFILE-T56-RECS        PIC 9(07).
             10 WS-0008-INFILE-T65-RECS        PIC 9(07).
             10 WS-0008-INFILE-T97-RECS        PIC 9(07).
             10 WS-0008-INFILE-UNKNOWN-RECS    PIC 9(07).
             10 WS-0008-INFILE-ACRES-DEC       PIC 9(09)V9(02).
             10 WS-0008-INFILE-ACRES           PIC 9(09).
             10 WS-0008-INFILE-LIABILITY       PIC 9(12).
             10 WS-0008-INFILE-PREMIUM         PIC 9(11).
             10 WS-0008-INFILE-PROD-PREM       PIC 9(11).
             10 WS-0008-INFILE-LOSSES          PIC S9(12).
             10 WS-0008-INFILE-PAID-DEC        PIC S9(12)V9(02).
             10 WS-0008-INFILE-PAID            PIC S9(12).
          05 WS-0008-T97-STATS.
             10 WS-0008-T97-TOTAL-RECS         PIC 9(07).
             10 WS-0008-T97-T10-RECS           PIC 9(07).
             10 WS-0008-T97-T11-RECS           PIC 9(07).
             10 WS-0008-T97-T12-RECS           PIC 9(07).
             10 WS-0008-T97-T15-RECS           PIC 9(07).
             10 WS-0008-T97-T20-RECS           PIC 9(07).
             10 WS-0008-T97-T21-RECS           PIC 9(07).
             10 WS-0008-T97-T49-RECS           PIC 9(07).
             10 WS-0008-T97-ASSIGNED-RISK-CNT  PIC 9(07).
             10 WS-0008-T97-OTHER-RECS         PIC 9(07).
             10 WS-0008-T97-ACRES              PIC 9(10).
             10 WS-0008-T97-LIABILITY          PIC 9(10).
             10 WS-0008-T97-PREMIUM            PIC 9(08).
             10 WS-0008-T97-PROD-PREM          PIC 9(08).
             10 WS-0008-T97-LOSSES             PIC 9(08).
             10 WS-0008-T97-PAID               PIC 9(08).
          05 WS-0008-REJECTED-STATS.
             10 WS-0008-REJECTED-POLICY-RECS   PIC 9(07).
             10 WS-0008-REJECTED-SBI-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T11-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T12-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T14-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T15-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T16-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T20-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T21-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T33-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T49-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T50-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T55-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T56-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T65-RECS      PIC 9(07).
             10 WS-0008-REJECTED-T97-RECS      PIC 9(07).
             10 WS-0008-REJECTED-PCR-MEMO-RECS PIC 9(07).
             10 WS-0008-REJECTED-UNKNOWN-RECS  PIC 9(07).
             10 WS-0008-REJECTED-ACRES-DEC     PIC 9(09)V9(02).
             10 WS-0008-REJECTED-ACRES         PIC 9(09).
             10 WS-0008-REJECTED-LIABILITY     PIC 9(12).
             10 WS-0008-REJECTED-PREMIUM       PIC 9(11).
             10 WS-0008-REJECTED-PROD-PREM     PIC 9(11).
             10 WS-0008-REJECTED-LOSSES        PIC S9(12).
             10 WS-0008-REJECTED-PAID-DEC      PIC S9(12)V9(02).
             10 WS-0008-REJECTED-PAID          PIC S9(12).
          05 WS-0008-ACCEPTED-STATS.
             10 WS-0008-ACCEPTED-POLICY-RECS   PIC 9(07).
             10 WS-0008-ACCEPTED-SBI-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T11-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T12-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T14-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T15-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T16-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T20-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T21-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T33-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T49-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T50-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T55-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T56-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T65-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-T97-RECS      PIC 9(07).
             10 WS-0008-ACCEPTED-PCR-MEMO-RECS PIC 9(07).
             10 WS-0008-ACCEPTED-UNKNOWN-RECS  PIC 9(07).
             10 WS-0008-ACCEPTED-ACRES-DEC     PIC 9(09)V9(02).
             10 WS-0008-ACCEPTED-ACRES         PIC 9(09).
             10 WS-0008-ACCEPTED-LIABILITY     PIC 9(12).
             10 WS-0008-ACCEPTED-PREMIUM       PIC 9(11).
             10 WS-0008-ACCEPTED-PROD-PREM     PIC 9(11).
             10 WS-0008-ACCEPTED-LOSSES        PIC S9(12).
             10 WS-0008-ACCEPTED-PAID-DEC      PIC S9(12)V9(02).
             10 WS-0008-ACCEPTED-PAID          PIC S9(12).
             10 WS-0008-ACCEPTED-ACRES-YTD-DEC PIC 9(09)V9(02).
             10 WS-0008-ACCEPTED-ACRES-YTD     PIC 9(09).
             10 WS-0008-ACCEPTED-LIABILITY-YTD PIC 9(12).
             10 WS-0008-ACCEPTED-PREMIUM-YTD   PIC 9(11).
             10 WS-0008-ACCEPTED-PROD-PREM-YTD PIC 9(11).
             10 WS-0008-ACCEPTED-LOSSES-YTD    PIC S9(12).
          05 WS-0008-SUSPENDED-STATS.
             10 WS-0008-SUSPENDED-POLICY-RECS  PIC 9(07).
             10 WS-0008-SUSPENDED-SBI-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T11-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T12-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T14-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T15-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T16-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T20-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T21-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T33-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T49-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T50-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T55-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T56-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T65-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-T97-RECS     PIC 9(07).
             10 WS-0008-SUSPENDED-UNKNOWN-RECS PIC 9(07).
             10 WS-0008-SUSPENDED-ACRES-DEC    PIC 9(09)V9(02).
             10 WS-0008-SUSPENDED-ACRES        PIC 9(09).
             10 WS-0008-SUSPENDED-LIABILITY    PIC 9(12).
             10 WS-0008-SUSPENDED-PREMIUM      PIC 9(11).
             10 WS-0008-SUSPENDED-PROD-PREM    PIC 9(11).
             10 WS-0008-SUSPENDED-LOSSES       PIC S9(12).
             10 WS-0008-SUSPENDED-PAID-DEC     PIC S9(12)V9(02).
             10 WS-0008-SUSPENDED-PAID         PIC S9(12).
          05 WS-0008-ESCROW-STATS.
             10 WS-0008-ESCROW-POLICY-RECS     PIC 9(07).
             10 WS-0008-ESCROW-T20-RECS        PIC 9(07).
             10 WS-0008-ESCROW-T21-RECS        PIC 9(07).
             10 WS-0008-ESCROW-LOSSES          PIC S9(12).

