      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S SBI RECORDS AS WELL AS    *
      *     THE STATUS VARIABLES FOR THAT TABLE.                     *
      *                                                              *
      *     FILE  : WS0010.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : AUG 10, 1995                                     *
      ****************************************************************


       01 WS-0010-SBI-STATUS.
          05 WS-0010-SBI-REC-COUNT          PIC 9(03).
          05 WS-0010-SBI-INT-INDEX          PIC 9(08).

      $IF PC-SW DEFINED
       01 WS-0010-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-PC-T10-SIZE.
       01 WS-0010-SBI-TABLE.
          05 WS-0010-SBI-RECORD OCCURS WS-LITERAL-PC-T10-SIZE TIMES
             INDEXED BY WS-0010-SBI-INDEX.
      $ELSE
       01 WS-0010-MAX-SIZE               PIC 9(03)
          VALUE WS-LITERAL-SUN-T10-SIZE.
       01 WS-0010-SBI-TABLE.
          05 WS-0010-SBI-RECORD OCCURS WS-LITERAL-SUN-T10-SIZE TIMES
             INDEXED BY WS-0010-SBI-INDEX.
      $END
      **********************************************************
      *       THIS IS A COMPLETE TYPE 10 RECORD WHICH CAN BE   *
      *                   REFERENCED IN MOVES.                 *
      **********************************************************
             10 WS-0010-TBL-TYPE-10.
                15 WS-0010-TBL-RECORD-TYPE            PIC 9(02).
                15 WS-0010-TBL-POLICY-NO.
                   20 WS-0010-TBL-REPORTING-ORG      PIC X(02).
                   20 WS-0010-TBL-LOC-STATE          PIC 9(02).
                   20 WS-0010-TBL-COMPANY-COUNTY     PIC 9(03).
                   20 WS-0010-TBL-POLICY-NUM         PIC 9(07).
                   20 WS-0010-TBL-CROP-YEAR          PIC 9(04).
                15 WS-0010-TBL-KEY-RESERVE             PIC X(55).
                15 WS-0010-TBL-RECORD-NUM              PIC 9(03).
                15 WS-0010-TBL-BRNCH-OFF-STATE-CD      PIC X(02).
                15 WS-0010-TBL-ID-TYPE                 PIC 9(01).
                15 WS-0010-TBL-ID-NUM                  PIC 9(09).
                15 WS-0010-TBL-ENTITY-TYPE             PIC X(01).
                15 WS-0010-TBL-PROD-LST-NAME           PIC X(20).
                15 WS-0010-TBL-PROD-FRST-NAME          PIC X(10).
                15 WS-0010-TBL-PROD-MIDDLE-NAME        PIC X(10).
                15 WS-0010-TBL-PROD-NAME-SFX           PIC X(05).
                15 WS-0010-TBL-PROD-TITLE              PIC X(04).
                15 WS-0010-TBL-BUSINESS-NAME           PIC X(35).
                15 WS-0010-TBL-ADDRESS-1               PIC X(35).
                15 WS-0010-TBL-ADDRESS-2               PIC X(35).
                15 WS-0010-TBL-CITY                    PIC X(35).
                15 WS-0010-TBL-ADDRESS-STATE           PIC X(02).
                15 WS-0010-TBL-ZIP-CODE                PIC 9(05).
                15 WS-0010-TBL-ZIP-EXT                 PIC 9(04).
                15 WS-0010-TBL-PHONE-NUM               PIC X(10).
                15 WS-0010-TBL-FILLER-1                PIC X(49).
                15 WS-0010-TBL-FCIC-CONTROL-TIME       PIC 9(08).
                15 WS-0010-TBL-FCIC-CONTROL-DATE       PIC 9(08).
                15 WS-0010-TBL-REINS-YR                PIC 9(04).
                15 WS-0010-TBL-BATCH-NO                PIC 9(04).
                15 WS-0010-TBL-TRAN-SEQ-NO             PIC 9(08).
                15 WS-0010-TBL-TRAN-REJECTED-FLAG      PIC X(01).
                15 WS-0010-TBL-TRAN-SOURCE-FLAG        PIC X(01).
                15 WS-0010-TBL-MDAS-PROCESS-NO         PIC 9(02).
                15 WS-0010-TBL-FILLER-2                PIC X(14).

