      ****************************************************************
      *     THIS AREA OF WORKING STORAGE DEFINES THE TRANSACTION     *
      *     TABLE FOR THE CURRENT POLICY'S TYPE 50 RECORDS AS WELL   *
      *     AS THE STATUS VARIABLES FOR THAT TABLE.                  *
      *                                                              *
      *     FILE  : WS0050.CBL                                       *
      *     AUTHOR: MIKE RAY AND CHERYL D. WOOD                      *
      *     DATE  : SEP 13, 1995                                     *
      ****************************************************************


       01  WS-0050-T50-STATUS.
           05 WS-0050-T50-REC-COUNT          PIC 9(03).
           05 WS-0050-T50-INT-INDEX          PIC 9(08).

      $IF PC-SW DEFINED
       01  WS-0050-MAX-SIZE               PIC 9(03)
           VALUE WS-LITERAL-PC-T50-SIZE.
       01  WS-0050-T50-TABLE.
           05  WS-0050-T50-RECORD OCCURS WS-LITERAL-PC-T50-SIZE TIMES
                  INDEXED BY WS-0050-T50-INDEX.
      $ELSE
       01  WS-0050-MAX-SIZE               PIC 9(03)
           VALUE WS-LITERAL-SUN-T50-SIZE.
       01  WS-0050-T50-TABLE.
           05  WS-0050-T50-RECORD OCCURS WS-LITERAL-SUN-T50-SIZE TIMES
                  INDEXED BY WS-0050-T50-INDEX.
      $END

      **********************************************************
      *       THIS IS A COMPLETE TYPE 21N RECORD WHICH CAN BE  *
      *                   REFERENCED IN MOVES.                 *
      **********************************************************
               10  WS-0050-TBL-TYPE-50.
                   15  FILLER                         PIC X(01).
                   15  WS-0050-TBL-POLICY-NO.
                       20  WS-0050-TBL-REPORTING-ORG      PIC X(02).
                       20  WS-0050-TBL-LOC-STATE          PIC 9(02).
                       20  WS-0050-TBL-COMPANY-COUNTY     PIC 9(03).
                       20  WS-0050-TBL-POLICY-NUM         PIC 9(06).
                       20  WS-0050-TBL-CROP-YEAR          PIC 9(02).
                   15  WS-0050-TBL-RECORD-TYPE        PIC 9(02).
                   15  WS-0050-TBL-PRIVATE-POLICY-CD  PIC X(03).
                   15  WS-0050-TBL-DELETE-FLG         PIC 9(01).
                   15  FILLER                         PIC X(02).
                   15  WS-0050-TBL-PRIVATE-POLICY-NUM PIC X(06).
                   15  WS-0050-TBL-CROP-CD            PIC 9(03).
                   15  WS-0050-TBL-LOCATION-COUNTY    PIC 9(03).
                   15  WS-0050-TBL-ID-TYPE            PIC 9(01).
                   15  WS-0050-TBL-ID-NUM             PIC 9(09).
                   15  WS-0050-TBL-COVERAGE-LVL-PCT   PIC 9(02).
                   15  WS-0050-TBL-REPORTED-ACRES     PIC 9(06)V9(02).
                   15  WS-0050-TBL-LIABILITY          PIC 9(09).
                   15  WS-0050-TBL-TOTAL-PREMIUM      PIC 9(08).
                   15  WS-0050-TBL-TOTAL-INDEMNITY    PIC 9(07).
                   15  FILLER                         PIC X(145).
                   15  WS-0050-TBL-RO-CONTROL-DATE    PIC X(06).
                   15  WS-0050-TBL-FCIC-CONTROL-DATE  PIC X(06).
                   15  FILLER                         PIC X(12).
                   15  WS-0050-TBL-POSITION-250       PIC X(01).
                   15  WS-0050-TBL-REINS-YR           PIC 9(04).
                   15  WS-0050-TBL-BATCH-NO           PIC 9(04).
                   15  WS-0050-TBL-TRAN-SEQ-NO        PIC 9(08).
                   15  WS-0050-TBL-TRAN-REJECTED-FLAG PIC X(01).
                   15  WS-0050-TBL-TRAN-SOURCE-FLAG   PIC X(01).
                   15  WS-0050-TBL-MDAS-PROCESS-NO    PIC 9(02).
                   15  FILLER                         PIC X(14).

